// -*- coding: utf-8 -*- 
// Alderson disk
// JackDole 2016.06.27 01:58:22

// AldersonDisk.sc

Star "Aylsa A"
{
    ParentBody     "JDV 00041"
    Class	       "G2 V"
    
    Luminosity      1.6293
    MassSol         1.18304
    RadSol          1.39959
    Teff            5860

    Oblateness      0.0
    Obliquity       0
    EqAscendNode    0
    
    Age             6.93756

    Orbit
    {
        RefPlane        "Ecliptic"
        SemiMajorAxis   0.0272085
        Eccentricity    0.6
        Inclination     90
        AscendingNode   0
        ArgOfPericenter 95
        MeanAnomaly     0
    }
}

Star "Aylsa B"
{
    ParentBody     "JDV 00041"
    Class	       "G2 V"
    
    Luminosity      1.6293
    MassSol         0.812082
    RadSol          0.816646
    Teff            5266

    Oblateness      0.0
    Obliquity       0
    EqAscendNode    0
    
    Age             6.93756

    Orbit
    {
        RefPlane        "Ecliptic"
        SemiMajorAxis   0.0396373
        Eccentricity    0.6
        Inclination     90
        AscendingNode   0
        ArgOfPericenter -85
        MeanAnomaly     0
    }
}

//------------------------------------------------------------------------------
Barycenter "Aylsa Disk"
{
    ParentBody "JDV 00041"
    
    Obliquity       0
    EqAscendNode    0
    
    NoClouds        true
    NoAtmosphere    true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 90.0 25000.0)
}

//------------------------------------------------------------------------------
Asteroid "I-Rim"
{
    ParentBody  "Aylsa Disk"
    Class       "Asteroid"
    
    Radius      105000000
    Mass        1e-12
    
    Oblateness      0.0

    RotationPeriod  17532
    Obliquity       25
    EqAscendNode    -90
    
    Surface
    {
        DiffMap         "Alderson/Rim.*"
        BumpMap         "Alderson/Rim_Bump.*"
        BumpHeight      2.0
        BumpOffset      1.0
        DiffMapAlpha    "Transp"
        
        GlowMap         "Alderson/Rim.*"
        GlowMode        "Night"
        GlowColor       (1.00 0.90 0.66)
        GlowBright      0.25
    }
    
    Clouds
    {
        DiffMap         "Alderson/Rim.*"
        BumpMap         "Alderson/Rim_Bump.*"
        Height          -100000.0
        Opacity         0.0
        Velocity        0.0
        DiffMapAlpha    "Transp"
    }
    
    NoAtmosphere    true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 0.0 0.0)
}

Asteroid "O-Rim"
{
    ParentBody  "Aylsa Disk"
    Class       "Asteroid"
    
    Radius      300000000
    Mass        1e-12
    
    Oblateness      0.0

    RotationPeriod  17532
    Obliquity       25
    EqAscendNode    -90
    
    Surface
    {
        DiffMap         "Alderson/ORim.*"
        BumpMap         "Alderson/ORimBump.*"
        BumpHeight      2.0
        BumpOffset      1.0
        DiffMapAlpha    "Transp"
        GlowMap         "Alderson/ORim.*"
        GlowMode        "Night"
        GlowColor       (1.00 0.90 0.66)
        GlowBright      0.25
    }
    
    NoClouds        true
    NoAtmosphere    true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 0.0 0.0)
}

//------------------------------------------------------------------------------
Planet "Topside"
{
    ParentBody "Aylsa Disk"
    Class       "Terra"
    
    Radius      300000000
    Mass        9
    
    Oblateness  0.999999
    
    RotationPeriod  17532
    Obliquity       25
    EqAscendNode    -90
    
    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Marine/Terrestrial"
    }
    
    Surface
    {
        DiffMap         "Alderson/surface_diff.*"
        BumpMap         "Alderson/surface_bump.*"
        BumpHeight      50.0
        BumpOffset      25.5
        DiffMapAlpha    "Transp"
        
        GlowMap         "Alderson/surface_diff.*"
        GlowMode        "Night"
        GlowColor       (1.00 0.90 0.66)
        GlowBright      0.25
    }
    
    NoClouds        true
    NoAtmosphere    true
    
    Atmosphere
    {
        Height      100
        Greenhouse  33
        Pressure    1.0
        Density     1.2929
        Adiabat     0.28
        Model      "Earth"
        Bright      10.0
        Opacity         0
        SkyLight    3.0
        
        Composition
        {
            N2  77.7729
            O2  20.8625
            Ar  0.9303
            H2O 0.4000
            CO2 0.0398
        }
    }

    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 90.0 25000.0)
}

Planet "Downside"
{
    ParentBody "Aylsa Disk"
    Class       "Terra"
    
    Radius      300000000
    Mass        9
    
    Oblateness  0.999999
    
    RotationPeriod  17532
    Obliquity       25
    EqAscendNode    -90
    
    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Marine/Terrestrial"
    }
    
    Surface
    {
        DiffMap         "Alderson/surface_diff.*"
        BumpMap         "Alderson/surface_bump.*"
        BumpHeight      50.0
        BumpOffset      25.5
        DiffMapAlpha    "Transp"
        GlowMap         "Alderson/surface_diff.*"
        GlowMode        "Night"
        GlowColor       (1.00 0.90 0.66)
        GlowBright      0.25
    }
    
    NoClouds        true
    NoAtmosphere    true
    
    Atmosphere
    {
        Height      100
        Greenhouse  33
        Pressure    1.0
        Density     1.2929
        Adiabat     0.28
        Model      "Earth"
        Bright      10.0
        Opacity         0
        SkyLight    3.0
        
        Composition
        {
            N2  77.7729
            O2  20.8625
            Ar  0.9303
            H2O 0.4000
            CO2 0.0398
        }
    }

    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 -90.0 25000.0)
}

//------------------------------------------------------------------------------
Asteroid "TopClouds"
{
    ParentBody "Aylsa Disk"
    Class       "Asteroid"
    
    Radius      300000000
    Mass        1e-12
    
    Oblateness  0.999
    
    RotationPeriod  17532
    Obliquity       25
    EqAscendNode    -90
    
    Surface
    {
        DiffMap         "Alderson/Invisible.*"
        DiffMapAlpha    "Transp"
    }
    
    Clouds
    {
        Height          50000.0
        DiffMap         "Alderson/clouds0_diff.*"
        BumpMap         "Alderson/clouds0_bump.*"
        BumpHeight      50.0
        BumpOffset      25.5
        DiffMapAlpha    "Transp"
        GlowMap         "Alderson/clouds0_glow.*"
        GlowMode        "Night"
        GlowColor       (1.00 0.90 0.66)
        GlowBright      0.25
        Velocity        6000
        Coverage        0.190476
    }
    
    NoAtmosphere    true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 90.0 3000000.0)
}

Asteroid "DownClouds"
{
    ParentBody "Aylsa Disk"
    Class       "Asteroid"
    
    Radius      300000000
    Mass        1e-12
    
    Oblateness  0.999
    
    RotationPeriod  17532
    Obliquity       25
    EqAscendNode    -90
    
    Surface
    {
        DiffMap         "Alderson/Invisible.*"
        DiffMapAlpha    "Transp"
    }
    
    Clouds
    {
        Height          50000.0
        DiffMap         "Alderson/clouds0_diff.*"
        BumpMap         "Alderson/clouds0_bump.*"
        BumpHeight      50.0
        BumpOffset      25.5
        DiffMapAlpha    "Transp"
        GlowMap         "Alderson/clouds0_glow.*"
        GlowMode        "Night"
        GlowColor       (1.00 0.90 0.66)
        GlowBright      0.25
        Velocity        -6000
        Coverage        0.190476
    }
    
    NoAtmosphere    true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 -90.0 3000000.0)
}

//------------------------------------------------------------------------------
