// AlderComets.sc

Comet	"C1"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.85995e-010
    Radius          8.30839
    InertiaMoment   0.39962

    Oblateness      0.00994008

    RotationPeriod  54.3962
    Obliquity       307.051
    EqAscendNode    237.385

    AbsMagn         0.746444
    SlopeParam      2.01723
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.537 0.533 0.526)

    Surface
    {
        SurfStyle       0.777414
        OceanStyle      0.378494
        Randomize      (-0.007, 0.841, 0.556)
        colorDistMagn   0.183083
        colorDistFreq   0.00725156
        detailScale     226.874
        colorConversion true
        snowLevel       2
        tropicLatitude  0.997794
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.388236
        terraceProb     0.230252
        erosion         0
        montesMagn      0.525069
        montesFreq      3.93085
        montesSpiky     0.969585
        montesFraction  0.300724
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.158328
        hillsFraction   0.681674
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.236161
        craterFreq      0.228483
        craterDensity   0.938508
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.467304
        volcanoTemp     1580.68
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.209, 0.181, 0.147, 0.000)
        colorShelf     (0.215, 0.187, 0.168, 0.000)
        colorBeach     (0.252, 0.219, 0.200, 0.000)
        colorDesert    (0.274, 0.235, 0.195, 0.000)
        colorLowland   (0.301, 0.251, 0.221, 0.000)
        colorUpland    (0.333, 0.304, 0.268, 0.000)
        colorRock      (0.360, 0.331, 0.289, 0.000)
        colorSnow      (0.392, 0.352, 0.305, 1.000)
        BumpHeight      7.47755
        BumpOffset      1.49551
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.662101
        GasToDust   0.25
        Particles   2317
        GasBright   0.186989
        DustBright  0.519196
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.0635
        Period          122.91
        Eccentricity    0.949029
        Inclination     80.2189
        AscendingNode   -102.389
        ArgOfPericenter 43.6894
        MeanAnomaly     103.331
    }
}

Comet	"C2"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.72693e-018
    Radius          0.023799
    InertiaMoment   0.398431

    Oblateness      0.00808893

    RotationPeriod  52.5658
    Obliquity       260.257
    EqAscendNode    221.962

    AbsMagn         4.13709
    SlopeParam      5.70618
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.785 0.781 0.779)

    Surface
    {
        SurfStyle       0.871387
        OceanStyle      0.698458
        Randomize      (0.270, 0.458, -0.349)
        colorDistMagn   0.282306
        colorDistFreq   4.59894e-007
        detailScale     0.649872
        colorConversion true
        snowLevel       2
        tropicLatitude  0.895178
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.428485
        terraceProb     0.114869
        erosion         0
        montesMagn      0.370171
        montesFreq      2.39206
        montesSpiky     0.999789
        montesFraction  0.631496
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.04943e-006
        hillsFraction   0.500327
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.238432
        craterFreq      0.189067
        craterDensity   0.850159
        craterOctaves   1
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.57138
        volcanoTemp     1410.37
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.267, 0.273, 0.312, 0.050)
        colorShelf     (0.314, 0.320, 0.359, 0.040)
        colorBeach     (0.361, 0.367, 0.405, 0.030)
        colorDesert    (0.408, 0.414, 0.460, 0.020)
        colorLowland   (0.455, 0.461, 0.507, 0.030)
        colorUpland    (0.502, 0.508, 0.553, 0.050)
        colorRock      (0.549, 0.555, 0.616, 0.020)
        colorSnow      (0.549, 0.555, 0.616, 1.000)
        BumpHeight      0.0214191
        BumpOffset      0.00428382
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.126512
        DustBright  0.264159
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.5766
        Period          111.218
        Eccentricity    0.968199
        Inclination     49.2756
        AscendingNode   -116.674
        ArgOfPericenter -148.045
        MeanAnomaly     60.5092
    }
}

Comet	"C3"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.42936e-014
    Radius          0.514583
    InertiaMoment   0.395193

    Oblateness      0.0112065

    RotationPeriod  50.7471
    Obliquity       213.463
    EqAscendNode    206.539

    AbsMagn         5.89428
    SlopeParam      4.52897
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.647 0.643 0.638)

    Surface
    {
        SurfStyle       0.774854
        OceanStyle      0.404655
        Randomize      (-0.465, -0.722, 0.208)
        colorDistMagn   0.65696
        colorDistFreq   0.000127422
        detailScale     14.0515
        colorConversion true
        snowLevel       2
        tropicLatitude  0.822607
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.581757
        terraceProb     0.669609
        erosion         0
        montesMagn      0.47416
        montesFreq      2.91589
        montesSpiky     0.92968
        montesFraction  0.622543
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.000598839
        hillsFraction   0.709525
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.237909
        craterFreq      0.26144
        craterDensity   1.06835
        craterOctaves   6
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.502805
        volcanoTemp     1403.1
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.252, 0.219, 0.179, 0.000)
        colorShelf     (0.259, 0.225, 0.204, 0.000)
        colorBeach     (0.304, 0.264, 0.243, 0.000)
        colorDesert    (0.330, 0.283, 0.236, 0.000)
        colorLowland   (0.362, 0.302, 0.268, 0.000)
        colorUpland    (0.401, 0.366, 0.326, 0.000)
        colorRock      (0.434, 0.399, 0.351, 0.000)
        colorSnow      (0.473, 0.424, 0.370, 1.000)
        BumpHeight      0.463125
        BumpOffset      0.0926249
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.213735
        GasToDust   0.25
        Particles   1411
        GasBright   0.335079
        DustBright  0.540079
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.9927
        Period          114.451
        Eccentricity    0.947403
        Inclination     80.2915
        AscendingNode   -141.939
        ArgOfPericenter -103.748
        MeanAnomaly     74.8207
    }
}

Comet	"C4"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.42579e-010
    Radius          9.2984
    InertiaMoment   0.39895

    Oblateness      0.00932407

    RotationPeriod  48.9354
    Obliquity       166.668
    EqAscendNode    191.117

    AbsMagn         7.30976
    SlopeParam      3.5212
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.794 0.673 0.630)

    Surface
    {
        SurfStyle       0.69213
        OceanStyle      0.984939
        Randomize      (-0.647, -0.639, 0.583)
        colorDistMagn   0.981207
        colorDistFreq   0.042787
        detailScale     253.908
        colorConversion true
        snowLevel       2
        tropicLatitude  0.556151
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.28478
        terraceProb     0.244019
        erosion         0
        montesMagn      0.581804
        montesFreq      3.8133
        montesSpiky     0.873598
        montesFraction  0.597103
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.169807
        hillsFraction   0.706494
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.250793
        craterFreq      0.196476
        craterDensity   0.9359
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.45155
        volcanoTemp     1788.72
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.310, 0.229, 0.176, 0.000)
        colorShelf     (0.318, 0.235, 0.202, 0.000)
        colorBeach     (0.373, 0.276, 0.240, 0.000)
        colorDesert    (0.405, 0.296, 0.233, 0.000)
        colorLowland   (0.445, 0.316, 0.265, 0.000)
        colorUpland    (0.493, 0.383, 0.321, 0.000)
        colorRock      (0.532, 0.417, 0.347, 0.000)
        colorSnow      (0.580, 0.444, 0.366, 1.000)
        BumpHeight      8.36856
        BumpOffset      1.67371
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.694927
        GasToDust   0.25
        Particles   2383
        GasBright   0.24732
        DustBright  0.312324
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   14.2699
        Period          59.818
        Eccentricity    0.954907
        Inclination     26.3323
        AscendingNode   113.634
        ArgOfPericenter -141.687
        MeanAnomaly     86.331
    }
}

Comet	"C5"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.05482e-017
    Radius          0.031871
    InertiaMoment   0.397338

    Oblateness      0.0130692

    RotationPeriod  47.126
    Obliquity       119.874
    EqAscendNode    175.694

    AbsMagn         8.64146
    SlopeParam      2.36275
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.581 0.575 0.571)

    Surface
    {
        SurfStyle       0.824685
        OceanStyle      0.181993
        Randomize      (0.388, 0.409, -0.433)
        colorDistMagn   0.472781
        colorDistFreq   3.59036e-007
        detailScale     0.870291
        colorConversion true
        snowLevel       2
        tropicLatitude  0.860265
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.389257
        terraceProb     0.315177
        erosion         0
        montesMagn      0.599063
        montesFreq      3.02295
        montesSpiky     0.997488
        montesFraction  0.549105
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.78729e-006
        hillsFraction   0.471841
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.239581
        craterFreq      0.207474
        craterDensity   0.929266
        craterOctaves   2
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.435606
        volcanoTemp     1267.44
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.227, 0.196, 0.160, 0.000)
        colorShelf     (0.232, 0.201, 0.183, 0.000)
        colorBeach     (0.273, 0.236, 0.217, 0.000)
        colorDesert    (0.296, 0.253, 0.211, 0.000)
        colorLowland   (0.325, 0.270, 0.240, 0.000)
        colorUpland    (0.360, 0.328, 0.291, 0.000)
        colorRock      (0.389, 0.357, 0.314, 0.000)
        colorSnow      (0.424, 0.380, 0.331, 1.000)
        BumpHeight      0.0286839
        BumpOffset      0.00573678
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.000236487
        DustBright  0.243894
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.003
        Period          122.427
        Eccentricity    0.954382
        Inclination     118.944
        AscendingNode   -8.28174
        ArgOfPericenter 32.8957
        MeanAnomaly     148.447
    }
}

Comet	"C6"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            8.15832e-014
    Radius          0.575771
    InertiaMoment   0.399407

    Oblateness      0.0108594

    RotationPeriod  45.3144
    Obliquity       73.0798
    EqAscendNode    160.272

    AbsMagn         10.0507
    SlopeParam      6.06385
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.709 0.601 0.475)

    Surface
    {
        SurfStyle       0.690631
        OceanStyle      0.182188
        Randomize      (0.368, -0.504, -0.793)
        colorDistMagn   0.0884639
        colorDistFreq   5.41209e-005
        detailScale     15.7224
        colorConversion true
        snowLevel       2
        tropicLatitude  0.999033
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.395234
        terraceProb     0.203742
        erosion         0
        montesMagn      0.640829
        montesFreq      3.20483
        montesSpiky     0.973366
        montesFraction  0.441076
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.000400256
        hillsFraction   0.545572
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.215063
        craterFreq      0.225364
        craterDensity   0.937548
        craterOctaves   7
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.51098
        volcanoTemp     1347.95
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.277, 0.204, 0.133, 0.000)
        colorShelf     (0.284, 0.210, 0.152, 0.000)
        colorBeach     (0.333, 0.246, 0.181, 0.000)
        colorDesert    (0.362, 0.264, 0.176, 0.000)
        colorLowland   (0.397, 0.282, 0.200, 0.000)
        colorUpland    (0.440, 0.342, 0.242, 0.000)
        colorRock      (0.475, 0.373, 0.261, 0.000)
        colorSnow      (0.518, 0.397, 0.276, 1.000)
        BumpHeight      0.518194
        BumpOffset      0.103639
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.246561
        GasToDust   0.25
        Particles   1477
        GasBright   0.0437272
        DustBright  0.68489
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   16.6254
        Period          75.2245
        Eccentricity    0.966966
        Inclination     14.9123
        AscendingNode   15.476
        ArgOfPericenter 47.7708
        MeanAnomaly     21.4461
    }
}

Comet	"C7"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            6.30987e-010
    Radius          12.4549
    InertiaMoment   0.398132

    Oblateness      0.0153515

    RotationPeriod  43.4961
    Obliquity       26.2856
    EqAscendNode    144.849

    AbsMagn         11.7869
    SlopeParam      4.7709
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.553 0.550 0.548)

    Surface
    {
        SurfStyle       0.149851
        OceanStyle      0.0538983
        Randomize      (-0.992, -0.980, 0.327)
        colorDistMagn   0.76297
        colorDistFreq   0.11147
        detailScale     340.101
        colorConversion true
        snowLevel       2
        tropicLatitude  0.99994
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.450882
        terraceProb     0.307487
        erosion         0
        montesMagn      0.496066
        montesFreq      2.24763
        montesSpiky     0.973752
        montesFraction  0.67047
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.547823
        hillsFraction   0.783264
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.244534
        craterFreq      0.266191
        craterDensity   1.00633
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.4881
        volcanoTemp     1458.88
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.221, 0.220, 0.219, 0.000)
        colorShelf     (0.235, 0.234, 0.233, 0.000)
        colorBeach     (0.249, 0.247, 0.247, 0.000)
        colorDesert    (0.262, 0.261, 0.260, 0.000)
        colorLowland   (0.276, 0.275, 0.274, 0.000)
        colorUpland    (0.290, 0.289, 0.288, 0.000)
        colorRock      (0.304, 0.302, 0.301, 0.000)
        colorSnow      (0.318, 0.316, 0.315, 1.000)
        BumpHeight      11.2094
        BumpOffset      2.24187
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.727753
        GasToDust   0.25
        Particles   2450
        GasBright   0.0491838
        DustBright  0.36392
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.226
        Period          108.518
        Eccentricity    0.948988
        Inclination     70.8771
        AscendingNode   43.259
        ArgOfPericenter 50.6149
        MeanAnomaly     55.8845
    }
}

Comet	"C8"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.94286e-017
    Radius          0.035652
    InertiaMoment   0.399834

    Oblateness      0.0128254

    RotationPeriod  41.6661
    Obliquity       339.491
    EqAscendNode    129.426

    AbsMagn         15.0175
    SlopeParam      3.75448
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.414 0.410 0.408)

    Surface
    {
        SurfStyle       0.0522711
        OceanStyle      0.724452
        Randomize      (-0.164, 0.905, 0.520)
        colorDistMagn   0.583296
        colorDistFreq   1.01647e-006
        detailScale     0.973538
        colorConversion true
        snowLevel       2
        tropicLatitude  0.665334
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.641044
        terraceProb     0.13456
        erosion         0
        montesMagn      0.615464
        montesFreq      2.86609
        montesSpiky     0.843817
        montesFraction  0.549597
        dunesFraction   0
        hillsMagn       0
        hillsFreq       4.21982e-006
        hillsFraction   0.50715
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.263596
        craterFreq      0.221154
        craterDensity   0.801575
        craterOctaves   2
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.449556
        volcanoTemp     1846.5
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.165, 0.164, 0.163, 0.000)
        colorShelf     (0.176, 0.174, 0.173, 0.000)
        colorBeach     (0.186, 0.185, 0.184, 0.000)
        colorDesert    (0.197, 0.195, 0.194, 0.000)
        colorLowland   (0.207, 0.205, 0.204, 0.000)
        colorUpland    (0.217, 0.215, 0.214, 0.000)
        colorRock      (0.228, 0.226, 0.224, 0.000)
        colorSnow      (0.238, 0.236, 0.235, 1.000)
        BumpHeight      0.0320868
        BumpOffset      0.00641737
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.159865
        DustBright  0.737726
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   14.9901
        Period          64.4034
        Eccentricity    0.920799
        Inclination     126.418
        AscendingNode   132.51
        ArgOfPericenter -131.552
        MeanAnomaly     19.0182
    }
}

Comet	"C9"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.50266e-013
    Radius          0.771407
    InertiaMoment   0.398705

    Oblateness      0.018314

    RotationPeriod  39.8196
    Obliquity       292.697
    EqAscendNode    114.004

    AbsMagn         2.87562
    SlopeParam      2.66515
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.530 0.527 0.525)

    Surface
    {
        SurfStyle       0.238684
        OceanStyle      0.947468
        Randomize      (0.624, -0.497, -0.946)
        colorDistMagn   0.800709
        colorDistFreq   0.000125464
        detailScale     21.0645
        colorConversion true
        snowLevel       2
        tropicLatitude  0.924009
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.522338
        terraceProb     0.515437
        erosion         0
        montesMagn      0.568859
        montesFreq      2.43082
        montesSpiky     0.915227
        montesFraction  0.364894
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00120906
        hillsFraction   0.592694
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.229333
        craterFreq      0.245039
        craterDensity   1.07541
        craterOctaves   7
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.508424
        volcanoTemp     1376.31
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.212, 0.211, 0.210, 0.000)
        colorShelf     (0.225, 0.224, 0.223, 0.000)
        colorBeach     (0.238, 0.237, 0.236, 0.000)
        colorDesert    (0.252, 0.250, 0.249, 0.000)
        colorLowland   (0.265, 0.263, 0.262, 0.000)
        colorUpland    (0.278, 0.276, 0.276, 0.000)
        colorRock      (0.291, 0.290, 0.289, 0.000)
        colorSnow      (0.305, 0.303, 0.302, 1.000)
        BumpHeight      0.694266
        BumpOffset      0.138853
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.279387
        GasToDust   0.25
        Particles   1544
        GasBright   0.138039
        DustBright  0.444038
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   24.6332
        Period          135.67
        Eccentricity    0.95489
        Inclination     166.245
        AscendingNode   91.9804
        ArgOfPericenter 15.2349
        MeanAnomaly     167.353
    }
}

Comet	"C10"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.1622e-009
    Radius          13.9287
    InertiaMoment   0.396718

    Oblateness      0.0152317

    RotationPeriod  37.9513
    Obliquity       245.903
    EqAscendNode    98.5813

    AbsMagn         5.07463
    SlopeParam      6.5038
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.671 0.669 0.666)

    Surface
    {
        SurfStyle       0.240424
        OceanStyle      0.315494
        Randomize      (-0.741, -0.736, -0.805)
        colorDistMagn   0.360768
        colorDistFreq   0.127176
        detailScale     380.346
        colorConversion true
        snowLevel       2
        tropicLatitude  0.974954
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.361397
        terraceProb     0.19392
        erosion         0
        montesMagn      0.528594
        montesFreq      2.81798
        montesSpiky     0.92484
        montesFraction  0.799884
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.336496
        hillsFraction   0.593489
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.242867
        craterFreq      0.164597
        craterDensity   0.931003
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.559478
        volcanoTemp     1559.31
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.268, 0.268, 0.267, 0.000)
        colorShelf     (0.285, 0.284, 0.283, 0.000)
        colorBeach     (0.302, 0.301, 0.300, 0.000)
        colorDesert    (0.319, 0.318, 0.317, 0.000)
        colorLowland   (0.336, 0.334, 0.333, 0.000)
        colorUpland    (0.352, 0.351, 0.350, 0.000)
        colorRock      (0.369, 0.368, 0.367, 0.000)
        colorSnow      (0.386, 0.385, 0.383, 1.000)
        BumpHeight      12.5358
        BumpOffset      2.50716
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.760578
        GasToDust   0.25
        Particles   2516
        GasBright   0.0789548
        DustBright  0.187609
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.3417
        Period          109.407
        Eccentricity    0.95769
        Inclination     122.116
        AscendingNode   -89.6039
        ArgOfPericenter -126.729
        MeanAnomaly     -41.5461
    }
}

Comet	"C11"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.57849e-017
    Radius          0.0477782
    InertiaMoment   0.399187

    Oblateness      0.0223263

    RotationPeriod  36.0556
    Obliquity       199.108
    EqAscendNode    83.1587

    AbsMagn         6.61406
    SlopeParam      5.02471
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.405 0.399 0.396)

    Surface
    {
        SurfStyle       0.176708
        OceanStyle      0.885207
        Randomize      (0.149, 0.579, -0.305)
        colorDistMagn   0.575971
        colorDistFreq   1.17991e-006
        detailScale     1.30466
        colorConversion true
        snowLevel       2
        tropicLatitude  0.867001
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.396794
        terraceProb     0.290976
        erosion         0
        montesMagn      0.518779
        montesFreq      2.50998
        montesSpiky     0.849366
        montesFraction  0.447963
        dunesFraction   0
        hillsMagn       0
        hillsFreq       4.80557e-006
        hillsFraction   0.777249
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.235218
        craterFreq      0.256365
        craterDensity   1.01959
        craterOctaves   2
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.385302
        volcanoTemp     1604.37
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.162, 0.160, 0.159, 0.000)
        colorShelf     (0.172, 0.170, 0.168, 0.000)
        colorBeach     (0.182, 0.179, 0.178, 0.000)
        colorDesert    (0.192, 0.189, 0.188, 0.000)
        colorLowland   (0.202, 0.199, 0.198, 0.000)
        colorUpland    (0.213, 0.209, 0.208, 0.000)
        colorRock      (0.223, 0.219, 0.218, 0.000)
        colorSnow      (0.233, 0.229, 0.228, 1.000)
        BumpHeight      0.0430004
        BumpOffset      0.00860007
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.266803
        DustBright  0.484247
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.9918
        Period          106.727
        Eccentricity    0.937011
        Inclination     125.105
        AscendingNode   99.6917
        ArgOfPericenter -16.0103
        MeanAnomaly     -34.8633
    }
}

Comet	"C12"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.76771e-013
    Radius          0.862438
    InertiaMoment   0.397784

    Oblateness      0.0188529

    RotationPeriod  34.1261
    Obliquity       152.314
    EqAscendNode    67.7361

    AbsMagn         7.96685
    SlopeParam      3.98446
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.759 0.717 0.651)

    Surface
    {
        SurfStyle       0.50748
        OceanStyle      0.117837
        Randomize      (-0.910, -0.223, -0.276)
        colorDistMagn   0.223659
        colorDistFreq   0.000410017
        detailScale     23.5503
        colorConversion true
        snowLevel       2
        tropicLatitude  0.875993
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.422786
        terraceProb     0.456761
        erosion         0
        montesMagn      0.574206
        montesFreq      3.32336
        montesSpiky     0.98128
        montesFraction  0.767398
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00194053
        hillsFraction   0.736317
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.254242
        craterFreq      0.264531
        craterDensity   0.699665
        craterOctaves   7
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.499308
        volcanoTemp     1646.14
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.296, 0.244, 0.182, 0.000)
        colorShelf     (0.304, 0.251, 0.208, 0.000)
        colorBeach     (0.357, 0.294, 0.247, 0.000)
        colorDesert    (0.387, 0.315, 0.241, 0.000)
        colorLowland   (0.425, 0.337, 0.274, 0.000)
        colorUpland    (0.471, 0.408, 0.332, 0.000)
        colorRock      (0.508, 0.444, 0.358, 0.000)
        colorSnow      (0.554, 0.473, 0.378, 1.000)
        BumpHeight      0.776194
        BumpOffset      0.155239
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.312212
        GasToDust   0.25
        Particles   1610
        GasBright   0.180437
        DustBright  0.2551
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.8415
        Period          113.273
        Eccentricity    0.956403
        Inclination     88.8445
        AscendingNode   0.940538
        ArgOfPericenter -6.19898
        MeanAnomaly     45.1679
    }
}

Comet	"C13"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.14063e-009
    Radius          18.6715
    InertiaMoment   0.399625

    Oblateness      0.0280518

    RotationPeriod  32.1558
    Obliquity       105.52
    EqAscendNode    52.3135

    AbsMagn         9.31574
    SlopeParam      2.93968
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.706 0.704 0.703)

    Surface
    {
        SurfStyle       0.0166067
        OceanStyle      0.485018
        Randomize      (-0.118, 0.463, 0.552)
        colorDistMagn   0.873107
        colorDistFreq   0.243974
        detailScale     509.856
        colorConversion true
        snowLevel       2
        tropicLatitude  0.904508
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.472166
        terraceProb     0.380286
        erosion         0
        montesMagn      0.486211
        montesFreq      4.12004
        montesSpiky     0.967203
        montesFraction  0.383969
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.946117
        hillsFraction   0.72525
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.225238
        craterFreq      0.20247
        craterDensity   0.825511
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.448597
        volcanoTemp     1459.74
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.282, 0.281, 0.281, 0.000)
        colorShelf     (0.300, 0.299, 0.299, 0.000)
        colorBeach     (0.318, 0.317, 0.316, 0.000)
        colorDesert    (0.335, 0.334, 0.334, 0.000)
        colorLowland   (0.353, 0.352, 0.351, 0.000)
        colorUpland    (0.371, 0.369, 0.369, 0.000)
        colorRock      (0.388, 0.387, 0.387, 0.000)
        colorSnow      (0.406, 0.405, 0.404, 1.000)
        BumpHeight      16.8043
        BumpOffset      3.36087
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.793404
        GasToDust   0.25
        Particles   2582
        GasBright   0.435475
        DustBright  0.484548
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   22.6244
        Period          119.417
        Eccentricity    0.95736
        Inclination     114.374
        AscendingNode   111.105
        ArgOfPericenter 90.6002
        MeanAnomaly     -130.402
    }
}

Comet	"C14"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            6.59114e-017
    Radius          0.0533994
    InertiaMoment   0.398438

    Oblateness      0.0241547

    RotationPeriod  30.137
    Obliquity       58.7255
    EqAscendNode    36.8909

    AbsMagn         10.8394
    SlopeParam      7.11708
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.803 0.720 0.678)

    Surface
    {
        SurfStyle       0.019656
        OceanStyle      0.0696426
        Randomize      (-0.418, 0.688, -0.912)
        colorDistMagn   0.076383
        colorDistFreq   2.1666e-006
        detailScale     1.45816
        colorConversion true
        snowLevel       2
        tropicLatitude  0.0323828
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.635425
        terraceProb     0.605228
        erosion         0
        montesMagn      0.455614
        montesFreq      2.72347
        montesSpiky     0.971426
        montesFraction  0.683243
        dunesFraction   0
        hillsMagn       0
        hillsFreq       4.24207e-006
        hillsFraction   0.429875
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.222362
        craterFreq      0.192692
        craterDensity   0.866522
        craterOctaves   3
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.460827
        volcanoTemp     1237.32
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.321, 0.288, 0.271, 0.000)
        colorShelf     (0.341, 0.306, 0.288, 0.000)
        colorBeach     (0.361, 0.324, 0.305, 0.000)
        colorDesert    (0.381, 0.342, 0.322, 0.000)
        colorLowland   (0.401, 0.360, 0.339, 0.000)
        colorUpland    (0.421, 0.378, 0.356, 0.000)
        colorRock      (0.442, 0.396, 0.373, 0.000)
        colorSnow      (0.462, 0.414, 0.390, 1.000)
        BumpHeight      0.0480594
        BumpOffset      0.00961188
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.0195716
        DustBright  0.584938
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.9636
        Period          114.224
        Eccentricity    0.953965
        Inclination     57.2112
        AscendingNode   178.735
        ArgOfPericenter 176.562
        MeanAnomaly     82.8491
    }
}

Comet	"C15"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.09777e-013
    Radius          1.15646
    InertiaMoment   0.395282

    Oblateness      0.0361607

    RotationPeriod  28.0602
    Obliquity       11.9312
    EqAscendNode    21.4684

    AbsMagn         12.9772
    SlopeParam      5.29626
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.441 0.437 0.435)

    Surface
    {
        SurfStyle       0.360299
        OceanStyle      0.897348
        Randomize      (0.773, -0.843, -0.229)
        colorDistMagn   0.630271
        colorDistFreq   0.000623138
        detailScale     31.579
        colorConversion true
        snowLevel       2
        tropicLatitude  0.884306
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.605035
        terraceProb     0.351787
        erosion         0
        montesMagn      0.567258
        montesFreq      3.19039
        montesSpiky     0.844676
        montesFraction  0.439101
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00232982
        hillsFraction   0.678218
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.213881
        craterFreq      0.24796
        craterDensity   0.767129
        craterOctaves   8
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.590596
        volcanoTemp     1785.61
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.176, 0.175, 0.174, 0.000)
        colorShelf     (0.187, 0.186, 0.185, 0.000)
        colorBeach     (0.198, 0.197, 0.196, 0.000)
        colorDesert    (0.209, 0.207, 0.207, 0.000)
        colorLowland   (0.220, 0.218, 0.218, 0.000)
        colorUpland    (0.231, 0.229, 0.228, 0.000)
        colorRock      (0.242, 0.240, 0.239, 0.000)
        colorSnow      (0.253, 0.251, 0.250, 1.000)
        BumpHeight      1.04081
        BumpOffset      0.208162
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.345038
        GasToDust   0.25
        Particles   1676
        GasBright   0.0264204
        DustBright  0.262576
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   24.973
        Period          138.486
        Eccentricity    0.958398
        Inclination     -72.722
        AscendingNode   26.7272
        ArgOfPericenter 112.852
        MeanAnomaly     -62.3076
    }
}

Comet	"C16"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.94276e-009
    Radius          20.861
    InertiaMoment   0.398956

    Oblateness      0.0326213

    RotationPeriod  25.9149
    Obliquity       325.137
    EqAscendNode    6.04576

    AbsMagn         0.650124
    SlopeParam      4.21423
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.419 0.415 0.413)

    Surface
    {
        SurfStyle       0.407728
        OceanStyle      0.324472
        Randomize      (0.511, -0.380, -0.577)
        colorDistMagn   0.348097
        colorDistFreq   0.113193
        detailScale     569.644
        colorConversion true
        snowLevel       2
        tropicLatitude  0.561328
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.511611
        terraceProb     0.319288
        erosion         0
        montesMagn      0.383038
        montesFreq      3.74394
        montesSpiky     0.906692
        montesFraction  0.747125
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.14012
        hillsFraction   0.671282
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.227913
        craterFreq      0.216667
        craterDensity   1.01421
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.553751
        volcanoTemp     1458.95
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.168, 0.166, 0.165, 0.000)
        colorShelf     (0.178, 0.176, 0.176, 0.000)
        colorBeach     (0.189, 0.187, 0.186, 0.000)
        colorDesert    (0.199, 0.197, 0.196, 0.000)
        colorLowland   (0.210, 0.207, 0.207, 0.000)
        colorUpland    (0.220, 0.218, 0.217, 0.000)
        colorRock      (0.231, 0.228, 0.227, 0.000)
        colorSnow      (0.241, 0.239, 0.238, 1.000)
        BumpHeight      18.7749
        BumpOffset      3.75498
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.82623
        GasToDust   0.25
        Particles   2648
        GasBright   0.116383
        DustBright  0.6571
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   15.6387
        Period          68.6282
        Eccentricity    0.919945
        Inclination     2.29989
        AscendingNode   70.2958
        ArgOfPericenter 141.872
        MeanAnomaly     -61.7744
    }
}

Comet	"C17"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.21401e-016
    Radius          0.0716278
    InertiaMoment   0.397351

    Oblateness      0.0510207

    RotationPeriod  23.688
    Obliquity       278.343
    EqAscendNode    350.623

    AbsMagn         4.10797
    SlopeParam      3.19551
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.444 0.439 0.435)

    Surface
    {
        SurfStyle       0.99603
        OceanStyle      0.824624
        Randomize      (0.849, 0.713, 0.940)
        colorDistMagn   0.927671
        colorDistFreq   4.22218e-006
        detailScale     1.95592
        colorConversion true
        snowLevel       2
        tropicLatitude  0.996739
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.358476
        terraceProb     0.352444
        erosion         0
        montesMagn      0.563386
        montesFreq      2.49881
        montesSpiky     0.936318
        montesFraction  0.586726
        dunesFraction   0
        hillsMagn       0
        hillsFreq       9.99326e-006
        hillsFraction   0.677222
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.241181
        craterFreq      0.246464
        craterDensity   0.770792
        craterOctaves   3
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.49826
        volcanoTemp     1838.07
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.151, 0.154, 0.174, 0.050)
        colorShelf     (0.178, 0.180, 0.200, 0.040)
        colorBeach     (0.204, 0.206, 0.226, 0.030)
        colorDesert    (0.231, 0.233, 0.257, 0.020)
        colorLowland   (0.257, 0.259, 0.283, 0.030)
        colorUpland    (0.284, 0.285, 0.309, 0.050)
        colorRock      (0.311, 0.312, 0.343, 0.020)
        colorSnow      (0.311, 0.312, 0.343, 1.000)
        BumpHeight      0.064465
        BumpOffset      0.012893
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.09595
        DustBright  0.36202
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   28.1116
        Period          165.398
        Eccentricity    0.965864
        Inclination     -14.6911
        AscendingNode   28.2469
        ArgOfPericenter -37.3261
        MeanAnomaly     113.988
    }
}

Comet	"C18"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            9.38946e-013
    Radius          1.29158
    InertiaMoment   0.399412

    Oblateness      0.0479182

    RotationPeriod  21.364
    Obliquity       231.548
    EqAscendNode    335.201

    AbsMagn         5.87334
    SlopeParam      8.40574
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.508 0.503 0.497)

    Surface
    {
        SurfStyle       0.033352
        OceanStyle      0.517175
        Randomize      (0.267, -0.432, 0.320)
        colorDistMagn   0.631633
        colorDistFreq   0.000957908
        detailScale     35.2688
        colorConversion true
        snowLevel       2
        tropicLatitude  0.0991765
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.537272
        terraceProb     0.182647
        erosion         0
        montesMagn      0.469852
        montesFreq      3.52458
        montesSpiky     0.934162
        montesFraction  0.358267
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00538649
        hillsFraction   0.52215
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.285075
        craterFreq      0.151118
        craterDensity   0.83264
        craterOctaves   8
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.46875
        volcanoTemp     1754.94
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.203, 0.201, 0.199, 0.000)
        colorShelf     (0.216, 0.214, 0.211, 0.000)
        colorBeach     (0.228, 0.226, 0.224, 0.000)
        colorDesert    (0.241, 0.239, 0.236, 0.000)
        colorLowland   (0.254, 0.251, 0.249, 0.000)
        colorUpland    (0.266, 0.264, 0.261, 0.000)
        colorRock      (0.279, 0.277, 0.273, 0.000)
        colorSnow      (0.292, 0.289, 0.286, 1.000)
        BumpHeight      1.16243
        BumpOffset      0.232485
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.377864
        GasToDust   0.25
        Particles   1743
        GasBright   0.253103
        DustBright  0.689353
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.9035
        Period          106.054
        Eccentricity    0.946143
        Inclination     -133.127
        AscendingNode   175.709
        ArgOfPericenter 65.1643
        MeanAnomaly     118.331
    }
}

Comet	"C19"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            7.26207e-009
    Radius          27.9921
    InertiaMoment   0.39814

    Oblateness      0.0800057

    RotationPeriod  18.9232
    Obliquity       184.754
    EqAscendNode    319.778

    AbsMagn         7.29128
    SlopeParam      5.59417
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.816 0.728 0.683)

    Surface
    {
        SurfStyle       0.797616
        OceanStyle      0.503463
        Randomize      (0.113, -0.689, -0.083)
        colorDistMagn   0.194803
        colorDistFreq   0.455516
        detailScale     764.371
        colorConversion true
        snowLevel       2
        tropicLatitude  0.326377
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.712328
        terraceProb     0.546526
        erosion         0
        montesMagn      0.481753
        montesFreq      2.95393
        montesSpiky     0.876963
        montesFraction  0.72897
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.79371
        hillsFraction   0.362365
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.221708
        craterFreq      0.254342
        craterDensity   0.927196
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.523908
        volcanoTemp     1721.38
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.318, 0.248, 0.191, 0.000)
        colorShelf     (0.326, 0.255, 0.219, 0.000)
        colorBeach     (0.383, 0.299, 0.260, 0.000)
        colorDesert    (0.416, 0.320, 0.253, 0.000)
        colorLowland   (0.457, 0.342, 0.287, 0.000)
        colorUpland    (0.506, 0.415, 0.348, 0.000)
        colorRock      (0.547, 0.451, 0.376, 0.000)
        colorSnow      (0.596, 0.481, 0.396, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.859056
        GasToDust   0.25
        Particles   2715
        GasBright   0.205388
        DustBright  0.421555
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   24.9609
        Period          138.386
        Eccentricity    0.941701
        Inclination     -157.325
        AscendingNode   -143.571
        ArgOfPericenter 18.7159
        MeanAnomaly     -125.825
    }
}

Comet	"C20"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.23604e-016
    Radius          0.0799648
    InertiaMoment   0.399839

    Oblateness      0.0817526

    RotationPeriod  16.3409
    Obliquity       137.96
    EqAscendNode    304.355

    AbsMagn         8.62303
    SlopeParam      4.44687
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.683 0.680 0.675)

    Surface
    {
        SurfStyle       0.0272479
        OceanStyle      0.0249635
        Randomize      (0.585, -0.558, 0.424)
        colorDistMagn   0.999975
        colorDistFreq   3.0796e-006
        detailScale     2.18357
        colorConversion true
        snowLevel       2
        tropicLatitude  0.904552
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.274067
        terraceProb     0.248347
        erosion         0
        montesMagn      0.489004
        montesFreq      3.05522
        montesSpiky     0.932195
        montesFraction  0.374594
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.53235e-005
        hillsFraction   0.441187
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.254345
        craterFreq      0.207037
        craterDensity   0.864111
        craterOctaves   3
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.527177
        volcanoTemp     1417.21
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.273, 0.272, 0.270, 0.000)
        colorShelf     (0.290, 0.289, 0.287, 0.000)
        colorBeach     (0.307, 0.306, 0.304, 0.000)
        colorDesert    (0.324, 0.323, 0.321, 0.000)
        colorLowland   (0.341, 0.340, 0.338, 0.000)
        colorUpland    (0.358, 0.357, 0.355, 0.000)
        colorRock      (0.375, 0.374, 0.371, 0.000)
        colorSnow      (0.392, 0.391, 0.388, 1.000)
        BumpHeight      0.0719684
        BumpOffset      0.0143937
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.120413
        DustBright  0.191016
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   15.6354
        Period          68.6066
        Eccentricity    0.95391
        Inclination     -32.9275
        AscendingNode   -57.2339
        ArgOfPericenter 20.8244
        MeanAnomaly     -59.7306
    }
}

Comet	"C21"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.72942e-012
    Radius          1.73377
    InertiaMoment   0.398711

    Oblateness      0.155238

    RotationPeriod  13.5843
    Obliquity       91.1654
    EqAscendNode    288.933

    AbsMagn         10.0299
    SlopeParam      3.43877
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.771 0.768 0.766)

    Surface
    {
        SurfStyle       0.465081
        OceanStyle      0.867091
        Randomize      (-0.134, 0.318, 0.599)
        colorDistMagn   0.601578
        colorDistFreq   0.00131717
        detailScale     47.3434
        colorConversion true
        snowLevel       2
        tropicLatitude  0.670564
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.424281
        terraceProb     0.322085
        erosion         0
        montesMagn      0.612418
        montesFreq      3.73979
        montesSpiky     0.864178
        montesFraction  0.876835
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00674487
        hillsFraction   0.788952
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.234054
        craterFreq      0.229172
        craterDensity   0.94236
        craterOctaves   8
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.433039
        volcanoTemp     1636
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.308, 0.307, 0.306, 0.000)
        colorShelf     (0.328, 0.327, 0.326, 0.000)
        colorBeach     (0.347, 0.346, 0.345, 0.000)
        colorDesert    (0.366, 0.365, 0.364, 0.000)
        colorLowland   (0.386, 0.384, 0.383, 0.000)
        colorUpland    (0.405, 0.403, 0.402, 0.000)
        colorRock      (0.424, 0.423, 0.421, 0.000)
        colorSnow      (0.443, 0.442, 0.440, 1.000)
        BumpHeight      1.56039
        BumpOffset      0.312078
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.41069
        GasToDust   0.25
        Particles   1809
        GasBright   0.354734
        DustBright  0.441182
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   24.8016
        Period          137.063
        Eccentricity    0.966419
        Inclination     -46.7454
        AscendingNode   -178.496
        ArgOfPericenter -138.573
        MeanAnomaly     141.088
    }
}

Comet	"C22"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.33758e-008
    Radius          31.2366
    InertiaMoment   0.396738

    Oblateness      0.191015

    RotationPeriod  10.6095
    Obliquity       44.3711
    EqAscendNode    273.51

    AbsMagn         11.7585
    SlopeParam      2.24865
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.577 0.571 0.568)

    Surface
    {
        SurfStyle       0.273694
        OceanStyle      0.428893
        Randomize      (-0.144, -0.257, 0.565)
        colorDistMagn   0.612419
        colorDistFreq   0.444598
        detailScale     852.969
        colorConversion true
        snowLevel       2
        tropicLatitude  0.751479
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.724873
        terraceProb     0.171002
        erosion         0
        montesMagn      0.611843
        montesFreq      2.85305
        montesSpiky     0.995818
        montesFraction  0.454142
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.96722
        hillsFraction   0.435052
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.240883
        craterFreq      0.191622
        craterDensity   0.947417
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.503331
        volcanoTemp     1657.7
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.231, 0.228, 0.227, 0.000)
        colorShelf     (0.245, 0.243, 0.241, 0.000)
        colorBeach     (0.260, 0.257, 0.256, 0.000)
        colorDesert    (0.274, 0.271, 0.270, 0.000)
        colorLowland   (0.288, 0.286, 0.284, 0.000)
        colorUpland    (0.303, 0.300, 0.298, 0.000)
        colorRock      (0.317, 0.314, 0.312, 0.000)
        colorSnow      (0.332, 0.328, 0.327, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.891882
        GasToDust   0.25
        Particles   2781
        GasBright   0.00227616
        DustBright  0.478126
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.9538
        Period          98.9099
        Eccentricity    0.942539
        Inclination     -19.3727
        AscendingNode   93.6076
        ArgOfPericenter -11.4887
        MeanAnomaly     133.482
    }
}

Comet	"C23"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.11852e-016
    Radius          0.107386
    InertiaMoment   0.399192

    Oblateness      0.249

    RotationPeriod  7.35462
    Obliquity       357.577
    EqAscendNode    258.088

    AbsMagn         14.9342
    SlopeParam      5.93258
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.562 0.557 0.555)

    Surface
    {
        SurfStyle       0.878276
        OceanStyle      0.106318
        Randomize      (-0.894, -0.107, -0.851)
        colorDistMagn   0.740097
        colorDistFreq   2.41738e-006
        detailScale     2.93236
        colorConversion true
        snowLevel       2
        tropicLatitude  0.624778
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.420325
        terraceProb     0.28609
        erosion         0
        montesMagn      0.584281
        montesFreq      3.67876
        montesSpiky     0.97894
        montesFraction  0.542264
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.26112e-005
        hillsFraction   0.721954
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.249833
        craterFreq      0.182937
        craterDensity   0.890119
        craterOctaves   4
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.554169
        volcanoTemp     1454.18
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.191, 0.195, 0.222, 0.050)
        colorShelf     (0.225, 0.228, 0.255, 0.040)
        colorBeach     (0.258, 0.262, 0.289, 0.030)
        colorDesert    (0.292, 0.295, 0.327, 0.020)
        colorLowland   (0.326, 0.328, 0.361, 0.030)
        colorUpland    (0.360, 0.362, 0.394, 0.050)
        colorRock      (0.393, 0.395, 0.438, 0.020)
        colorSnow      (0.393, 0.395, 0.438, 1.000)
        BumpHeight      0.0966475
        BumpOffset      0.0193295
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.0615438
        DustBright  0.903345
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.2211
        Period          124.172
        Eccentricity    0.963516
        Inclination     -139.949
        AscendingNode   -53.9438
        ArgOfPericenter 90.6348
        MeanAnomaly     -86.7845
    }
}

Comet	"C24"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.18538e-012
    Radius          1.93382
    InertiaMoment   0.397793

    Oblateness      0.249

    RotationPeriod  3.7284
    Obliquity       310.783
    EqAscendNode    242.665

    AbsMagn         2.83399
    SlopeParam      4.68574
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.749 0.664 0.627)

    Surface
    {
        SurfStyle       0.547988
        OceanStyle      0.299869
        Randomize      (0.134, -0.720, -0.651)
        colorDistMagn   0.281651
        colorDistFreq   0.00304117
        detailScale     52.8062
        colorConversion true
        snowLevel       2
        tropicLatitude  0.401008
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.525718
        terraceProb     0.490763
        erosion         0
        montesMagn      0.569479
        montesFreq      3.27465
        montesSpiky     0.974596
        montesFraction  0.592914
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00899387
        hillsFraction   0.650525
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.226775
        craterFreq      0.274735
        craterDensity   0.684955
        craterOctaves   9
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.495241
        volcanoTemp     1697.76
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.292, 0.226, 0.175, 0.000)
        colorShelf     (0.300, 0.233, 0.200, 0.000)
        colorBeach     (0.352, 0.272, 0.238, 0.000)
        colorDesert    (0.382, 0.292, 0.232, 0.000)
        colorLowland   (0.420, 0.312, 0.263, 0.000)
        colorUpland    (0.465, 0.379, 0.320, 0.000)
        colorRock      (0.502, 0.412, 0.345, 0.000)
        colorSnow      (0.547, 0.439, 0.363, 1.000)
        BumpHeight      1.74044
        BumpOffset      0.348088
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.443516
        GasToDust   0.25
        Particles   1875
        GasBright   0.0797619
        DustBright  0.569614
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.1434
        Period          100.323
        Eccentricity    0.954225
        Inclination     117.553
        AscendingNode   -156.138
        ArgOfPericenter 61.9885
        MeanAnomaly     154.51
    }
}

Comet	"C25"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.46366e-008
    Radius          41.9669
    InertiaMoment   0.39963

    Oblateness      0.00175131

    RotationPeriod  127.831
    Obliquity       263.988
    EqAscendNode    227.242

    AbsMagn         5.05079
    SlopeParam      3.67397
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.620 0.617 0.612)

    Surface
    {
        SurfStyle       0.160301
        OceanStyle      0.575026
        Randomize      (-0.384, -0.326, 0.319)
        colorDistMagn   0.592562
        colorDistFreq   1.40116
        detailScale     1145.98
        colorConversion true
        snowLevel       2
        tropicLatitude  0.986037
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.678158
        terraceProb     0.125544
        erosion         0
        montesMagn      0.520604
        montesFreq      2.66905
        montesSpiky     0.992339
        montesFraction  0.674188
        dunesFraction   0
        hillsMagn       0
        hillsFreq       5.48765
        hillsFraction   0.6773
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.19965
        craterFreq      0.264455
        craterDensity   1.04677
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.552539
        volcanoTemp     1482.38
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.248, 0.247, 0.245, 0.000)
        colorShelf     (0.264, 0.262, 0.260, 0.000)
        colorBeach     (0.279, 0.278, 0.275, 0.000)
        colorDesert    (0.295, 0.293, 0.291, 0.000)
        colorLowland   (0.310, 0.309, 0.306, 0.000)
        colorUpland    (0.326, 0.324, 0.321, 0.000)
        colorRock      (0.341, 0.339, 0.336, 0.000)
        colorSnow      (0.357, 0.355, 0.352, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.924708
        GasToDust   0.25
        Particles   2847
        GasBright   0.0607208
        DustBright  0.273141
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   24.3697
        Period          133.499
        Eccentricity    0.95834
        Inclination     7.14238
        AscendingNode   120.419
        ArgOfPericenter 25.6208
        MeanAnomaly     -154.28
    }
}

Comet	"C26"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            7.5858e-016
    Radius          0.119717
    InertiaMoment   0.398445

    Oblateness      0.0016523

    RotationPeriod  114.017
    Obliquity       217.194
    EqAscendNode    211.82

    AbsMagn         6.59471
    SlopeParam      2.56384
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.642 0.638 0.634)

    Surface
    {
        SurfStyle       0.0223282
        OceanStyle      0.047604
        Randomize      (0.279, -0.938, -0.409)
        colorDistMagn   0.751037
        colorDistFreq   8.63953e-006
        detailScale     3.26906
        colorConversion true
        snowLevel       2
        tropicLatitude  0.896903
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.651978
        terraceProb     0.272401
        erosion         0
        montesMagn      0.629207
        montesFreq      3.28276
        montesSpiky     0.879024
        montesFraction  0.593266
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.474e-005
        hillsFraction   0.666312
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.20629
        craterFreq      0.247412
        craterDensity   0.796452
        craterOctaves   4
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.576422
        volcanoTemp     1660.17
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.257, 0.255, 0.253, 0.000)
        colorShelf     (0.273, 0.271, 0.269, 0.000)
        colorBeach     (0.289, 0.287, 0.285, 0.000)
        colorDesert    (0.305, 0.303, 0.301, 0.000)
        colorLowland   (0.321, 0.319, 0.317, 0.000)
        colorUpland    (0.337, 0.335, 0.333, 0.000)
        colorRock      (0.353, 0.351, 0.349, 0.000)
        colorSnow      (0.369, 0.367, 0.364, 1.000)
        BumpHeight      0.107745
        BumpOffset      0.021549
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.197156
        DustBright  0.621193
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.4546
        Period          126.05
        Eccentricity    0.949711
        Inclination     153.354
        AscendingNode   174.289
        ArgOfPericenter 140.452
        MeanAnomaly     -65.7338
    }
}

Comet	"C27"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.86707e-012
    Radius          2.59937
    InertiaMoment   0.395363

    Oblateness      0.00249809

    RotationPeriod  106.062
    Obliquity       170.4
    EqAscendNode    196.397

    AbsMagn         7.94864
    SlopeParam      6.33803
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.654 0.650 0.648)

    Surface
    {
        SurfStyle       0.818022
        OceanStyle      0.00266647
        Randomize      (-0.442, -0.597, 0.086)
        colorDistMagn   0.52399
        colorDistFreq   0.00377853
        detailScale     70.9801
        colorConversion true
        snowLevel       2
        tropicLatitude  0.284212
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.368721
        terraceProb     0.160599
        erosion         0
        montesMagn      0.573114
        montesFreq      3.75723
        montesSpiky     0.962343
        montesFraction  0.281784
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0161937
        hillsFraction   0.889178
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.264725
        craterFreq      0.225561
        craterDensity   0.996967
        craterOctaves   9
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.528154
        volcanoTemp     1358.11
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.255, 0.221, 0.181, 0.000)
        colorShelf     (0.262, 0.228, 0.207, 0.000)
        colorBeach     (0.308, 0.267, 0.246, 0.000)
        colorDesert    (0.334, 0.286, 0.240, 0.000)
        colorLowland   (0.366, 0.306, 0.272, 0.000)
        colorUpland    (0.406, 0.371, 0.330, 0.000)
        colorRock      (0.438, 0.403, 0.356, 0.000)
        colorSnow      (0.478, 0.429, 0.376, 1.000)
        BumpHeight      2.33943
        BumpOffset      0.467886
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.476342
        GasToDust   0.25
        Particles   1942
        GasBright   0.150833
        DustBright  0.352003
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.974
        Period          114.305
        Eccentricity    0.972864
        Inclination     -25.8618
        AscendingNode   -169.437
        ArgOfPericenter -72.2988
        MeanAnomaly     -176.048
    }
}

Comet	"C28"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.53775e-008
    Radius          46.7602
    InertiaMoment   0.398962

    Oblateness      0.00213432

    RotationPeriod  100.223
    Obliquity       123.605
    EqAscendNode    180.975

    AbsMagn         9.29654
    SlopeParam      4.93485
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.468 0.461 0.454)

    Surface
    {
        SurfStyle       0.903429
        OceanStyle      0.192991
        Randomize      (0.776, 0.617, -0.158)
        colorDistMagn   0.200346
        colorDistFreq   1.63074
        detailScale     1276.87
        colorConversion true
        snowLevel       2
        tropicLatitude  0.394038
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.463854
        terraceProb     0.29779
        erosion         0
        montesMagn      0.420128
        montesFreq      2.8914
        montesSpiky     0.94726
        montesFraction  0.611087
        dunesFraction   0
        hillsMagn       0
        hillsFreq       6.08445
        hillsFraction   0.749349
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.251864
        craterFreq      0.266919
        craterDensity   0.718416
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.503316
        volcanoTemp     1778.21
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.159, 0.161, 0.182, 0.050)
        colorShelf     (0.187, 0.189, 0.209, 0.040)
        colorBeach     (0.215, 0.217, 0.236, 0.030)
        colorDesert    (0.243, 0.245, 0.268, 0.020)
        colorLowland   (0.271, 0.272, 0.295, 0.030)
        colorUpland    (0.300, 0.300, 0.323, 0.050)
        colorRock      (0.328, 0.328, 0.359, 0.020)
        colorSnow      (0.328, 0.328, 0.359, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.957534
        GasToDust   0.25
        Particles   2914
        GasBright   0.354458
        DustBright  0.632864
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   30.8521
        Period          190.164
        Eccentricity    0.945181
        Inclination     -75.2681
        AscendingNode   -165.084
        ArgOfPericenter -177.643
        MeanAnomaly     -62.2074
    }
}

Comet	"C29"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.39721e-015
    Radius          0.161001
    InertiaMoment   0.397364

    Oblateness      0.00309728

    RotationPeriod  95.5048
    Obliquity       76.811
    EqAscendNode    165.552

    AbsMagn         10.816
    SlopeParam      3.90473
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.843 0.781 0.714)

    Surface
    {
        SurfStyle       0.855328
        OceanStyle      0.34448
        Randomize      (-0.850, -0.516, 0.990)
        colorDistMagn   0.53718
        colorDistFreq   5.34556e-006
        detailScale     4.39641
        colorConversion true
        snowLevel       2
        tropicLatitude  0.790152
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.506941
        terraceProb     0.139791
        erosion         0
        montesMagn      0.558555
        montesFreq      1.99745
        montesSpiky     0.858631
        montesFraction  0.699714
        dunesFraction   0
        hillsMagn       0
        hillsFreq       7.39387e-005
        hillsFraction   0.442268
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.250889
        craterFreq      0.145042
        craterDensity   0.789604
        craterOctaves   4
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.436732
        volcanoTemp     1510.71
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.287, 0.273, 0.285, 0.050)
        colorShelf     (0.337, 0.320, 0.328, 0.040)
        colorBeach     (0.388, 0.367, 0.371, 0.030)
        colorDesert    (0.438, 0.414, 0.421, 0.020)
        colorLowland   (0.489, 0.461, 0.464, 0.030)
        colorUpland    (0.539, 0.508, 0.507, 0.050)
        colorRock      (0.590, 0.555, 0.564, 0.020)
        colorSnow      (0.590, 0.555, 0.564, 1.000)
        BumpHeight      0.144901
        BumpOffset      0.0289802
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.0279759
        GasToDust   0.25
        Particles   1036
        GasBright   0.280853
        DustBright  0.390956
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   18.0894
        Period          85.3759
        Eccentricity    0.939056
        Inclination     -26.87
        AscendingNode   -21.5161
        ArgOfPericenter -174.696
        MeanAnomaly     -110.534
    }
}

Comet	"C30"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.08064e-011
    Radius          2.89456
    InertiaMoment   0.399418

    Oblateness      0.00255571

    RotationPeriod  91.4856
    Obliquity       30.0167
    EqAscendNode    150.13

    AbsMagn         12.938
    SlopeParam      2.8468
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.570 0.567 0.562)

    Surface
    {
        SurfStyle       0.114583
        OceanStyle      0.866744
        Randomize      (0.225, -0.794, 0.114)
        colorDistMagn   0.858144
        colorDistFreq   0.0043208
        detailScale     79.0408
        colorConversion true
        snowLevel       2
        tropicLatitude  0.695169
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.711579
        terraceProb     0.343406
        erosion         0
        montesMagn      0.505043
        montesFreq      3.57742
        montesSpiky     0.946611
        montesFraction  0.538341
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0230345
        hillsFraction   0.673744
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.248961
        craterFreq      0.210566
        craterDensity   0.907074
        craterOctaves   9
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.443317
        volcanoTemp     1433.81
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.228, 0.227, 0.225, 0.000)
        colorShelf     (0.242, 0.241, 0.239, 0.000)
        colorBeach     (0.256, 0.255, 0.253, 0.000)
        colorDesert    (0.271, 0.269, 0.267, 0.000)
        colorLowland   (0.285, 0.283, 0.281, 0.000)
        colorUpland    (0.299, 0.298, 0.295, 0.000)
        colorRock      (0.313, 0.312, 0.309, 0.000)
        colorSnow      (0.328, 0.326, 0.323, 1.000)
        BumpHeight      2.60511
        BumpOffset      0.521021
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.509168
        GasToDust   0.25
        Particles   2008
        GasBright   0.169988
        DustBright  0.186307
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   24.2803
        Period          132.765
        Eccentricity    0.959811
        Inclination     -152.217
        AscendingNode   -78.3178
        ArgOfPericenter -58.2524
        MeanAnomaly     -103.468
    }
}

Comet	"C31"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            8.35796e-008
    Radius          62.9206
    InertiaMoment   0.398148

    Oblateness      0.00365535

    RotationPeriod  87.9457
    Obliquity       343.222
    EqAscendNode    134.707

    AbsMagn         0.549342
    SlopeParam      6.87274
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.757 0.697 0.636)

    Surface
    {
        SurfStyle       0.353373
        OceanStyle      0.882332
        Randomize      (0.224, 0.139, 0.392)
        colorDistMagn   0.449382
        colorDistFreq   3.05702
        detailScale     1718.15
        colorConversion true
        snowLevel       2
        tropicLatitude  0.339336
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.585646
        terraceProb     0.163359
        erosion         0
        montesMagn      0.394372
        montesFreq      3.30377
        montesSpiky     0.985487
        montesFraction  0.588202
        dunesFraction   0
        hillsMagn       0
        hillsFreq       9.90422
        hillsFraction   0.754487
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.258114
        craterFreq      0.259584
        craterDensity   0.965134
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.592353
        volcanoTemp     1341.45
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.303, 0.279, 0.254, 0.000)
        colorShelf     (0.322, 0.296, 0.270, 0.000)
        colorBeach     (0.341, 0.314, 0.286, 0.000)
        colorDesert    (0.360, 0.331, 0.302, 0.000)
        colorLowland   (0.379, 0.348, 0.318, 0.000)
        colorUpland    (0.398, 0.366, 0.334, 0.000)
        colorRock      (0.416, 0.383, 0.350, 0.000)
        colorSnow      (0.435, 0.401, 0.365, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.99036
        GasToDust   0.25
        Particles   2980
        GasBright   0.0303903
        DustBright  0.810391
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.3364
        Period          101.768
        Eccentricity    0.961312
        Inclination     -151.854
        AscendingNode   -44.9015
        ArgOfPericenter -18.4536
        MeanAnomaly     -161.467
    }
}

Comet	"C32"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.57348e-015
    Radius          0.179173
    InertiaMoment   0.399844

    Oblateness      0.00297034

    RotationPeriod  84.755
    Obliquity       296.428
    EqAscendNode    119.284

    AbsMagn         4.07864
    SlopeParam      5.19944
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.520 0.455 0.375)

    Surface
    {
        SurfStyle       0.248367
        OceanStyle      0.912369
        Randomize      (0.008, -0.137, 0.421)
        colorDistMagn   0.290358
        colorDistFreq   1.33833e-005
        detailScale     4.89261
        colorConversion true
        snowLevel       2
        tropicLatitude  0.938804
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.595274
        terraceProb     0.188506
        erosion         0
        montesMagn      0.407805
        montesFreq      3.07479
        montesSpiky     0.937844
        montesFraction  0.696872
        dunesFraction   0
        hillsMagn       0
        hillsFreq       9.09349e-005
        hillsFraction   0.661825
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.264546
        craterFreq      0.273316
        craterDensity   0.813823
        craterOctaves   5
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.471023
        volcanoTemp     1853.23
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.208, 0.182, 0.150, 0.000)
        colorShelf     (0.221, 0.193, 0.160, 0.000)
        colorBeach     (0.234, 0.205, 0.169, 0.000)
        colorDesert    (0.247, 0.216, 0.178, 0.000)
        colorLowland   (0.260, 0.228, 0.188, 0.000)
        colorUpland    (0.273, 0.239, 0.197, 0.000)
        colorRock      (0.286, 0.250, 0.206, 0.000)
        colorSnow      (0.299, 0.262, 0.216, 1.000)
        BumpHeight      0.161255
        BumpOffset      0.0322511
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.0608019
        GasToDust   0.25
        Particles   1102
        GasBright   0.0500006
        DustBright  0.475268
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   25.8967
        Period          146.241
        Eccentricity    0.958604
        Inclination     18.7039
        AscendingNode   105.578
        ArgOfPericenter -12.9146
        MeanAnomaly     173.093
    }
}

Comet	"C33"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.9904e-011
    Radius          3.89725
    InertiaMoment   0.398718

    Oblateness      0.00422201

    RotationPeriod  81.8297
    Obliquity       249.634
    EqAscendNode    103.862

    AbsMagn         5.85234
    SlopeParam      4.13423
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.645 0.512 0.387)

    Surface
    {
        SurfStyle       0.99353
        OceanStyle      0.447883
        Randomize      (0.519, -0.305, 0.610)
        colorDistMagn   0.856857
        colorDistFreq   0.0101091
        detailScale     106.421
        colorConversion true
        snowLevel       2
        tropicLatitude  0.827591
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.277023
        terraceProb     0.353441
        erosion         0
        montesMagn      0.54049
        montesFreq      2.69142
        montesSpiky     0.983293
        montesFraction  0.552387
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0333017
        hillsFraction   0.845327
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.222158
        craterFreq      0.186446
        craterDensity   0.811302
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.484089
        volcanoTemp     1497.98
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.219, 0.179, 0.155, 0.050)
        colorShelf     (0.258, 0.210, 0.178, 0.040)
        colorBeach     (0.297, 0.241, 0.201, 0.030)
        colorDesert    (0.336, 0.271, 0.228, 0.020)
        colorLowland   (0.374, 0.302, 0.252, 0.030)
        colorUpland    (0.413, 0.333, 0.275, 0.050)
        colorRock      (0.452, 0.363, 0.306, 0.020)
        colorSnow      (0.452, 0.363, 0.306, 1.000)
        BumpHeight      3.50752
        BumpOffset      0.701504
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.541994
        GasToDust   0.25
        Particles   2074
        GasBright   0.0323517
        DustBright  0.177403
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.8152
        Period          97.8812
        Eccentricity    0.960232
        Inclination     -102.898
        AscendingNode   45.6316
        ArgOfPericenter 124.315
        MeanAnomaly     13.1616
    }
}

Comet	"C34"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.53943e-007
    Radius          69.9746
    InertiaMoment   0.396758

    Oblateness      0.00335575

    RotationPeriod  79.1123
    Obliquity       202.84
    EqAscendNode    88.4391

    AbsMagn         7.27278
    SlopeParam      3.10832
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.834 0.756 0.700)

    Surface
    {
        SurfStyle       0.556231
        OceanStyle      0.492012
        Randomize      (-0.219, 0.886, -0.448)
        colorDistMagn   0.895816
        colorDistFreq   3.06022
        detailScale     1910.77
        colorConversion true
        snowLevel       2
        tropicLatitude  0.576003
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.386002
        terraceProb     0.194914
        erosion         0
        montesMagn      0.585815
        montesFreq      2.9567
        montesSpiky     0.849537
        montesFraction  0.485754
        dunesFraction   0
        hillsMagn       0
        hillsFreq       10.6482
        hillsFraction   0.645748
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.239479
        craterFreq      0.175839
        craterDensity   0.828323
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.435948
        volcanoTemp     1373.69
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.325, 0.257, 0.196, 0.000)
        colorShelf     (0.334, 0.265, 0.224, 0.000)
        colorBeach     (0.392, 0.310, 0.266, 0.000)
        colorDesert    (0.425, 0.333, 0.259, 0.000)
        colorLowland   (0.467, 0.355, 0.294, 0.000)
        colorUpland    (0.517, 0.431, 0.357, 0.000)
        colorRock      (0.559, 0.469, 0.385, 0.000)
        colorSnow      (0.609, 0.499, 0.406, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   1
        GasToDust   0.25
        Particles   3000
        GasBright   0.148069
        DustBright  0.546173
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.2043
        Period          93.3893
        Eccentricity    0.949022
        Inclination     56.9954
        AscendingNode   -165.714
        ArgOfPericenter 42.5756
        MeanAnomaly     -1.48939
    }
}

Comet	"C35"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.74004e-015
    Radius          0.241393
    InertiaMoment   0.399198

    Oblateness      0.00482125

    RotationPeriod  76.5615
    Obliquity       156.045
    EqAscendNode    73.0165

    AbsMagn         8.60461
    SlopeParam      7.7705
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.516 0.512 0.505)

    Surface
    {
        SurfStyle       0.175513
        OceanStyle      0.437644
        Randomize      (0.313, 0.066, -0.521)
        colorDistMagn   0.737999
        colorDistFreq   1.24289e-005
        detailScale     6.59163
        colorConversion true
        snowLevel       2
        tropicLatitude  0.869655
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.266721
        terraceProb     0.444919
        erosion         0
        montesMagn      0.56264
        montesFreq      2.8723
        montesSpiky     0.976234
        montesFraction  0.743699
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.000126943
        hillsFraction   0.440662
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.204569
        craterFreq      0.213259
        craterDensity   0.981619
        craterOctaves   5
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.545148
        volcanoTemp     1581.1
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.206, 0.205, 0.202, 0.000)
        colorShelf     (0.219, 0.218, 0.215, 0.000)
        colorBeach     (0.232, 0.231, 0.227, 0.000)
        colorDesert    (0.245, 0.243, 0.240, 0.000)
        colorLowland   (0.258, 0.256, 0.253, 0.000)
        colorUpland    (0.271, 0.269, 0.265, 0.000)
        colorRock      (0.284, 0.282, 0.278, 0.000)
        colorSnow      (0.297, 0.295, 0.290, 1.000)
        BumpHeight      0.217253
        BumpOffset      0.0434507
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.0936279
        GasToDust   0.25
        Particles   1168
        GasBright   0.103138
        DustBright  0.27559
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   15.5174
        Period          67.831
        Eccentricity    0.923419
        Inclination     -83.7419
        AscendingNode   167.508
        ArgOfPericenter -41.159
        MeanAnomaly     44.6105
    }
}

Comet	"C36"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.66607e-011
    Radius          4.331
    InertiaMoment   0.397803

    Oblateness      0.00381855

    RotationPeriod  74.1467
    Obliquity       109.251
    EqAscendNode    57.594

    AbsMagn         10.0093
    SlopeParam      5.48695
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.714 0.712 0.710)

    Surface
    {
        SurfStyle       0.0703051
        OceanStyle      0.872082
        Randomize      (0.807, -0.342, -0.890)
        colorDistMagn   0.972524
        colorDistFreq   0.0153593
        detailScale     118.265
        colorConversion true
        snowLevel       2
        tropicLatitude  0.851622
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.681101
        terraceProb     0.55319
        erosion         0
        montesMagn      0.496388
        montesFreq      2.82605
        montesSpiky     0.885521
        montesFraction  0.64615
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0520085
        hillsFraction   0.604172
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.217645
        craterFreq      0.191227
        craterDensity   0.908932
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.500729
        volcanoTemp     1498.65
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.286, 0.285, 0.284, 0.000)
        colorShelf     (0.303, 0.303, 0.302, 0.000)
        colorBeach     (0.321, 0.320, 0.320, 0.000)
        colorDesert    (0.339, 0.338, 0.337, 0.000)
        colorLowland   (0.357, 0.356, 0.355, 0.000)
        colorUpland    (0.375, 0.374, 0.373, 0.000)
        colorRock      (0.393, 0.392, 0.391, 0.000)
        colorSnow      (0.410, 0.409, 0.409, 1.000)
        BumpHeight      3.8979
        BumpOffset      0.77958
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.57482
        GasToDust   0.25
        Particles   2141
        GasBright   0.286045
        DustBright  0.57717
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   22.7353
        Period          120.297
        Eccentricity    0.930421
        Inclination     51.1636
        AscendingNode   -173.679
        ArgOfPericenter 51.9961
        MeanAnomaly     142.02
    }
}

Comet	"C37"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.83544e-007
    Radius          94.339
    InertiaMoment   0.399636

    Oblateness      0.00547233

    RotationPeriod  71.8442
    Obliquity       62.4566
    EqAscendNode    42.1714

    AbsMagn         11.7303
    SlopeParam      4.36551
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.462 0.459 0.457)

    Surface
    {
        SurfStyle       0.0676989
        OceanStyle      0.688886
        Randomize      (-0.197, 0.522, -0.363)
        colorDistMagn   0.722342
        colorDistFreq   6.05042
        detailScale     2576.08
        colorConversion true
        snowLevel       2
        tropicLatitude  0.805906
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.507687
        terraceProb     0.105163
        erosion         0
        montesMagn      0.576514
        montesFreq      3.07789
        montesSpiky     0.987496
        montesFraction  0.285082
        dunesFraction   0
        hillsMagn       0
        hillsFreq       20.0376
        hillsFraction   0.553313
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.211756
        craterFreq      0.364052
        craterDensity   0.873605
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.465557
        volcanoTemp     1579.26
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.185, 0.184, 0.183, 0.000)
        colorShelf     (0.196, 0.195, 0.194, 0.000)
        colorBeach     (0.208, 0.207, 0.205, 0.000)
        colorDesert    (0.219, 0.218, 0.217, 0.000)
        colorLowland   (0.231, 0.230, 0.228, 0.000)
        colorUpland    (0.242, 0.241, 0.240, 0.000)
        colorRock      (0.254, 0.252, 0.251, 0.000)
        colorSnow      (0.265, 0.264, 0.263, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   1
        GasToDust   0.25
        Particles   3000
        GasBright   0.213832
        DustBright  0.333869
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   13.7579
        Period          56.6277
        Eccentricity    0.912625
        Inclination     67.1689
        AscendingNode   -19.2573
        ArgOfPericenter -117.219
        MeanAnomaly     -130.596
    }
}

Comet	"C38"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            8.73053e-015
    Radius          0.268048
    InertiaMoment   0.398452

    Oblateness      0.00432027

    RotationPeriod  69.6354
    Obliquity       15.6623
    EqAscendNode    26.7488

    AbsMagn         14.8538
    SlopeParam      3.35537
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.590 0.583 0.580)

    Surface
    {
        SurfStyle       0.133417
        OceanStyle      0.914136
        Randomize      (0.482, 0.445, -0.914)
        colorDistMagn   0.437607
        colorDistFreq   2.79419e-005
        detailScale     7.31949
        colorConversion true
        snowLevel       2
        tropicLatitude  0.994018
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.744909
        terraceProb     0.360451
        erosion         0
        montesMagn      0.635126
        montesFreq      2.84491
        montesSpiky     0.917242
        montesFraction  0.730791
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.000184217
        hillsFraction   0.736694
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.207972
        craterFreq      0.230948
        craterDensity   0.894259
        craterOctaves   5
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.482126
        volcanoTemp     1331.67
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.236, 0.233, 0.232, 0.000)
        colorShelf     (0.251, 0.248, 0.247, 0.000)
        colorBeach     (0.265, 0.262, 0.261, 0.000)
        colorDesert    (0.280, 0.277, 0.276, 0.000)
        colorLowland   (0.295, 0.291, 0.290, 0.000)
        colorUpland    (0.310, 0.306, 0.305, 0.000)
        colorRock      (0.324, 0.320, 0.319, 0.000)
        colorSnow      (0.339, 0.335, 0.334, 1.000)
        BumpHeight      0.241243
        BumpOffset      0.0482486
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.126454
        GasToDust   0.25
        Particles   1235
        GasBright   0.10436
        DustBright  0.127828
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.719
        Period          104.653
        Eccentricity    0.973851
        Inclination     86.9248
        AscendingNode   -102.33
        ArgOfPericenter 5.02599
        MeanAnomaly     -66.6855
    }
}

Comet	"C39"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            6.75244e-011
    Radius          5.84332
    InertiaMoment   0.395437

    Oblateness      0.00608848

    RotationPeriod  67.5052
    Obliquity       328.868
    EqAscendNode    11.3262

    AbsMagn         2.79179
    SlopeParam      2.12855
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.431 0.427 0.424)

    Surface
    {
        SurfStyle       0.93158
        OceanStyle      0.848851
        Randomize      (-0.517, -0.201, 0.762)
        colorDistMagn   0.537955
        colorDistFreq   0.0110576
        detailScale     159.562
        colorConversion true
        snowLevel       2
        tropicLatitude  0.903855
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.460387
        terraceProb     0.269536
        erosion         0
        montesMagn      0.684451
        montesFreq      3.07508
        montesSpiky     0.906419
        montesFraction  0.34809
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.084724
        hillsFraction   0.814692
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.238048
        craterFreq      0.260402
        craterDensity   0.837982
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.478985
        volcanoTemp     1326.68
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.146, 0.149, 0.170, 0.050)
        colorShelf     (0.172, 0.175, 0.195, 0.040)
        colorBeach     (0.198, 0.201, 0.221, 0.030)
        colorDesert    (0.224, 0.226, 0.250, 0.020)
        colorLowland   (0.250, 0.252, 0.276, 0.030)
        colorUpland    (0.276, 0.277, 0.301, 0.050)
        colorRock      (0.302, 0.303, 0.335, 0.020)
        colorSnow      (0.302, 0.303, 0.335, 1.000)
        BumpHeight      5.25899
        BumpOffset      1.0518
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.607646
        GasToDust   0.25
        Particles   2207
        GasBright   0.006097
        DustBright  0.710577
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.1602
        Period          93.0684
        Eccentricity    0.968013
        Inclination     -33.8625
        AscendingNode   10.8316
        ArgOfPericenter 103.795
        MeanAnomaly     137.848
    }
}

Comet	"C40"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.22253e-007
    Radius          104.667
    InertiaMoment   0.398968

    Oblateness      0.00487823

    RotationPeriod  65.4413
    Obliquity       282.074
    EqAscendNode    355.904

    AbsMagn         5.02685
    SlopeParam      5.80915
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.534 0.529 0.522)

    Surface
    {
        SurfStyle       0.208069
        OceanStyle      0.0280099
        Randomize      (0.168, -0.719, -0.475)
        colorDistMagn   0.918416
        colorDistFreq   3.71945
        detailScale     2858.11
        colorConversion true
        snowLevel       2
        tropicLatitude  0.995782
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.452169
        terraceProb     0.177942
        erosion         0
        montesMagn      0.401309
        montesFreq      4.19046
        montesSpiky     0.944062
        montesFraction  0.648246
        dunesFraction   0
        hillsMagn       0
        hillsFreq       26.7998
        hillsFraction   0.715616
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.238816
        craterFreq      0.454106
        craterDensity   0.724331
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.559682
        volcanoTemp     1670.56
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.214, 0.212, 0.209, 0.000)
        colorShelf     (0.227, 0.225, 0.222, 0.000)
        colorBeach     (0.240, 0.238, 0.235, 0.000)
        colorDesert    (0.254, 0.251, 0.248, 0.000)
        colorLowland   (0.267, 0.264, 0.261, 0.000)
        colorUpland    (0.280, 0.278, 0.274, 0.000)
        colorRock      (0.294, 0.291, 0.287, 0.000)
        colorSnow      (0.307, 0.304, 0.300, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   1
        GasToDust   0.25
        Particles   3000
        GasBright   0.0270995
        DustBright  0.374061
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.9125
        Period          106.123
        Eccentricity    0.961827
        Inclination     157.907
        AscendingNode   -39.064
        ArgOfPericenter -33.9266
        MeanAnomaly     157.317
    }
}

Comet	"C41"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.60806e-014
    Radius          0.361934
    InertiaMoment   0.397376

    Oblateness      0.00693073

    RotationPeriod  63.4332
    Obliquity       235.279
    EqAscendNode    340.481

    AbsMagn         6.57533
    SlopeParam      4.60181
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.504 0.412 0.352)

    Surface
    {
        SurfStyle       0.699951
        OceanStyle      0.65975
        Randomize      (0.807, -0.756, 0.213)
        colorDistMagn   0.149266
        colorDistFreq   6.0925e-005
        detailScale     9.88322
        colorConversion true
        snowLevel       2
        tropicLatitude  0.987622
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.468597
        terraceProb     0.325791
        erosion         0
        montesMagn      0.333071
        montesFreq      2.4988
        montesSpiky     0.986864
        montesFraction  0.791751
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.000321202
        hillsFraction   0.608018
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.217123
        craterFreq      0.200545
        craterDensity   1.03389
        craterOctaves   6
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.547086
        volcanoTemp     1575.6
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.197, 0.140, 0.099, 0.000)
        colorShelf     (0.202, 0.144, 0.113, 0.000)
        colorBeach     (0.237, 0.169, 0.134, 0.000)
        colorDesert    (0.257, 0.181, 0.130, 0.000)
        colorLowland   (0.282, 0.194, 0.148, 0.000)
        colorUpland    (0.312, 0.235, 0.180, 0.000)
        colorRock      (0.338, 0.256, 0.194, 0.000)
        colorSnow      (0.368, 0.272, 0.204, 1.000)
        BumpHeight      0.325741
        BumpOffset      0.0651482
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.15928
        GasToDust   0.25
        Particles   1301
        GasBright   0.112121
        DustBright  0.773526
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   18.8092
        Period          90.5226
        Eccentricity    0.957858
        Inclination     -43.8313
        AscendingNode   -175.858
        ArgOfPericenter -40.3799
        MeanAnomaly     -144.953
    }
}

Comet	"C42"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.24371e-010
    Radius          6.47706
    InertiaMoment   0.399423

    Oblateness      0.00551083

    RotationPeriod  61.472
    Obliquity       188.485
    EqAscendNode    325.058

    AbsMagn         7.93043
    SlopeParam      3.59292
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.834 0.794 0.764)

    Surface
    {
        SurfStyle       0.906365
        OceanStyle      0.770895
        Randomize      (-0.566, 0.408, 0.933)
        colorDistMagn   0.99731
        colorDistFreq   0.0135012
        detailScale     176.867
        colorConversion true
        snowLevel       2
        tropicLatitude  0.997346
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.411669
        terraceProb     0.312485
        erosion         0
        montesMagn      0.559555
        montesFreq      3.67383
        montesSpiky     0.97247
        montesFraction  0.230464
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.102421
        hillsFraction   0.849287
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.253909
        craterFreq      0.212866
        craterDensity   0.945928
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.5493
        volcanoTemp     1503.43
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.284, 0.278, 0.305, 0.050)
        colorShelf     (0.334, 0.325, 0.351, 0.040)
        colorBeach     (0.384, 0.373, 0.397, 0.030)
        colorDesert    (0.434, 0.421, 0.451, 0.020)
        colorLowland   (0.484, 0.468, 0.496, 0.030)
        colorUpland    (0.534, 0.516, 0.542, 0.050)
        colorRock      (0.584, 0.564, 0.603, 0.020)
        colorSnow      (0.584, 0.564, 0.603, 1.000)
        BumpHeight      5.82936
        BumpOffset      1.16587
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.640472
        GasToDust   0.25
        Particles   2273
        GasBright   0.105841
        DustBright  0.464293
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   14.678
        Period          62.4021
        Eccentricity    0.988953
        Inclination     98.856
        AscendingNode   -123.026
        ArgOfPericenter -54.3966
        MeanAnomaly     -58.5597
    }
}

Comet	"C43"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.8295e-018
    Radius          0.0224182
    InertiaMoment   0.398156

    Oblateness      0.00787031

    RotationPeriod  59.55
    Obliquity       141.691
    EqAscendNode    309.636

    AbsMagn         9.27737
    SlopeParam      2.45871
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.432 0.429 0.423)

    Surface
    {
        SurfStyle       0.871455
        OceanStyle      0.161135
        Randomize      (-0.183, 0.618, 0.250)
        colorDistMagn   0.53187
        colorDistFreq   2.61771e-007
        detailScale     0.612167
        colorConversion true
        snowLevel       2
        tropicLatitude  0.947318
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.628151
        terraceProb     0.175742
        erosion         0
        montesMagn      0.521762
        montesFreq      2.12717
        montesSpiky     0.969354
        montesFraction  0.671142
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.25342e-006
        hillsFraction   0.704132
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.21622
        craterFreq      0.236304
        craterDensity   1.01433
        craterOctaves   1
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.435251
        volcanoTemp     1711.6
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.147, 0.150, 0.169, 0.050)
        colorShelf     (0.173, 0.176, 0.195, 0.040)
        colorBeach     (0.199, 0.201, 0.220, 0.030)
        colorDesert    (0.224, 0.227, 0.250, 0.020)
        colorLowland   (0.250, 0.253, 0.275, 0.030)
        colorUpland    (0.276, 0.279, 0.300, 0.050)
        colorRock      (0.302, 0.304, 0.334, 0.020)
        colorSnow      (0.302, 0.304, 0.334, 1.000)
        BumpHeight      0.0201764
        BumpOffset      0.00403528
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.0623027
        DustBright  0.192318
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.9203
        Period          98.6605
        Eccentricity    0.93538
        Inclination     -118.578
        AscendingNode   95.8048
        ArgOfPericenter -39.3441
        MeanAnomaly     -105.584
    }
}

Comet	"C44"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.96184e-014
    Radius          0.400788
    InertiaMoment   0.39985

    Oblateness      0.00624133

    RotationPeriod  57.6604
    Obliquity       94.8966
    EqAscendNode    294.213

    AbsMagn         10.7928
    SlopeParam      6.18693
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.513 0.510 0.507)

    Surface
    {
        SurfStyle       0.293275
        OceanStyle      0.210653
        Randomize      (-0.518, -0.036, -0.433)
        colorDistMagn   0.172494
        colorDistFreq   6.4443e-005
        detailScale     10.9442
        colorConversion true
        snowLevel       2
        tropicLatitude  0.653832
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.765898
        terraceProb     0.183278
        erosion         0
        montesMagn      0.402695
        montesFreq      3.00063
        montesSpiky     0.953783
        montesFraction  0.262294
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.000392601
        hillsFraction   0.762766
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.260487
        craterFreq      0.246055
        craterDensity   0.771306
        craterOctaves   6
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.501895
        volcanoTemp     1527.19
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.205, 0.204, 0.203, 0.000)
        colorShelf     (0.218, 0.217, 0.215, 0.000)
        colorBeach     (0.231, 0.230, 0.228, 0.000)
        colorDesert    (0.244, 0.242, 0.241, 0.000)
        colorLowland   (0.257, 0.255, 0.253, 0.000)
        colorUpland    (0.270, 0.268, 0.266, 0.000)
        colorRock      (0.282, 0.281, 0.279, 0.000)
        colorSnow      (0.295, 0.293, 0.291, 1.000)
        BumpHeight      0.360709
        BumpOffset      0.0721418
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.192106
        GasToDust   0.25
        Particles   1367
        GasBright   0.224492
        DustBright  0.514615
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.0849
        Period          99.886
        Eccentricity    0.943734
        Inclination     -98.6665
        AscendingNode   -40.9638
        ArgOfPericenter -26.0335
        MeanAnomaly     -124.642
    }
}

Comet	"C45"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.29077e-010
    Radius          8.76139
    InertiaMoment   0.398724

    Oblateness      0.00896467

    RotationPeriod  55.7971
    Obliquity       48.1023
    EqAscendNode    278.791

    AbsMagn         12.8992
    SlopeParam      4.84684
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.584 0.461 0.387)

    Surface
    {
        SurfStyle       0.624938
        OceanStyle      0.241893
        Randomize      (0.221, 0.911, -0.694)
        colorDistMagn   0.194969
        colorDistFreq   0.0286826
        detailScale     239.244
        colorConversion true
        snowLevel       2
        tropicLatitude  0.953687
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.340041
        terraceProb     0.474499
        erosion         0
        montesMagn      0.455305
        montesFreq      3.25594
        montesSpiky     0.986946
        montesFraction  0.630332
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.146981
        hillsFraction   0.802922
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.233913
        craterFreq      0.235819
        craterDensity   0.952972
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.541647
        volcanoTemp     1572.66
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.228, 0.157, 0.108, 0.000)
        colorShelf     (0.233, 0.161, 0.124, 0.000)
        colorBeach     (0.274, 0.189, 0.147, 0.000)
        colorDesert    (0.298, 0.203, 0.143, 0.000)
        colorLowland   (0.327, 0.217, 0.162, 0.000)
        colorUpland    (0.362, 0.263, 0.197, 0.000)
        colorRock      (0.391, 0.286, 0.213, 0.000)
        colorSnow      (0.426, 0.304, 0.224, 1.000)
        BumpHeight      7.88525
        BumpOffset      1.57705
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.673298
        GasToDust   0.25
        Particles   2339
        GasBright   0.153671
        DustBright  0.269923
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   15.1375
        Period          65.3558
        Eccentricity    0.917046
        Inclination     44.1654
        AscendingNode   -69.8987
        ArgOfPericenter 75.0368
        MeanAnomaly     143.701
    }
}

Comet	"C46"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            7.05343e-018
    Radius          0.0247978
    InertiaMoment   0.396777

    Oblateness      0.00700858

    RotationPeriod  53.9544
    Obliquity       1.30796
    EqAscendNode    263.368

    AbsMagn         0.443597
    SlopeParam      3.82485
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.424 0.421 0.418)

    Surface
    {
        SurfStyle       0.727509
        OceanStyle      0.426531
        Randomize      (0.669, 0.995, -0.765)
        colorDistMagn   0.664769
        colorDistFreq   4.38571e-007
        detailScale     0.677144
        colorConversion true
        snowLevel       2
        tropicLatitude  0.799203
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.388354
        terraceProb     0.281394
        erosion         0
        montesMagn      0.501939
        montesFreq      2.95429
        montesSpiky     0.985857
        montesFraction  0.608928
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.20693e-006
        hillsFraction   0.585082
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.260922
        craterFreq      0.209767
        craterDensity   0.760355
        craterOctaves   1
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.437261
        volcanoTemp     1456.97
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.165, 0.143, 0.117, 0.000)
        colorShelf     (0.169, 0.147, 0.134, 0.000)
        colorBeach     (0.199, 0.173, 0.159, 0.000)
        colorDesert    (0.216, 0.185, 0.155, 0.000)
        colorLowland   (0.237, 0.198, 0.176, 0.000)
        colorUpland    (0.263, 0.240, 0.213, 0.000)
        colorRock      (0.284, 0.261, 0.230, 0.000)
        colorSnow      (0.309, 0.278, 0.243, 1.000)
        BumpHeight      0.022318
        BumpOffset      0.0044636
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.38305
        DustBright  0.52503
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.2691
        Period          124.557
        Eccentricity    0.965376
        Inclination     51.9252
        AscendingNode   -30.5915
        ArgOfPericenter 17.7264
        MeanAnomaly     -156.733
    }
}

Comet	"C47"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.45532e-014
    Radius          0.542683
    InertiaMoment   0.399204

    Oblateness      0.0102681

    RotationPeriod  52.1273
    Obliquity       314.514
    EqAscendNode    247.945

    AbsMagn         4.0491
    SlopeParam      2.75136
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.588 0.581 0.576)

    Surface
    {
        SurfStyle       0.468178
        OceanStyle      0.81885
        Randomize      (-0.149, -0.091, 0.732)
        colorDistMagn   0.762603
        colorDistFreq   0.000205141
        detailScale     14.8189
        colorConversion true
        snowLevel       2
        tropicLatitude  0.885469
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.664024
        terraceProb     0.177857
        erosion         0
        montesMagn      0.590695
        montesFreq      2.47134
        montesSpiky     0.995115
        montesFraction  0.814063
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.000619245
        hillsFraction   0.601917
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.219921
        craterFreq      0.232178
        craterDensity   1.03846
        craterOctaves   6
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.57991
        volcanoTemp     1508.69
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.235, 0.233, 0.230, 0.000)
        colorShelf     (0.250, 0.247, 0.245, 0.000)
        colorBeach     (0.264, 0.262, 0.259, 0.000)
        colorDesert    (0.279, 0.276, 0.274, 0.000)
        colorLowland   (0.294, 0.291, 0.288, 0.000)
        colorUpland    (0.309, 0.305, 0.302, 0.000)
        colorRock      (0.323, 0.320, 0.317, 0.000)
        colorSnow      (0.338, 0.334, 0.331, 1.000)
        BumpHeight      0.488415
        BumpOffset      0.097683
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.224932
        GasToDust   0.25
        Particles   1434
        GasBright   0.284947
        DustBright  0.30762
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   24.3749
        Period          133.541
        Eccentricity    0.970138
        Inclination     24.2269
        AscendingNode   -126.642
        ArgOfPericenter 16.2126
        MeanAnomaly     3.49116
    }
}

Comet	"C48"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.2193e-010
    Radius          9.67985
    InertiaMoment   0.397813

    Oblateness      0.00804598

    RotationPeriod  50.3107
    Obliquity       267.719
    EqAscendNode    232.523

    AbsMagn         5.83129
    SlopeParam      6.66504
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.721 0.718 0.715)

    Surface
    {
        SurfStyle       0.380269
        OceanStyle      0.408154
        Randomize      (0.148, -0.627, 0.360)
        colorDistMagn   0.639516
        colorDistFreq   0.0354948
        detailScale     264.324
        colorConversion true
        snowLevel       2
        tropicLatitude  0.485077
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.299269
        terraceProb     0.201106
        erosion         0
        montesMagn      0.385889
        montesFreq      2.97456
        montesSpiky     0.96656
        montesFraction  0.636252
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.189151
        hillsFraction   0.703971
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.275066
        craterFreq      0.214485
        craterDensity   0.972864
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.514248
        volcanoTemp     1360.84
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.289, 0.287, 0.286, 0.000)
        colorShelf     (0.307, 0.305, 0.304, 0.000)
        colorBeach     (0.325, 0.323, 0.322, 0.000)
        colorDesert    (0.343, 0.341, 0.340, 0.000)
        colorLowland   (0.361, 0.359, 0.358, 0.000)
        colorUpland    (0.379, 0.377, 0.375, 0.000)
        colorRock      (0.397, 0.395, 0.393, 0.000)
        colorSnow      (0.415, 0.413, 0.411, 1.000)
        BumpHeight      8.71186
        BumpOffset      1.74237
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.706123
        GasToDust   0.25
        Particles   2406
        GasBright   0.0110585
        DustBright  0.265995
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   22.0734
        Period          115.082
        Eccentricity    0.978513
        Inclination     92.9414
        AscendingNode   -151.446
        ArgOfPericenter 98.4885
        MeanAnomaly     -151.348
    }
}

Comet	"C49"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.29916e-017
    Radius          0.0336141
    InertiaMoment   0.399641

    Oblateness      0.0118558

    RotationPeriod  48.4999
    Obliquity       220.925
    EqAscendNode    217.1

    AbsMagn         7.25426
    SlopeParam      5.10535
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.501 0.406 0.326)

    Surface
    {
        SurfStyle       0.0295117
        OceanStyle      0.240231
        Randomize      (-0.493, -0.378, 0.285)
        colorDistMagn   0.0408748
        colorDistFreq   7.22063e-007
        detailScale     0.917888
        colorConversion true
        snowLevel       2
        tropicLatitude  0.00761159
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.63161
        terraceProb     0.237428
        erosion         0
        montesMagn      0.381343
        montesFreq      2.98475
        montesSpiky     0.925987
        montesFraction  0.6553
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.47863e-006
        hillsFraction   0.734459
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.250885
        craterFreq      0.199866
        craterDensity   0.785731
        craterOctaves   2
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.424693
        volcanoTemp     1387.68
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.201, 0.163, 0.130, 0.000)
        colorShelf     (0.213, 0.173, 0.138, 0.000)
        colorBeach     (0.226, 0.183, 0.147, 0.000)
        colorDesert    (0.238, 0.193, 0.155, 0.000)
        colorLowland   (0.251, 0.203, 0.163, 0.000)
        colorUpland    (0.263, 0.213, 0.171, 0.000)
        colorRock      (0.276, 0.224, 0.179, 0.000)
        colorSnow      (0.288, 0.234, 0.187, 1.000)
        BumpHeight      0.0302527
        BumpOffset      0.00605053
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.0753619
        DustBright  0.686178
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.7696
        Period          105.037
        Eccentricity    0.934717
        Inclination     40.9495
        AscendingNode   179.335
        ArgOfPericenter 93.0261
        MeanAnomaly     78.2359
    }
}

Comet	"C50"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.0048e-013
    Radius          0.598792
    InertiaMoment   0.398459

    Oblateness      0.00930844

    RotationPeriod  46.6905
    Obliquity       174.131
    EqAscendNode    201.678

    AbsMagn         8.5862
    SlopeParam      4.05444
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.466 0.462 0.459)

    Surface
    {
        SurfStyle       0.17466
        OceanStyle      0.946656
        Randomize      (-0.621, 0.138, 0.480)
        colorDistMagn   0.241646
        colorDistFreq   0.000171129
        detailScale     16.351
        colorConversion true
        snowLevel       2
        tropicLatitude  0.984817
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.700103
        terraceProb     0.148373
        erosion         0
        montesMagn      0.634275
        montesFreq      2.76729
        montesSpiky     0.841611
        montesFraction  0.805705
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00104544
        hillsFraction   0.575322
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.224054
        craterFreq      0.279334
        craterDensity   0.946178
        craterOctaves   7
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.527625
        volcanoTemp     1489.96
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.186, 0.185, 0.184, 0.000)
        colorShelf     (0.198, 0.196, 0.195, 0.000)
        colorBeach     (0.209, 0.208, 0.207, 0.000)
        colorDesert    (0.221, 0.219, 0.218, 0.000)
        colorLowland   (0.233, 0.231, 0.230, 0.000)
        colorUpland    (0.244, 0.242, 0.241, 0.000)
        colorRock      (0.256, 0.254, 0.253, 0.000)
        colorSnow      (0.268, 0.265, 0.264, 1.000)
        BumpHeight      0.538913
        BumpOffset      0.107783
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.257758
        GasToDust   0.25
        Particles   1500
        GasBright   0.0704745
        DustBright  0.375552
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.2669
        Period          108.832
        Eccentricity    0.943154
        Inclination     85.6205
        AscendingNode   16.7532
        ArgOfPericenter -105.772
        MeanAnomaly     -128.444
    }
}

Comet	"C51"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            7.77144e-010
    Radius          13.137
    InertiaMoment   0.395505

    Oblateness      0.0136051

    RotationPeriod  44.8777
    Obliquity       127.336
    EqAscendNode    186.255

    AbsMagn         9.98863
    SlopeParam      3.01939
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.723 0.649 0.619)

    Surface
    {
        SurfStyle       0.590138
        OceanStyle      0.872618
        Randomize      (-0.847, 0.947, -0.623)
        colorDistMagn   0.244225
        colorDistFreq   0.111707
        detailScale     358.728
        colorConversion true
        snowLevel       2
        tropicLatitude  0.796728
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.370539
        terraceProb     0.129093
        erosion         0
        montesMagn      0.47489
        montesFreq      2.40424
        montesSpiky     0.947175
        montesFraction  0.505858
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.433026
        hillsFraction   0.771427
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.243673
        craterFreq      0.218269
        craterDensity   0.916982
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.458016
        volcanoTemp     1367.82
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.282, 0.221, 0.173, 0.000)
        colorShelf     (0.289, 0.227, 0.198, 0.000)
        colorBeach     (0.340, 0.266, 0.235, 0.000)
        colorDesert    (0.369, 0.285, 0.229, 0.000)
        colorLowland   (0.405, 0.305, 0.260, 0.000)
        colorUpland    (0.448, 0.370, 0.316, 0.000)
        colorRock      (0.484, 0.402, 0.341, 0.000)
        colorSnow      (0.528, 0.428, 0.359, 1.000)
        BumpHeight      11.8233
        BumpOffset      2.36466
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.738949
        GasToDust   0.25
        Particles   2472
        GasBright   0.201968
        DustBright  0.728545
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   26.4673
        Period          151.1
        Eccentricity    0.981648
        Inclination     177.643
        AscendingNode   87.118
        ArgOfPericenter 102.291
        MeanAnomaly     19.7599
    }
}

Comet	"C52"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.39289e-017
    Radius          0.0370362
    InertiaMoment   0.398974

    Oblateness      0.0108967

    RotationPeriod  43.057
    Obliquity       80.5422
    EqAscendNode    170.833

    AbsMagn         11.7023
    SlopeParam      7.37833
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.666 0.661 0.657)

    Surface
    {
        SurfStyle       0.780179
        OceanStyle      0.20264
        Randomize      (0.349, 0.041, -0.374)
        colorDistMagn   0.204096
        colorDistFreq   1.00198e-006
        detailScale     1.01133
        colorConversion true
        snowLevel       2
        tropicLatitude  0.603173
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.548113
        terraceProb     0.736099
        erosion         0
        montesMagn      0.607044
        montesFreq      3.98549
        montesSpiky     0.972964
        montesFraction  0.912396
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.54373e-006
        hillsFraction   0.570449
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.243268
        craterFreq      0.278863
        craterDensity   1.09129
        craterOctaves   2
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.541336
        volcanoTemp     1527.57
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.260, 0.225, 0.184, 0.000)
        colorShelf     (0.266, 0.231, 0.210, 0.000)
        colorBeach     (0.313, 0.271, 0.250, 0.000)
        colorDesert    (0.340, 0.291, 0.243, 0.000)
        colorLowland   (0.373, 0.311, 0.276, 0.000)
        colorUpland    (0.413, 0.377, 0.335, 0.000)
        colorRock      (0.446, 0.410, 0.362, 0.000)
        colorSnow      (0.486, 0.436, 0.381, 1.000)
        BumpHeight      0.0333325
        BumpOffset      0.00666651
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.169799
        DustBright  0.445201
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   26.0433
        Period          147.484
        Eccentricity    0.940439
        Inclination     -64.1677
        AscendingNode   168.243
        ArgOfPericenter -16.8835
        MeanAnomaly     -161.66
    }
}

Comet	"C53"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.85072e-013
    Radius          0.813716
    InertiaMoment   0.397388

    Oblateness      0.0162043

    RotationPeriod  41.2235
    Obliquity       33.7479
    EqAscendNode    155.41

    AbsMagn         14.7761
    SlopeParam      5.38385
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.541 0.534 0.531)

    Surface
    {
        SurfStyle       0.951952
        OceanStyle      0.291926
        Randomize      (-0.686, -0.466, -0.035)
        colorDistMagn   0.567376
        colorDistFreq   0.000433593
        detailScale     22.2199
        colorConversion true
        snowLevel       2
        tropicLatitude  0.575489
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.462071
        terraceProb     0.254314
        erosion         0
        montesMagn      0.535732
        montesFreq      3.27058
        montesSpiky     0.923241
        montesFraction  0.513091
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00179842
        hillsFraction   0.46721
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.223623
        craterFreq      0.264251
        craterDensity   0.832848
        craterOctaves   7
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.49152
        volcanoTemp     1362.19
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.184, 0.187, 0.213, 0.050)
        colorShelf     (0.216, 0.219, 0.244, 0.040)
        colorBeach     (0.249, 0.251, 0.276, 0.030)
        colorDesert    (0.281, 0.283, 0.314, 0.020)
        colorLowland   (0.314, 0.315, 0.345, 0.030)
        colorUpland    (0.346, 0.347, 0.377, 0.050)
        colorRock      (0.379, 0.379, 0.420, 0.020)
        colorSnow      (0.379, 0.379, 0.420, 1.000)
        BumpHeight      0.732344
        BumpOffset      0.146469
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.290583
        GasToDust   0.25
        Particles   1566
        GasBright   0.10037
        DustBright  0.199116
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.031 0.066 0.051)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.4646
        Period          95.2946
        Eccentricity    0.959984
        Inclination     -11.4618
        AscendingNode   -88.4939
        ArgOfPericenter -136.128
        MeanAnomaly     83.279
    }
}

Comet	"C54"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.4314e-009
    Radius          14.4513
    InertiaMoment   0.399429

    Oblateness      0.0129643

    RotationPeriod  39.3723
    Obliquity       346.954
    EqAscendNode    139.987

    AbsMagn         2.749
    SlopeParam      4.28475
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.663 0.661 0.656)

    Surface
    {
        SurfStyle       0.539834
        OceanStyle      0.296807
        Randomize      (-0.807, 0.036, -0.148)
        colorDistMagn   0.79
        colorDistFreq   0.17605
        detailScale     394.618
        colorConversion true
        snowLevel       2
        tropicLatitude  0.261909
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.337057
        terraceProb     0.17497
        erosion         0
        montesMagn      0.343925
        montesFreq      2.67057
        montesSpiky     0.884546
        montesFraction  0.544656
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.438354
        hillsFraction   0.420298
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.213529
        craterFreq      0.209479
        craterDensity   0.9103
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.52193
        volcanoTemp     1103.54
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.259, 0.225, 0.184, 0.000)
        colorShelf     (0.265, 0.231, 0.210, 0.000)
        colorBeach     (0.312, 0.271, 0.249, 0.000)
        colorDesert    (0.338, 0.291, 0.243, 0.000)
        colorLowland   (0.372, 0.311, 0.276, 0.000)
        colorUpland    (0.411, 0.377, 0.335, 0.000)
        colorRock      (0.444, 0.410, 0.361, 0.000)
        colorSnow      (0.484, 0.436, 0.381, 1.000)
        BumpHeight      13.0062
        BumpOffset      2.60124
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.771775
        GasToDust   0.25
        Particles   2538
        GasBright   0.309031
        DustBright  0.474942
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.031 0.066 0.051)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   17.734
        Period          82.8726
        Eccentricity    0.979592
        Inclination     -177.719
        AscendingNode   157.859
        ArgOfPericenter 49.8538
        MeanAnomaly     63.9526
    }
}

Comet	"C55"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.40738e-017
    Radius          0.0504023
    InertiaMoment   0.398164

    Oblateness      0.0196003

    RotationPeriod  37.4979
    Obliquity       300.159
    EqAscendNode    124.565

    AbsMagn         5.0028
    SlopeParam      3.27083
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.535 0.530 0.526)

    Surface
    {
        SurfStyle       0.0531271
        OceanStyle      0.624896
        Randomize      (0.505, 0.417, 0.989)
        colorDistMagn   0.44139
        colorDistFreq   1.09604e-006
        detailScale     1.37632
        colorConversion true
        snowLevel       2
        tropicLatitude  0.226218
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.411607
        terraceProb     0.239893
        erosion         0
        montesMagn      0.564921
        montesFreq      3.31652
        montesSpiky     0.963017
        montesFraction  0.792179
        dunesFraction   0
        hillsMagn       0
        hillsFreq       6.0817e-006
        hillsFraction   0.506612
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.232166
        craterFreq      0.220007
        craterDensity   0.903477
        craterOctaves   3
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.534093
        volcanoTemp     1273.1
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.214, 0.212, 0.211, 0.000)
        colorShelf     (0.228, 0.225, 0.224, 0.000)
        colorBeach     (0.241, 0.239, 0.237, 0.000)
        colorDesert    (0.254, 0.252, 0.250, 0.000)
        colorLowland   (0.268, 0.265, 0.263, 0.000)
        colorUpland    (0.281, 0.278, 0.276, 0.000)
        colorRock      (0.295, 0.292, 0.290, 0.000)
        colorSnow      (0.308, 0.305, 0.303, 1.000)
        BumpHeight      0.045362
        BumpOffset      0.00907241
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.212321
        DustBright  0.256139
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.031 0.066 0.051)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   17.5728
        Period          81.7451
        Eccentricity    0.985782
        Inclination     -71.7612
        AscendingNode   -174.094
        ArgOfPericenter -41.7417
        MeanAnomaly     -84.0844
    }
}

Comet	"C56"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.40879e-013
    Radius          0.893529
    InertiaMoment   0.399855

    Oblateness      0.0157695

    RotationPeriod  35.5946
    Obliquity       253.365
    EqAscendNode    109.142

    AbsMagn         6.55592
    SlopeParam      2.0013
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.445 0.438 0.432)

    Surface
    {
        SurfStyle       0.364683
        OceanStyle      0.813005
        Randomize      (-0.625, -0.956, 0.113)
        colorDistMagn   0.705433
        colorDistFreq   0.000229313
        detailScale     24.3993
        colorConversion true
        snowLevel       2
        tropicLatitude  0.997031
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.525833
        terraceProb     0.399117
        erosion         0
        montesMagn      0.424071
        montesFreq      3.09486
        montesSpiky     0.97226
        montesFraction  0.546496
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0022433
        hillsFraction   0.806102
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.271084
        craterFreq      0.177906
        craterDensity   1.06491
        craterOctaves   7
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.521617
        volcanoTemp     1261.96
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.178, 0.175, 0.173, 0.000)
        colorShelf     (0.189, 0.186, 0.183, 0.000)
        colorBeach     (0.200, 0.197, 0.194, 0.000)
        colorDesert    (0.211, 0.208, 0.205, 0.000)
        colorLowland   (0.222, 0.219, 0.216, 0.000)
        colorUpland    (0.233, 0.230, 0.227, 0.000)
        colorRock      (0.245, 0.241, 0.237, 0.000)
        colorSnow      (0.256, 0.252, 0.248, 1.000)
        BumpHeight      0.804176
        BumpOffset      0.160835
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.323409
        GasToDust   0.25
        Particles   1633
        GasBright   0.011699
        DustBright  0.941247
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   9.41331
        Period          32.049
        Eccentricity    0.956758
        Inclination     -72.7909
        AscendingNode   100.176
        ArgOfPericenter 174.492
        MeanAnomaly     6.69457
    }
}

Comet	"C57"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.63646e-009
    Radius          19.6983
    InertiaMoment   0.398731

    Oblateness      0.0243315

    RotationPeriod  33.656
    Obliquity       206.571
    EqAscendNode    93.7196

    AbsMagn         7.91223
    SlopeParam      5.69225
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.538 0.494 0.418)

    Surface
    {
        SurfStyle       0.693892
        OceanStyle      0.440182
        Randomize      (0.681, -0.740, 0.659)
        colorDistMagn   0.756175
        colorDistFreq   0.254822
        detailScale     537.894
        colorConversion true
        snowLevel       2
        tropicLatitude  0.780262
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.630555
        terraceProb     0.224681
        erosion         0
        montesMagn      0.519745
        montesFreq      1.34606
        montesSpiky     0.987015
        montesFraction  0.762568
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.07072
        hillsFraction   0.757502
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.235451
        craterFreq      0.235037
        craterDensity   0.948234
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.553733
        volcanoTemp     1518.03
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.210, 0.168, 0.117, 0.000)
        colorShelf     (0.215, 0.173, 0.134, 0.000)
        colorBeach     (0.253, 0.203, 0.159, 0.000)
        colorDesert    (0.274, 0.217, 0.155, 0.000)
        colorLowland   (0.301, 0.232, 0.175, 0.000)
        colorUpland    (0.334, 0.282, 0.213, 0.000)
        colorRock      (0.360, 0.306, 0.230, 0.000)
        colorSnow      (0.393, 0.326, 0.242, 1.000)
        BumpHeight      17.7285
        BumpOffset      3.54569
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.804601
        GasToDust   0.25
        Particles   2605
        GasBright   0.0454629
        DustBright  0.59197
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.4372
        Period          95.0936
        Eccentricity    0.95951
        Inclination     -76.3245
        AscendingNode   17.7197
        ArgOfPericenter 146.647
        MeanAnomaly     -22.2852
    }
}

Comet	"C58"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            8.11786e-017
    Radius          0.0552344
    InertiaMoment   0.396796

    Oblateness      0.0195271

    RotationPeriod  31.6748
    Obliquity       159.776
    EqAscendNode    78.297

    AbsMagn         9.25823
    SlopeParam      4.51892
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.441 0.436 0.429)

    Surface
    {
        SurfStyle       0.764377
        OceanStyle      0.342745
        Randomize      (-0.844, 0.764, 0.414)
        colorDistMagn   0.523504
        colorDistFreq   1.58678e-006
        detailScale     1.50827
        colorConversion true
        snowLevel       2
        tropicLatitude  0.248551
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.724352
        terraceProb     0.548356
        erosion         0
        montesMagn      0.465185
        montesFreq      3.73039
        montesSpiky     0.948674
        montesFraction  0.566717
        dunesFraction   0
        hillsMagn       0
        hillsFreq       7.33133e-006
        hillsFraction   0.501652
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.238395
        craterFreq      0.190581
        craterDensity   0.934128
        craterOctaves   3
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.48912
        volcanoTemp     1579.98
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.172, 0.148, 0.120, 0.000)
        colorShelf     (0.177, 0.153, 0.137, 0.000)
        colorBeach     (0.207, 0.179, 0.163, 0.000)
        colorDesert    (0.225, 0.192, 0.159, 0.000)
        colorLowland   (0.247, 0.205, 0.180, 0.000)
        colorUpland    (0.274, 0.249, 0.219, 0.000)
        colorRock      (0.296, 0.270, 0.236, 0.000)
        colorSnow      (0.322, 0.288, 0.249, 1.000)
        BumpHeight      0.049711
        BumpOffset      0.00994219
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.0419677
        DustBright  0.279951
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   10.845
        Period          39.6318
        Eccentricity    0.919281
        Inclination     -170.402
        AscendingNode   41.1471
        ArgOfPericenter 163.766
        MeanAnomaly     15.484
    }
}

Comet	"C59"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            6.27858e-013
    Radius          1.22013
    InertiaMoment   0.39921

    Oblateness      0.0313566

    RotationPeriod  29.6429
    Obliquity       112.982
    EqAscendNode    62.8744

    AbsMagn         10.7696
    SlopeParam      3.5112
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.829 0.765 0.736)

    Surface
    {
        SurfStyle       0.630416
        OceanStyle      0.729645
        Randomize      (-0.791, -0.408, -0.273)
        colorDistMagn   0.491422
        colorDistFreq   0.000851962
        detailScale     33.3178
        colorConversion true
        snowLevel       2
        tropicLatitude  0.987644
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.398047
        terraceProb     0.471061
        erosion         0
        montesMagn      0.512032
        montesFreq      2.63202
        montesSpiky     0.82633
        montesFraction  0.312467
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00391272
        hillsFraction   0.761584
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.205123
        craterFreq      0.192863
        craterDensity   0.90004
        craterOctaves   8
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.538188
        volcanoTemp     1557.07
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.323, 0.260, 0.206, 0.000)
        colorShelf     (0.331, 0.268, 0.235, 0.000)
        colorBeach     (0.389, 0.314, 0.280, 0.000)
        colorDesert    (0.423, 0.336, 0.272, 0.000)
        colorLowland   (0.464, 0.359, 0.309, 0.000)
        colorUpland    (0.514, 0.436, 0.375, 0.000)
        colorRock      (0.555, 0.474, 0.405, 0.000)
        colorSnow      (0.605, 0.505, 0.427, 1.000)
        BumpHeight      1.09812
        BumpOffset      0.219624
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.356235
        GasToDust   0.25
        Particles   1699
        GasBright   0.152743
        DustBright  0.653662
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   13.9484
        Period          57.8077
        Eccentricity    0.952506
        Inclination     128.559
        AscendingNode   56.2379
        ArgOfPericenter 153.518
        MeanAnomaly     -164.841
    }
}

Comet	"C60"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.85603e-009
    Radius          21.537
    InertiaMoment   0.397822

    Oblateness      0.0256776

    RotationPeriod  27.5507
    Obliquity       66.1878
    EqAscendNode    47.4518

    AbsMagn         12.8609
    SlopeParam      2.34913
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.740 0.738 0.733)

    Surface
    {
        SurfStyle       0.855133
        OceanStyle      0.447266
        Randomize      (0.409, 0.691, 0.262)
        colorDistMagn   0.588735
        colorDistFreq   0.119318
        detailScale     588.102
        colorConversion true
        snowLevel       2
        tropicLatitude  0.991828
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.550308
        terraceProb     0.153197
        erosion         0
        montesMagn      0.497173
        montesFreq      3.33767
        montesSpiky     0.945598
        montesFraction  0.360713
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.704586
        hillsFraction   0.548609
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.258917
        craterFreq      0.222182
        craterDensity   0.583232
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.509556
        volcanoTemp     1464.57
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.252, 0.258, 0.293, 0.050)
        colorShelf     (0.296, 0.302, 0.337, 0.040)
        colorBeach     (0.341, 0.347, 0.381, 0.030)
        colorDesert    (0.385, 0.391, 0.433, 0.020)
        colorLowland   (0.429, 0.435, 0.477, 0.030)
        colorUpland    (0.474, 0.480, 0.521, 0.050)
        colorRock      (0.518, 0.524, 0.579, 0.020)
        colorSnow      (0.518, 0.524, 0.579, 1.000)
        BumpHeight      19.3833
        BumpOffset      3.87665
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.837427
        GasToDust   0.25
        Particles   2671
        GasBright   0.121966
        DustBright  0.368926
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   18.4089
        Period          87.6484
        Eccentricity    0.959313
        Inclination     80.8759
        AscendingNode   -77.7534
        ArgOfPericenter 164.92
        MeanAnomaly     -50.3775
    }
}

Comet	"C61"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.4952e-016
    Radius          0.0755766
    InertiaMoment   0.399646

    Oblateness      0.0427324

    RotationPeriod  25.3871
    Obliquity       19.3935
    EqAscendNode    32.0292

    AbsMagn         0.332291
    SlopeParam      6.04738
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.582 0.578 0.576)

    Surface
    {
        SurfStyle       0.448071
        OceanStyle      0.0136983
        Randomize      (-0.173, -0.206, -0.744)
        colorDistMagn   0.418901
        colorDistFreq   3.82344e-006
        detailScale     2.06374
        colorConversion true
        snowLevel       2
        tropicLatitude  0.986042
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.570345
        terraceProb     0.313919
        erosion         0
        montesMagn      0.655354
        montesFreq      2.82006
        montesSpiky     0.965265
        montesFraction  0.819102
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.37828e-005
        hillsFraction   0.685006
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.233467
        craterFreq      0.17407
        craterDensity   0.854619
        craterOctaves   3
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.457998
        volcanoTemp     1314.1
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.233, 0.231, 0.230, 0.000)
        colorShelf     (0.247, 0.246, 0.245, 0.000)
        colorBeach     (0.262, 0.260, 0.259, 0.000)
        colorDesert    (0.276, 0.275, 0.274, 0.000)
        colorLowland   (0.291, 0.289, 0.288, 0.000)
        colorUpland    (0.306, 0.303, 0.302, 0.000)
        colorRock      (0.320, 0.318, 0.317, 0.000)
        colorSnow      (0.335, 0.332, 0.331, 1.000)
        BumpHeight      0.0680189
        BumpOffset      0.0136038
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.299932
        DustBright  0.675447
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   13.9889
        Period          58.0597
        Eccentricity    0.951168
        Inclination     -99.6685
        AscendingNode   -6.97181
        ArgOfPericenter -68.2867
        MeanAnomaly     167.186
    }
}

Comet	"C62"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.15643e-012
    Radius          1.33043
    InertiaMoment   0.398466

    Oblateness      0.0361237

    RotationPeriod  23.1384
    Obliquity       332.599
    EqAscendNode    16.6066

    AbsMagn         4.01934
    SlopeParam      4.76045
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.675 0.673 0.671)

    Surface
    {
        SurfStyle       0.46099
        OceanStyle      0.480646
        Randomize      (-0.443, -0.011, 0.544)
        colorDistMagn   0.239898
        colorDistFreq   0.00073864
        detailScale     36.3297
        colorConversion true
        snowLevel       2
        tropicLatitude  0.765142
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.560231
        terraceProb     0.35291
        erosion         0
        montesMagn      0.582366
        montesFreq      2.7804
        montesSpiky     0.889905
        montesFraction  0.389329
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00340716
        hillsFraction   0.57316
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.252
        craterFreq      0.239533
        craterDensity   1.07278
        craterOctaves   8
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.530823
        volcanoTemp     1651.79
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.270, 0.269, 0.268, 0.000)
        colorShelf     (0.287, 0.286, 0.285, 0.000)
        colorBeach     (0.304, 0.303, 0.302, 0.000)
        colorDesert    (0.321, 0.319, 0.319, 0.000)
        colorLowland   (0.338, 0.336, 0.335, 0.000)
        colorUpland    (0.355, 0.353, 0.352, 0.000)
        colorRock      (0.372, 0.370, 0.369, 0.000)
        colorSnow      (0.388, 0.387, 0.386, 1.000)
        BumpHeight      1.19739
        BumpOffset      0.239478
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.389061
        GasToDust   0.25
        Particles   1765
        GasBright   0.241872
        DustBright  0.417993
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.7179
        Period          97.1606
        Eccentricity    0.95813
        Inclination     -156.885
        AscendingNode   -162.891
        ArgOfPericenter 42.0379
        MeanAnomaly     71.0605
    }
}

Comet	"C63"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            8.9442e-009
    Radius          29.5371
    InertiaMoment   0.395568

    Oblateness      0.0626338

    RotationPeriod  20.7882
    Obliquity       285.805
    EqAscendNode    1.18403

    AbsMagn         5.81017
    SlopeParam      3.74469
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.509 0.505 0.497)

    Surface
    {
        SurfStyle       0.848957
        OceanStyle      0.0117273
        Randomize      (-0.447, -0.435, 0.561)
        colorDistMagn   0.202526
        colorDistFreq   0.156406
        detailScale     806.561
        colorConversion true
        snowLevel       2
        tropicLatitude  0.76639
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.450346
        terraceProb     0.293545
        erosion         0
        montesMagn      0.508833
        montesFreq      3.648
        montesSpiky     0.934608
        montesFraction  0.70949
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.0386
        hillsFraction   0.686161
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.202331
        craterFreq      0.205136
        craterDensity   0.758396
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.429201
        volcanoTemp     1209.45
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.198, 0.172, 0.139, 0.000)
        colorShelf     (0.203, 0.177, 0.159, 0.000)
        colorBeach     (0.239, 0.207, 0.189, 0.000)
        colorDesert    (0.259, 0.222, 0.184, 0.000)
        colorLowland   (0.285, 0.237, 0.209, 0.000)
        colorUpland    (0.315, 0.288, 0.254, 0.000)
        colorRock      (0.341, 0.313, 0.273, 0.000)
        colorSnow      (0.371, 0.333, 0.288, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.870253
        GasToDust   0.25
        Particles   2737
        GasBright   0.146554
        DustBright  0.197798
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.6663
        Period          104.255
        Eccentricity    0.978844
        Inclination     39.6236
        AscendingNode   -45.1733
        ArgOfPericenter 130.015
        MeanAnomaly     -156.299
    }
}

Comet	"C64"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.75398e-016
    Radius          0.0821444
    InertiaMoment   0.39898

    Oblateness      0.057089

    RotationPeriod  18.3159
    Obliquity       239.011
    EqAscendNode    345.761

    AbsMagn         7.23573
    SlopeParam      2.65299
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.809 0.739 0.663)

    Surface
    {
        SurfStyle       0.862654
        OceanStyle      0.917619
        Randomize      (-0.810, 0.512, 0.760)
        colorDistMagn   0.412744
        colorDistFreq   3.27181e-006
        detailScale     2.24309
        colorConversion true
        snowLevel       2
        tropicLatitude  0.985299
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.517163
        terraceProb     0.138374
        erosion         0
        montesMagn      0.519382
        montesFreq      3.46574
        montesSpiky     0.984985
        montesFraction  0.474607
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.42479e-005
        hillsFraction   0.619356
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.223975
        craterFreq      0.247846
        craterDensity   0.708915
        craterOctaves   3
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.53446
        volcanoTemp     1749.54
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.275, 0.259, 0.265, 0.050)
        colorShelf     (0.324, 0.303, 0.305, 0.040)
        colorBeach     (0.372, 0.347, 0.345, 0.030)
        colorDesert    (0.421, 0.392, 0.391, 0.020)
        colorLowland   (0.469, 0.436, 0.431, 0.030)
        colorUpland    (0.518, 0.481, 0.471, 0.050)
        colorRock      (0.566, 0.525, 0.524, 0.020)
        colorSnow      (0.566, 0.525, 0.524, 1.000)
        BumpHeight      0.0739299
        BumpOffset      0.014786
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.401687
        DustBright  0.427151
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.0575
        Period          99.6821
        Eccentricity    0.942008
        Inclination     -50.2612
        AscendingNode   -139.331
        ArgOfPericenter 34.8697
        MeanAnomaly     -110.837
    }
}

Comet	"C65"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.13001e-012
    Radius          1.82957
    InertiaMoment   0.397401

    Oblateness      0.110411

    RotationPeriod  15.6949
    Obliquity       192.216
    EqAscendNode    330.339

    AbsMagn         8.56781
    SlopeParam      6.48268
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.766 0.764 0.763)

    Surface
    {
        SurfStyle       0.595019
        OceanStyle      0.702415
        Randomize      (-0.198, 0.651, -0.127)
        colorDistMagn   0.440624
        colorDistFreq   0.000563198
        detailScale     49.9595
        colorConversion true
        snowLevel       2
        tropicLatitude  0.400895
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.603315
        terraceProb     0.393615
        erosion         0
        montesMagn      0.56237
        montesFreq      2.65758
        montesSpiky     0.814561
        montesFraction  0.63213
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00713385
        hillsFraction   0.545938
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.298246
        craterFreq      0.159147
        craterDensity   0.843817
        craterOctaves   8
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.502303
        volcanoTemp     1641.5
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.299, 0.260, 0.214, 0.000)
        colorShelf     (0.306, 0.267, 0.244, 0.000)
        colorBeach     (0.360, 0.313, 0.290, 0.000)
        colorDesert    (0.391, 0.336, 0.282, 0.000)
        colorLowland   (0.429, 0.359, 0.320, 0.000)
        colorUpland    (0.475, 0.435, 0.389, 0.000)
        colorRock      (0.513, 0.474, 0.420, 0.000)
        colorSnow      (0.559, 0.504, 0.442, 1.000)
        BumpHeight      1.64662
        BumpOffset      0.329323
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.421887
        GasToDust   0.25
        Particles   1832
        GasBright   0.0224241
        DustBright  0.490901
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   17.1513
        Period          78.8219
        Eccentricity    0.910816
        Inclination     12.2032
        AscendingNode   28.9288
        ArgOfPericenter -116.778
        MeanAnomaly     -43.4065
    }
}

Comet	"C66"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.64741e-008
    Radius          31.9767
    InertiaMoment   0.399434

    Oblateness      0.113852

    RotationPeriod  12.8904
    Obliquity       145.422
    EqAscendNode    314.916

    AbsMagn         9.96806
    SlopeParam      5.01365
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.677 0.589 0.520)

    Surface
    {
        SurfStyle       0.413311
        OceanStyle      0.975299
        Randomize      (0.263, 0.306, -0.487)
        colorDistMagn   0.993674
        colorDistFreq   0.605757
        detailScale     873.177
        colorConversion true
        snowLevel       2
        tropicLatitude  0.992517
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.281958
        terraceProb     0.553062
        erosion         0
        montesMagn      0.481513
        montesFreq      3.32212
        montesSpiky     0.892911
        montesFraction  0.419356
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.03786
        hillsFraction   0.534722
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.254431
        craterFreq      0.21639
        craterDensity   0.981013
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.5016
        volcanoTemp     1249.72
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.271, 0.236, 0.208, 0.000)
        colorShelf     (0.288, 0.250, 0.221, 0.000)
        colorBeach     (0.305, 0.265, 0.234, 0.000)
        colorDesert    (0.321, 0.280, 0.247, 0.000)
        colorLowland   (0.338, 0.294, 0.260, 0.000)
        colorUpland    (0.355, 0.309, 0.273, 0.000)
        colorRock      (0.372, 0.324, 0.286, 0.000)
        colorSnow      (0.389, 0.339, 0.299, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.903079
        GasToDust   0.25
        Particles   2804
        GasBright   0.102504
        DustBright  0.895307
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   24.8526
        Period          137.486
        Eccentricity    0.959109
        Inclination     -131.275
        AscendingNode   170.806
        ArgOfPericenter -179.84
        MeanAnomaly     -2.02492
    }
}

Comet	"C67"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.07249e-016
    Radius          0.113327
    InertiaMoment   0.398172

    Oblateness      0.249

    RotationPeriod  9.85472
    Obliquity       98.6277
    EqAscendNode    299.494

    AbsMagn         11.6744
    SlopeParam      3.97474
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.562 0.486 0.433)

    Surface
    {
        SurfStyle       0.149845
        OceanStyle      0.521659
        Randomize      (0.964, -0.554, 0.242)
        colorDistMagn   0.653788
        colorDistFreq   6.64484e-006
        detailScale     3.09457
        colorConversion true
        snowLevel       2
        tropicLatitude  0.97716
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.411424
        terraceProb     0.379651
        erosion         0
        montesMagn      0.30114
        montesFreq      2.51186
        montesSpiky     0.950508
        montesFraction  0.538288
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.0413e-005
        hillsFraction   0.714932
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.265812
        craterFreq      0.249586
        craterDensity   0.963989
        craterOctaves   4
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.468997
        volcanoTemp     1417.93
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.225, 0.194, 0.173, 0.000)
        colorShelf     (0.239, 0.206, 0.184, 0.000)
        colorBeach     (0.253, 0.219, 0.195, 0.000)
        colorDesert    (0.267, 0.231, 0.206, 0.000)
        colorLowland   (0.281, 0.243, 0.217, 0.000)
        colorUpland    (0.295, 0.255, 0.228, 0.000)
        colorRock      (0.309, 0.267, 0.238, 0.000)
        colorSnow      (0.323, 0.279, 0.249, 1.000)
        BumpHeight      0.101994
        BumpOffset      0.0203988
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.110378
        DustBright  0.57192
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   22.1423
        Period          115.621
        Eccentricity    0.957212
        Inclination     -126.569
        AscendingNode   81.0794
        ArgOfPericenter -155.269
        MeanAnomaly     43.256
    }
}

Comet	"C68"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.92321e-012
    Radius          1.97042
    InertiaMoment   0.39986

    Oblateness      0.249

    RotationPeriod  6.52033
    Obliquity       51.8334
    EqAscendNode    284.071

    AbsMagn         14.7009
    SlopeParam      2.92849
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.674 0.621 0.584)

    Surface
    {
        SurfStyle       0.69485
        OceanStyle      0.721304
        Randomize      (0.443, -0.669, -0.876)
        colorDistMagn   0.305894
        colorDistFreq   0.00135698
        detailScale     53.8056
        colorConversion true
        snowLevel       2
        tropicLatitude  0.706321
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.566533
        terraceProb     0.293671
        erosion         0
        montesMagn      0.532542
        montesFreq      2.52356
        montesSpiky     0.875314
        montesFraction  0.453871
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00980852
        hillsFraction   0.648759
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.246058
        craterFreq      0.24092
        craterDensity   0.940231
        craterOctaves   9
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.465812
        volcanoTemp     1439.9
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.263, 0.211, 0.163, 0.000)
        colorShelf     (0.270, 0.217, 0.187, 0.000)
        colorBeach     (0.317, 0.255, 0.222, 0.000)
        colorDesert    (0.344, 0.273, 0.216, 0.000)
        colorLowland   (0.378, 0.292, 0.245, 0.000)
        colorUpland    (0.418, 0.354, 0.298, 0.000)
        colorRock      (0.452, 0.385, 0.321, 0.000)
        colorSnow      (0.492, 0.410, 0.339, 1.000)
        BumpHeight      1.77338
        BumpOffset      0.354676
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.454713
        GasToDust   0.25
        Particles   1898
        GasBright   0.0809933
        DustBright  0.285792
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.3984
        Period          109.843
        Eccentricity    0.98125
        Inclination     88.3052
        AscendingNode   22.4779
        ArgOfPericenter -64.525
        MeanAnomaly     65.9879
    }
}

Comet	"C69"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.03432e-008
    Radius          44.291
    InertiaMoment   0.398737

    Oblateness      0.249

    RotationPeriod  2.78602
    Obliquity       5.03913
    EqAscendNode    268.648

    AbsMagn         2.7056
    SlopeParam      7.08477
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.580 0.575 0.572)

    Surface
    {
        SurfStyle       0.371821
        OceanStyle      0.970171
        Randomize      (0.778, -0.653, -0.908)
        colorDistMagn   0.0461214
        colorDistFreq   0.631009
        detailScale     1209.44
        colorConversion true
        snowLevel       2
        tropicLatitude  0.785752
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.361635
        terraceProb     0.69427
        erosion         0
        montesMagn      0.51063
        montesFreq      2.76711
        montesSpiky     0.928915
        montesFraction  0.658186
        dunesFraction   0
        hillsMagn       0
        hillsFreq       5.63447
        hillsFraction   0.633263
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.226073
        craterFreq      0.252245
        craterDensity   0.835689
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.476866
        volcanoTemp     1094.31
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.232, 0.230, 0.229, 0.000)
        colorShelf     (0.246, 0.244, 0.243, 0.000)
        colorBeach     (0.261, 0.259, 0.257, 0.000)
        colorDesert    (0.275, 0.273, 0.272, 0.000)
        colorLowland   (0.290, 0.288, 0.286, 0.000)
        colorUpland    (0.304, 0.302, 0.300, 0.000)
        colorRock      (0.319, 0.316, 0.315, 0.000)
        colorSnow      (0.333, 0.331, 0.329, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.935905
        GasToDust   0.25
        Particles   2870
        GasBright   0.238241
        DustBright  0.61303
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   17.5982
        Period          81.9223
        Eccentricity    0.94789
        Inclination     55.2141
        AscendingNode   -134.136
        ArgOfPericenter 21.6129
        MeanAnomaly     -177.405
    }
}

Comet	"C70"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            9.34291e-016
    Radius          0.121133
    InertiaMoment   0.396815

    Oblateness      0.0011793

    RotationPeriod  123.394
    Obliquity       318.245
    EqAscendNode    253.226

    AbsMagn         4.97864
    SlopeParam      5.2843
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.537 0.533 0.530)

    Surface
    {
        SurfStyle       0.193644
        OceanStyle      0.334428
        Randomize      (-0.271, 0.236, -0.376)
        colorDistMagn   0.45499
        colorDistFreq   4.54475e-006
        detailScale     3.30773
        colorConversion true
        snowLevel       2
        tropicLatitude  0.800879
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.610808
        terraceProb     0.191622
        erosion         0
        montesMagn      0.427153
        montesFreq      3.77279
        montesSpiky     0.992428
        montesFraction  0.538553
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.79831e-005
        hillsFraction   0.468855
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.256785
        craterFreq      0.275123
        craterDensity   1.01724
        craterOctaves   4
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.479508
        volcanoTemp     1317.14
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.215, 0.213, 0.212, 0.000)
        colorShelf     (0.228, 0.227, 0.225, 0.000)
        colorBeach     (0.242, 0.240, 0.239, 0.000)
        colorDesert    (0.255, 0.253, 0.252, 0.000)
        colorLowland   (0.268, 0.267, 0.265, 0.000)
        colorUpland    (0.282, 0.280, 0.278, 0.000)
        colorRock      (0.295, 0.293, 0.292, 0.000)
        colorSnow      (0.309, 0.307, 0.305, 1.000)
        BumpHeight      0.109019
        BumpOffset      0.0218039
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.181574
        DustBright  0.354184
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.3211
        Period          94.2426
        Eccentricity    0.9246
        Inclination     -154.827
        AscendingNode   -105.631
        ArgOfPericenter 165.534
        MeanAnomaly     178.404
    }
}

Comet	"C71"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            7.22604e-012
    Radius          2.74346
    InertiaMoment   0.399215

    Oblateness      0.00217715

    RotationPeriod  111.805
    Obliquity       271.451
    EqAscendNode    237.803

    AbsMagn         6.53647
    SlopeParam      4.20446
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.583 0.539 0.457)

    Surface
    {
        SurfStyle       0.241162
        OceanStyle      0.591329
        Randomize      (0.884, 0.921, 0.074)
        colorDistMagn   0.406561
        colorDistFreq   0.00509048
        detailScale     74.9147
        colorConversion true
        snowLevel       2
        tropicLatitude  0.509068
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.557022
        terraceProb     0.13418
        erosion         0
        montesMagn      0.537759
        montesFreq      3.62097
        montesSpiky     0.990391
        montesFraction  0.697269
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0117013
        hillsFraction   0.561925
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.251832
        craterFreq      0.156627
        craterDensity   0.9039
        craterOctaves   9
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.471765
        volcanoTemp     1478.45
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.233, 0.216, 0.183, 0.000)
        colorShelf     (0.248, 0.229, 0.194, 0.000)
        colorBeach     (0.262, 0.243, 0.206, 0.000)
        colorDesert    (0.277, 0.256, 0.217, 0.000)
        colorLowland   (0.291, 0.270, 0.228, 0.000)
        colorUpland    (0.306, 0.283, 0.240, 0.000)
        colorRock      (0.320, 0.297, 0.251, 0.000)
        colorSnow      (0.335, 0.310, 0.263, 1.000)
        BumpHeight      2.46911
        BumpOffset      0.493823
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.487539
        GasToDust   0.25
        Particles   1964
        GasBright   0.0876475
        DustBright  0.132597
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.9831
        Period          114.375
        Eccentricity    0.953872
        Inclination     95.4562
        AscendingNode   149.599
        ArgOfPericenter -27.8102
        MeanAnomaly     -36.4496
    }
}

Comet	"C72"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.58883e-008
    Radius          46.6544
    InertiaMoment   0.397832

    Oblateness      0.00157595

    RotationPeriod  104.518
    Obliquity       224.656
    EqAscendNode    222.381

    AbsMagn         7.89402
    SlopeParam      3.18497
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.412 0.410 0.406)

    Surface
    {
        SurfStyle       0.194725
        OceanStyle      0.0404275
        Randomize      (0.494, 0.692, 0.994)
        colorDistMagn   0.701513
        colorDistFreq   1.86409
        detailScale     1273.98
        colorConversion true
        snowLevel       2
        tropicLatitude  0.752963
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.556476
        terraceProb     0.227988
        erosion         0
        montesMagn      0.52231
        montesFreq      3.00087
        montesSpiky     0.916434
        montesFraction  0.481583
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.53714
        hillsFraction   0.698121
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.263725
        craterFreq      0.258338
        craterDensity   0.973699
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.472914
        volcanoTemp     1397.91
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.165, 0.164, 0.162, 0.000)
        colorShelf     (0.175, 0.174, 0.173, 0.000)
        colorBeach     (0.185, 0.184, 0.183, 0.000)
        colorDesert    (0.196, 0.195, 0.193, 0.000)
        colorLowland   (0.206, 0.205, 0.203, 0.000)
        colorUpland    (0.216, 0.215, 0.213, 0.000)
        colorRock      (0.227, 0.225, 0.223, 0.000)
        colorSnow      (0.237, 0.236, 0.234, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.968731
        GasToDust   0.25
        Particles   2936
        GasBright   0.322063
        DustBright  0.382668
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.6536
        Period          111.814
        Eccentricity    0.986124
        Inclination     -84.816
        AscendingNode   -31.9727
        ArgOfPericenter -68.9669
        MeanAnomaly     131.902
    }
}

Comet	"C73"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.72084e-015
    Radius          0.169935
    InertiaMoment   0.399652

    Oblateness      0.0027753

    RotationPeriod  99.0066
    Obliquity       177.862
    EqAscendNode    206.958

    AbsMagn         9.23911
    SlopeParam      8.30194
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.576 0.574 0.571)

    Surface
    {
        SurfStyle       0.866079
        OceanStyle      0.194901
        Randomize      (-0.736, -0.103, -0.667)
        colorDistMagn   0.989937
        colorDistFreq   2.01901e-005
        detailScale     4.64036
        colorConversion true
        snowLevel       2
        tropicLatitude  0.999337
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.353663
        terraceProb     0.220864
        erosion         0
        montesMagn      0.344014
        montesFreq      2.70695
        montesSpiky     0.934335
        montesFraction  0.679472
        dunesFraction   0
        hillsMagn       0
        hillsFreq       9.08076e-005
        hillsFraction   0.675634
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.190178
        craterFreq      0.225346
        craterDensity   0.965343
        craterOctaves   5
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.48161
        volcanoTemp     1353.73
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.196, 0.201, 0.229, 0.050)
        colorShelf     (0.231, 0.235, 0.263, 0.040)
        colorBeach     (0.265, 0.270, 0.297, 0.030)
        colorDesert    (0.300, 0.304, 0.337, 0.020)
        colorLowland   (0.334, 0.339, 0.371, 0.030)
        colorUpland    (0.369, 0.373, 0.406, 0.050)
        colorRock      (0.403, 0.408, 0.451, 0.020)
        colorSnow      (0.403, 0.408, 0.451, 1.000)
        BumpHeight      0.152942
        BumpOffset      0.0305883
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.0391729
        GasToDust   0.25
        Particles   1058
        GasBright   0.0062454
        DustBright  0.382972
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   22.659
        Period          119.691
        Eccentricity    0.943007
        Inclination     -89.9858
        AscendingNode   165.722
        ArgOfPericenter -73.8846
        MeanAnomaly     86.1076
    }
}

Comet	"C74"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.33095e-011
    Radius          4.36872
    InertiaMoment   0.398473

    Oblateness      0.00666488

    RotationPeriod  94.4843
    Obliquity       131.068
    EqAscendNode    191.536

    AbsMagn         10.7465
    SlopeParam      5.58086
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.619 0.616 0.612)

    Surface
    {
        SurfStyle       0.789493
        OceanStyle      0.297285
        Randomize      (-0.677, -0.592, -0.184)
        colorDistMagn   0.529973
        colorDistFreq   0.00826363
        detailScale     119.295
        colorConversion true
        snowLevel       2
        tropicLatitude  0.428848
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.469067
        terraceProb     0.196996
        erosion         0
        montesMagn      0.390219
        montesFreq      3.20996
        montesSpiky     0.930572
        montesFraction  0.698708
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0401873
        hillsFraction   0.739117
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.235781
        craterFreq      0.260539
        craterDensity   0.85981
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.461336
        volcanoTemp     1478.39
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.241, 0.209, 0.171, 0.000)
        colorShelf     (0.247, 0.215, 0.196, 0.000)
        colorBeach     (0.291, 0.252, 0.233, 0.000)
        colorDesert    (0.316, 0.271, 0.226, 0.000)
        colorLowland   (0.346, 0.289, 0.257, 0.000)
        colorUpland    (0.384, 0.351, 0.312, 0.000)
        colorRock      (0.414, 0.382, 0.337, 0.000)
        colorSnow      (0.452, 0.406, 0.355, 1.000)
        BumpHeight      3.93185
        BumpOffset      0.786369
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.520365
        GasToDust   0.25
        Particles   2031
        GasBright   0.0656076
        DustBright  0.808097
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   16.19
        Period          72.2887
        Eccentricity    0.945638
        Inclination     26.5582
        AscendingNode   -20.4972
        ArgOfPericenter -40.0228
        MeanAnomaly     -78.0948
    }
}

Comet	"C75"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.02939e-007
    Radius          66.4152
    InertiaMoment   0.395628

    Oblateness      0.00325822

    RotationPeriod  90.596
    Obliquity       84.2733
    EqAscendNode    176.113

    AbsMagn         12.823
    SlopeParam      4.43692
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.509 0.500 0.496)

    Surface
    {
        SurfStyle       0.721326
        OceanStyle      0.906332
        Randomize      (-0.103, -0.905, -0.736)
        colorDistMagn   0.396556
        colorDistFreq   1.70648
        detailScale     1813.58
        colorConversion true
        snowLevel       2
        tropicLatitude  0.999968
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.476257
        terraceProb     0.347049
        erosion         0
        montesMagn      0.489691
        montesFreq      2.70005
        montesSpiky     0.890579
        montesFraction  0.677518
        dunesFraction   0
        hillsMagn       0
        hillsFreq       5.42665
        hillsFraction   0.602066
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.220765
        craterFreq      0.256949
        craterDensity   0.835551
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.613798
        volcanoTemp     1412.51
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.199, 0.170, 0.139, 0.000)
        colorShelf     (0.204, 0.175, 0.159, 0.000)
        colorBeach     (0.239, 0.205, 0.188, 0.000)
        colorDesert    (0.260, 0.220, 0.184, 0.000)
        colorLowland   (0.285, 0.235, 0.208, 0.000)
        colorUpland    (0.316, 0.285, 0.253, 0.000)
        colorRock      (0.341, 0.310, 0.273, 0.000)
        colorSnow      (0.372, 0.330, 0.288, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   1
        GasToDust   0.25
        Particles   3000
        GasBright   0.0748738
        DustBright  0.483317
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.0224
        Period          122.582
        Eccentricity    0.974131
        Inclination     7.14904
        AscendingNode   42.6826
        ArgOfPericenter -53.0484
        MeanAnomaly     114.816
    }
}

Comet	"C76"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.16958e-015
    Radius          0.260475
    InertiaMoment   0.398986

    Oblateness      0.0069857

    RotationPeriod  87.1498
    Obliquity       37.479
    EqAscendNode    160.69

    AbsMagn         0.21471
    SlopeParam      3.42866
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.643 0.641 0.639)

    Surface
    {
        SurfStyle       0.127471
        OceanStyle      0.363845
        Randomize      (0.974, -0.565, -0.728)
        colorDistMagn   0.0671103
        colorDistFreq   2.30242e-005
        detailScale     7.11271
        colorConversion true
        snowLevel       2
        tropicLatitude  0.991415
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.621346
        terraceProb     0.611449
        erosion         0
        montesMagn      0.419758
        montesFreq      2.8147
        montesSpiky     0.972692
        montesFraction  0.348696
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00017104
        hillsFraction   0.563462
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.240106
        craterFreq      0.233021
        craterDensity   0.917616
        craterOctaves   5
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.437592
        volcanoTemp     1378.21
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.257, 0.256, 0.256, 0.000)
        colorShelf     (0.273, 0.272, 0.272, 0.000)
        colorBeach     (0.289, 0.288, 0.287, 0.000)
        colorDesert    (0.305, 0.304, 0.303, 0.000)
        colorLowland   (0.321, 0.320, 0.319, 0.000)
        colorUpland    (0.337, 0.336, 0.335, 0.000)
        colorRock      (0.353, 0.353, 0.351, 0.000)
        colorSnow      (0.370, 0.369, 0.367, 1.000)
        BumpHeight      0.234428
        BumpOffset      0.0468855
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.0719989
        GasToDust   0.25
        Particles   1125
        GasBright   0.0468809
        DustBright  0.195797
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.3698
        Period          102.019
        Eccentricity    0.966307
        Inclination     -104.414
        AscendingNode   83.4924
        ArgOfPericenter -158.494
        MeanAnomaly     -17.6566
    }
}

Comet	"C77"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.45144e-011
    Radius          4.1139
    InertiaMoment   0.397413

    Oblateness      0.00380505

    RotationPeriod  84.0294
    Obliquity       350.685
    EqAscendNode    145.268

    AbsMagn         3.98936
    SlopeParam      2.23436
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.619 0.613 0.610)

    Surface
    {
        SurfStyle       0.538183
        OceanStyle      0.177
        Randomize      (-0.972, 0.473, 0.380)
        colorDistMagn   0.03771
        colorDistFreq   0.0131776
        detailScale     112.337
        colorConversion true
        snowLevel       2
        tropicLatitude  0.978141
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.571885
        terraceProb     0.146692
        erosion         0
        montesMagn      0.450823
        montesFreq      3.15957
        montesSpiky     0.859058
        montesFraction  0.560797
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.049044
        hillsFraction   0.789001
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.262668
        craterFreq      0.22375
        craterDensity   1.04752
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.541419
        volcanoTemp     1923.06
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.242, 0.208, 0.171, 0.000)
        colorShelf     (0.248, 0.215, 0.195, 0.000)
        colorBeach     (0.291, 0.251, 0.232, 0.000)
        colorDesert    (0.316, 0.270, 0.226, 0.000)
        colorLowland   (0.347, 0.288, 0.256, 0.000)
        colorUpland    (0.384, 0.349, 0.311, 0.000)
        colorRock      (0.415, 0.380, 0.335, 0.000)
        colorSnow      (0.452, 0.405, 0.354, 1.000)
        BumpHeight      3.70251
        BumpOffset      0.740502
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.553191
        GasToDust   0.25
        Particles   2097
        GasBright   0.18341
        DustBright  0.543754
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.2127
        Period          93.4508
        Eccentricity    0.959574
        Inclination     -75.52
        AscendingNode   -75.6653
        ArgOfPericenter 17.2474
        MeanAnomaly     -55.1957
    }
}

Comet	"C78"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.89601e-007
    Radius          99.7768
    InertiaMoment   0.39944

    Oblateness      0.00758162

    RotationPeriod  81.1586
    Obliquity       303.89
    EqAscendNode    129.845

    AbsMagn         5.78899
    SlopeParam      5.91714
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.464 0.457 0.451)

    Surface
    {
        SurfStyle       0.379493
        OceanStyle      0.265617
        Randomize      (0.131, 0.970, 0.131)
        colorDistMagn   0.577017
        colorDistFreq   5.54864
        detailScale     2724.57
        colorConversion true
        snowLevel       2
        tropicLatitude  0.545964
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.582162
        terraceProb     0.165122
        erosion         0
        montesMagn      0.433976
        montesFreq      3.03949
        montesSpiky     0.986579
        montesFraction  0.757584
        dunesFraction   0
        hillsMagn       0
        hillsFreq       18.747
        hillsFraction   0.527015
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.249115
        craterFreq      0.315015
        craterDensity   0.85834
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.622395
        volcanoTemp     1748.45
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.186, 0.183, 0.180, 0.000)
        colorShelf     (0.197, 0.194, 0.192, 0.000)
        colorBeach     (0.209, 0.205, 0.203, 0.000)
        colorDesert    (0.220, 0.217, 0.214, 0.000)
        colorLowland   (0.232, 0.228, 0.226, 0.000)
        colorUpland    (0.244, 0.240, 0.237, 0.000)
        colorRock      (0.255, 0.251, 0.248, 0.000)
        colorSnow      (0.267, 0.263, 0.259, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   1
        GasToDust   0.25
        Particles   3000
        GasBright   0.128135
        DustBright  0.283515
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.8675
        Period          129.393
        Eccentricity    0.960508
        Inclination     -75.1716
        AscendingNode   -150.022
        ArgOfPericenter 102.221
        MeanAnomaly     97.921
    }
}

Comet	"C79"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.83795e-015
    Radius          0.254823
    InertiaMoment   0.39818

    Oblateness      0.00436537

    RotationPeriod  78.4846
    Obliquity       257.096
    EqAscendNode    114.423

    AbsMagn         7.21719
    SlopeParam      4.67545
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.762 0.759 0.758)

    Surface
    {
        SurfStyle       0.301084
        OceanStyle      0.860515
        Randomize      (-0.863, 0.013, 0.132)
        colorDistMagn   0.904422
        colorDistFreq   2.00277e-005
        detailScale     6.95838
        colorConversion true
        snowLevel       2
        tropicLatitude  0.990897
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.297673
        terraceProb     0.446789
        erosion         0
        montesMagn      0.69553
        montesFreq      3.0847
        montesSpiky     0.991468
        montesFraction  0.562264
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.000101431
        hillsFraction   0.604653
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.253653
        craterFreq      0.171662
        craterDensity   0.891129
        craterOctaves   5
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.538683
        volcanoTemp     1829.11
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.305, 0.304, 0.303, 0.000)
        colorShelf     (0.324, 0.323, 0.322, 0.000)
        colorBeach     (0.343, 0.342, 0.341, 0.000)
        colorDesert    (0.362, 0.361, 0.360, 0.000)
        colorLowland   (0.381, 0.380, 0.379, 0.000)
        colorUpland    (0.400, 0.399, 0.398, 0.000)
        colorRock      (0.419, 0.418, 0.417, 0.000)
        colorSnow      (0.438, 0.437, 0.436, 1.000)
        BumpHeight      0.229341
        BumpOffset      0.0458682
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.104825
        GasToDust   0.25
        Particles   1191
        GasBright   0.331855
        DustBright  0.564282
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   27.2822
        Period          158.132
        Eccentricity    0.953327
        Inclination     -71.5629
        AscendingNode   102.824
        ArgOfPericenter -33.8833
        MeanAnomaly     -59.7061
    }
}

Comet	"C80"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.51524e-011
    Radius          6.09687
    InertiaMoment   0.399865

    Oblateness      0.00830319

    RotationPeriod  75.969
    Obliquity       210.302
    EqAscendNode    99

    AbsMagn         8.54943
    SlopeParam      3.66412
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.659 0.655 0.650)

    Surface
    {
        SurfStyle       0.880719
        OceanStyle      0.684247
        Randomize      (-0.986, -0.307, 0.774)
        colorDistMagn   0.826723
        colorDistFreq   0.0310663
        detailScale     166.485
        colorConversion true
        snowLevel       2
        tropicLatitude  0.799586
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.47965
        terraceProb     0.15363
        erosion         0
        montesMagn      0.434335
        montesFreq      2.48509
        montesSpiky     0.69529
        montesFraction  0.635471
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0782176
        hillsFraction   0.789976
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.208661
        craterFreq      0.206756
        craterDensity   1.0505
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.456163
        volcanoTemp     1791
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.224, 0.229, 0.260, 0.050)
        colorShelf     (0.264, 0.269, 0.299, 0.040)
        colorBeach     (0.303, 0.308, 0.338, 0.030)
        colorDesert    (0.343, 0.347, 0.383, 0.020)
        colorLowland   (0.382, 0.386, 0.422, 0.030)
        colorUpland    (0.422, 0.426, 0.461, 0.050)
        colorRock      (0.462, 0.465, 0.513, 0.020)
        colorSnow      (0.462, 0.465, 0.513, 1.000)
        BumpHeight      5.48719
        BumpOffset      1.09744
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.586017
        GasToDust   0.25
        Particles   2163
        GasBright   0.249298
        DustBright  0.331326
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.2414
        Period          93.6605
        Eccentricity    0.956437
        Inclination     123.823
        AscendingNode   73.3684
        ArgOfPericenter 165.018
        MeanAnomaly     -131.118
    }
}

Comet	"C81"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.49221e-007
    Radius          99.5923
    InertiaMoment   0.398744

    Oblateness      0.00496672

    RotationPeriod  73.5832
    Obliquity       163.508
    EqAscendNode    83.5774

    AbsMagn         9.94754
    SlopeParam      2.55125
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.612 0.608 0.606)

    Surface
    {
        SurfStyle       0.725039
        OceanStyle      0.906472
        Randomize      (-0.995, 0.887, -0.403)
        colorDistMagn   0.665874
        colorDistFreq   4.90764
        detailScale     2719.53
        colorConversion true
        snowLevel       2
        tropicLatitude  0.338588
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.463195
        terraceProb     0.248093
        erosion         0
        montesMagn      0.345515
        montesFreq      2.88198
        montesSpiky     0.879094
        montesFraction  0.871404
        dunesFraction   0
        hillsMagn       0
        hillsFreq       13.5788
        hillsFraction   0.691444
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.200623
        craterFreq      0.349201
        craterDensity   0.850681
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.58074
        volcanoTemp     1850.78
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.239, 0.207, 0.170, 0.000)
        colorShelf     (0.245, 0.213, 0.194, 0.000)
        colorBeach     (0.288, 0.249, 0.230, 0.000)
        colorDesert    (0.312, 0.268, 0.224, 0.000)
        colorLowland   (0.343, 0.286, 0.254, 0.000)
        colorUpland    (0.379, 0.347, 0.309, 0.000)
        colorRock      (0.410, 0.377, 0.333, 0.000)
        colorSnow      (0.447, 0.402, 0.351, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   1
        GasToDust   0.25
        Particles   3000
        GasBright   0.129482
        DustBright  0.135628
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.1937
        Period          93.3125
        Eccentricity    0.928437
        Inclination     -143.785
        AscendingNode   3.98182
        ArgOfPericenter -40.6836
        MeanAnomaly     105.617
    }
}

Comet	"C82"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.07528e-014
    Radius          0.373804
    InertiaMoment   0.396833

    Oblateness      0.00901805

    RotationPeriod  71.3048
    Obliquity       116.713
    EqAscendNode    68.1548

    AbsMagn         11.6468
    SlopeParam      6.3189
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.439 0.435 0.430)

    Surface
    {
        SurfStyle       0.649396
        OceanStyle      0.25514
        Randomize      (-0.106, 0.745, 0.960)
        colorDistMagn   0.653395
        colorDistFreq   0.000104721
        detailScale     10.2073
        colorConversion true
        snowLevel       2
        tropicLatitude  0.331995
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.302913
        terraceProb     0.238663
        erosion         0
        montesMagn      0.635533
        montesFreq      3.74943
        montesSpiky     0.93215
        montesFraction  0.785677
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.000381611
        hillsFraction   0.589657
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.230227
        craterFreq      0.148671
        craterDensity   1.00876
        craterOctaves   6
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.466028
        volcanoTemp     1671.61
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.171, 0.148, 0.120, 0.000)
        colorShelf     (0.176, 0.152, 0.138, 0.000)
        colorBeach     (0.207, 0.179, 0.163, 0.000)
        colorDesert    (0.224, 0.192, 0.159, 0.000)
        colorLowland   (0.246, 0.205, 0.180, 0.000)
        colorUpland    (0.272, 0.248, 0.219, 0.000)
        colorRock      (0.294, 0.270, 0.236, 0.000)
        colorSnow      (0.321, 0.287, 0.249, 1.000)
        BumpHeight      0.336424
        BumpOffset      0.0672847
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.137651
        GasToDust   0.25
        Particles   1257
        GasBright   0.0355709
        DustBright  0.714026
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   18.7449
        Period          90.0586
        Eccentricity    0.986413
        Inclination     132.284
        AscendingNode   -165.862
        ArgOfPericenter 110.411
        MeanAnomaly     8.27548
    }
}

Comet	"C83"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            8.31651e-011
    Radius          6.16897
    InertiaMoment   0.399221

    Oblateness      0.00562815

    RotationPeriod  69.1162
    Obliquity       69.919
    EqAscendNode    52.7322

    AbsMagn         14.6279
    SlopeParam      4.92403
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.650 0.609 0.560)

    Surface
    {
        SurfStyle       0.202245
        OceanStyle      0.708389
        Randomize      (0.519, -0.232, 0.969)
        colorDistMagn   0.142025
        colorDistFreq   0.0203607
        detailScale     168.454
        colorConversion true
        snowLevel       2
        tropicLatitude  0.534972
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.368147
        terraceProb     0.404839
        erosion         0
        montesMagn      0.411501
        montesFreq      2.93894
        montesSpiky     0.978288
        montesFraction  0.372675
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0864975
        hillsFraction   0.916043
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.247918
        craterFreq      0.205791
        craterDensity   0.90175
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.505179
        volcanoTemp     1368.57
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.260, 0.243, 0.224, 0.000)
        colorShelf     (0.276, 0.259, 0.238, 0.000)
        colorBeach     (0.293, 0.274, 0.252, 0.000)
        colorDesert    (0.309, 0.289, 0.266, 0.000)
        colorLowland   (0.325, 0.304, 0.280, 0.000)
        colorUpland    (0.341, 0.320, 0.294, 0.000)
        colorRock      (0.358, 0.335, 0.308, 0.000)
        colorSnow      (0.374, 0.350, 0.322, 1.000)
        BumpHeight      5.55208
        BumpOffset      1.11042
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.618843
        GasToDust   0.25
        Particles   2229
        GasBright   0.0462293
        DustBright  0.387854
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.4594
        Period          126.088
        Eccentricity    0.977183
        Inclination     140.224
        AscendingNode   -14.7876
        ArgOfPericenter 111.825
        MeanAnomaly     88.7316
    }
}

Comet	"C84"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            6.43221e-007
    Radius          144.902
    InertiaMoment   0.397841

    Oblateness      0.00998287

    RotationPeriod  67.003
    Obliquity       23.1247
    EqAscendNode    37.3096

    AbsMagn         2.66157
    SlopeParam      3.89501
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.631 0.522 0.355)

    Surface
    {
        SurfStyle       0.493897
        OceanStyle      0.473561
        Randomize      (-0.155, -0.903, 0.545)
        colorDistMagn   0.938101
        colorDistFreq   6.17506
        detailScale     3956.79
        colorConversion true
        snowLevel       2
        tropicLatitude  0.211614
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.413759
        terraceProb     0.259658
        erosion         0
        montesMagn      0.346907
        montesFreq      2.87375
        montesSpiky     0.910612
        montesFraction  0.228452
        dunesFraction   0
        hillsMagn       0
        hillsFreq       40.1852
        hillsFraction   0.633215
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.231421
        craterFreq      0.627049
        craterDensity   0.901368
        craterOctaves   16
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.520077
        volcanoTemp     1362.96
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.252, 0.209, 0.142, 0.000)
        colorShelf     (0.268, 0.222, 0.151, 0.000)
        colorBeach     (0.284, 0.235, 0.160, 0.000)
        colorDesert    (0.300, 0.248, 0.169, 0.000)
        colorLowland   (0.316, 0.261, 0.177, 0.000)
        colorUpland    (0.331, 0.274, 0.186, 0.000)
        colorRock      (0.347, 0.287, 0.195, 0.000)
        colorSnow      (0.363, 0.300, 0.204, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   1
        GasToDust   0.25
        Particles   3000
        GasBright   0.152064
        DustBright  0.766506
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   18.4739
        Period          88.1128
        Eccentricity    0.9663
        Inclination     -14.1914
        AscendingNode   -27.0291
        ArgOfPericenter 120.36
        MeanAnomaly     151.721
    }
}

Comet	"C85"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.98052e-014
    Radius          0.38212
    InertiaMoment   0.399657

    Oblateness      0.00637022

    RotationPeriod  64.9534
    Obliquity       336.33
    EqAscendNode    21.887

    AbsMagn         4.95437
    SlopeParam      2.83531
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.671 0.668 0.663)

    Surface
    {
        SurfStyle       0.828361
        OceanStyle      0.729495
        Randomize      (-0.031, -0.944, -0.131)
        colorDistMagn   0.937077
        colorDistFreq   5.26522e-005
        detailScale     10.4344
        colorConversion true
        snowLevel       2
        tropicLatitude  0.0478092
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.57499
        terraceProb     0.101596
        erosion         0
        montesMagn      0.506357
        montesFreq      2.60964
        montesSpiky     0.969322
        montesFraction  0.415093
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00035273
        hillsFraction   0.790222
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.273061
        craterFreq      0.147583
        craterDensity   0.775137
        craterOctaves   6
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.546147
        volcanoTemp     1679.64
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.262, 0.227, 0.186, 0.000)
        colorShelf     (0.269, 0.234, 0.212, 0.000)
        colorBeach     (0.316, 0.274, 0.252, 0.000)
        colorDesert    (0.342, 0.294, 0.245, 0.000)
        colorLowland   (0.376, 0.314, 0.279, 0.000)
        colorUpland    (0.416, 0.381, 0.338, 0.000)
        colorRock      (0.450, 0.414, 0.365, 0.000)
        colorSnow      (0.490, 0.441, 0.385, 1.000)
        BumpHeight      0.343908
        BumpOffset      0.0687816
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.170476
        GasToDust   0.25
        Particles   1324
        GasBright   0.13544
        DustBright  0.467617
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   16.0827
        Period          71.5712
        Eccentricity    0.950549
        Inclination     -24.9519
        AscendingNode   -174.113
        ArgOfPericenter -57.0814
        MeanAnomaly     17.2359
    }
}

Comet	"C86"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.5318e-010
    Radius          8.91476
    InertiaMoment   0.39848

    Oblateness      0.011083

    RotationPeriod  62.9573
    Obliquity       289.536
    EqAscendNode    6.46445

    AbsMagn         6.51699
    SlopeParam      6.84576
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.574 0.571 0.569)

    Surface
    {
        SurfStyle       0.28871
        OceanStyle      0.695655
        Randomize      (0.246, -0.830, -0.527)
        colorDistMagn   0.869408
        colorDistFreq   0.0340511
        detailScale     243.432
        colorConversion true
        snowLevel       2
        tropicLatitude  0.917603
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.550529
        terraceProb     0.516842
        erosion         0
        montesMagn      0.376496
        montesFreq      3.12827
        montesSpiky     0.959948
        montesFraction  0.640191
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.2168
        hillsFraction   0.728274
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.230737
        craterFreq      0.153616
        craterDensity   0.853585
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.534466
        volcanoTemp     1276.47
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.230, 0.228, 0.228, 0.000)
        colorShelf     (0.244, 0.243, 0.242, 0.000)
        colorBeach     (0.258, 0.257, 0.256, 0.000)
        colorDesert    (0.273, 0.271, 0.270, 0.000)
        colorLowland   (0.287, 0.285, 0.284, 0.000)
        colorUpland    (0.301, 0.300, 0.299, 0.000)
        colorRock      (0.316, 0.314, 0.313, 0.000)
        colorSnow      (0.330, 0.328, 0.327, 1.000)
        BumpHeight      8.02329
        BumpOffset      1.60466
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.651669
        GasToDust   0.25
        Particles   2296
        GasBright   0.0815571
        DustBright  0.205986
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.2186
        Period          93.4937
        Eccentricity    0.940892
        Inclination     -175.923
        AscendingNode   17.3968
        ArgOfPericenter 124.605
        MeanAnomaly     19.6757
    }
}

Comet	"C87"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.71651e-018
    Radius          0.0236694
    InertiaMoment   0.395683

    Oblateness      0.00710005

    RotationPeriod  61.0062
    Obliquity       242.742
    EqAscendNode    351.042

    AbsMagn         7.87581
    SlopeParam      5.18783
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.553 0.548 0.545)

    Surface
    {
        SurfStyle       0.561311
        OceanStyle      0.281003
        Randomize      (0.803, 0.606, 0.814)
        colorDistMagn   0.613468
        colorDistFreq   3.35862e-007
        detailScale     0.646333
        colorConversion true
        snowLevel       2
        tropicLatitude  0.93197
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.585921
        terraceProb     0.259546
        erosion         0
        montesMagn      0.48716
        montesFreq      3.59979
        montesSpiky     0.975996
        montesFraction  0.605159
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.21672e-006
        hillsFraction   0.832031
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.259518
        craterFreq      0.209368
        craterDensity   0.813903
        craterOctaves   1
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.476404
        volcanoTemp     1665.99
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.216, 0.186, 0.152, 0.000)
        colorShelf     (0.221, 0.192, 0.174, 0.000)
        colorBeach     (0.260, 0.225, 0.207, 0.000)
        colorDesert    (0.282, 0.241, 0.201, 0.000)
        colorLowland   (0.310, 0.258, 0.229, 0.000)
        colorUpland    (0.343, 0.312, 0.278, 0.000)
        colorRock      (0.371, 0.340, 0.299, 0.000)
        colorSnow      (0.404, 0.362, 0.316, 1.000)
        BumpHeight      0.0213025
        BumpOffset      0.0042605
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.264559
        DustBright  0.507471
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   16.8995
        Period          77.0926
        Eccentricity    0.959937
        Inclination     -173.109
        AscendingNode   30.231
        ArgOfPericenter -166.247
        MeanAnomaly     6.88536
    }
}

Comet	"C88"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.64788e-014
    Radius          0.54901
    InertiaMoment   0.398992

    Oblateness      0.012362

    RotationPeriod  59.0926
    Obliquity       195.947
    EqAscendNode    335.619

    AbsMagn         9.22003
    SlopeParam      4.1245
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.697 0.636 0.582)

    Surface
    {
        SurfStyle       0.282316
        OceanStyle      0.889798
        Randomize      (0.200, 0.457, 0.501)
        colorDistMagn   0.839106
        colorDistFreq   0.0001418
        detailScale     14.9916
        colorConversion true
        snowLevel       2
        tropicLatitude  0.377938
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.508462
        terraceProb     0.409702
        erosion         0
        montesMagn      0.518687
        montesFreq      3.8412
        montesSpiky     0.766458
        montesFraction  0.274594
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.000575662
        hillsFraction   0.633452
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.210813
        craterFreq      0.253509
        craterDensity   0.900365
        craterOctaves   6
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.451901
        volcanoTemp     1383.29
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.279, 0.254, 0.233, 0.000)
        colorShelf     (0.296, 0.270, 0.247, 0.000)
        colorBeach     (0.314, 0.286, 0.262, 0.000)
        colorDesert    (0.331, 0.302, 0.276, 0.000)
        colorLowland   (0.349, 0.318, 0.291, 0.000)
        colorUpland    (0.366, 0.334, 0.305, 0.000)
        colorRock      (0.383, 0.350, 0.320, 0.000)
        colorSnow      (0.401, 0.365, 0.334, 1.000)
        BumpHeight      0.494109
        BumpOffset      0.0988219
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.203303
        GasToDust   0.25
        Particles   1390
        GasBright   0.183394
        DustBright  0.273122
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.4868
        Period          95.4581
        Eccentricity    0.957196
        Inclination     -18.4414
        AscendingNode   80.9357
        ArgOfPericenter 9.4861
        MeanAnomaly     -27.8028
    }
}

Comet	"C89"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.82137e-010
    Radius          9.25073
    InertiaMoment   0.397425

    Oblateness      0.00811014

    RotationPeriod  57.2099
    Obliquity       149.153
    EqAscendNode    320.197

    AbsMagn         10.7235
    SlopeParam      3.09758
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.448 0.444 0.438)

    Surface
    {
        SurfStyle       0.140659
        OceanStyle      0.305026
        Randomize      (0.262, 0.095, 0.786)
        colorDistMagn   0.972679
        colorDistFreq   0.0492737
        detailScale     252.607
        colorConversion true
        snowLevel       2
        tropicLatitude  0.593106
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.584071
        terraceProb     0.338933
        erosion         0
        montesMagn      0.520755
        montesFreq      1.92223
        montesSpiky     0.991784
        montesFraction  0.880459
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0946201
        hillsFraction   0.562728
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.257975
        craterFreq      0.16866
        craterDensity   0.870368
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.458137
        volcanoTemp     1058.84
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.179, 0.178, 0.175, 0.000)
        colorShelf     (0.191, 0.189, 0.186, 0.000)
        colorBeach     (0.202, 0.200, 0.197, 0.000)
        colorDesert    (0.213, 0.211, 0.208, 0.000)
        colorLowland   (0.224, 0.222, 0.219, 0.000)
        colorUpland    (0.235, 0.233, 0.230, 0.000)
        colorRock      (0.247, 0.244, 0.241, 0.000)
        colorSnow      (0.258, 0.255, 0.252, 1.000)
        BumpHeight      8.32566
        BumpOffset      1.66513
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.684494
        GasToDust   0.25
        Particles   2362
        GasBright   0.433586
        DustBright  0.507417
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.5573
        Period          111.069
        Eccentricity    0.971378
        Inclination     5.53634
        AscendingNode   -177.282
        ArgOfPericenter 167.439
        MeanAnomaly     142.608
    }
}

Comet	"C90"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            8.68723e-018
    Radius          0.0338362
    InertiaMoment   0.399445

    Oblateness      0.0138735

    RotationPeriod  55.352
    Obliquity       102.359
    EqAscendNode    304.774

    AbsMagn         12.7856
    SlopeParam      7.71457
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.722 0.720 0.718)

    Surface
    {
        SurfStyle       0.558634
        OceanStyle      0.657909
        Randomize      (0.886, 0.558, 0.132)
        colorDistMagn   0.545664
        colorDistFreq   5.39994e-007
        detailScale     0.923953
        colorConversion true
        snowLevel       2
        tropicLatitude  0.989605
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.546238
        terraceProb     0.127298
        erosion         0
        montesMagn      0.361531
        montesFreq      3.56297
        montesSpiky     0.993561
        montesFraction  0.330196
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.11654e-006
        hillsFraction   0.63847
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.239472
        craterFreq      0.173376
        craterDensity   0.868203
        craterOctaves   2
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.529962
        volcanoTemp     1834.87
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.282, 0.245, 0.201, 0.000)
        colorShelf     (0.289, 0.252, 0.230, 0.000)
        colorBeach     (0.339, 0.295, 0.273, 0.000)
        colorDesert    (0.368, 0.317, 0.266, 0.000)
        colorLowland   (0.404, 0.338, 0.301, 0.000)
        colorUpland    (0.448, 0.410, 0.366, 0.000)
        colorRock      (0.484, 0.446, 0.395, 0.000)
        colorSnow      (0.527, 0.475, 0.416, 1.000)
        BumpHeight      0.0304525
        BumpOffset      0.00609051
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.0123943
        DustBright  0.613095
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   22.6735
        Period          119.806
        Eccentricity    0.966076
        Inclination     20.7117
        AscendingNode   174.737
        ArgOfPericenter 29.2774
        MeanAnomaly     -123.788
    }
}

Comet	"C91"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            6.71895e-014
    Radius          0.573013
    InertiaMoment   0.398188

    Oblateness      0.00927707

    RotationPeriod  53.5136
    Obliquity       55.5646
    EqAscendNode    289.352

    AbsMagn         0.0899887
    SlopeParam      5.47418
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.601 0.504 0.471)

    Surface
    {
        SurfStyle       0.916112
        OceanStyle      0.280934
        Randomize      (-0.958, -0.076, 0.938)
        colorDistMagn   0.953291
        colorDistFreq   6.62018e-005
        detailScale     15.6471
        colorConversion true
        snowLevel       2
        tropicLatitude  0.917989
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.529445
        terraceProb     0.304671
        erosion         0
        montesMagn      0.590136
        montesFreq      3.18272
        montesSpiky     0.990525
        montesFraction  0.755122
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.000478503
        hillsFraction   0.520537
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.23933
        craterFreq      0.26463
        craterDensity   0.859264
        craterOctaves   7
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.503283
        volcanoTemp     1371.73
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.204, 0.177, 0.189, 0.050)
        colorShelf     (0.241, 0.207, 0.217, 0.040)
        colorBeach     (0.277, 0.237, 0.245, 0.030)
        colorDesert    (0.313, 0.267, 0.278, 0.020)
        colorLowland   (0.349, 0.298, 0.306, 0.030)
        colorUpland    (0.385, 0.328, 0.335, 0.050)
        colorRock      (0.421, 0.358, 0.372, 0.020)
        colorSnow      (0.421, 0.358, 0.372, 1.000)
        BumpHeight      0.515712
        BumpOffset      0.103142
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.236129
        GasToDust   0.25
        Particles   1456
        GasBright   0.0244449
        DustBright  0.285531
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   22.1506
        Period          115.685
        Eccentricity    0.941352
        Inclination     -21.205
        AscendingNode   115.959
        ArgOfPericenter -48.3793
        MeanAnomaly     -147.981
    }
}

Comet	"C92"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.19663e-010
    Radius          13.1656
    InertiaMoment   0.399871

    Oblateness      0.015692

    RotationPeriod  51.6894
    Obliquity       8.77029
    EqAscendNode    273.929

    AbsMagn         3.95915
    SlopeParam      4.35564
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.467 0.462 0.455)

    Surface
    {
        SurfStyle       0.571609
        OceanStyle      0.918473
        Randomize      (-0.570, 0.726, -0.455)
        colorDistMagn   0.0295667
        colorDistFreq   0.114369
        detailScale     359.507
        colorConversion true
        snowLevel       2
        tropicLatitude  0.874606
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.48177
        terraceProb     0.397172
        erosion         0
        montesMagn      0.536304
        montesFreq      2.85784
        montesSpiky     0.896087
        montesFraction  0.373263
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.401968
        hillsFraction   0.655831
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.241719
        craterFreq      0.253484
        craterDensity   0.916794
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.496601
        volcanoTemp     1622.41
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.182, 0.157, 0.127, 0.000)
        colorShelf     (0.187, 0.162, 0.146, 0.000)
        colorBeach     (0.219, 0.190, 0.173, 0.000)
        colorDesert    (0.238, 0.203, 0.168, 0.000)
        colorLowland   (0.261, 0.217, 0.191, 0.000)
        colorUpland    (0.289, 0.264, 0.232, 0.000)
        colorRock      (0.313, 0.287, 0.250, 0.000)
        colorSnow      (0.341, 0.305, 0.264, 1.000)
        BumpHeight      11.849
        BumpOffset      2.3698
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.717321
        GasToDust   0.25
        Particles   2428
        GasBright   0.109561
        DustBright  0.684902
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.8456
        Period          105.614
        Eccentricity    0.958922
        Inclination     -52.3104
        AscendingNode   171.719
        ArgOfPericenter -19.987
        MeanAnomaly     -114.721
    }
}

Comet	"C93"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.60008e-017
    Radius          0.0354939
    InertiaMoment   0.39875

    Oblateness      0.0106812

    RotationPeriod  49.8746
    Obliquity       321.976
    EqAscendNode    258.506

    AbsMagn         5.76775
    SlopeParam      3.34513
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.829 0.757 0.714)

    Surface
    {
        SurfStyle       0.512049
        OceanStyle      0.992068
        Randomize      (-0.658, 0.205, -0.877)
        colorDistMagn   0.866274
        colorDistFreq   5.83131e-007
        detailScale     0.96922
        colorConversion true
        snowLevel       2
        tropicLatitude  0.732785
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.613355
        terraceProb     0.244109
        erosion         0
        montesMagn      0.294762
        montesFreq      3.06329
        montesSpiky     0.842308
        montesFraction  0.659381
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.83642e-006
        hillsFraction   0.711837
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.243821
        craterFreq      0.190449
        craterDensity   0.821319
        craterOctaves   2
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.404445
        volcanoTemp     1457.08
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.323, 0.257, 0.200, 0.000)
        colorShelf     (0.332, 0.265, 0.229, 0.000)
        colorBeach     (0.390, 0.310, 0.271, 0.000)
        colorDesert    (0.423, 0.333, 0.264, 0.000)
        colorLowland   (0.464, 0.356, 0.300, 0.000)
        colorUpland    (0.514, 0.431, 0.364, 0.000)
        colorRock      (0.556, 0.469, 0.393, 0.000)
        colorSnow      (0.605, 0.499, 0.414, 1.000)
        BumpHeight      0.0319445
        BumpOffset      0.0063889
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.0943296
        DustBright  0.38462
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.8542
        Period          105.68
        Eccentricity    0.977439
        Inclination     -130.538
        AscendingNode   -68.9088
        ArgOfPericenter -36.4468
        MeanAnomaly     -88.562
    }
}

Comet	"C94"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.23755e-013
    Radius          0.812277
    InertiaMoment   0.396852

    Oblateness      0.0176958

    RotationPeriod  48.0646
    Obliquity       275.182
    EqAscendNode    243.084

    AbsMagn         7.19862
    SlopeParam      2.11345
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.608 0.601 0.596)

    Surface
    {
        SurfStyle       0.0719017
        OceanStyle      0.335352
        Randomize      (-0.136, 0.693, 0.701)
        colorDistMagn   0.82848
        colorDistFreq   0.00029875
        detailScale     22.1806
        colorConversion true
        snowLevel       2
        tropicLatitude  0.985286
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.728193
        terraceProb     0.197618
        erosion         0
        montesMagn      0.553403
        montesFreq      3.49432
        montesSpiky     0.984618
        montesFraction  0.220869
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00172391
        hillsFraction   0.540802
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.248042
        craterFreq      0.181259
        craterDensity   0.961558
        craterOctaves   7
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.495175
        volcanoTemp     1612.27
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.243, 0.240, 0.238, 0.000)
        colorShelf     (0.258, 0.255, 0.253, 0.000)
        colorBeach     (0.274, 0.270, 0.268, 0.000)
        colorDesert    (0.289, 0.285, 0.283, 0.000)
        colorLowland   (0.304, 0.301, 0.298, 0.000)
        colorUpland    (0.319, 0.316, 0.313, 0.000)
        colorRock      (0.334, 0.331, 0.328, 0.000)
        colorSnow      (0.350, 0.346, 0.343, 1.000)
        BumpHeight      0.731049
        BumpOffset      0.14621
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.268954
        GasToDust   0.25
        Particles   1523
        GasBright   0.246636
        DustBright  0.7168
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.6757
        Period          104.326
        Eccentricity    0.970498
        Inclination     10.5422
        AscendingNode   63.2122
        ArgOfPericenter 15.8152
        MeanAnomaly     -108.144
    }
}

Comet	"C95"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            9.57153e-010
    Radius          13.8721
    InertiaMoment   0.399227

    Oblateness      0.0124157

    RotationPeriod  46.2548
    Obliquity       228.387
    EqAscendNode    227.661

    AbsMagn         8.53105
    SlopeParam      5.79457
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.772 0.768 0.767)

    Surface
    {
        SurfStyle       0.103565
        OceanStyle      0.421992
        Randomize      (-0.558, 0.590, 0.311)
        colorDistMagn   0.0305775
        colorDistFreq   0.016434
        detailScale     378.801
        colorConversion true
        snowLevel       2
        tropicLatitude  0.708463
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.344353
        terraceProb     0.634962
        erosion         0
        montesMagn      0.459184
        montesFreq      3.85997
        montesSpiky     0.773738
        montesFraction  0.377155
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.497499
        hillsFraction   0.656949
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.285028
        craterFreq      0.258942
        craterDensity   0.982999
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.51697
        volcanoTemp     1566.34
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.309, 0.307, 0.307, 0.000)
        colorShelf     (0.328, 0.327, 0.326, 0.000)
        colorBeach     (0.347, 0.346, 0.345, 0.000)
        colorDesert    (0.366, 0.365, 0.364, 0.000)
        colorLowland   (0.386, 0.384, 0.384, 0.000)
        colorUpland    (0.405, 0.403, 0.403, 0.000)
        colorRock      (0.424, 0.423, 0.422, 0.000)
        colorSnow      (0.444, 0.442, 0.441, 1.000)
        BumpHeight      12.4849
        BumpOffset      2.49698
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.750146
        GasToDust   0.25
        Particles   2495
        GasBright   0.204123
        DustBright  0.4438
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.4195
        Period          125.767
        Eccentricity    0.960403
        Inclination     174.769
        AscendingNode   -49.3287
        ArgOfPericenter -22.3172
        MeanAnomaly     -115.596
    }
}

Comet	"C96"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.94714e-017
    Radius          0.0501348
    InertiaMoment   0.39785

    Oblateness      0.0205142

    RotationPeriod  44.4405
    Obliquity       181.593
    EqAscendNode    212.239

    AbsMagn         9.92707
    SlopeParam      4.59165
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.838 0.808 0.761)

    Surface
    {
        SurfStyle       0.308135
        OceanStyle      0.401718
        Randomize      (-0.257, -0.498, 0.819)
        colorDistMagn   0.45507
        colorDistFreq   1.0514e-006
        detailScale     1.36901
        colorConversion true
        snowLevel       2
        tropicLatitude  0.365665
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.53332
        terraceProb     0.433281
        erosion         0
        montesMagn      0.369225
        montesFreq      3.59893
        montesSpiky     0.872707
        montesFraction  0.410601
        dunesFraction   0
        hillsMagn       0
        hillsFreq       6.2709e-006
        hillsFraction   0.533808
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.22918
        craterFreq      0.265199
        craterDensity   0.734922
        craterOctaves   2
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.521643
        volcanoTemp     1410.78
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.335, 0.323, 0.304, 0.000)
        colorShelf     (0.356, 0.343, 0.323, 0.000)
        colorBeach     (0.377, 0.363, 0.342, 0.000)
        colorDesert    (0.398, 0.384, 0.361, 0.000)
        colorLowland   (0.419, 0.404, 0.380, 0.000)
        colorUpland    (0.440, 0.424, 0.399, 0.000)
        colorRock      (0.461, 0.444, 0.418, 0.000)
        colorSnow      (0.482, 0.464, 0.437, 1.000)
        BumpHeight      0.0451213
        BumpOffset      0.00902426
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.12435
        DustBright  0.208059
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.4278
        Period          125.834
        Eccentricity    0.978572
        Inclination     159.92
        AscendingNode   148.097
        ArgOfPericenter -132.277
        MeanAnomaly     172.067
    }
}

Comet	"C97"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.2794e-013
    Radius          0.859274
    InertiaMoment   0.399662

    Oblateness      0.0146202

    RotationPeriod  42.6171
    Obliquity       134.799
    EqAscendNode    196.816

    AbsMagn         11.6193
    SlopeParam      3.583
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.519 0.446 0.316)

    Surface
    {
        SurfStyle       0.311007
        OceanStyle      0.558228
        Randomize      (0.452, 0.008, -0.880)
        colorDistMagn   0.752997
        colorDistFreq   0.000318993
        detailScale     23.4639
        colorConversion true
        snowLevel       2
        tropicLatitude  0.9996
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.497372
        terraceProb     0.203947
        erosion         0
        montesMagn      0.453224
        montesFreq      2.93396
        montesSpiky     0.995457
        montesFraction  0.65752
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00209024
        hillsFraction   0.741792
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.225519
        craterFreq      0.250021
        craterDensity   0.795528
        craterOctaves   7
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.467582
        volcanoTemp     1213.9
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.208, 0.178, 0.127, 0.000)
        colorShelf     (0.221, 0.190, 0.134, 0.000)
        colorBeach     (0.234, 0.201, 0.142, 0.000)
        colorDesert    (0.247, 0.212, 0.150, 0.000)
        colorLowland   (0.260, 0.223, 0.158, 0.000)
        colorUpland    (0.273, 0.234, 0.166, 0.000)
        colorRock      (0.286, 0.245, 0.174, 0.000)
        colorSnow      (0.299, 0.257, 0.182, 1.000)
        BumpHeight      0.773347
        BumpOffset      0.154669
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.30178
        GasToDust   0.25
        Particles   1589
        GasBright   0.353824
        DustBright  0.463072
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.397
        Period          109.832
        Eccentricity    0.976512
        Inclination     68.3355
        AscendingNode   -115.935
        ArgOfPericenter 155.724
        MeanAnomaly     -7.31031
    }
}

Comet	"C98"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.76295e-009
    Radius          19.5307
    InertiaMoment   0.398487

    Oblateness      0.0241352

    RotationPeriod  40.7799
    Obliquity       88.0045
    EqAscendNode    181.393

    AbsMagn         14.5571
    SlopeParam      2.44561
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.407 0.401 0.399)

    Surface
    {
        SurfStyle       0.175168
        OceanStyle      0.858889
        Randomize      (-0.382, 0.314, -0.344)
        colorDistMagn   0.68647
        colorDistFreq   0.241593
        detailScale     533.317
        colorConversion true
        snowLevel       2
        tropicLatitude  0.969613
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.491381
        terraceProb     0.154985
        erosion         0
        montesMagn      0.518242
        montesFreq      3.75063
        montesSpiky     0.814057
        montesFraction  0.586022
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.886048
        hillsFraction   0.563601
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.254188
        craterFreq      0.205839
        craterDensity   0.923691
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.451228
        volcanoTemp     1596.94
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.163, 0.161, 0.160, 0.000)
        colorShelf     (0.173, 0.171, 0.170, 0.000)
        colorBeach     (0.183, 0.181, 0.180, 0.000)
        colorDesert    (0.193, 0.191, 0.190, 0.000)
        colorLowland   (0.204, 0.201, 0.200, 0.000)
        colorUpland    (0.214, 0.211, 0.210, 0.000)
        colorRock      (0.224, 0.221, 0.220, 0.000)
        colorSnow      (0.234, 0.231, 0.230, 1.000)
        BumpHeight      17.5776
        BumpOffset      3.51552
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.782972
        GasToDust   0.25
        Particles   2561
        GasBright   0.246769
        DustBright  0.254613
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.8259
        Period          129.055
        Eccentricity    0.927243
        Inclination     -107.724
        AscendingNode   74.4472
        ArgOfPericenter 65.0198
        MeanAnomaly     -17.0349
    }
}

Comet	"C99"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.42827e-017
    Radius          0.0532257
    InertiaMoment   0.395736

    Oblateness      0.0172357

    RotationPeriod  38.9236
    Obliquity       41.2102
    EqAscendNode    165.971

    AbsMagn         2.61688
    SlopeParam      6.16935
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.584 0.579 0.574)

    Surface
    {
        SurfStyle       0.146705
        OceanStyle      0.929283
        Randomize      (0.154, -0.544, 0.846)
        colorDistMagn   0.441249
        colorDistFreq   2.37647e-006
        detailScale     1.45342
        colorConversion true
        snowLevel       2
        tropicLatitude  0.867282
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.415792
        terraceProb     0.192009
        erosion         0
        montesMagn      0.641634
        montesFreq      3.75463
        montesSpiky     0.885588
        montesFraction  0.696652
        dunesFraction   0
        hillsMagn       0
        hillsFreq       6.49196e-006
        hillsFraction   0.693209
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.266524
        craterFreq      0.21603
        craterDensity   1.05971
        craterOctaves   3
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.509212
        volcanoTemp     1707.66
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.234, 0.232, 0.229, 0.000)
        colorShelf     (0.248, 0.246, 0.244, 0.000)
        colorBeach     (0.263, 0.260, 0.258, 0.000)
        colorDesert    (0.278, 0.275, 0.273, 0.000)
        colorLowland   (0.292, 0.289, 0.287, 0.000)
        colorUpland    (0.307, 0.304, 0.301, 0.000)
        colorRock      (0.321, 0.318, 0.316, 0.000)
        colorSnow      (0.336, 0.333, 0.330, 1.000)
        BumpHeight      0.0479032
        BumpOffset      0.00958063
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.0504988
        DustBright  0.93537
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.221
        Period          124.172
        Eccentricity    0.953015
        Inclination     44.6238
        AscendingNode   85.3374
        ArgOfPericenter 119.235
        MeanAnomaly     -140.18
    }
}

Comet	"C100"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.19838e-013
    Radius          1.20619
    InertiaMoment   0.398998

    Oblateness      0.0289882

    RotationPeriod  37.0428
    Obliquity       354.416
    EqAscendNode    150.548

    AbsMagn         4.92999
    SlopeParam      4.83623
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.640 0.633 0.629)

    Surface
    {
        SurfStyle       0.561003
        OceanStyle      0.158216
        Randomize      (-0.538, -0.138, 0.249)
        colorDistMagn   0.495108
        colorDistFreq   0.000630553
        detailScale     32.937
        colorConversion true
        snowLevel       2
        tropicLatitude  0.999952
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.540708
        terraceProb     0.255937
        erosion         0
        montesMagn      0.594596
        montesFreq      2.60829
        montesSpiky     0.971421
        montesFraction  0.454408
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00461573
        hillsFraction   0.664029
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.268215
        craterFreq      0.171179
        craterDensity   0.833421
        craterOctaves   8
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.516928
        volcanoTemp     1765.5
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.249, 0.215, 0.176, 0.000)
        colorShelf     (0.256, 0.221, 0.201, 0.000)
        colorBeach     (0.301, 0.259, 0.239, 0.000)
        colorDesert    (0.326, 0.278, 0.233, 0.000)
        colorLowland   (0.358, 0.297, 0.264, 0.000)
        colorUpland    (0.397, 0.361, 0.321, 0.000)
        colorRock      (0.428, 0.392, 0.346, 0.000)
        colorSnow      (0.467, 0.417, 0.365, 1.000)
        BumpHeight      1.08557
        BumpOffset      0.217114
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.334606
        GasToDust   0.25
        Particles   1655
        GasBright   0.0739187
        DustBright  0.596437
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   16.7423
        Period          76.019
        Eccentricity    0.942965
        Inclination     -84.4306
        AscendingNode   -26.3327
        ArgOfPericenter 119.062
        MeanAnomaly     -127.702
    }
}

Comet	"C101"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.24714e-009
    Radius          20.8023
    InertiaMoment   0.397437

    Oblateness      0.02125

    RotationPeriod  35.1316
    Obliquity       307.622
    EqAscendNode    135.126

    AbsMagn         6.49747
    SlopeParam      3.8151
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.555 0.467 0.321)

    Surface
    {
        SurfStyle       0.382194
        OceanStyle      0.350188
        Randomize      (0.177, 0.486, -0.382)
        colorDistMagn   0.693367
        colorDistFreq   0.232825
        detailScale     568.042
        colorConversion true
        snowLevel       2
        tropicLatitude  0.849271
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.442597
        terraceProb     0.346196
        erosion         0
        montesMagn      0.504563
        montesFreq      2.65832
        montesSpiky     0.975956
        montesFraction  0.468662
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.851503
        hillsFraction   0.576876
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.258173
        craterFreq      0.249194
        craterDensity   0.80095
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.502406
        volcanoTemp     1366.77
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.222, 0.187, 0.128, 0.000)
        colorShelf     (0.236, 0.199, 0.136, 0.000)
        colorBeach     (0.250, 0.210, 0.144, 0.000)
        colorDesert    (0.264, 0.222, 0.152, 0.000)
        colorLowland   (0.277, 0.234, 0.160, 0.000)
        colorUpland    (0.291, 0.245, 0.168, 0.000)
        colorRock      (0.305, 0.257, 0.176, 0.000)
        colorSnow      (0.319, 0.269, 0.184, 1.000)
        BumpHeight      18.7221
        BumpOffset      3.74442
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.815798
        GasToDust   0.25
        Particles   2627
        GasBright   0.0600794
        DustBright  0.294762
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   30.8368
        Period          190.023
        Eccentricity    0.980429
        Inclination     -94.1083
        AscendingNode   -136.355
        ArgOfPericenter 24.7029
        MeanAnomaly     -112.916
    }
}

Comet	"C102"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            9.99821e-017
    Radius          0.0745105
    InertiaMoment   0.399451

    Oblateness      0.0358168

    RotationPeriod  33.1835
    Obliquity       260.827
    EqAscendNode    119.703

    AbsMagn         7.85759
    SlopeParam      2.73954
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.697 0.694 0.692)

    Surface
    {
        SurfStyle       0.574559
        OceanStyle      0.772776
        Randomize      (0.939, 0.500, -0.600)
        colorDistMagn   0.143064
        colorDistFreq   3.77393e-006
        detailScale     2.03463
        colorConversion true
        snowLevel       2
        tropicLatitude  0.999025
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.445024
        terraceProb     0.19783
        erosion         0
        montesMagn      0.542229
        montesFreq      3.12381
        montesSpiky     0.986779
        montesFraction  0.780631
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.30126e-005
        hillsFraction   0.60886
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.276646
        craterFreq      0.252812
        craterDensity   0.962113
        craterOctaves   3
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.595123
        volcanoTemp     1395.67
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.272, 0.236, 0.194, 0.000)
        colorShelf     (0.279, 0.243, 0.221, 0.000)
        colorBeach     (0.328, 0.284, 0.263, 0.000)
        colorDesert    (0.355, 0.305, 0.256, 0.000)
        colorLowland   (0.390, 0.326, 0.291, 0.000)
        colorUpland    (0.432, 0.395, 0.353, 0.000)
        colorRock      (0.467, 0.430, 0.380, 0.000)
        colorSnow      (0.509, 0.458, 0.401, 1.000)
        BumpHeight      0.0670594
        BumpOffset      0.0134119
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.191668
        DustBright  0.647661
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.8898
        Period          129.574
        Eccentricity    0.953402
        Inclination     -122.53
        AscendingNode   87.1362
        ArgOfPericenter 149.607
        MeanAnomaly     140.776
    }
}

Comet	"C103"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            7.73288e-013
    Radius          1.28855
    InertiaMoment   0.398196

    Oblateness      0.0269814

    RotationPeriod  31.1909
    Obliquity       214.033
    EqAscendNode    104.28

    AbsMagn         9.20097
    SlopeParam      6.64163
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.509 0.500 0.495)

    Surface
    {
        SurfStyle       0.959088
        OceanStyle      0.165245
        Randomize      (-0.962, -0.493, 0.677)
        colorDistMagn   0.306807
        colorDistFreq   0.00027093
        detailScale     35.186
        colorConversion true
        snowLevel       2
        tropicLatitude  0.67985
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.566858
        terraceProb     0.309191
        erosion         0
        montesMagn      0.51465
        montesFreq      3.21143
        montesSpiky     0.873527
        montesFraction  0.879249
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00354158
        hillsFraction   0.570024
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.252996
        craterFreq      0.21554
        craterDensity   0.932858
        craterOctaves   8
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.483021
        volcanoTemp     1647.3
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.173, 0.175, 0.198, 0.050)
        colorShelf     (0.204, 0.205, 0.228, 0.040)
        colorBeach     (0.234, 0.235, 0.258, 0.030)
        colorDesert    (0.265, 0.265, 0.292, 0.020)
        colorLowland   (0.295, 0.295, 0.322, 0.030)
        colorUpland    (0.326, 0.325, 0.352, 0.050)
        colorRock      (0.356, 0.355, 0.391, 0.020)
        colorSnow      (0.356, 0.355, 0.391, 1.000)
        BumpHeight      1.15969
        BumpOffset      0.231939
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.367432
        GasToDust   0.25
        Particles   1722
        GasBright   0.150546
        DustBright  0.373269
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   18.3153
        Period          86.9804
        Eccentricity    0.947521
        Inclination     11.6457
        AscendingNode   46.1228
        ArgOfPericenter 41.113
        MeanAnomaly     -137.947
    }
}

Comet	"C104"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.98083e-009
    Radius          29.0475
    InertiaMoment   0.399876

    Oblateness      0.0460596

    RotationPeriod  29.1454
    Obliquity       167.239
    EqAscendNode    88.8578

    AbsMagn         10.7006
    SlopeParam      5.09405
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.664 0.662 0.657)

    Surface
    {
        SurfStyle       0.181305
        OceanStyle      0.64708
        Randomize      (-0.279, 0.809, -0.962)
        colorDistMagn   0.311013
        colorDistFreq   0.36888
        detailScale     793.191
        colorConversion true
        snowLevel       2
        tropicLatitude  0.911494
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.572094
        terraceProb     0.428706
        erosion         0
        montesMagn      0.456663
        montesFreq      3.26722
        montesSpiky     0.966324
        montesFraction  0.535788
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.95977
        hillsFraction   0.431019
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.239777
        craterFreq      0.16256
        craterDensity   0.728863
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.474322
        volcanoTemp     1451.88
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.266, 0.265, 0.263, 0.000)
        colorShelf     (0.282, 0.281, 0.279, 0.000)
        colorBeach     (0.299, 0.298, 0.296, 0.000)
        colorDesert    (0.316, 0.314, 0.312, 0.000)
        colorLowland   (0.332, 0.331, 0.328, 0.000)
        colorUpland    (0.349, 0.347, 0.345, 0.000)
        colorRock      (0.365, 0.364, 0.361, 0.000)
        colorSnow      (0.382, 0.380, 0.378, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.848624
        GasToDust   0.25
        Particles   2694
        GasBright   0.0721658
        DustBright  0.136136
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.0859
        Period          99.8938
        Eccentricity    0.927079
        Inclination     76.0597
        AscendingNode   -34.6537
        ArgOfPericenter -166.36
        MeanAnomaly     136.837
    }
}

Comet	"C105"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.84154e-016
    Radius          0.0798162
    InertiaMoment   0.398756

    Oblateness      0.0359122

    RotationPeriod  27.0371
    Obliquity       120.444
    EqAscendNode    73.4352

    AbsMagn         12.7485
    SlopeParam      4.04473
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.789 0.764 0.727)

    Surface
    {
        SurfStyle       0.954476
        OceanStyle      0.316715
        Randomize      (-0.825, -0.824, -0.427)
        colorDistMagn   0.524317
        colorDistFreq   3.95154e-006
        detailScale     2.17951
        colorConversion true
        snowLevel       2
        tropicLatitude  0.826866
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.682217
        terraceProb     0.106294
        erosion         0
        montesMagn      0.519042
        montesFreq      3.79654
        montesSpiky     0.957986
        montesFraction  0.645702
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.49542e-005
        hillsFraction   0.570455
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.273115
        craterFreq      0.223131
        craterDensity   0.955394
        craterOctaves   3
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.455193
        volcanoTemp     1491.47
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.268, 0.268, 0.291, 0.050)
        colorShelf     (0.315, 0.313, 0.335, 0.040)
        colorBeach     (0.363, 0.359, 0.378, 0.030)
        colorDesert    (0.410, 0.405, 0.429, 0.020)
        colorLowland   (0.457, 0.451, 0.473, 0.030)
        colorUpland    (0.505, 0.497, 0.516, 0.050)
        colorRock      (0.552, 0.543, 0.575, 0.020)
        colorSnow      (0.552, 0.543, 0.575, 1.000)
        BumpHeight      0.0718346
        BumpOffset      0.0143669
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.280922
        DustBright  0.411867
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   19.7385
        Period          97.3135
        Eccentricity    0.977924
        Inclination     30.5936
        AscendingNode   73.2803
        ArgOfPericenter 30.0331
        MeanAnomaly     -160.402
    }
}

Comet	"C106"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.4243e-012
    Radius          1.79506
    InertiaMoment   0.39687

    Oblateness      0.0620631

    RotationPeriod  24.8543
    Obliquity       73.6501
    EqAscendNode    58.0126

    AbsMagn         -0.0429325
    SlopeParam      3.00843
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.567 0.565 0.563)

    Surface
    {
        SurfStyle       0.0950082
        OceanStyle      0.749766
        Randomize      (-0.508, 0.494, 0.194)
        colorDistMagn   0.907434
        colorDistFreq   0.00150906
        detailScale     49.0172
        colorConversion true
        snowLevel       2
        tropicLatitude  0.988113
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.660546
        terraceProb     0.130434
        erosion         0
        montesMagn      0.536929
        montesFreq      2.35339
        montesSpiky     0.960702
        montesFraction  0.674221
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.00856734
        hillsFraction   0.719069
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.235537
        craterFreq      0.264548
        craterDensity   1.01099
        craterOctaves   8
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.500505
        volcanoTemp     1283.31
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.227, 0.226, 0.225, 0.000)
        colorShelf     (0.241, 0.240, 0.239, 0.000)
        colorBeach     (0.255, 0.254, 0.253, 0.000)
        colorDesert    (0.270, 0.268, 0.267, 0.000)
        colorLowland   (0.284, 0.282, 0.281, 0.000)
        colorUpland    (0.298, 0.297, 0.295, 0.000)
        colorRock      (0.312, 0.311, 0.309, 0.000)
        colorSnow      (0.326, 0.325, 0.324, 1.000)
        BumpHeight      1.61556
        BumpOffset      0.323111
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.400258
        GasToDust   0.25
        Particles   1788
        GasBright   0.175259
        DustBright  0.202016
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   15.1086
        Period          65.1684
        Eccentricity    0.952113
        Inclination     -46.9645
        AscendingNode   119.544
        ArgOfPericenter 76.7052
        MeanAnomaly     -176.089
    }
}

Comet	"C107"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.10159e-008
    Radius          31.1947
    InertiaMoment   0.399232

    Oblateness      0.0514648

    RotationPeriod  22.5829
    Obliquity       26.8558
    EqAscendNode    42.5901

    AbsMagn         3.92871
    SlopeParam      7.33856
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.420 0.414 0.411)

    Surface
    {
        SurfStyle       0.944707
        OceanStyle      0.397289
        Randomize      (-0.064, -0.476, 0.280)
        colorDistMagn   0.720404
        colorDistFreq   0.521672
        detailScale     851.824
        colorConversion true
        snowLevel       2
        tropicLatitude  0.930996
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.522728
        terraceProb     0.179769
        erosion         0
        montesMagn      0.449605
        montesFreq      2.57821
        montesSpiky     0.975447
        montesFraction  0.413906
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.90579
        hillsFraction   0.66008
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.235085
        craterFreq      0.241065
        craterDensity   0.797772
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.523749
        volcanoTemp     1254.28
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.143, 0.145, 0.164, 0.050)
        colorShelf     (0.168, 0.170, 0.189, 0.040)
        colorBeach     (0.193, 0.195, 0.214, 0.030)
        colorDesert    (0.218, 0.220, 0.243, 0.020)
        colorLowland   (0.243, 0.244, 0.267, 0.030)
        colorUpland    (0.268, 0.269, 0.292, 0.050)
        colorRock      (0.294, 0.294, 0.325, 0.020)
        colorSnow      (0.294, 0.294, 0.325, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.88145
        GasToDust   0.25
        Particles   2760
        GasBright   0.0203244
        DustBright  0.841437
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   9.71841
        Period          33.6197
        Eccentricity    0.886452
        Inclination     -124.902
        AscendingNode   66.8877
        ArgOfPericenter 148.189
        MeanAnomaly     55.4003
    }
}

Comet	"C108"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.39189e-016
    Radius          0.110948
    InertiaMoment   0.39786

    Oblateness      0.0934539

    RotationPeriod  20.2054
    Obliquity       340.062
    EqAscendNode    27.1675

    AbsMagn         5.74645
    SlopeParam      5.37154
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.704 0.700 0.698)

    Surface
    {
        SurfStyle       0.134215
        OceanStyle      0.878805
        Randomize      (-0.506, -0.886, -0.745)
        colorDistMagn   0.92542
        colorDistFreq   9.08607e-006
        detailScale     3.02963
        colorConversion true
        snowLevel       2
        tropicLatitude  0.169804
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.74036
        terraceProb     0.483984
        erosion         0
        montesMagn      0.544991
        montesFreq      2.64285
        montesSpiky     0.977971
        montesFraction  0.240308
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.7193e-005
        hillsFraction   0.620622
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.215184
        craterFreq      0.158831
        craterDensity   0.87647
        craterOctaves   4
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.526367
        volcanoTemp     1667.85
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.282, 0.280, 0.279, 0.000)
        colorShelf     (0.299, 0.298, 0.297, 0.000)
        colorBeach     (0.317, 0.315, 0.314, 0.000)
        colorDesert    (0.334, 0.333, 0.332, 0.000)
        colorLowland   (0.352, 0.350, 0.349, 0.000)
        colorUpland    (0.370, 0.368, 0.366, 0.000)
        colorRock      (0.387, 0.385, 0.384, 0.000)
        colorSnow      (0.405, 0.403, 0.401, 1.000)
        BumpHeight      0.0998535
        BumpOffset      0.0199707
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.0451364
        DustBright  0.501111
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   22.1218
        Period          115.46
        Eccentricity    0.937746
        Inclination     -150.586
        AscendingNode   5.87159
        ArgOfPericenter -153.269
        MeanAnomaly     20.1862
    }
}

Comet	"C109"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.62338e-012
    Radius          1.93229
    InertiaMoment   0.399668

    Oblateness      0.0837458

    RotationPeriod  17.7
    Obliquity       293.267
    EqAscendNode    11.7449

    AbsMagn         7.18004
    SlopeParam      4.27495
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.487 0.480 0.474)

    Surface
    {
        SurfStyle       0.702264
        OceanStyle      0.524835
        Randomize      (0.863, 0.788, -0.034)
        colorDistMagn   0.426011
        colorDistFreq   0.0024027
        detailScale     52.7643
        colorConversion true
        snowLevel       2
        tropicLatitude  0.940969
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.552961
        terraceProb     0.122955
        erosion         0
        montesMagn      0.506916
        montesFreq      3.46982
        montesSpiky     0.952464
        montesFraction  0.546855
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0102735
        hillsFraction   0.780666
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.216637
        craterFreq      0.182013
        craterDensity   0.902692
        craterOctaves   9
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.53123
        volcanoTemp     1993.25
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.190, 0.163, 0.133, 0.000)
        colorShelf     (0.195, 0.168, 0.152, 0.000)
        colorBeach     (0.229, 0.197, 0.180, 0.000)
        colorDesert    (0.249, 0.211, 0.175, 0.000)
        colorLowland   (0.273, 0.226, 0.199, 0.000)
        colorUpland    (0.302, 0.274, 0.242, 0.000)
        colorRock      (0.327, 0.298, 0.261, 0.000)
        colorSnow      (0.356, 0.317, 0.275, 1.000)
        BumpHeight      1.73906
        BumpOffset      0.347812
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.433084
        GasToDust   0.25
        Particles   1854
        GasBright   0.0326893
        DustBright  0.198045
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   18.1006
        Period          85.4553
        Eccentricity    0.941591
        Inclination     -61.8698
        AscendingNode   -49.632
        ArgOfPericenter -147.455
        MeanAnomaly     -128.03
    }
}

Comet	"C110"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.02899e-008
    Radius          43.2736
    InertiaMoment   0.398494

    Oblateness      0.167737

    RotationPeriod  15.0384
    Obliquity       246.473
    EqAscendNode    356.322

    AbsMagn         8.51269
    SlopeParam      3.26044
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.556 0.552 0.547)

    Surface
    {
        SurfStyle       0.714012
        OceanStyle      0.373644
        Randomize      (0.082, -0.995, 0.207)
        colorDistMagn   0.40854
        colorDistFreq   0.435001
        detailScale     1181.66
        colorConversion true
        snowLevel       2
        tropicLatitude  0.985388
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.666268
        terraceProb     0.54108
        erosion         0
        montesMagn      0.564825
        montesFreq      3.22865
        montesSpiky     0.969305
        montesFraction  0.362169
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.86769
        hillsFraction   0.477066
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.233912
        craterFreq      0.217367
        craterDensity   0.90114
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.497966
        volcanoTemp     1393.71
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.217, 0.188, 0.153, 0.000)
        colorShelf     (0.222, 0.193, 0.175, 0.000)
        colorBeach     (0.261, 0.226, 0.208, 0.000)
        colorDesert    (0.284, 0.243, 0.202, 0.000)
        colorLowland   (0.311, 0.260, 0.230, 0.000)
        colorUpland    (0.345, 0.315, 0.279, 0.000)
        colorRock      (0.373, 0.342, 0.301, 0.000)
        colorSnow      (0.406, 0.365, 0.317, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.914276
        GasToDust   0.25
        Particles   2826
        GasBright   0.143559
        DustBright  0.571661
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   18.7204
        Period          89.8823
        Eccentricity    0.984358
        Inclination     -96.2669
        AscendingNode   -97.994
        ArgOfPericenter 50.3591
        MeanAnomaly     -129.126
    }
}

Comet	"C111"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            6.24742e-016
    Radius          0.119691
    InertiaMoment   0.395785

    Oblateness      0.173857

    RotationPeriod  12.1832
    Obliquity       199.679
    EqAscendNode    340.9

    AbsMagn         9.90665
    SlopeParam      9.82928
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.692 0.688 0.683)

    Surface
    {
        SurfStyle       0.82154
        OceanStyle      0.972662
        Randomize      (-0.534, -0.311, 0.703)
        colorDistMagn   0.776705
        colorDistFreq   1.08673e-005
        detailScale     3.26836
        colorConversion true
        snowLevel       2
        tropicLatitude  0.975185
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.461926
        terraceProb     0.148304
        erosion         0
        montesMagn      0.532477
        montesFreq      3.47512
        montesSpiky     0.870907
        montesFraction  0.575708
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.38516e-005
        hillsFraction   0.795137
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.249017
        craterFreq      0.249359
        craterDensity   0.963565
        craterOctaves   4
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.477133
        volcanoTemp     1583.1
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.270, 0.234, 0.191, 0.000)
        colorShelf     (0.277, 0.241, 0.219, 0.000)
        colorBeach     (0.325, 0.282, 0.260, 0.000)
        colorDesert    (0.353, 0.303, 0.253, 0.000)
        colorLowland   (0.388, 0.324, 0.287, 0.000)
        colorUpland    (0.429, 0.392, 0.348, 0.000)
        colorRock      (0.464, 0.427, 0.376, 0.000)
        colorSnow      (0.505, 0.454, 0.396, 1.000)
        BumpHeight      0.107722
        BumpOffset      0.0215444
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.01
        GasToDust   0.25
        Particles   1000
        GasBright   0.10383
        DustBright  0.295877
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   17.9031
        Period          84.0605
        Eccentricity    0.958961
        Inclination     -87.2788
        AscendingNode   -58.312
        ArgOfPericenter -12.123
        MeanAnomaly     77.1632
    }
}

Comet	"C112"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.83193e-012
    Radius          2.67536
    InertiaMoment   0.399004

    Oblateness      0.249

    RotationPeriod  9.08282
    Obliquity       152.884
    EqAscendNode    325.477

    AbsMagn         11.5919
    SlopeParam      5.6784
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.834 0.799 0.745)

    Surface
    {
        SurfStyle       0.269552
        OceanStyle      0.526407
        Randomize      (0.369, 0.823, 0.192)
        colorDistMagn   0.68428
        colorDistFreq   0.000862122
        detailScale     73.0551
        colorConversion true
        snowLevel       2
        tropicLatitude  0.981701
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.480512
        terraceProb     0.270614
        erosion         0
        montesMagn      0.49694
        montesFreq      3.33374
        montesSpiky     0.944642
        montesFraction  0.26517
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0208874
        hillsFraction   0.430918
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.255093
        craterFreq      0.223557
        craterDensity   0.75186
        craterOctaves   9
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.560932
        volcanoTemp     1838.38
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.334, 0.320, 0.298, 0.000)
        colorShelf     (0.354, 0.340, 0.317, 0.000)
        colorBeach     (0.375, 0.360, 0.335, 0.000)
        colorDesert    (0.396, 0.379, 0.354, 0.000)
        colorLowland   (0.417, 0.399, 0.373, 0.000)
        colorUpland    (0.438, 0.419, 0.391, 0.000)
        colorRock      (0.459, 0.439, 0.410, 0.000)
        colorSnow      (0.480, 0.459, 0.428, 1.000)
        BumpHeight      2.40782
        BumpOffset      0.481564
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.46591
        GasToDust   0.25
        Particles   1921
        GasBright   0.281891
        DustBright  0.602303
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   29.8503
        Period          180.977
        Eccentricity    0.961545
        Inclination     52.7565
        AscendingNode   -163.699
        ArgOfPericenter 51.7731
        MeanAnomaly     -167.023
    }
}

Comet	"C113"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.73715e-008
    Radius          46.7791
    InertiaMoment   0.397449

    Oblateness      0.249

    RotationPeriod  5.66315
    Obliquity       106.09
    EqAscendNode    310.055

    AbsMagn         14.4883
    SlopeParam      4.50888
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.757 0.710 0.683)

    Surface
    {
        SurfStyle       0.4133
        OceanStyle      0.059798
        Randomize      (-0.658, 0.888, 0.667)
        colorDistMagn   0.870303
        colorDistFreq   1.12281
        detailScale     1277.38
        colorConversion true
        snowLevel       2
        tropicLatitude  0.943508
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.672708
        terraceProb     0.220696
        erosion         0
        montesMagn      0.506116
        montesFreq      3.19848
        montesSpiky     0.924117
        montesFraction  0.156248
        dunesFraction   0
        hillsMagn       0
        hillsFreq       5.88438
        hillsFraction   0.817483
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.193003
        craterFreq      0.202134
        craterDensity   0.781438
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.498724
        volcanoTemp     1486.26
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.303, 0.284, 0.273, 0.000)
        colorShelf     (0.322, 0.302, 0.290, 0.000)
        colorBeach     (0.341, 0.320, 0.307, 0.000)
        colorDesert    (0.360, 0.337, 0.324, 0.000)
        colorLowland   (0.378, 0.355, 0.341, 0.000)
        colorUpland    (0.397, 0.373, 0.358, 0.000)
        colorRock      (0.416, 0.391, 0.376, 0.000)
        colorSnow      (0.435, 0.408, 0.393, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.947102
        GasToDust   0.25
        Particles   2893
        GasBright   0.21488
        DustBright  0.353801
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   17.8771
        Period          83.8777
        Eccentricity    0.947755
        Inclination     153.917
        AscendingNode   -101.252
        ArgOfPericenter 36.8573
        MeanAnomaly     -104.806
    }
}

Comet	"C114"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.1507e-015
    Radius          0.165421
    InertiaMoment   0.399456

    Oblateness      0.00172717

    RotationPeriod  147.348
    Obliquity       59.2958
    EqAscendNode    294.632

    AbsMagn         2.57151
    SlopeParam      3.50119
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.641 0.636 0.632)

    Surface
    {
        SurfStyle       0.260417
        OceanStyle      0.0672609
        Randomize      (0.292, 0.500, -0.415)
        colorDistMagn   0.332793
        colorDistFreq   1.9108e-005
        detailScale     4.5171
        colorConversion true
        snowLevel       2
        tropicLatitude  0.840542
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.419226
        terraceProb     0.227065
        erosion         0
        montesMagn      0.578715
        montesFreq      3.04797
        montesSpiky     0.867842
        montesFraction  0.522693
        dunesFraction   0
        hillsMagn       0
        hillsFreq       5.76932e-005
        hillsFraction   0.777141
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.272814
        craterFreq      0.243274
        craterDensity   0.872765
        craterOctaves   4
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.458936
        volcanoTemp     1639.65
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.256, 0.254, 0.253, 0.000)
        colorShelf     (0.272, 0.270, 0.269, 0.000)
        colorBeach     (0.288, 0.286, 0.284, 0.000)
        colorDesert    (0.304, 0.302, 0.300, 0.000)
        colorLowland   (0.320, 0.318, 0.316, 0.000)
        colorUpland    (0.336, 0.334, 0.332, 0.000)
        colorRock      (0.352, 0.350, 0.348, 0.000)
        colorSnow      (0.368, 0.366, 0.363, 1.000)
        BumpHeight      0.148879
        BumpOffset      0.0297758
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.0175439
        GasToDust   0.25
        Particles   1015
        GasBright   0.110609
        DustBright  0.142558
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   26.1715
        Period          148.575
        Eccentricity    0.963437
        Inclination     54.6758
        AscendingNode   -110.573
        ArgOfPericenter 154.026
        MeanAnomaly     92.5517
    }
}

Comet	"C115"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            8.89982e-012
    Radius          2.89762
    InertiaMoment   0.398204

    Oblateness      0.00180499

    RotationPeriod  119.873
    Obliquity       12.5015
    EqAscendNode    279.209

    AbsMagn         4.90549
    SlopeParam      2.33544
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.653 0.605 0.555)

    Surface
    {
        SurfStyle       0.246851
        OceanStyle      0.416169
        Randomize      (0.894, 0.015, -0.320)
        colorDistMagn   0.541172
        colorDistFreq   0.00693107
        detailScale     79.1244
        colorConversion true
        snowLevel       2
        tropicLatitude  0.262139
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.647615
        terraceProb     0.263347
        erosion         0
        montesMagn      0.403199
        montesFreq      2.74585
        montesSpiky     0.872223
        montesFraction  0.59347
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0216895
        hillsFraction   0.497293
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.217627
        craterFreq      0.273563
        craterDensity   0.941966
        craterOctaves   9
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.558888
        volcanoTemp     1523.91
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.261, 0.242, 0.222, 0.000)
        colorShelf     (0.277, 0.257, 0.236, 0.000)
        colorBeach     (0.294, 0.272, 0.250, 0.000)
        colorDesert    (0.310, 0.288, 0.264, 0.000)
        colorLowland   (0.326, 0.303, 0.278, 0.000)
        colorUpland    (0.343, 0.318, 0.292, 0.000)
        colorRock      (0.359, 0.333, 0.306, 0.000)
        colorSnow      (0.375, 0.348, 0.319, 1.000)
        BumpHeight      2.60786
        BumpOffset      0.521572
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.498736
        GasToDust   0.25
        Particles   1987
        GasBright   0.365837
        DustBright  0.371817
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   11.866
        Period          45.3581
        Eccentricity    0.926362
        Inclination     -176.769
        AscendingNode   37.2747
        ArgOfPericenter -107.372
        MeanAnomaly     -129.847
    }
}

Comet	"C116"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            6.88337e-008
    Radius          64.5424
    InertiaMoment   0.399881

    Oblateness      0.00309271

    RotationPeriod  109.812
    Obliquity       325.707
    EqAscendNode    263.787

    AbsMagn         6.47792
    SlopeParam      6.03104
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.730 0.629 0.589)

    Surface
    {
        SurfStyle       0.546452
        OceanStyle      0.439898
        Randomize      (0.976, -0.769, -0.365)
        colorDistMagn   0.622579
        colorDistFreq   2.98415
        detailScale     1762.44
        colorConversion true
        snowLevel       2
        tropicLatitude  0.90955
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.659889
        terraceProb     0.900271
        erosion         0
        montesMagn      0.450571
        montesFreq      3.27164
        montesSpiky     0.938897
        montesFraction  0.668532
        dunesFraction   0
        hillsMagn       0
        hillsFreq       6.95845
        hillsFraction   0.720745
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.237751
        craterFreq      0.230083
        craterDensity   0.822183
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.471973
        volcanoTemp     1007.65
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.285, 0.214, 0.165, 0.000)
        colorShelf     (0.292, 0.220, 0.189, 0.000)
        colorBeach     (0.343, 0.258, 0.224, 0.000)
        colorDesert    (0.372, 0.277, 0.218, 0.000)
        colorLowland   (0.409, 0.296, 0.248, 0.000)
        colorUpland    (0.453, 0.358, 0.301, 0.000)
        colorRock      (0.489, 0.390, 0.324, 0.000)
        colorSnow      (0.533, 0.415, 0.342, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.979928
        GasToDust   0.25
        Particles   2959
        GasBright   0.0232143
        DustBright  0.398926
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   27.8019
        Period          162.672
        Eccentricity    0.963797
        Inclination     -105.186
        AscendingNode   68.5124
        ArgOfPericenter -37.1314
        MeanAnomaly     174.476
    }
}

Comet	"C117"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.11944e-015
    Radius          0.179487
    InertiaMoment   0.398763

    Oblateness      0.00244164

    RotationPeriod  103.071
    Obliquity       278.913
    EqAscendNode    248.364

    AbsMagn         7.83938
    SlopeParam      4.75002
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.562 0.491 0.392)

    Surface
    {
        SurfStyle       0.966013
        OceanStyle      0.449452
        Randomize      (0.335, -0.187, -0.740)
        colorDistMagn   0.607863
        colorDistFreq   2.06698e-005
        detailScale     4.90118
        colorConversion true
        snowLevel       2
        tropicLatitude  0.623966
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.282312
        terraceProb     0.375118
        erosion         0
        montesMagn      0.44168
        montesFreq      2.98538
        montesSpiky     0.948422
        montesFraction  0.696009
        dunesFraction   0
        hillsMagn       0
        hillsFreq       7.83825e-005
        hillsFraction   0.640672
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.239604
        craterFreq      0.163063
        craterDensity   0.91806
        craterOctaves   5
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.439616
        volcanoTemp     1498.8
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.191, 0.172, 0.157, 0.050)
        colorShelf     (0.225, 0.201, 0.180, 0.040)
        colorBeach     (0.259, 0.231, 0.204, 0.030)
        colorDesert    (0.292, 0.260, 0.231, 0.020)
        colorLowland   (0.326, 0.290, 0.255, 0.030)
        colorUpland    (0.360, 0.319, 0.278, 0.050)
        colorRock      (0.393, 0.349, 0.310, 0.020)
        colorSnow      (0.393, 0.349, 0.310, 1.000)
        BumpHeight      0.161538
        BumpOffset      0.0323076
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.0503699
        GasToDust   0.25
        Particles   1081
        GasBright   0.103389
        DustBright  0.803238
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.050 0.050 0.050)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   25.0436
        Period          139.074
        Eccentricity    0.961976
        Inclination     95.5966
        AscendingNode   141.208
        ArgOfPericenter 33.88
        MeanAnomaly     -177.979
    }
}

Comet	"C118"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.63924e-011
    Radius          3.99154
    InertiaMoment   0.396887

    Oblateness      0.00382582

    RotationPeriod  97.8456
    Obliquity       232.119
    EqAscendNode    232.942

    AbsMagn         9.18194
    SlopeParam      3.7349
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.509 0.501 0.497)

    Surface
    {
        SurfStyle       0.418881
        OceanStyle      0.494212
        Randomize      (-0.329, 0.543, 0.962)
        colorDistMagn   0.913108
        colorDistFreq   0.0116647
        detailScale     108.996
        colorConversion true
        snowLevel       2
        tropicLatitude  0.726393
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.412297
        terraceProb     0.421438
        erosion         0
        montesMagn      0.691383
        montesFreq      2.88167
        montesSpiky     0.945656
        montesFraction  0.905236
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0358449
        hillsFraction   0.754052
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.234922
        craterFreq      0.243496
        craterDensity   0.89566
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.570291
        volcanoTemp     1749.05
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.204, 0.200, 0.199, 0.000)
        colorShelf     (0.216, 0.213, 0.211, 0.000)
        colorBeach     (0.229, 0.225, 0.224, 0.000)
        colorDesert    (0.242, 0.238, 0.236, 0.000)
        colorLowland   (0.254, 0.250, 0.249, 0.000)
        colorUpland    (0.267, 0.263, 0.261, 0.000)
        colorRock      (0.280, 0.275, 0.274, 0.000)
        colorSnow      (0.293, 0.288, 0.286, 1.000)
        BumpHeight      3.59239
        BumpOffset      0.718477
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    CometTail
    {
        MaxLength   0.531562
        GasToDust   0.25
        Particles   2053
        GasBright   0.102311
        DustBright  0.488802
        GasColor   (0.002 0.006 0.010)
        DustColor  (0.031 0.066 0.051)
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   26.7585
        Period          153.601
        Eccentricity    0.961145
        Inclination     -146.172
        AscendingNode   113.783
        ArgOfPericenter -166.922
        MeanAnomaly     104.713
    }
}
//------------------------------------------------------------------------------
Comet	"C119"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.26783e-007
    Radius          70.149
    InertiaMoment   0.399238

    Oblateness      0.00296646

    RotationPeriod  93.4998
    Obliquity       185.324
    EqAscendNode    217.519

    AbsMagn         10.6778
    SlopeParam      2.64078
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.420 0.416 0.412)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   22.7043
        Period          120.051
        Eccentricity    0.981975
        Inclination     -171.179
        AscendingNode   145.594
        ArgOfPericenter 102.433
        MeanAnomaly     155.187
    }
}

Comet	"C120"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.90374e-015
    Radius          0.246873
    InertiaMoment   0.397869

    Oblateness      0.00453601

    RotationPeriod  89.7317
    Obliquity       138.53
    EqAscendNode    202.096

    AbsMagn         12.7119
    SlopeParam      6.46183
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.533 0.456 0.393)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   27.8236
        Period          162.862
        Eccentricity    0.973031
        Inclination     -121.586
        AscendingNode   -42.2956
        ArgOfPericenter -2.71635
        MeanAnomaly     -114.919
    }
}

Comet	"C121"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.01926e-011
    Radius          4.34521
    InertiaMoment   0.399673

    Oblateness      0.00347492

    RotationPeriod  86.3726
    Obliquity       91.7357
    EqAscendNode    186.674

    AbsMagn         -0.185378
    SlopeParam      5.00262
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.564 0.559 0.553)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   16.9269
        Period          77.2803
        Eccentricity    0.951936
        Inclination     -104.463
        AscendingNode   -68.0221
        ArgOfPericenter -156.689
        MeanAnomaly     39.4618
    }
}

Comet	"C122"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.33518e-007
    Radius          96.3477
    InertiaMoment   0.398501

    Oblateness      0.00524059

    RotationPeriod  83.3181
    Obliquity       44.9414
    EqAscendNode    171.251

    AbsMagn         3.89803
    SlopeParam      3.96503
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.534 0.530 0.524)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   18.146
        Period          85.777
        Eccentricity    0.950089
        Inclination     54.5062
        AscendingNode   116.62
        ArgOfPericenter -102.7
        MeanAnomaly     160.512
    }
}

Comet	"C123"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            7.19021e-015
    Radius          0.269154
    InertiaMoment   0.395832

    Oblateness      0.00393543

    RotationPeriod  80.4988
    Obliquity       358.147
    EqAscendNode    155.829

    AbsMagn         5.72508
    SlopeParam      2.91726
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.686 0.681 0.677)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   13.9262
        Period          57.6698
        Eccentricity    0.89563
        Inclination     -22.34
        AscendingNode   136.289
        ArgOfPericenter -112.678
        MeanAnomaly     23.5933
    }
}

Comet	"C124"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.56111e-011
    Radius          5.95993
    InertiaMoment   0.39901

    Oblateness      0.00597518

    RotationPeriod  77.866
    Obliquity       311.353
    EqAscendNode    140.406

    AbsMagn         7.16144
    SlopeParam      7.05325
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.460 0.454 0.447)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.3935
        Period          109.805
        Eccentricity    0.98009
        Inclination     22.9852
        AscendingNode   -145.104
        ArgOfPericenter -122.051
        MeanAnomaly     118.824
    }
}

Comet	"C125"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.30112e-007
    Radius          105.194
    InertiaMoment   0.397461

    Oblateness      0.00450601

    RotationPeriod  75.384
    Obliquity       264.558
    EqAscendNode    124.983

    AbsMagn         8.49435
    SlopeParam      5.27238
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.650 0.648 0.645)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.6403
        Period          111.711
        Eccentricity    0.950379
        Inclination     63.335
        AscendingNode   9.23536
        ArgOfPericenter -143.864
        MeanAnomaly     81.2838
    }
}

Comet	"C126"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.32435e-014
    Radius          0.368698
    InertiaMoment   0.399461

    Oblateness      0.00676513

    RotationPeriod  73.0259
    Obliquity       217.764
    EqAscendNode    109.561

    AbsMagn         9.88628
    SlopeParam      4.1947
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.497 0.495 0.491)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   25.0593
        Period          139.205
        Eccentricity    0.967079
        Inclination     -142.123
        AscendingNode   -38.4451
        ArgOfPericenter -156.608
        MeanAnomaly     -177.018
    }
}

Comet	"C127"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.02429e-010
    Radius          6.51598
    InertiaMoment   0.398212

    Oblateness      0.00511677

    RotationPeriod  70.7706
    Obliquity       170.97
    EqAscendNode    94.1383

    AbsMagn         11.5648
    SlopeParam      3.1744
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.711 0.662 0.567)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   18.5352
        Period          88.5513
        Eccentricity    0.974467
        Inclination     166.395
        AscendingNode   -110.805
        ArgOfPericenter -90.1367
        MeanAnomaly     -70.2952
    }
}

Comet	"C128"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            7.92212e-007
    Radius          143.922
    InertiaMoment   0.399886

    Oblateness      0.00763461

    RotationPeriod  68.6013
    Obliquity       124.176
    EqAscendNode    78.7157

    AbsMagn         14.4214
    SlopeParam      8.20859
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.670 0.668 0.664)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   21.2328
        Period          108.571
        Eccentricity    0.973595
        Inclination     -112.941
        AscendingNode   59.4249
        ArgOfPericenter -84.0423
        MeanAnomaly     135.869
    }
}

Comet	"C129"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            2.43928e-014
    Radius          0.403616
    InertiaMoment   0.398769

    Oblateness      0.00579475

    RotationPeriod  66.5044
    Obliquity       77.3813
    EqAscendNode    63.2931

    AbsMagn         2.52543
    SlopeParam      5.56763
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.729 0.725 0.720)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.578
        Period          103.587
        Eccentricity    0.967851
        Inclination     68.3111
        AscendingNode   7.60254
        ArgOfPericenter -22.8681
        MeanAnomaly     -179.487
    }
}

Comet	"C130"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.88661e-010
    Radius          8.9045
    InertiaMoment   0.396905

    Oblateness      0.00850172

    RotationPeriod  64.4685
    Obliquity       30.587
    EqAscendNode    47.8705

    AbsMagn         4.88088
    SlopeParam      4.42697
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.694 0.689 0.685)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   16.261
        Period          72.7647
        Eccentricity    0.939706
        Inclination     175.461
        AscendingNode   166.773
        ArgOfPericenter -142.532
        MeanAnomaly     -122.457
    }
}

Comet	"C131"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            5.809e-018
    Radius          0.025001
    InertiaMoment   0.399244

    Oblateness      0.0065629

    RotationPeriod  62.484
    Obliquity       343.793
    EqAscendNode    32.4479

    AbsMagn         6.45833
    SlopeParam      3.41853
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.689 0.686 0.683)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   15.4427
        Period          67.3416
        Eccentricity    0.946328
        Inclination     162.648
        AscendingNode   -53.1554
        ArgOfPericenter -92.3341
        MeanAnomaly     3.36374
    }
}

Comet	"C132"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            4.49285e-014
    Radius          0.550953
    InertiaMoment   0.397878

    Oblateness      0.00962369

    RotationPeriod  60.5426
    Obliquity       296.998
    EqAscendNode    17.0253

    AbsMagn         7.82115
    SlopeParam      2.21997
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.532 0.528 0.527)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   7.75798
        Period          23.9786
        Eccentricity    0.80722
        Inclination     30.7687
        AscendingNode   31.4516
        ArgOfPericenter 133.069
        MeanAnomaly     -64.9876
    }
}

Comet	"C133"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            3.47489e-010
    Radius          9.77114
    InertiaMoment   0.399678

    Oblateness      0.00744943

    RotationPeriod  58.637
    Obliquity       250.204
    EqAscendNode    1.60272

    AbsMagn         9.16294
    SlopeParam      5.90183
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.609 0.542 0.516)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   15.7415
        Period          69.306
        Eccentricity    0.941814
        Inclination     162.014
        AscendingNode   -169.353
        ArgOfPericenter -172.636
        MeanAnomaly     -58.0687
    }
}

Comet	"C134"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.06995e-017
    Radius          0.0340912
    InertiaMoment   0.398508

    Oblateness      0.0109178

    RotationPeriod  56.7608
    Obliquity       203.41
    EqAscendNode    346.18

    AbsMagn         10.655
    SlopeParam      4.66517
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.609 0.602 0.599)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   13.8997
        Period          57.5057
        Eccentricity    0.921003
        Inclination     51.628
        AscendingNode   -162.467
        ArgOfPericenter -62.443
        MeanAnomaly     -75.5053
    }
}

Comet	"C135"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            8.27527e-014
    Radius          0.605248
    InertiaMoment   0.395877

    Oblateness      0.00835848

    RotationPeriod  54.9081
    Obliquity       156.616
    EqAscendNode    330.758

    AbsMagn         12.6757
    SlopeParam      3.65427
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.576 0.487 0.438)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   23.2825
        Period          124.665
        Eccentricity    0.956573
        Inclination     -12.4817
        AscendingNode   6.96625
        ArgOfPericenter -24.1234
        MeanAnomaly     162.42
    }
}

Comet	"C136"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            6.40031e-010
    Radius          13.3104
    InertiaMoment   0.399016

    Oblateness      0.0124483

    RotationPeriod  53.0735
    Obliquity       109.821
    EqAscendNode    315.335

    AbsMagn         -0.339029
    SlopeParam      2.53859
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.542 0.369 0.297)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   18.3059
        Period          86.9138
        Eccentricity    0.947183
        Inclination     -121.653
        AscendingNode   124.455
        ArgOfPericenter 104.206
        MeanAnomaly     6.18504
    }
}

Comet	"C137"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.9707e-017
    Radius          0.0374904
    InertiaMoment   0.397472

    Oblateness      0.00963157

    RotationPeriod  51.252
    Obliquity       63.0269
    EqAscendNode    299.912

    AbsMagn         3.86711
    SlopeParam      6.29998
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.683 0.680 0.678)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   22.1404
        Period          115.606
        Eccentricity    0.952036
        Inclination     -39.2805
        AscendingNode   -56.6188
        ArgOfPericenter 26.6858
        MeanAnomaly     -105.419
    }
}

Comet	"C138"
{
    ParentBody     "JDV 00041"
    Class	       "Asteroid"

    Mass            1.5242e-013
    Radius          0.823679
    InertiaMoment   0.399467

    Oblateness      0.0142996

    RotationPeriod  49.4388
    Obliquity       16.2326
    EqAscendNode    284.49

    AbsMagn         5.70365
    SlopeParam      4.91324
    AlbedoBond      0.05
    AlbedoGeom      0.06
    Brightness      1
    Color          (0.593 0.467 0.360)

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.8288
        Period          105.486
        Eccentricity    0.97206
        Inclination     -73.8997
        AscendingNode   -161.339
        ArgOfPericenter 96.0998
        MeanAnomaly     -68.4789
    }
}

