// -*- coding: utf-8 -*- 
// Alderson disk
// JackDole 2016.06.26 16:17:58

// AylsaSystem.sc

//------------------------------------------------------------------------------
Planet "Aylsa I"
{
    ParentBody     "JDV 00041"
    Class	       "Selena"

    Mass            0.042655
    Radius          2620.38
    InertiaMoment   0.346125

    Obliquity       -1.0985
    EqAscendNode    -89.9802
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      3.5
    Color          (0.529 0.468 0.431)

    Surface
    {
        SurfStyle       0.175432
        OceanStyle      0.963152
        Randomize      (-0.467, -0.805, -0.529)
        colorDistMagn   0.0713428
        colorDistFreq   317.755
        detailScale     6739.76
        colorConversion true
        drivenDarkening 0
        seaLevel        0.181017
        snowLevel       2
        tropicLatitude  0.0271136
        icecapLatitude  10
        icecapHeight    0.189656
        climatePole     0.4375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.95042
        venusFreq       1.03142
        venusMagn       0
        mareFreq        1.71329
        mareDensity     0.00770029
        terraceProb     0.157039
        erosion         0
        montesMagn      0.124735
        montesFreq      144.05
        montesSpiky     0.893881
        montesFraction  0.641224
        dunesMagn       0.0497463
        dunesFreq       3420.87
        dunesFraction   0.255133
        hillsMagn       0.106918
        hillsFreq       341.157
        hillsFraction   0.693595
        hills2Fraction  0
        riversMagn      67.5902
        riversFreq      2.87664
        riversSin       7.96103
        riversOctaves   0
        canyonsMagn     0.469928
        canyonsFreq     0.847845
        canyonFraction  0.797057
        cracksMagn      0.0735396
        cracksFreq      1.63179
        cracksOctaves   0
        craterMagn      0.6298
        craterFreq      5.84006
        craterDensity   0.782723
        craterOctaves   11.9449
        craterRayedFactor 0.195491
        volcanoMagn     0.480277
        volcanoFreq     0.807492
        volcanoDensity  0.313375
        volcanoOctaves  3
        volcanoActivity 0.448358
        volcanoFlows    0.363351
        volcanoRadius   0.336357
        volcanoTemp     1644.77
        lavaCoverTidal  0
        lavaCoverSun    0.00510399
        lavaCoverYoung  0
        colorSea       (0.320, 0.320, 0.320, 0.000)
        colorShelf     (0.370, 0.370, 0.370, 0.000)
        colorBeach     (0.264, 0.234, 0.216, 0.000)
        colorDesert    (0.328, 0.281, 0.246, 0.200)
        colorLowland   (0.354, 0.300, 0.276, 0.500)
        colorUpland    (0.370, 0.314, 0.285, 0.800)
        colorRock      (0.650, 0.610, 0.620, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 1.000)
        BumpHeight      20
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   55
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.108438
        Period          0.0396255
        Eccentricity    0.0298202
        Inclination     -1.0985
        AscendingNode   -89.9802
        ArgOfPericenter 64.7376
        MeanAnomaly     116.956
    }
}

DwarfMoon "Aylsa I.D1"
{
    ParentBody     "Aylsa I"
    Class	       "Asteroid"

    Mass            2.42838e-009
    Radius          9.96845
    InertiaMoment   0.399886

    Oblateness      0.16829

    Obliquity       -0.00286064
    EqAscendNode    89.8885
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.589 0.587 0.584)

    Surface
    {
        SurfStyle       0.22208
        OceanStyle      0.472777
        Randomize      (0.459, -0.910, -0.345)
        colorDistMagn   0.728558
        colorDistFreq   0.0753489
        detailScale     272.205
        colorConversion true
        snowLevel       2
        tropicLatitude  0
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.678561
        terraceProb     0.404897
        erosion         0
        montesMagn      0.409256
        montesFreq      2.1096
        montesSpiky     0.989531
        montesFraction  0.290516
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.178192
        hillsFraction   0.525304
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.231925
        craterFreq      0.262227
        craterDensity   0.943253
        craterOctaves   10.8936
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.502846
        volcanoTemp     1421.58
        lavaCoverTidal  0
        lavaCoverSun    0.00510399
        lavaCoverYoung  0
        colorSea       (0.236, 0.235, 0.233, 0.000)
        colorShelf     (0.250, 0.249, 0.248, 0.000)
        colorBeach     (0.265, 0.264, 0.263, 0.000)
        colorDesert    (0.280, 0.279, 0.277, 0.000)
        colorLowland   (0.295, 0.293, 0.292, 0.000)
        colorUpland    (0.309, 0.308, 0.306, 0.000)
        colorRock      (0.324, 0.323, 0.321, 0.000)
        colorSnow      (0.339, 0.337, 0.336, 1.000)
        BumpHeight      8.97161
        BumpOffset      1.79432
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   3.37403e-005
        Period          0.000548804
        Eccentricity    5.2343e-005
        Inclination     -0.00286064
        AscendingNode   89.8885
        ArgOfPericenter 74.7985
        MeanAnomaly     -19.4393
    }
}

DwarfMoon "Aylsa I.D2"
{
    ParentBody     "Aylsa I"
    Class	       "Asteroid"

    Mass            3.38775e-009
    Radius          10.3636
    InertiaMoment   0.397947

    Oblateness      0.0695118

    Obliquity       -0.0111274
    EqAscendNode    173.415
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.656 0.576 0.538)

    Surface
    {
        SurfStyle       0.590275
        OceanStyle      0.535641
        Randomize      (0.021, 0.154, 0.564)
        colorDistMagn   0.0364501
        colorDistFreq   0.0697686
        detailScale     282.994
        colorConversion true
        snowLevel       2
        tropicLatitude  0
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.441509
        terraceProb     0.376085
        erosion         0
        montesMagn      0.439991
        montesFreq      3.07675
        montesSpiky     0.959382
        montesFraction  0.397716
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.30707
        hillsFraction   0.59647
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.245674
        craterFreq      0.214289
        craterDensity   0.972486
        craterOctaves   10.8936
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.539058
        volcanoTemp     1680.59
        lavaCoverTidal  0
        lavaCoverSun    0.00510399
        lavaCoverYoung  0
        colorSea       (0.256, 0.196, 0.151, 0.000)
        colorShelf     (0.263, 0.202, 0.172, 0.000)
        colorBeach     (0.308, 0.236, 0.204, 0.000)
        colorDesert    (0.335, 0.253, 0.199, 0.000)
        colorLowland   (0.368, 0.271, 0.226, 0.000)
        colorUpland    (0.407, 0.328, 0.274, 0.000)
        colorRock      (0.440, 0.357, 0.296, 0.000)
        colorSnow      (0.479, 0.380, 0.312, 1.000)
        BumpHeight      9.3272
        BumpOffset      1.86544
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   4.20512e-005
        Period          0.000763594
        Eccentricity    5.45181e-005
        Inclination     -0.0111274
        AscendingNode   173.415
        ArgOfPericenter 27.8039
        MeanAnomaly     110.047
    }
}

DwarfMoon "Aylsa I.D3"
{
    ParentBody     "Aylsa I"
    Class	       "Asteroid"

    Mass            4.69169e-009
    Radius          14.4327
    InertiaMoment   0.399105

    Oblateness      0.119796

    Obliquity       0.0145924
    EqAscendNode    121.679
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.662 0.572 0.517)

    Surface
    {
        SurfStyle       0.380723
        OceanStyle      0.630794
        Randomize      (-0.098, -0.895, -0.247)
        colorDistMagn   0.380984
        colorDistFreq   0.182312
        detailScale     394.11
        colorConversion true
        snowLevel       2
        tropicLatitude  0.000345267
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.606833
        terraceProb     0.410217
        erosion         0
        montesMagn      0.373064
        montesFreq      2.90555
        montesSpiky     0.841634
        montesFraction  0.533467
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.598663
        hillsFraction   0.783201
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.249578
        craterFreq      0.215909
        craterDensity   0.898838
        craterOctaves   11.8839
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.531671
        volcanoTemp     1116.94
        lavaCoverTidal  0
        lavaCoverSun    0.00510399
        lavaCoverYoung  0
        colorSea       (0.265, 0.229, 0.207, 0.000)
        colorShelf     (0.281, 0.243, 0.220, 0.000)
        colorBeach     (0.298, 0.257, 0.233, 0.000)
        colorDesert    (0.315, 0.272, 0.246, 0.000)
        colorLowland   (0.331, 0.286, 0.259, 0.000)
        colorUpland    (0.348, 0.300, 0.271, 0.000)
        colorRock      (0.364, 0.314, 0.284, 0.000)
        colorSnow      (0.381, 0.329, 0.297, 1.000)
        BumpHeight      12.9895
        BumpOffset      2.59789
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   4.38848e-005
        Period          0.000814076
        Eccentricity    7.03047e-005
        Inclination     0.0145924
        AscendingNode   121.679
        ArgOfPericenter -162.047
        MeanAnomaly     39.4976
    }
}

DwarfMoon "Aylsa I.D4"
{
    ParentBody     "Aylsa I"
    Class	       "Asteroid"

    Mass            6.45866e-009
    Radius          14.7905
    InertiaMoment   0.394323

    Oblateness      0.0499049

    Obliquity       -0.0118581
    EqAscendNode    146.893
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.703 0.701 0.699)

    Surface
    {
        SurfStyle       0.192568
        OceanStyle      0.00471386
        Randomize      (0.850, -0.373, -0.826)
        colorDistMagn   0.758855
        colorDistFreq   0.0549402
        detailScale     403.878
        colorConversion true
        snowLevel       2
        tropicLatitude  0
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.349177
        terraceProb     0.208805
        erosion         0
        montesMagn      0.608643
        montesFreq      3.33311
        montesSpiky     0.976193
        montesFraction  0.482015
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.340229
        hillsFraction   0.701662
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.255985
        craterFreq      0.198802
        craterDensity   0.947362
        craterOctaves   11.8839
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.489285
        volcanoTemp     1887.52
        lavaCoverTidal  0
        lavaCoverSun    0.00510399
        lavaCoverYoung  0
        colorSea       (0.281, 0.280, 0.279, 0.000)
        colorShelf     (0.299, 0.298, 0.297, 0.000)
        colorBeach     (0.316, 0.315, 0.314, 0.000)
        colorDesert    (0.334, 0.333, 0.332, 0.000)
        colorLowland   (0.351, 0.351, 0.349, 0.000)
        colorUpland    (0.369, 0.368, 0.367, 0.000)
        colorRock      (0.387, 0.386, 0.384, 0.000)
        colorSnow      (0.404, 0.403, 0.402, 1.000)
        BumpHeight      13.3114
        BumpOffset      2.66228
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   5.38079e-005
        Period          0.00110526
        Eccentricity    9.57065e-005
        Inclination     -0.0118581
        AscendingNode   146.893
        ArgOfPericenter 136.27
        MeanAnomaly     64.5488
    }
}

DwarfMoon "Aylsa I.D5"
{
    ParentBody     "Aylsa I"
    Class	       "Asteroid"

    Mass            8.84829e-009
    Radius          28.6118
    InertiaMoment   0.398148

    Oblateness      0.0851005

    Obliquity       54.0847
    EqAscendNode    45.7164
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.681 0.678 0.676)

    Surface
    {
        SurfStyle       0.991378
        OceanStyle      0.404936
        Randomize      (0.866, -0.199, -0.906)
        colorDistMagn   0.932336
        colorDistFreq   0.432668
        detailScale     781.294
        colorConversion true
        snowLevel       2
        tropicLatitude  0.993495
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.348206
        terraceProb     0.493891
        erosion         0
        montesMagn      0.477601
        montesFreq      3.25992
        montesSpiky     0.826128
        montesFraction  0.680657
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.31826
        hillsFraction   0.65349
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.252064
        craterFreq      0.252703
        craterDensity   0.990857
        craterOctaves   12.8742
        volcanoActivity 0.0360562
        volcanoFlows    0
        volcanoRadius   0.622123
        volcanoTemp     1217.14
        lavaCoverTidal  0
        lavaCoverSun    0.00510399
        lavaCoverYoung  0
        colorSea       (0.232, 0.237, 0.270, 0.050)
        colorShelf     (0.272, 0.278, 0.311, 0.040)
        colorBeach     (0.313, 0.319, 0.352, 0.030)
        colorDesert    (0.354, 0.360, 0.399, 0.020)
        colorLowland   (0.395, 0.400, 0.439, 0.030)
        colorUpland    (0.436, 0.441, 0.480, 0.050)
        colorRock      (0.477, 0.482, 0.534, 0.020)
        colorSnow      (0.477, 0.482, 0.534, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   7.88226e-005
        Period          0.00195961
        Eccentricity    0.268285
        Inclination     54.0847
        AscendingNode   45.7164
        ArgOfPericenter 34.1493
        MeanAnomaly     177.185
    }
}

//------------------------------------------------------------------------------
Planet "Aylsa II"
{
    ParentBody     "JDV 00041"
    Class	       "Desert"

    Mass            0.21039
    Radius          3412.15
    InertiaMoment   0.329978

    Obliquity       -0.310484
    EqAscendNode    -121.384
    TidalLocked     true

    AlbedoBond      0.317578
    AlbedoGeom      0.381093
    Brightness      2
    Color          (0.520 0.405 0.327)

    Surface
    {
        SurfStyle       0.119653
        OceanStyle      0.697101
        Randomize      (-0.930, -0.625, 0.856)
        colorDistMagn   0.0713138
        colorDistFreq   341.708
        detailScale     8776.25
        colorConversion true
        seaLevel        0.0423268
        snowLevel       2
        tropicLatitude  0.00530407
        icecapLatitude  10
        icecapHeight    0.157068
        climatePole     0.5625
        climateTropic   0.5625
        climateEquator  0.6875
        heightTempGrad  0.375
        tropicWidth     0.5
        mainFreq        0.883852
        venusFreq       0.986912
        venusMagn       0.244696
        mareFreq        1.6528
        mareDensity     0.108641
        terraceProb     0.311199
        erosion         0
        montesMagn      0.222291
        montesFreq      161.091
        montesSpiky     0.919105
        montesFraction  0.802796
        dunesMagn       0.0605989
        dunesFreq       20.6421
        dunesFraction   0.744398
        hillsMagn       0.138342
        hillsFreq       292.16
        hillsFraction   0
        hills2Fraction  0
        riversMagn      65.6119
        riversFreq      2.54861
        riversSin       5.55767
        riversOctaves   0
        canyonsMagn     0.0300555
        canyonsFreq     89.9465
        canyonFraction  0
        cracksMagn      0.0764256
        cracksFreq      0.355723
        cracksOctaves   0
        craterMagn      0.621525
        craterFreq      10.5345
        craterDensity   0
        craterOctaves   0
        volcanoMagn     0.666273
        volcanoFreq     0.588827
        volcanoDensity  0.206015
        volcanoOctaves  3
        volcanoActivity 0.112956
        volcanoFlows    0.516585
        volcanoRadius   0.53572
        volcanoTemp     1490.35
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     1
        stripeTwist     3.5
        cycloneMagn     1.05354
        cycloneDensity  0.37611
        cycloneOctaves  0
        colorSea       (0.240, 0.230, 0.230, 0.000)
        colorShelf     (0.380, 0.360, 0.350, 0.000)
        colorBeach     (0.550, 0.520, 0.480, 0.000)
        colorDesert    (0.520, 0.490, 0.470, 0.000)
        colorLowland   (0.460, 0.440, 0.410, 0.000)
        colorUpland    (0.390, 0.360, 0.330, 0.000)
        colorRock      (0.170, 0.160, 0.160, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 0.769)
        colorLowPlants (0.460, 0.440, 0.410, 0.000)
        colorUpPlants  (0.390, 0.360, 0.330, 0.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.5
        SpecBrightIce   0.5
        SpecularPower   30
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    Clouds
    {
        Height          15.3564
        Velocity        93.056
        BumpHeight      5.35641
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        mainFreq        1.03895
        mainOctaves     10
        Coverage        0.235155
        stripeZones     1
        stripeTwist     3.5
    }

    NoOcean         true

    NoLava          true

    Atmosphere
    {
        Model          "Neptune"
        Height          146.602
        Density         3.98221
        Pressure        4.57545
        Greenhouse      12.8978
        Bright          10
        Opacity         1
        SkyLight        3.33333
        Hue             -0.0131259
        Saturation      0.740138

        Composition
        {
            CO2   	99.5834
            SO2   	0.399204
            N2    	0.016555
            CO    	0.000737464
            Ar    	0.000143856
        }
    }

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.232325
        Period          0.124263
        Eccentricity    0.0275344
        Inclination     -0.310484
        AscendingNode   -121.384
        ArgOfPericenter 67.9946
        MeanAnomaly     88.6915
    }
}

DwarfMoon "Aylsa II.D1"
{
    ParentBody     "Aylsa II"
    Class	       "Asteroid"

    Mass            1.69138e-007
    Radius          75.1666
    InertiaMoment   0.397067

    Oblateness      0.249

    Obliquity       -0.0063746
    EqAscendNode    -71.9909
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.446 0.444 0.440)

    Surface
    {
        SurfStyle       0.907487
        OceanStyle      0.736891
        Randomize      (-0.852, 0.356, 0.140)
        colorDistMagn   0.989979
        colorDistFreq   2.81946
        detailScale     2052.55
        colorConversion true
        snowLevel       2
        tropicLatitude  0
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.389922
        terraceProb     0.174839
        erosion         0
        montesMagn      0.533152
        montesFreq      2.87761
        montesSpiky     0.901872
        montesFraction  0.369705
        dunesFraction   0
        hillsMagn       0
        hillsFreq       11.2792
        hillsFraction   0.57289
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.285126
        craterFreq      0.216269
        craterDensity   0.933585
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.440308
        volcanoTemp     1631.12
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.151, 0.155, 0.176, 0.050)
        colorShelf     (0.178, 0.182, 0.202, 0.040)
        colorBeach     (0.205, 0.208, 0.229, 0.030)
        colorDesert    (0.232, 0.235, 0.260, 0.020)
        colorLowland   (0.258, 0.262, 0.286, 0.030)
        colorUpland    (0.285, 0.288, 0.313, 0.050)
        colorRock      (0.312, 0.315, 0.348, 0.020)
        colorSnow      (0.312, 0.315, 0.348, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   8.90968e-005
        Period          0.00106037
        Eccentricity    2.54135e-005
        Inclination     -0.0063746
        AscendingNode   -71.9909
        ArgOfPericenter -22.7758
        MeanAnomaly     158.618
    }
}

DwarfMoon "Aylsa II.D2"
{
    ParentBody     "Aylsa II"
    Class	       "Asteroid"

    Mass            2.33198e-007
    Radius          40.8135
    InertiaMoment   0.398627

    Oblateness      0.0221631

    Obliquity       0.00862
    EqAscendNode    102.519
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.831 0.766 0.716)

    Surface
    {
        SurfStyle       0.00153557
        OceanStyle      0.225323
        Randomize      (0.323, -0.439, -0.617)
        colorDistMagn   0.116563
        colorDistFreq   1.10118
        detailScale     1114.48
        colorConversion true
        snowLevel       2
        tropicLatitude  0
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.576213
        terraceProb     0.721168
        erosion         0
        montesMagn      0.567603
        montesFreq      2.76227
        montesSpiky     0.728182
        montesFraction  0.475904
        dunesFraction   0
        hillsMagn       0
        hillsFreq       4.12843
        hillsFraction   0.684205
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.256072
        craterFreq      0.192544
        craterDensity   1.04735
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.494712
        volcanoTemp     1551.09
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.332, 0.306, 0.286, 0.000)
        colorShelf     (0.353, 0.326, 0.304, 0.000)
        colorBeach     (0.374, 0.345, 0.322, 0.000)
        colorDesert    (0.395, 0.364, 0.340, 0.000)
        colorLowland   (0.416, 0.383, 0.358, 0.000)
        colorUpland    (0.436, 0.402, 0.376, 0.000)
        colorRock      (0.457, 0.421, 0.394, 0.000)
        colorSnow      (0.478, 0.441, 0.412, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00010077
        Period          0.00127546
        Eccentricity    5.75178e-006
        Inclination     0.00862
        AscendingNode   102.519
        ArgOfPericenter 29.0897
        MeanAnomaly     -13.4106
    }
}

DwarfMoon "Aylsa II.D3"
{
    ParentBody     "Aylsa II"
    Class	       "Asteroid"

    Mass            3.23568e-007
    Radius          102.553
    InertiaMoment   0.399602

    Oblateness      0.0048561

    RotationPeriod  80.9138
    Obliquity       77.1558
    EqAscendNode    -131.155

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.542 0.535 0.528)

    Surface
    {
        SurfStyle       0.134116
        OceanStyle      0.403492
        Randomize      (-0.876, 0.317, 0.798)
        colorDistMagn   0.913869
        colorDistFreq   8.66394
        detailScale     2800.39
        colorConversion true
        snowLevel       2
        tropicLatitude  0.737827
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.39103
        terraceProb     0.284463
        erosion         0
        montesMagn      0.493346
        montesFreq      3.61183
        montesSpiky     0.898134
        montesFraction  0.597801
        dunesFraction   0
        hillsMagn       0
        hillsFreq       32.9757
        hillsFraction   0.740743
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.210916
        craterFreq      0.357724
        craterDensity   0.823721
        craterOctaves   15
        volcanoActivity 0.295314
        volcanoFlows    0
        volcanoRadius   0.579935
        volcanoTemp     1570.51
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.217, 0.214, 0.211, 0.000)
        colorShelf     (0.230, 0.227, 0.224, 0.000)
        colorBeach     (0.244, 0.241, 0.238, 0.000)
        colorDesert    (0.257, 0.254, 0.251, 0.000)
        colorLowland   (0.271, 0.267, 0.264, 0.000)
        colorUpland    (0.284, 0.281, 0.277, 0.000)
        colorRock      (0.298, 0.294, 0.290, 0.000)
        colorSnow      (0.312, 0.308, 0.304, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000287728
        Period          0.00615374
        Eccentricity    0.482254
        Inclination     77.1558
        AscendingNode   -131.155
        ArgOfPericenter 98.8278
        MeanAnomaly     -30.729
    }
}

//------------------------------------------------------------------------------
Planet "Aylsa III"
{
    ParentBody     "JDV 00041"
    Class	       "Desert"

    Mass            1.00168
    Radius          6189.15
    InertiaMoment   0.331092

    RotationPeriod  47.9597
    Obliquity       2.20062
    EqAscendNode    -56.5502

    AlbedoBond      0.396471
    AlbedoGeom      0.475765
    Brightness      2
    Color          (0.640 0.635 0.630)

    Surface
    {
        SurfStyle       0.100741
        OceanStyle      0.195457
        Randomize      (0.183, 0.330, -0.490)
        colorDistMagn   0.0714873
        colorDistFreq   653.658
        detailScale     15918.8
        colorConversion true
        seaLevel        0.112745
        snowLevel       0.85
        tropicLatitude  0.0681015
        icecapLatitude  10
        icecapHeight    0.21464
        climatePole     0.5625
        climateTropic   0.5625
        climateEquator  0.6875
        heightTempGrad  0.375
        tropicWidth     0.5
        mainFreq        0.997131
        venusFreq       0.862191
        venusMagn       0.403502
        mareFreq        2.00938
        mareDensity     0.203549
        terraceProb     0.156569
        erosion         0
        montesMagn      0.183132
        montesFreq      314.919
        montesSpiky     0.915202
        montesFraction  0.244599
        dunesMagn       0.067603
        dunesFreq       39.8867
        dunesFraction   0.920459
        hillsMagn       0.152158
        hillsFreq       621.935
        hillsFraction   0
        hills2Fraction  0
        riversMagn      65.8247
        riversFreq      2.90637
        riversSin       7.29335
        riversOctaves   0
        canyonsMagn     0.0494668
        canyonsFreq     158.005
        canyonFraction  0
        cracksMagn      0.0906719
        cracksFreq      0.607063
        cracksOctaves   0
        craterMagn      0.647352
        craterFreq      16.199
        craterDensity   0
        craterOctaves   0
        volcanoMagn     0.668129
        volcanoFreq     0.694201
        volcanoDensity  0.251254
        volcanoOctaves  3
        volcanoActivity 0.371712
        volcanoFlows    0.659689
        volcanoRadius   0.469139
        volcanoTemp     1863.37
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     2.45979
        stripeTwist     0.169255
        cycloneMagn     3.30909
        cycloneFreq     0.696141
        cycloneDensity  0.292465
        cycloneOctaves  2
        colorSea       (0.240, 0.230, 0.230, 0.000)
        colorShelf     (0.380, 0.360, 0.350, 0.000)
        colorBeach     (0.550, 0.520, 0.480, 0.000)
        colorDesert    (0.520, 0.490, 0.470, 0.000)
        colorLowland   (0.460, 0.440, 0.410, 0.000)
        colorUpland    (0.390, 0.360, 0.330, 0.000)
        colorRock      (0.170, 0.160, 0.160, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 0.769)
        colorLowPlants (0.460, 0.440, 0.410, 0.000)
        colorUpPlants  (0.390, 0.360, 0.330, 0.000)
        BumpHeight      19.3911
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.5
        SpecBrightIce   0.5
        SpecularPower   30
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    Clouds
    {
        Height          17.5156
        Velocity        90.197
        BumpHeight      5.83392
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        mainFreq        0.972252
        mainOctaves     10
        Coverage        0.392942
        stripeZones     2.45979
        stripeTwist     0.169255
    }

    Clouds
    {
        Height          25.3354
        Velocity        33.1723
        BumpHeight      5.37702
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        mainFreq        0.972252
        mainOctaves     10
        Coverage        0.392942
        stripeZones     2.45979
        stripeTwist     0.169255
    }

    NoOcean         true

    NoLava          true

    Atmosphere
    {
        Model          "Jupiter"
        Height          77.4187
        Density         12.8929
        Pressure        10.4255
        Greenhouse      23.6305
        Bright          10
        Opacity         1
        SkyLight        3.33333
        Hue             0.0323151
        Saturation      1.82315

        Composition
        {
            CO2   	90.4767
            SO2   	6.11348
            H2O   	3.39834
            N2    	0.0114021
            CO    	5.72383e-005
            Ar    	4.14069e-005
            Ne    	1.81699e-005
        }
    }

    Aurora
    {
        Height      119.451
        NorthLat    61.3065
        NorthLon    151.042
        NorthRadius 1347.67
        NorthWidth  237.293
        NorthRings  5
        NorthBright 0.3
        NorthParticles 50000
        SouthLat    -59.1565
        SouthLon    317.242
        SouthRadius 1141.81
        SouthWidth  396.611
        SouthRings  4
        SouthBright 0.3
        SouthParticles 50000
        TopColor    (1.000 1.000 1.000)
        BottomColor (0.000 1.000 0.000)
    }

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.497997
        Period          0.389977
        Eccentricity    0.0303057
        Inclination     2.23492
        AscendingNode   -56.6153
        ArgOfPericenter 284.493
        MeanAnomaly     347.1
    }
}

DwarfMoon "Aylsa III.D1"
{
    ParentBody     "Aylsa III"
    Class	       "Asteroid"

    Mass            3.50444e-011
    Radius          4.77975
    InertiaMoment   0.399038

    Oblateness      0.249

    Obliquity       -0.000901925
    EqAscendNode    58.1453
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.699 0.645 0.614)

    Surface
    {
        SurfStyle       0.543218
        OceanStyle      0.671415
        Randomize      (-0.644, 0.865, 0.494)
        colorDistMagn   0.189857
        colorDistFreq   0.0164112
        detailScale     130.519
        colorConversion true
        snowLevel       2
        tropicLatitude  0
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.585406
        terraceProb     0.360445
        erosion         0
        montesMagn      0.356167
        montesFreq      3.55675
        montesSpiky     0.969308
        montesFraction  0.624359
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0484676
        hillsFraction   0.601723
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.23635
        craterFreq      0.212613
        craterDensity   0.636675
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.446265
        volcanoTemp     1357.29
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.273, 0.219, 0.172, 0.000)
        colorShelf     (0.280, 0.226, 0.196, 0.000)
        colorBeach     (0.329, 0.264, 0.233, 0.000)
        colorDesert    (0.357, 0.284, 0.227, 0.000)
        colorLowland   (0.392, 0.303, 0.258, 0.000)
        colorUpland    (0.434, 0.368, 0.313, 0.000)
        colorRock      (0.468, 0.400, 0.337, 0.000)
        colorSnow      (0.510, 0.426, 0.356, 1.000)
        BumpHeight      4.30178
        BumpOffset      0.860355
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000125671
        Period          0.000814084
        Eccentricity    1.5797e-005
        Inclination     -0.000901925
        AscendingNode   58.1453
        ArgOfPericenter -78.0911
        MeanAnomaly     -91.3699
    }
}

DwarfMoon "Aylsa III.D2"
{
    ParentBody     "Aylsa III"
    Class	       "Asteroid"

    Mass            6.25302e-011
    Radius          3.0217
    InertiaMoment   0.399951

    Oblateness      0.0620625

    Obliquity       -0.00309025
    EqAscendNode    110.749
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.645 0.566 0.439)

    Surface
    {
        SurfStyle       0.777791
        OceanStyle      0.72666
        Randomize      (0.680, 0.039, 0.443)
        colorDistMagn   0.540783
        colorDistFreq   0.00736492
        detailScale     82.5126
        colorConversion true
        snowLevel       2
        tropicLatitude  0
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.33376
        terraceProb     0.331083
        erosion         0
        montesMagn      0.493422
        montesFreq      2.96037
        montesSpiky     0.9577
        montesFraction  0.897912
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0132853
        hillsFraction   0.401225
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.218394
        craterFreq      0.24853
        craterDensity   0.890893
        craterOctaves   9
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.436367
        volcanoTemp     1427.94
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.251, 0.192, 0.123, 0.000)
        colorShelf     (0.258, 0.198, 0.140, 0.000)
        colorBeach     (0.303, 0.232, 0.167, 0.000)
        colorDesert    (0.329, 0.249, 0.162, 0.000)
        colorLowland   (0.361, 0.266, 0.184, 0.000)
        colorUpland    (0.400, 0.323, 0.224, 0.000)
        colorRock      (0.432, 0.351, 0.241, 0.000)
        colorSnow      (0.471, 0.374, 0.254, 1.000)
        BumpHeight      2.71953
        BumpOffset      0.543906
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000138318
        Period          0.000940012
        Eccentricity    5.86128e-005
        Inclination     -0.00309025
        AscendingNode   110.749
        ArgOfPericenter -163.885
        MeanAnomaly     -6.28064
    }
}

DwarfMoon "Aylsa III.D3"
{
    ParentBody     "Aylsa III"
    Class	       "Asteroid"

    Mass            1.05394e-010
    Radius          6.33611
    InertiaMoment   0.398053

    Oblateness      0.249

    Obliquity       0.0108126
    EqAscendNode    -159.546
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.815 0.787 0.765)

    Surface
    {
        SurfStyle       0.441313
        OceanStyle      0.102701
        Randomize      (-0.770, -0.323, -0.129)
        colorDistMagn   0.52604
        colorDistFreq   0.0216025
        detailScale     173.018
        colorConversion true
        snowLevel       2
        tropicLatitude  0
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.670567
        terraceProb     0.255183
        erosion         0
        montesMagn      0.361096
        montesFreq      2.5923
        montesSpiky     0.988415
        montesFraction  0.891142
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0996479
        hillsFraction   0.643246
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.26633
        craterFreq      0.239333
        craterDensity   0.858091
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.589127
        volcanoTemp     1668.54
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.326, 0.315, 0.306, 0.000)
        colorShelf     (0.347, 0.335, 0.325, 0.000)
        colorBeach     (0.367, 0.354, 0.344, 0.000)
        colorDesert    (0.387, 0.374, 0.363, 0.000)
        colorLowland   (0.408, 0.394, 0.382, 0.000)
        colorUpland    (0.428, 0.413, 0.402, 0.000)
        colorRock      (0.448, 0.433, 0.421, 0.000)
        colorSnow      (0.469, 0.453, 0.440, 1.000)
        BumpHeight      5.7025
        BumpOffset      1.1405
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000142548
        Period          0.000983464
        Eccentricity    8.01337e-006
        Inclination     0.0108126
        AscendingNode   -159.546
        ArgOfPericenter 16.9369
        MeanAnomaly     -38.7203
    }
}

Moon "Aylsa III.1"
{
    ParentBody     "Aylsa III"
    Class	       "Selena"

    Mass            0.000406419
    Radius          444.103
    InertiaMoment   0.39992

    Oblateness      0.00518885

    Obliquity       -0.600144
    EqAscendNode    157.492
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      3.5
    Color          (0.792 0.738 0.707)

    Surface
    {
        SurfStyle       0.187975
        OceanStyle      0.807591
        Randomize      (0.420, 0.973, -0.868)
        colorDistMagn   0.0618166
        colorDistFreq   63.3352
        detailScale     1142.26
        colorConversion true
        drivenDarkening 0
        seaLevel        0.24181
        snowLevel       2
        tropicLatitude  0.00408525
        icecapLatitude  10
        icecapHeight    0.141613
        climatePole     0.4375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.65868
        venusFreq       1.24626
        venusMagn       0
        mareFreq        0
        mareDensity     0.000866859
        terraceProb     0.398758
        erosion         0
        montesMagn      0.0765144
        montesFreq      21.2551
        montesSpiky     0.923887
        montesFraction  0.00412045
        dunesMagn       0.051462
        dunesFreq       580.686
        dunesFraction   0.835857
        hillsMagn       0.137361
        hillsFreq       57.1933
        hillsFraction   0.584081
        hills2Fraction  0
        riversMagn      60.0005
        riversFreq      2.93422
        riversSin       5.21575
        riversOctaves   0
        canyonsMagn     0.417434
        canyonsFreq     0.159321
        canyonFraction  0.381534
        cracksMagn      0.0498123
        cracksFreq      0.141448
        cracksOctaves   0
        craterMagn      0.659914
        craterFreq      0.903487
        craterDensity   0.962754
        craterOctaves   9
        craterRayedFactor 0.16002
        volcanoMagn     0.196544
        volcanoFreq     0.774988
        volcanoDensity  0.4
        volcanoOctaves  3
        volcanoActivity 1.56733
        volcanoFlows    0.290102
        volcanoRadius   0.156383
        volcanoTemp     984.503
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.320, 0.320, 0.320, 0.000)
        colorShelf     (0.370, 0.370, 0.370, 0.000)
        colorBeach     (0.396, 0.369, 0.354, 0.000)
        colorDesert    (0.491, 0.443, 0.403, 0.200)
        colorLowland   (0.531, 0.473, 0.453, 0.500)
        colorUpland    (0.554, 0.495, 0.467, 0.800)
        colorRock      (0.650, 0.610, 0.620, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 1.000)
        BumpHeight      20
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   55
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000249141
        Period          0.00227193
        Eccentricity    0.0125828
        Inclination     -0.600144
        AscendingNode   157.492
        ArgOfPericenter 0.097356
        MeanAnomaly     13.1607
    }
}

DwarfMoon "Aylsa III.D4"
{
    ParentBody     "Aylsa III"
    Class	       "Asteroid"

    Mass            2.6556e-010
    Radius          5.2685
    InertiaMoment   0.395665

    RotationPeriod  224.754
    Obliquity       -27.4909
    EqAscendNode    104.166

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.757 0.626 0.579)

    Surface
    {
        SurfStyle       0.994771
        OceanStyle      0.894591
        Randomize      (-0.753, -0.808, 0.015)
        colorDistMagn   0.614605
        colorDistFreq   0.0185876
        detailScale     143.865
        colorConversion true
        snowLevel       2
        tropicLatitude  0.544029
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.453565
        terraceProb     0.565545
        erosion         0
        montesMagn      0.634035
        montesFreq      3.77666
        montesSpiky     0.932762
        montesFraction  0.583697
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0748628
        hillsFraction   0.760523
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.235383
        craterFreq      0.249346
        craterDensity   0.884997
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.466102
        volcanoTemp     1415.93
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.257, 0.219, 0.232, 0.050)
        colorShelf     (0.303, 0.257, 0.266, 0.040)
        colorBeach     (0.348, 0.294, 0.301, 0.030)
        colorDesert    (0.394, 0.332, 0.342, 0.020)
        colorLowland   (0.439, 0.370, 0.376, 0.030)
        colorUpland    (0.484, 0.407, 0.411, 0.050)
        colorRock      (0.530, 0.445, 0.458, 0.020)
        colorSnow      (0.530, 0.445, 0.458, 1.000)
        BumpHeight      4.74165
        BumpOffset      0.948329
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0010346
        Period          0.0192299
        Eccentricity    0.375452
        Inclination     -27.4909
        AscendingNode   104.166
        ArgOfPericenter 49.4837
        MeanAnomaly     -101.235
    }
}

DwarfMoon "Aylsa III.D5"
{
    ParentBody     "Aylsa III"
    Class	       "Asteroid"

    Mass            4.0349e-010
    Radius          10.4052
    InertiaMoment   0.398245

    RotationPeriod  1617.82
    Obliquity       -7.65919
    EqAscendNode    -132.621

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.573 0.533 0.472)

    Surface
    {
        SurfStyle       0.546025
        OceanStyle      0.170239
        Randomize      (0.078, -0.422, 0.009)
        colorDistMagn   0.817556
        colorDistFreq   0.0685249
        detailScale     284.132
        colorConversion true
        snowLevel       2
        tropicLatitude  0.106945
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.446007
        terraceProb     0.285935
        erosion         0
        montesMagn      0.436476
        montesFreq      1.91371
        montesSpiky     0.883319
        montesFraction  0.153797
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.196543
        hillsFraction   0.559618
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.253234
        craterFreq      0.219185
        craterDensity   1.04364
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.45546
        volcanoTemp     1503.26
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.224, 0.181, 0.132, 0.000)
        colorShelf     (0.229, 0.187, 0.151, 0.000)
        colorBeach     (0.269, 0.219, 0.180, 0.000)
        colorDesert    (0.292, 0.235, 0.175, 0.000)
        colorLowland   (0.321, 0.251, 0.198, 0.000)
        colorUpland    (0.355, 0.304, 0.241, 0.000)
        colorRock      (0.384, 0.331, 0.260, 0.000)
        colorSnow      (0.418, 0.352, 0.274, 1.000)
        BumpHeight      9.3647
        BumpOffset      1.87294
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00159797
        Period          0.0369121
        Eccentricity    0.200786
        Inclination     -7.65919
        AscendingNode   -132.621
        ArgOfPericenter -164.04
        MeanAnomaly     -178.581
    }
}

DwarfMoon "Aylsa III.D6"
{
    ParentBody     "Aylsa III"
    Class	       "Asteroid"

    Mass            5.99804e-010
    Radius          6.09727
    InertiaMoment   0.39931

    RotationPeriod  314.772
    Obliquity       -53.9391
    EqAscendNode    -12.5744

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.435 0.430 0.427)

    Surface
    {
        SurfStyle       0.688712
        OceanStyle      0.250633
        Randomize      (-0.050, -0.498, -0.800)
        colorDistMagn   0.154982
        colorDistFreq   0.0196211
        detailScale     166.496
        colorConversion true
        snowLevel       2
        tropicLatitude  0.956626
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.363678
        terraceProb     0.502742
        erosion         0
        montesMagn      0.381361
        montesFreq      2.49994
        montesSpiky     0.822049
        montesFraction  0.365338
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0729866
        hillsFraction   0.731911
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.220139
        craterFreq      0.177847
        craterDensity   0.913093
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.429258
        volcanoTemp     1514.16
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.169, 0.146, 0.119, 0.000)
        colorShelf     (0.174, 0.151, 0.137, 0.000)
        colorBeach     (0.204, 0.176, 0.162, 0.000)
        colorDesert    (0.222, 0.189, 0.158, 0.000)
        colorLowland   (0.243, 0.202, 0.179, 0.000)
        colorUpland    (0.269, 0.245, 0.218, 0.000)
        colorRock      (0.291, 0.267, 0.235, 0.000)
        colorSnow      (0.317, 0.284, 0.247, 1.000)
        BumpHeight      5.48755
        BumpOffset      1.09751
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00205582
        Period          0.0538635
        Eccentricity    0.113213
        Inclination     -53.9391
        AscendingNode   -12.5744
        ArgOfPericenter 175.338
        MeanAnomaly     132.814
    }
}

DwarfMoon "Aylsa III.D7"
{
    ParentBody     "Aylsa III"
    Class	       "Asteroid"

    Mass            8.75746e-010
    Radius          15.968
    InertiaMoment   0.396499

    Obliquity       87.8886
    EqAscendNode    -99.9194
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.725 0.722 0.720)

    Surface
    {
        SurfStyle       0.7167
        OceanStyle      0.415941
        Randomize      (0.320, -0.485, -0.326)
        colorDistMagn   0.169444
        colorDistFreq   0.0247474
        detailScale     436.033
        colorConversion true
        snowLevel       2
        tropicLatitude  0.984854
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.336987
        terraceProb     0.11025
        erosion         0
        montesMagn      0.594454
        montesFreq      2.73462
        montesSpiky     0.971071
        montesFraction  0.844142
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.400647
        hillsFraction   0.856759
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.219561
        craterFreq      0.22391
        craterDensity   0.725817
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.531098
        volcanoTemp     1335.06
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.283, 0.246, 0.202, 0.000)
        colorShelf     (0.290, 0.253, 0.231, 0.000)
        colorBeach     (0.341, 0.296, 0.274, 0.000)
        colorDesert    (0.370, 0.318, 0.267, 0.000)
        colorLowland   (0.406, 0.339, 0.303, 0.000)
        colorUpland    (0.449, 0.412, 0.367, 0.000)
        colorRock      (0.486, 0.448, 0.396, 0.000)
        colorSnow      (0.529, 0.477, 0.418, 1.000)
        BumpHeight      14.3712
        BumpOffset      2.87424
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00271839
        Period          0.0819
        Eccentricity    0.256494
        Inclination     87.8886
        AscendingNode   -99.9194
        ArgOfPericenter 23.0738
        MeanAnomaly     -101.366
    }
}

//------------------------------------------------------------------------------
Planet "Aylsa VI"
{
    ParentBody     "JDV 00041"
    Class	       "IceGiant"

    Mass            22.7468
    Radius          22748.4
    InertiaMoment   0.213907

    Oblateness      0.0299353

    RotationPeriod  9.22297
    Obliquity       8.5261
    EqAscendNode    -44.1868

    AlbedoBond      0.513602
    AlbedoGeom      0.616323
    Brightness      2

    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Floaters"
    }

    Surface
    {
        SurfStyle       0.832889
        Randomize      (-0.515, -0.797, -0.581)
        detailScale     58510.1
        colorConversion true
        tropicLatitude  0.133964
        icecapLatitude  1
        craterOctaves   0
        volcanoActivity 0
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     5.2374
        stripeFluct     0.417433
        stripeTwist     8.15018
        cycloneMagn     6.54496
        cycloneFreq     0.879944
        cycloneDensity  0.374054
        cycloneOctaves  0
        colorLayer0    (0.190, 0.430, 0.850, 1.000)
        colorLayer1    (0.170, 0.450, 0.800, 1.000)
        colorLayer2    (0.180, 0.450, 0.830, 1.000)
        colorLayer3    (0.160, 0.460, 0.890, 1.000)
        colorLayer4    (0.180, 0.480, 0.860, 1.000)
        colorLayer5    (0.100, 0.450, 0.830, 1.000)
        colorLayer6    (0.190, 0.440, 0.860, 1.000)
        colorLayer7    (0.180, 0.430, 0.850, 1.000)
        colorLowPlants (0.180, 0.480, 0.860, 1.000)
        colorUpPlants  (0.100, 0.450, 0.830, 1.000)
        BumpHeight      14.9564
        SpecularPower   55
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      1
        ModulateColor  (0.000 0.000 0.000 0.000)
    }

    Clouds
    {
        Height          99.9668
        Velocity        2198.04
        BumpHeight      59.0966
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      1
        mainFreq        1.08246
        mainOctaves     12
        Coverage        0.568012
        stripeZones     5.2374
        stripeFluct     0.417433
        stripeTwist     8.15018
    }

    NoOcean         true

    NoLava          true

    Atmosphere
    {
        Model          "Neptune"
        Height          227.484
        Density         1892.8
        Pressure        347375
        Bright          10
        Opacity         1
        SkyLight        3.33333
        Hue             -0.00057875
        Saturation      0.91841

        Composition
        {
            H2    	91.8514
            He    	7.72798
            CH4   	0.363631
            N2    	0.0414714
            O2    	0.00746438
            C2H2  	0.00376211
            C2H4  	0.00160534
            Ne    	0.00113169
            Ar    	0.000930633
            C2H6  	0.000638172
            NH3   	1.14896e-005
        }
    }

    Aurora
    {
        Height      203.933
        NorthLat    48.3938
        NorthLon    76.8624
        NorthRadius 3198.61
        NorthWidth  1022.61
        NorthRings  3
        NorthBright 1
        NorthParticles 10000
        SouthLat    -54.2681
        SouthLon    249.546
        SouthRadius 6385.24
        SouthWidth  1834.22
        SouthRings  2
        SouthBright 1
        SouthParticles 10000
        TopColor    (1.000 1.000 1.000)
        BottomColor (1.000 0.000 0.500)
    }

    Rings
    {
        InnerRadius     29911.8
        OuterRadius     75854.5
        RotationPeriod  7.06478
        RotationOffset  0
        FrontBright     0.949155
        BackBright      0.843059
        Density         0.693929
        Brightness      1
    }

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   3.60102
        Period          7.58265
        Eccentricity    0.00833727
        Inclination     -1.55554
        AscendingNode   -53.3528
        ArgOfPericenter 46.7439
        MeanAnomaly     85.717
    }
}

DwarfMoon "Aylsa VI.D1"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            9.63798e-008
    Radius          66.1691
    InertiaMoment   0.399475

    Oblateness      0.249

    Obliquity       -0.000242525
    EqAscendNode    -126.671
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.786 0.784 0.781)

    Surface
    {
        SurfStyle       0.573903
        OceanStyle      0.068593
        Randomize      (-0.098, -0.932, -0.323)
        colorDistMagn   0.967431
        colorDistFreq   1.55821
        detailScale     1806.86
        colorConversion true
        snowLevel       2
        tropicLatitude  0
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.430218
        terraceProb     0.505856
        erosion         0
        montesMagn      0.573788
        montesFreq      3.0521
        montesSpiky     0.902978
        montesFraction  0.0997413
        dunesFraction   0
        hillsMagn       0
        hillsFreq       10.8271
        hillsFraction   0.731749
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.258131
        craterFreq      0.169526
        craterDensity   0.946417
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.408495
        volcanoTemp     1460.69
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.306, 0.266, 0.219, 0.000)
        colorShelf     (0.314, 0.274, 0.250, 0.000)
        colorBeach     (0.369, 0.321, 0.297, 0.000)
        colorDesert    (0.401, 0.345, 0.289, 0.000)
        colorLowland   (0.440, 0.368, 0.328, 0.000)
        colorUpland    (0.487, 0.447, 0.398, 0.000)
        colorRock      (0.526, 0.486, 0.429, 0.000)
        colorSnow      (0.573, 0.517, 0.453, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000383353
        Period          0.000910158
        Eccentricity    4.58486e-005
        Inclination     -0.000242525
        AscendingNode   -126.671
        ArgOfPericenter 174.311
        MeanAnomaly     -84.9018
    }
}

DwarfMoon "Aylsa VI.D2"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            1.31769e-007
    Radius          70.5172
    InertiaMoment   0.39707

    Oblateness      0.249

    Obliquity       0.00375948
    EqAscendNode    97.5972
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.530 0.473 0.361)

    Surface
    {
        SurfStyle       0.125467
        OceanStyle      0.354795
        Randomize      (-0.353, -0.167, -0.526)
        colorDistMagn   0.718675
        colorDistFreq   2.98034
        detailScale     1925.59
        colorConversion true
        snowLevel       2
        tropicLatitude  0
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.665549
        terraceProb     0.425914
        erosion         0
        montesMagn      0.589877
        montesFreq      2.91121
        montesSpiky     0.912495
        montesFraction  0.822779
        dunesFraction   0
        hillsMagn       0
        hillsFreq       9.45575
        hillsFraction   0.721634
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.237725
        craterFreq      0.143003
        craterDensity   0.880736
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.514242
        volcanoTemp     1358.42
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.212, 0.189, 0.144, 0.000)
        colorShelf     (0.225, 0.201, 0.153, 0.000)
        colorBeach     (0.239, 0.213, 0.162, 0.000)
        colorDesert    (0.252, 0.224, 0.171, 0.000)
        colorLowland   (0.265, 0.236, 0.180, 0.000)
        colorUpland    (0.278, 0.248, 0.189, 0.000)
        colorRock      (0.292, 0.260, 0.198, 0.000)
        colorSnow      (0.305, 0.272, 0.208, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000414283
        Period          0.0010225
        Eccentricity    2.41808e-005
        Inclination     0.00375948
        AscendingNode   97.5972
        ArgOfPericenter -95.2928
        MeanAnomaly     121.042
    }
}

DwarfMoon "Aylsa VI.D3"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            1.80923e-007
    Radius          74.7326
    InertiaMoment   0.398629

    Oblateness      0.219586

    Obliquity       -0.0132522
    EqAscendNode    -21.12
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.681 0.676 0.674)

    Surface
    {
        SurfStyle       0.119692
        OceanStyle      0.806411
        Randomize      (-0.258, 0.891, 0.711)
        colorDistMagn   0.586835
        colorDistFreq   1.99241
        detailScale     2040.7
        colorConversion true
        snowLevel       2
        tropicLatitude  0.000488281
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.720291
        terraceProb     0.442335
        erosion         0
        montesMagn      0.475103
        montesFreq      2.35919
        montesSpiky     0.907784
        montesFraction  0.236291
        dunesFraction   0
        hillsMagn       0
        hillsFreq       18.5479
        hillsFraction   0.725564
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.241582
        craterFreq      0.167979
        craterDensity   1.00147
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.467139
        volcanoTemp     1465.15
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.272, 0.270, 0.270, 0.000)
        colorShelf     (0.289, 0.287, 0.286, 0.000)
        colorBeach     (0.306, 0.304, 0.303, 0.000)
        colorDesert    (0.323, 0.321, 0.320, 0.000)
        colorLowland   (0.340, 0.338, 0.337, 0.000)
        colorUpland    (0.357, 0.355, 0.354, 0.000)
        colorRock      (0.374, 0.372, 0.371, 0.000)
        colorSnow      (0.391, 0.389, 0.388, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000445407
        Period          0.00113987
        Eccentricity    6.86861e-005
        Inclination     -0.0132522
        AscendingNode   -21.12
        ArgOfPericenter 164.982
        MeanAnomaly     63.451
    }
}

Moon "Aylsa VI.1"
{
    ParentBody     "Aylsa VI"
    Class	       "Selena"

    Mass            0.0038989
    Radius          1297.26
    InertiaMoment   0.395944

    Oblateness      0.0171845

    Obliquity       1.10763
    EqAscendNode    -168.606
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      3.5
    Color          (0.512 0.427 0.358)

    Surface
    {
        SurfStyle       0.754497
        OceanStyle      0.90767
        Randomize      (-0.207, -0.802, 0.600)
        colorDistMagn   0.0713649
        colorDistFreq   128.973
        detailScale     3336.63
        colorConversion true
        drivenDarkening 0
        seaLevel        0.127733
        snowLevel       2
        tropicLatitude  0.00384472
        icecapLatitude  10
        icecapHeight    0.144216
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.81474
        venusFreq       0.583439
        venusMagn       0
        mareFreq        0.450613
        mareDensity     0.00153535
        terraceProb     0.118356
        erosion         0
        montesMagn      0.0597256
        montesFreq      58.2799
        montesSpiky     0.819219
        montesFraction  0.34186
        dunesMagn       0.0219279
        dunesFreq       1660.34
        dunesFraction   0.978972
        hillsMagn       0.145015
        hillsFreq       167.241
        hillsFraction   0.618049
        hills2Fraction  0
        riversMagn      61.0339
        riversFreq      2.79819
        riversSin       5.37683
        riversOctaves   0
        canyonsMagn     0.488221
        canyonsFreq     0.388853
        canyonFraction  0.723696
        cracksMagn      0.0485388
        cracksFreq      0.397811
        cracksOctaves   0
        craterMagn      0.668643
        craterFreq      3.43681
        craterDensity   0.692598
        craterOctaves   7.95491
        craterRayedFactor 0
        volcanoMagn     0.174796
        volcanoFreq     0.680838
        volcanoDensity  0.4
        volcanoOctaves  3
        volcanoActivity 2
        volcanoFlows    0.244468
        volcanoRadius   0.166965
        volcanoTemp     1811.89
        lavaCoverTidal  0.307585
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.470, 0.400, 0.340, 0.000)
        colorShelf     (0.640, 0.600, 0.470, 0.000)
        colorBeach     (0.322, 0.261, 0.172, 0.000)
        colorDesert    (0.343, 0.265, 0.175, 0.000)
        colorLowland   (0.281, 0.197, 0.140, 0.000)
        colorUpland    (0.399, 0.303, 0.186, 0.000)
        colorRock      (0.300, 0.260, 0.220, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 1.000)
        BumpHeight      20
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   55
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000647413
        Period          0.00199735
        Eccentricity    0.0187552
        Inclination     1.10763
        AscendingNode   -168.606
        ArgOfPericenter -38.7384
        MeanAnomaly     -40.3143
    }
}

Moon "Aylsa VI.2"
{
    ParentBody     "Aylsa VI"
    Class	       "Selena"

    Mass            0.0458933
    Radius          2683.06
    InertiaMoment   0.34509

    Oblateness      0.00157357

    Obliquity       1.19983
    EqAscendNode    168.015
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      3.5
    Color          (0.812 0.748 0.668)

    Surface
    {
        SurfStyle       0.941384
        OceanStyle      0.694188
        Randomize      (-0.850, 0.537, -0.029)
        colorDistMagn   0.0887038
        colorDistFreq   335.17
        detailScale     6900.99
        colorConversion true
        drivenDarkening 0
        seaLevel        0.186525
        snowLevel       2
        tropicLatitude  0.00436731
        icecapLatitude  0.965845
        icecapHeight    0.187858
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.84361
        venusFreq       0.858657
        venusMagn       0
        mareFreq        1.4743
        mareDensity     0.0102015
        terraceProb     0.463807
        erosion         0
        montesMagn      0.155305
        montesFreq      132.246
        montesSpiky     0.997353
        montesFraction  0.21038
        dunesMagn       0.0412991
        dunesFreq       3521.49
        dunesFraction   0.987844
        hillsMagn       0.127578
        hillsFreq       270.428
        hillsFraction   0.668359
        hills2Fraction  0
        riversMagn      58.5219
        riversFreq      3.42915
        riversSin       5.4884
        riversOctaves   0
        canyonsMagn     0.535152
        canyonsFreq     0.965588
        canyonFraction  0.138186
        cracksMagn      0.0201296
        cracksFreq      0.655672
        cracksOctaves   0
        craterMagn      0.556138
        craterFreq      6.042
        craterDensity   0.773597
        craterOctaves   9.56831
        craterRayedFactor 0
        volcanoMagn     0.440923
        volcanoFreq     0.655559
        volcanoDensity  0.4
        volcanoOctaves  3
        volcanoActivity 2
        volcanoFlows    0.224521
        volcanoRadius   0.41523
        volcanoTemp     1498.61
        lavaCoverTidal  0.225156
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.440, 0.450, 0.370, 0.000)
        colorShelf     (0.580, 0.550, 0.430, 0.000)
        colorBeach     (0.577, 0.493, 0.388, 0.000)
        colorDesert    (0.674, 0.576, 0.428, 0.000)
        colorLowland   (0.536, 0.434, 0.321, 0.000)
        colorUpland    (0.479, 0.389, 0.301, 0.000)
        colorRock      (0.330, 0.250, 0.230, 0.000)
        colorSnow      (0.940, 0.910, 0.870, 1.000)
        BumpHeight      20
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   55
        Hapke           0.999996
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    Atmosphere
    {
        Model          "Sun"
        Height          90.2804
        Density         4.31883e-007
        Pressure        8.83855e-008
        Greenhouse      0.000961301
        Bright          0.845421
        Opacity         0
        SkyLight        0.281807
        Hue             -0.0107081
        Saturation      1

        Composition
        {
            SO2   	99.2448
            Cl2   	0.310282
            Kr    	0.236631
            Xe    	0.208288
        }
    }

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0012268
        Period          0.00520527
        Eccentricity    0.0134213
        Inclination     1.19983
        AscendingNode   168.015
        ArgOfPericenter 75.6817
        MeanAnomaly     10.0087
    }
}

Moon "Aylsa VI.3"
{
    ParentBody     "Aylsa VI"
    Class	       "Selena"

    Mass            0.00543497
    Radius          1537.91
    InertiaMoment   0.387206

    Oblateness      0.00112004

    Obliquity       -1.47806
    EqAscendNode    -120.291
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      3.5
    Color          (0.717 0.713 0.711)

    Surface
    {
        SurfStyle       0.181147
        OceanStyle      0.515762
        Randomize      (0.400, -0.726, -0.103)
        colorDistMagn   0.0418498
        colorDistFreq   206.476
        detailScale     3955.59
        colorConversion true
        drivenDarkening 0
        seaLevel        0.223842
        snowLevel       2
        tropicLatitude  0.0256779
        icecapLatitude  0.705342
        icecapHeight    0.239844
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.86447
        venusFreq       0.987093
        venusMagn       0
        mareFreq        0.664983
        mareDensity     0.00120463
        terraceProb     0.188366
        erosion         0
        montesMagn      0.0636906
        montesFreq      52.0864
        montesSpiky     0.823855
        montesFraction  0.879316
        dunesMagn       0.0431964
        dunesFreq       2077.42
        dunesFraction   0.110784
        hillsMagn       0.134621
        hillsFreq       147.956
        hillsFraction   0.87216
        hills2Fraction  0
        riversMagn      54.0974
        riversFreq      2.20535
        riversSin       6.1061
        riversOctaves   0
        canyonsMagn     0.559961
        canyonsFreq     0.444787
        canyonFraction  0.720151
        cracksMagn      0.0290448
        cracksFreq      0.59522
        cracksOctaves   0
        craterMagn      0.63869
        craterFreq      3.27349
        craterDensity   0.890099
        craterOctaves   10.5688
        craterRayedFactor 0.144795
        volcanoMagn     0.154008
        volcanoFreq     0.699955
        volcanoDensity  0.4
        volcanoOctaves  3
        volcanoActivity 2
        volcanoFlows    0.211433
        volcanoRadius   0.170547
        volcanoTemp     1443.49
        lavaCoverTidal  0.0435551
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.320, 0.320, 0.320, 0.000)
        colorShelf     (0.370, 0.370, 0.370, 0.000)
        colorBeach     (0.358, 0.357, 0.356, 0.000)
        colorDesert    (0.444, 0.428, 0.405, 0.200)
        colorLowland   (0.480, 0.456, 0.455, 0.500)
        colorUpland    (0.502, 0.478, 0.469, 0.800)
        colorRock      (0.650, 0.610, 0.620, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 1.000)
        BumpHeight      20
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   55
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00168877
        Period          0.00841441
        Eccentricity    0.0366344
        Inclination     -1.47806
        AscendingNode   -120.291
        ArgOfPericenter -54.0625
        MeanAnomaly     6.80229
    }
}

Moon "Aylsa VI.4"
{
    ParentBody     "Aylsa VI"
    Class	       "IceWorld"

    Mass            0.00648516
    Radius          1417.51
    InertiaMoment   0.391743

    Obliquity       0.568276
    EqAscendNode    177.12
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.749 0.699 0.665)

    Surface
    {
        SurfStyle       0.934539
        OceanStyle      0.16595
        Randomize      (0.452, -0.548, -0.329)
        colorDistMagn   0.0563507
        colorDistFreq   140.071
        detailScale     3645.92
        colorConversion true
        drivenDarkening 0.7
        seaLevel        0.175435
        snowLevel       2
        tropicLatitude  0.000488281
        icecapLatitude  0.617183
        icecapHeight    0.205828
        climatePole     0.4375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.70846
        venusFreq       0.616084
        venusMagn       0.238787
        mareFreq        0.661408
        mareDensity     0.00268221
        terraceProb     0.199991
        erosion         0
        montesMagn      0.0560914
        montesFreq      80.8753
        montesSpiky     0.939188
        montesFraction  0.334807
        dunesMagn       0.0437862
        dunesFreq       1833.69
        dunesFraction   0.520275
        hillsMagn       0.138252
        hillsFreq       152.812
        hillsFraction   0.56114
        hills2Fraction  0.123793
        riversMagn      52.1597
        riversFreq      1.92133
        riversSin       7.57835
        riversOctaves   0
        canyonsMagn     0.63245
        canyonsFreq     0.44968
        canyonFraction  0
        cracksMagn      0.0446369
        cracksFreq      0.800548
        cracksOctaves   1
        craterMagn      0.621663
        craterFreq      3.24884
        craterDensity   0.850307
        craterOctaves   11
        craterRayedFactor 0.237268
        volcanoMagn     0.186851
        volcanoFreq     0.85409
        volcanoDensity  0.199827
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.398321
        volcanoRadius   0.162932
        volcanoTemp     1665.83
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.570, 0.496, 0.386, 1.000)
        colorShelf     (0.570, 0.496, 0.386, 1.000)
        colorBeach     (0.525, 0.433, 0.333, 1.000)
        colorDesert    (0.525, 0.433, 0.333, 1.000)
        colorLowland   (0.637, 0.566, 0.506, 1.000)
        colorUpland    (0.667, 0.622, 0.572, 1.000)
        colorRock      (0.930, 0.910, 0.860, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.637, 0.566, 0.506, 1.000)
        colorUpPlants  (0.667, 0.622, 0.572, 1.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0023247
        Period          0.0135896
        Eccentricity    0.0069217
        Inclination     0.568276
        AscendingNode   177.12
        ArgOfPericenter 98.4205
        MeanAnomaly     145.377
    }
}

Moon "Aylsa VI.5"
{
    ParentBody     "Aylsa VI"
    Class	       "IceWorld"

    Mass            0.00781135
    Radius          1732.73
    InertiaMoment   0.383479

    Obliquity       -0.253931
    EqAscendNode    -175.03
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.708 0.517 0.389)

    Surface
    {
        SurfStyle       0.396275
        OceanStyle      0.0458417
        Randomize      (-0.156, -0.436, -0.111)
        colorDistMagn   0.0666865
        colorDistFreq   169.653
        detailScale     4456.67
        colorConversion true
        drivenDarkening 0.665256
        seaLevel        0.244504
        snowLevel       2
        tropicLatitude  0.000345267
        icecapLatitude  0.475389
        icecapHeight    0.261345
        climatePole     0.4375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        2.08224
        venusFreq       1.01871
        venusMagn       0
        mareFreq        0.833322
        mareDensity     0.00137244
        terraceProb     0.238401
        erosion         0
        montesMagn      0.0766642
        montesFreq      55.3708
        montesSpiky     0.861404
        montesFraction  0.189862
        dunesMagn       0.0399527
        dunesFreq       2272.13
        dunesFraction   0.163898
        hillsMagn       0.139505
        hillsFreq       198.024
        hillsFraction   0.0577223
        hills2Fraction  0.1552
        riversMagn      60.9779
        riversFreq      2.72118
        riversSin       6.56516
        riversOctaves   0
        canyonsMagn     0.368823
        canyonsFreq     0.611189
        canyonFraction  0
        cracksMagn      0.0259372
        cracksFreq      0.792774
        cracksOctaves   0
        craterMagn      0.650153
        craterFreq      5.14453
        craterDensity   0.754356
        craterOctaves   11
        craterRayedFactor 0.070865
        volcanoMagn     0.250341
        volcanoFreq     0.706473
        volcanoDensity  0.205933
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.0755533
        volcanoRadius   0.211673
        volcanoTemp     1099.01
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.708, 0.517, 0.389, 0.500)
        colorShelf     (0.673, 0.491, 0.369, 0.500)
        colorBeach     (0.496, 0.362, 0.272, 0.750)
        colorDesert    (0.602, 0.439, 0.330, 1.000)
        colorLowland   (0.623, 0.455, 0.342, 1.000)
        colorUpland    (0.659, 0.481, 0.362, 1.000)
        colorRock      (1.000, 1.000, 1.000, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.623, 0.455, 0.342, 1.000)
        colorUpPlants  (0.659, 0.481, 0.362, 1.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0032001
        Period          0.0219478
        Eccentricity    0.0173817
        Inclination     -0.253931
        AscendingNode   -175.03
        ArgOfPericenter -70.1232
        MeanAnomaly     124.669
    }
}

Moon "Aylsa VI.6"
{
    ParentBody     "Aylsa VI"
    Class	       "IceWorld"

    Mass            0.00952066
    Radius          1739.75
    InertiaMoment   0.378348

    Obliquity       1.19879
    EqAscendNode    20.343
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.551 0.436 0.392)

    Surface
    {
        SurfStyle       0.983627
        OceanStyle      0.830095
        Randomize      (-0.431, -0.430, 0.326)
        colorDistMagn   0.0507547
        colorDistFreq   197.57
        detailScale     4474.73
        colorConversion true
        drivenDarkening 0.483273
        seaLevel        0.244332
        snowLevel       2
        tropicLatitude  0.0411766
        icecapLatitude  1
        icecapHeight    0.244332
        climatePole     0.4375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.74854
        venusFreq       1.27286
        venusMagn       0.151116
        mareFreq        0.899058
        mareDensity     0.0024329
        terraceProb     0.350451
        erosion         0
        montesMagn      0.0767087
        montesFreq      106.013
        montesSpiky     0.811431
        montesFraction  0.290047
        dunesMagn       0.0237871
        dunesFreq       2296.99
        dunesFraction   0.114704
        hillsMagn       0.127125
        hillsFreq       206.853
        hillsFraction   0.176475
        hills2Fraction  0.209076
        riversMagn      65.1495
        riversFreq      3.59606
        riversSin       4.35732
        riversOctaves   0
        canyonsMagn     0.766162
        canyonsFreq     0.647406
        canyonFraction  0
        cracksMagn      0.0483443
        cracksFreq      0.783974
        cracksOctaves   1
        craterMagn      0.540407
        craterFreq      5.286
        craterDensity   0.910004
        craterOctaves   11
        craterRayedFactor 0.133689
        volcanoMagn     0.232801
        volcanoFreq     0.42896
        volcanoDensity  0.235997
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.312546
        volcanoRadius   0.20897
        volcanoTemp     1094.84
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.419, 0.310, 0.227, 1.000)
        colorShelf     (0.419, 0.310, 0.227, 1.000)
        colorBeach     (0.386, 0.270, 0.196, 1.000)
        colorDesert    (0.386, 0.270, 0.196, 1.000)
        colorLowland   (0.468, 0.353, 0.298, 1.000)
        colorUpland    (0.491, 0.388, 0.337, 1.000)
        colorRock      (0.930, 0.910, 0.860, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.468, 0.353, 0.298, 1.000)
        colorUpPlants  (0.491, 0.388, 0.337, 1.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00440514
        Period          0.0354461
        Eccentricity    0.0457809
        Inclination     1.19879
        AscendingNode   20.343
        ArgOfPericenter 122.097
        MeanAnomaly     -25.545
    }
}

DwarfMoon "Aylsa VI.D4"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            2.10566e-006
    Radius          179.631
    InertiaMoment   0.399856

    RotationPeriod  6779.4
    Obliquity       -79.0594
    EqAscendNode    -25.5626

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.442 0.434 0.430)

    Surface
    {
        SurfStyle       0.272354
        OceanStyle      0.245776
        Randomize      (-0.363, -0.825, -0.732)
        colorDistMagn   0.797252
        colorDistFreq   20.3317
        detailScale     4905.11
        colorConversion true
        snowLevel       2
        tropicLatitude  0.55237
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.563377
        terraceProb     0.242262
        erosion         0
        montesMagn      0.625481
        montesFreq      2.99841
        montesSpiky     0.745311
        montesFraction  0.47468
        dunesFraction   0
        hillsMagn       0
        hillsFreq       71.567
        hillsFraction   0.563731
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.224644
        craterFreq      0.968099
        craterDensity   0.844193
        craterOctaves   16
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.612921
        volcanoTemp     1540.58
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.177, 0.174, 0.172, 0.000)
        colorShelf     (0.188, 0.184, 0.183, 0.000)
        colorBeach     (0.199, 0.195, 0.194, 0.000)
        colorDesert    (0.210, 0.206, 0.204, 0.000)
        colorLowland   (0.221, 0.217, 0.215, 0.000)
        colorUpland    (0.232, 0.228, 0.226, 0.000)
        colorRock      (0.243, 0.239, 0.237, 0.000)
        colorSnow      (0.254, 0.249, 0.247, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0216654
        Period          0.386696
        Eccentricity    0.283671
        Inclination     -79.0594
        AscendingNode   -25.5626
        ArgOfPericenter -168.033
        MeanAnomaly     19.5483
    }
}

DwarfMoon "Aylsa VI.D5"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            3.16944e-006
    Radius          197.26
    InertiaMoment   0.397895

    RotationPeriod  10360.8
    Obliquity       8.68484
    EqAscendNode    -108.039

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.833 0.786 0.763)

    Surface
    {
        SurfStyle       0.370392
        OceanStyle      0.637273
        Randomize      (-0.800, 0.089, 0.897)
        colorDistMagn   0.313852
        colorDistFreq   12.2707
        detailScale     5386.52
        colorConversion true
        snowLevel       2
        tropicLatitude  0.176727
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.570111
        terraceProb     0.17344
        erosion         0
        montesMagn      0.566029
        montesFreq      2.99617
        montesSpiky     0.896644
        montesFraction  0.727239
        dunesFraction   0
        hillsMagn       0
        hillsFreq       84.9941
        hillsFraction   0.571761
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.214992
        craterFreq      1.04269
        craterDensity   0.90301
        craterOctaves   16
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.55154
        volcanoTemp     1491.7
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.333, 0.314, 0.305, 0.000)
        colorShelf     (0.354, 0.334, 0.324, 0.000)
        colorBeach     (0.375, 0.354, 0.343, 0.000)
        colorDesert    (0.396, 0.373, 0.362, 0.000)
        colorLowland   (0.416, 0.393, 0.381, 0.000)
        colorUpland    (0.437, 0.413, 0.400, 0.000)
        colorRock      (0.458, 0.432, 0.419, 0.000)
        colorSnow      (0.479, 0.452, 0.439, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0219368
        Period          0.393983
        Eccentricity    0.314937
        Inclination     8.68484
        AscendingNode   -108.039
        ArgOfPericenter -135.846
        MeanAnomaly     101.243
    }
}

Moon "Aylsa VI.7"
{
    ParentBody     "Aylsa VI"
    Class	       "IceWorld"

    Mass            4.88991e-006
    Radius          273.57
    InertiaMoment   0.399071

    RotationPeriod  7140.56
    Obliquity       -85.1352
    EqAscendNode    -42.7156

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.481 0.474 0.470)

    Surface
    {
        SurfStyle       0.636755
        OceanStyle      0.246867
        Randomize      (-0.855, -0.470, -0.864)
        colorDistMagn   0.0647325
        colorDistFreq   31.9515
        detailScale     703.636
        colorConversion true
        drivenDarkening 0.0949202
        seaLevel        0.162603
        snowLevel       2
        tropicLatitude  0.691628
        icecapLatitude  1
        icecapHeight    0.162603
        climatePole     0.4375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.81028
        venusFreq       0.596044
        venusMagn       0.13403
        mareFreq        0
        mareDensity     1.18533e-006
        terraceProb     0.192543
        erosion         0
        montesMagn      0.0483384
        montesFreq      10.8004
        montesSpiky     0.936191
        montesFraction  0.776643
        dunesMagn       0.038383
        dunesFreq       370.098
        dunesFraction   0.324563
        hillsMagn       0.103686
        hillsFreq       25.5215
        hillsFraction   0.0432309
        hills2Fraction  0.0272161
        riversMagn      59.9217
        riversFreq      3.89027
        riversSin       6.26451
        riversOctaves   0
        canyonsMagn     0.445656
        canyonsFreq     0.100578
        canyonFraction  0
        cracksMagn      0.0240353
        cracksFreq      0.106267
        cracksOctaves   0
        craterMagn      0.842775
        craterFreq      0.839564
        craterDensity   0.836274
        craterOctaves   8
        craterRayedFactor 0.106916
        volcanoMagn     0.172641
        volcanoFreq     0.577545
        volcanoDensity  0.182496
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.301941
        volcanoRadius   0.143316
        volcanoTemp     1628.85
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.125, 0.090, 0.052, 1.000)
        colorShelf     (0.164, 0.123, 0.075, 1.000)
        colorBeach     (0.264, 0.161, 0.080, 0.200)
        colorDesert    (0.289, 0.180, 0.094, 0.200)
        colorLowland   (0.313, 0.190, 0.099, 0.200)
        colorUpland    (0.337, 0.227, 0.117, 0.200)
        colorRock      (0.920, 0.870, 0.660, 0.150)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.313, 0.190, 0.099, 0.200)
        colorUpPlants  (0.337, 0.227, 0.117, 0.200)
        BumpHeight      13.6785
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0224282
        Period          0.407296
        Eccentricity    0.309782
        Inclination     -85.1352
        AscendingNode   -42.7156
        ArgOfPericenter 161.604
        MeanAnomaly     -54.3461
    }
}

DwarfMoon "Aylsa VI.D6"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            1.41153e-011
    Radius          3.55898
    InertiaMoment   0.399981

    Obliquity       73.0418
    EqAscendNode    117.995
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.514 0.512 0.508)

    Surface
    {
        SurfStyle       0.158384
        OceanStyle      0.393816
        Randomize      (-0.347, 0.407, -0.637)
        colorDistMagn   0.894287
        colorDistFreq   0.0105914
        detailScale     97.184
        colorConversion true
        snowLevel       2
        tropicLatitude  0.857472
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.549611
        terraceProb     0.133462
        erosion         0
        montesMagn      0.373604
        montesFreq      2.92923
        montesSpiky     0.85151
        montesFraction  0.915695
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0278472
        hillsFraction   0.922109
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.236496
        craterFreq      0.276478
        craterDensity   0.936343
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.478278
        volcanoTemp     1784.01
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.205, 0.205, 0.203, 0.000)
        colorShelf     (0.218, 0.217, 0.216, 0.000)
        colorBeach     (0.231, 0.230, 0.229, 0.000)
        colorDesert    (0.244, 0.243, 0.241, 0.000)
        colorLowland   (0.257, 0.256, 0.254, 0.000)
        colorUpland    (0.270, 0.269, 0.267, 0.000)
        colorRock      (0.283, 0.281, 0.279, 0.000)
        colorSnow      (0.295, 0.294, 0.292, 1.000)
        BumpHeight      3.20309
        BumpOffset      0.640617
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0230889
        Period          0.425426
        Eccentricity    0.26153
        Inclination     73.0418
        AscendingNode   117.995
        ArgOfPericenter 29.45
        MeanAnomaly     -97.8385
    }
}

DwarfMoon "Aylsa VI.D7"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            2.82015e-011
    Radius          4.28991
    InertiaMoment   0.398101

    RotationPeriod  7561.01
    Obliquity       -68.8508
    EqAscendNode    93.5304

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.499 0.492 0.487)

    Surface
    {
        SurfStyle       0.425523
        OceanStyle      0.338719
        Randomize      (0.787, -0.153, 0.163)
        colorDistMagn   0.207745
        colorDistFreq   0.00823068
        detailScale     117.143
        colorConversion true
        snowLevel       2
        tropicLatitude  0.982975
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.526572
        terraceProb     0.160795
        erosion         0
        montesMagn      0.525169
        montesFreq      3.46232
        montesSpiky     0.914083
        montesFraction  0.868829
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0355293
        hillsFraction   0.461318
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.235192
        craterFreq      0.2792
        craterDensity   0.791223
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.4347
        volcanoTemp     1647.73
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.200, 0.197, 0.195, 0.000)
        colorShelf     (0.212, 0.209, 0.207, 0.000)
        colorBeach     (0.225, 0.222, 0.219, 0.000)
        colorDesert    (0.237, 0.234, 0.231, 0.000)
        colorLowland   (0.250, 0.246, 0.243, 0.000)
        colorUpland    (0.262, 0.259, 0.255, 0.000)
        colorRock      (0.275, 0.271, 0.268, 0.000)
        colorSnow      (0.287, 0.283, 0.280, 1.000)
        BumpHeight      3.86092
        BumpOffset      0.772184
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0233002
        Period          0.431278
        Eccentricity    0.415044
        Inclination     -68.8508
        AscendingNode   93.5304
        ArgOfPericenter 47.8983
        MeanAnomaly     59.2045
    }
}

DwarfMoon "Aylsa VI.D8"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            5.15522e-011
    Radius          5.03266
    InertiaMoment   0.399208

    Obliquity       17.3953
    EqAscendNode    150.538
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.778 0.777 0.774)

    Surface
    {
        SurfStyle       0.751057
        OceanStyle      0.613721
        Randomize      (0.290, -0.679, -0.017)
        colorDistMagn   0.93632
        colorDistFreq   0.0119409
        detailScale     137.425
        colorConversion true
        snowLevel       2
        tropicLatitude  0.151603
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.524868
        terraceProb     0.297562
        erosion         0
        montesMagn      0.310559
        montesFreq      2.40394
        montesSpiky     0.9823
        montesFraction  0.160949
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0739724
        hillsFraction   0.520175
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.241761
        craterFreq      0.263663
        craterDensity   0.823253
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.461111
        volcanoTemp     1945.62
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.303, 0.264, 0.217, 0.000)
        colorShelf     (0.311, 0.272, 0.248, 0.000)
        colorBeach     (0.366, 0.318, 0.294, 0.000)
        colorDesert    (0.397, 0.342, 0.287, 0.000)
        colorLowland   (0.436, 0.365, 0.325, 0.000)
        colorUpland    (0.482, 0.443, 0.395, 0.000)
        colorRock      (0.521, 0.481, 0.426, 0.000)
        colorSnow      (0.568, 0.512, 0.449, 1.000)
        BumpHeight      4.5294
        BumpOffset      0.905879
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0237064
        Period          0.442607
        Eccentricity    0.253088
        Inclination     17.3953
        AscendingNode   150.538
        ArgOfPericenter -6.89237
        MeanAnomaly     -55.0426
    }
}

DwarfMoon "Aylsa VI.D9"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            8.84561e-011
    Radius          7.51526
    InertiaMoment   0.395937

    RotationPeriod  7963.86
    Obliquity       -56.6269
    EqAscendNode    27.56

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.619 0.617 0.615)

    Surface
    {
        SurfStyle       0.615888
        OceanStyle      0.956857
        Randomize      (0.581, -0.364, 0.954)
        colorDistMagn   0.587365
        colorDistFreq   0.0409536
        detailScale     205.217
        colorConversion true
        snowLevel       2
        tropicLatitude  0.94887
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.346351
        terraceProb     0.158943
        erosion         0
        montesMagn      0.375666
        montesFreq      3.38198
        montesSpiky     0.898973
        montesFraction  0.488973
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.137914
        hillsFraction   0.397914
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.259446
        craterFreq      0.235988
        craterDensity   0.9343
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.467775
        volcanoTemp     1295.62
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.242, 0.210, 0.172, 0.000)
        colorShelf     (0.248, 0.216, 0.197, 0.000)
        colorBeach     (0.291, 0.253, 0.234, 0.000)
        colorDesert    (0.316, 0.272, 0.228, 0.000)
        colorLowland   (0.347, 0.290, 0.258, 0.000)
        colorUpland    (0.384, 0.352, 0.314, 0.000)
        colorRock      (0.415, 0.383, 0.338, 0.000)
        colorSnow      (0.452, 0.407, 0.357, 1.000)
        BumpHeight      6.76373
        BumpOffset      1.35275
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0241206
        Period          0.454257
        Eccentricity    0.185592
        Inclination     -56.6269
        AscendingNode   27.56
        ArgOfPericenter -136.35
        MeanAnomaly     11.1261
    }
}

DwarfMoon "Aylsa VI.D10"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            1.44764e-010
    Radius          7.79209
    InertiaMoment   0.398288

    Obliquity       -60.9512
    EqAscendNode    -148.093
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.703 0.701 0.698)

    Surface
    {
        SurfStyle       0.731425
        OceanStyle      0.603096
        Randomize      (0.992, 0.703, 0.158)
        colorDistMagn   0.609823
        colorDistFreq   0.0292532
        detailScale     212.776
        colorConversion true
        snowLevel       2
        tropicLatitude  0.466486
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.488665
        terraceProb     0.290597
        erosion         0
        montesMagn      0.338124
        montesFreq      2.63033
        montesSpiky     0.924295
        montesFraction  0.638639
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.128668
        hillsFraction   0.515482
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.246646
        craterFreq      0.251879
        craterDensity   0.786402
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.551662
        volcanoTemp     1269.06
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.274, 0.238, 0.195, 0.000)
        colorShelf     (0.281, 0.245, 0.223, 0.000)
        colorBeach     (0.331, 0.287, 0.265, 0.000)
        colorDesert    (0.359, 0.308, 0.258, 0.000)
        colorLowland   (0.394, 0.329, 0.293, 0.000)
        colorUpland    (0.436, 0.399, 0.356, 0.000)
        colorRock      (0.471, 0.435, 0.384, 0.000)
        colorSnow      (0.513, 0.463, 0.405, 1.000)
        BumpHeight      7.01288
        BumpOffset      1.40258
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0247175
        Period          0.471223
        Eccentricity    0.191748
        Inclination     -60.9512
        AscendingNode   -148.093
        ArgOfPericenter -126.773
        MeanAnomaly     15.6439
    }
}

DwarfMoon "Aylsa VI.D11"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            2.28402e-010
    Radius          8.66401
    InertiaMoment   0.399342

    RotationPeriod  10609.4
    Obliquity       -13.168
    EqAscendNode    62.0211

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.698 0.692 0.689)

    Surface
    {
        SurfStyle       0.786902
        OceanStyle      0.761261
        Randomize      (0.111, 0.587, 0.058)
        colorDistMagn   0.956973
        colorDistFreq   0.0393312
        detailScale     236.585
        colorConversion true
        snowLevel       2
        tropicLatitude  0.382979
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.570612
        terraceProb     0.377015
        erosion         0
        montesMagn      0.548665
        montesFreq      2.61083
        montesSpiky     0.99054
        montesFraction  0.394286
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.219448
        hillsFraction   0.701597
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.213765
        craterFreq      0.154948
        craterDensity   0.952206
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.433616
        volcanoTemp     1715.48
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.272, 0.235, 0.193, 0.000)
        colorShelf     (0.279, 0.242, 0.220, 0.000)
        colorBeach     (0.328, 0.284, 0.262, 0.000)
        colorDesert    (0.356, 0.304, 0.255, 0.000)
        colorLowland   (0.391, 0.325, 0.289, 0.000)
        colorUpland    (0.432, 0.394, 0.351, 0.000)
        colorRock      (0.467, 0.429, 0.379, 0.000)
        colorSnow      (0.509, 0.457, 0.399, 1.000)
        BumpHeight      7.79761
        BumpOffset      1.55952
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0251668
        Period          0.484128
        Eccentricity    0.154626
        Inclination     -13.168
        AscendingNode   62.0211
        ArgOfPericenter 34.1984
        MeanAnomaly     41.6808
    }
}

DwarfMoon "Aylsa VI.D12"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            3.50054e-010
    Radius          9.59172
    InertiaMoment   0.39663

    Obliquity       57.6239
    EqAscendNode    115.57
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.685 0.679 0.676)

    Surface
    {
        SurfStyle       0.543385
        OceanStyle      0.683426
        Randomize      (0.911, 0.342, -0.127)
        colorDistMagn   0.112939
        colorDistFreq   0.0290732
        detailScale     261.918
        colorConversion true
        snowLevel       2
        tropicLatitude  0.804029
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.42843
        terraceProb     0.216216
        erosion         0
        montesMagn      0.543558
        montesFreq      2.81673
        montesSpiky     0.954911
        montesFraction  0.739179
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.251641
        hillsFraction   0.623998
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.23413
        craterFreq      0.232872
        craterDensity   0.948901
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.497387
        volcanoTemp     1452.75
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.267, 0.231, 0.189, 0.000)
        colorShelf     (0.274, 0.237, 0.216, 0.000)
        colorBeach     (0.322, 0.278, 0.257, 0.000)
        colorDesert    (0.349, 0.299, 0.250, 0.000)
        colorLowland   (0.383, 0.319, 0.284, 0.000)
        colorUpland    (0.424, 0.387, 0.345, 0.000)
        colorRock      (0.459, 0.421, 0.372, 0.000)
        colorSnow      (0.500, 0.448, 0.392, 1.000)
        BumpHeight      8.63255
        BumpOffset      1.72651
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0255823
        Period          0.496168
        Eccentricity    0.45036
        Inclination     57.6239
        AscendingNode   115.57
        ArgOfPericenter -75.597
        MeanAnomaly     -98.0045
    }
}

DwarfMoon "Aylsa VI.D13"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            5.24064e-010
    Radius          10.1302
    InertiaMoment   0.398462

    RotationPeriod  7398.57
    Obliquity       46.7118
    EqAscendNode    156.362

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.736 0.654 0.586)

    Surface
    {
        SurfStyle       0.619848
        OceanStyle      0.35874
        Randomize      (-0.241, -0.695, -0.755)
        colorDistMagn   0.853153
        colorDistFreq   0.0245297
        detailScale     276.623
        colorConversion true
        snowLevel       2
        tropicLatitude  0.294857
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.415009
        terraceProb     0.158487
        erosion         0
        montesMagn      0.480858
        montesFreq      3.11384
        montesSpiky     0.833215
        montesFraction  0.576576
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.181293
        hillsFraction   0.834218
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.25693
        craterFreq      0.178143
        craterDensity   0.979788
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.4768
        volcanoTemp     1429.32
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.287, 0.222, 0.164, 0.000)
        colorShelf     (0.295, 0.229, 0.188, 0.000)
        colorBeach     (0.346, 0.268, 0.223, 0.000)
        colorDesert    (0.376, 0.288, 0.217, 0.000)
        colorLowland   (0.412, 0.307, 0.246, 0.000)
        colorUpland    (0.457, 0.373, 0.299, 0.000)
        colorRock      (0.493, 0.405, 0.322, 0.000)
        colorSnow      (0.538, 0.432, 0.340, 1.000)
        BumpHeight      9.11722
        BumpOffset      1.82344
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0259333
        Period          0.506415
        Eccentricity    0.275114
        Inclination     46.7118
        AscendingNode   156.362
        ArgOfPericenter -141.522
        MeanAnomaly     -8.33873
    }
}

DwarfMoon "Aylsa VI.D14"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            7.69642e-010
    Radius          13.7147
    InertiaMoment   0.399472

    Obliquity       15.8724
    EqAscendNode    -85.384
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.409 0.404 0.402)

    Surface
    {
        SurfStyle       0.213601
        OceanStyle      0.0362235
        Randomize      (0.721, 0.241, 0.862)
        colorDistMagn   0.696477
        colorDistFreq   0.119346
        detailScale     374.504
        colorConversion true
        snowLevel       2
        tropicLatitude  0.393838
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.760828
        terraceProb     0.290951
        erosion         0
        montesMagn      0.595789
        montesFreq      2.57719
        montesSpiky     0.906161
        montesFraction  0.736713
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.514575
        hillsFraction   0.728172
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.232536
        craterFreq      0.246387
        craterDensity   0.946724
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.472804
        volcanoTemp     1394.61
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.163, 0.162, 0.161, 0.000)
        colorShelf     (0.174, 0.172, 0.171, 0.000)
        colorBeach     (0.184, 0.182, 0.181, 0.000)
        colorDesert    (0.194, 0.192, 0.191, 0.000)
        colorLowland   (0.204, 0.202, 0.201, 0.000)
        colorUpland    (0.214, 0.212, 0.211, 0.000)
        colorRock      (0.225, 0.222, 0.221, 0.000)
        colorSnow      (0.235, 0.232, 0.231, 1.000)
        BumpHeight      12.3433
        BumpOffset      2.46865
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0265409
        Period          0.524316
        Eccentricity    0.269171
        Inclination     15.8724
        AscendingNode   -85.384
        ArgOfPericenter 175.628
        MeanAnomaly     -71.2544
    }
}

DwarfMoon "Aylsa VI.D15"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            1.11248e-009
    Radius          14.7713
    InertiaMoment   0.397062

    RotationPeriod  28256.5
    Obliquity       -46.7021
    EqAscendNode    -100.074

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.764 0.668 0.621)

    Surface
    {
        SurfStyle       0.942483
        OceanStyle      0.433448
        Randomize      (0.330, 0.416, 0.404)
        colorDistMagn   0.0990201
        colorDistFreq   0.149903
        detailScale     403.355
        colorConversion true
        snowLevel       2
        tropicLatitude  0.826481
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.546343
        terraceProb     0.542829
        erosion         0
        montesMagn      0.477732
        montesFreq      3.03735
        montesSpiky     0.86326
        montesFraction  0.500133
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.497306
        hillsFraction   0.708409
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.234036
        craterFreq      0.211263
        craterDensity   0.953803
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.447574
        volcanoTemp     1260.47
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.260, 0.234, 0.248, 0.050)
        colorShelf     (0.306, 0.274, 0.286, 0.040)
        colorBeach     (0.351, 0.314, 0.323, 0.030)
        colorDesert    (0.397, 0.354, 0.366, 0.020)
        colorLowland   (0.443, 0.394, 0.404, 0.030)
        colorUpland    (0.489, 0.434, 0.441, 0.050)
        colorRock      (0.535, 0.475, 0.490, 0.020)
        colorSnow      (0.535, 0.475, 0.490, 1.000)
        BumpHeight      13.2942
        BumpOffset      2.65883
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0269756
        Period          0.537248
        Eccentricity    0.493818
        Inclination     -46.7021
        AscendingNode   -100.074
        ArgOfPericenter -148.448
        MeanAnomaly     -155.265
    }
}

DwarfMoon "Aylsa VI.D16"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            1.58688e-009
    Radius          15.9721
    InertiaMoment   0.398625

    RotationPeriod  14438.1
    Obliquity       -32.0511
    EqAscendNode    -139.009

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.759 0.754 0.752)

    Surface
    {
        SurfStyle       0.774219
        OceanStyle      0.287201
        Randomize      (-0.853, 0.980, -0.942)
        colorDistMagn   0.375533
        colorDistFreq   0.114952
        detailScale     436.144
        colorConversion true
        snowLevel       2
        tropicLatitude  0.365147
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.421709
        terraceProb     0.512608
        erosion         0
        montesMagn      0.488588
        montesFreq      3.23716
        montesSpiky     0.907396
        montesFraction  0.703207
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.64924
        hillsFraction   0.750276
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.225445
        craterFreq      0.23061
        craterDensity   1.01626
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.48787
        volcanoTemp     1542.86
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.296, 0.256, 0.211, 0.000)
        colorShelf     (0.304, 0.264, 0.241, 0.000)
        colorBeach     (0.357, 0.309, 0.286, 0.000)
        colorDesert    (0.387, 0.332, 0.278, 0.000)
        colorLowland   (0.425, 0.354, 0.316, 0.000)
        colorUpland    (0.471, 0.430, 0.384, 0.000)
        colorRock      (0.509, 0.468, 0.414, 0.000)
        colorSnow      (0.554, 0.498, 0.436, 1.000)
        BumpHeight      14.3749
        BumpOffset      2.87498
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0273685
        Period          0.549029
        Eccentricity    0.407768
        Inclination     -32.0511
        AscendingNode   -139.009
        ArgOfPericenter -67.0604
        MeanAnomaly     -13.2819
    }
}

DwarfMoon "Aylsa VI.D17"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            2.23872e-009
    Radius          16.8621
    InertiaMoment   0.399601

    RotationPeriod  9935.71
    Obliquity       -64.6492
    EqAscendNode    123.643

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.551 0.446 0.351)

    Surface
    {
        SurfStyle       0.631876
        OceanStyle      0.107847
        Randomize      (-0.621, 0.625, -0.309)
        colorDistMagn   0.511748
        colorDistFreq   0.229053
        detailScale     460.448
        colorConversion true
        snowLevel       2
        tropicLatitude  0.771877
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.502652
        terraceProb     0.416658
        erosion         0
        montesMagn      0.549094
        montesFreq      3.90558
        montesSpiky     0.960587
        montesFraction  0.437733
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.820713
        hillsFraction   0.626619
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.211624
        craterFreq      0.275208
        craterDensity   0.922697
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.487214
        volcanoTemp     1394.23
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.215, 0.152, 0.098, 0.000)
        colorShelf     (0.220, 0.156, 0.112, 0.000)
        colorBeach     (0.259, 0.183, 0.134, 0.000)
        colorDesert    (0.281, 0.196, 0.130, 0.000)
        colorLowland   (0.308, 0.210, 0.148, 0.000)
        colorUpland    (0.342, 0.254, 0.179, 0.000)
        colorRock      (0.369, 0.277, 0.193, 0.000)
        colorSnow      (0.402, 0.294, 0.204, 1.000)
        BumpHeight      15.1759
        BumpOffset      3.03518
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0279536
        Period          0.566731
        Eccentricity    0.276486
        Inclination     -64.6492
        AscendingNode   123.643
        ArgOfPericenter 114.356
        MeanAnomaly     -32.3422
    }
}

DwarfMoon "Aylsa VI.D18"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            3.12934e-009
    Radius          22.0969
    InertiaMoment   0.397389

    RotationPeriod  20340.7
    Obliquity       44.6819
    EqAscendNode    55.7007

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.601 0.596 0.589)

    Surface
    {
        SurfStyle       0.299675
        OceanStyle      0.190809
        Randomize      (-0.019, 0.896, -0.571)
        colorDistMagn   0.928493
        colorDistFreq   0.224888
        detailScale     603.393
        colorConversion true
        snowLevel       2
        tropicLatitude  0.973913
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.757819
        terraceProb     0.271849
        erosion         0
        montesMagn      0.468173
        montesFreq      3.20985
        montesSpiky     0.991343
        montesFraction  0.827593
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.25912
        hillsFraction   0.778902
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.219228
        craterFreq      0.210312
        craterDensity   0.909246
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.5372
        volcanoTemp     1582.44
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.240, 0.238, 0.236, 0.000)
        colorShelf     (0.255, 0.253, 0.250, 0.000)
        colorBeach     (0.270, 0.268, 0.265, 0.000)
        colorDesert    (0.285, 0.283, 0.280, 0.000)
        colorLowland   (0.300, 0.298, 0.294, 0.000)
        colorUpland    (0.315, 0.313, 0.309, 0.000)
        colorRock      (0.330, 0.328, 0.324, 0.000)
        colorSnow      (0.345, 0.343, 0.339, 1.000)
        BumpHeight      19.8872
        BumpOffset      3.97744
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.028392
        Period          0.580115
        Eccentricity    0.366248
        Inclination     44.6819
        AscendingNode   55.7007
        ArgOfPericenter -24.5991
        MeanAnomaly     153.714
    }
}

DwarfMoon "Aylsa VI.D19"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            4.3409e-009
    Radius          23.3926
    InertiaMoment   0.398779

    Obliquity       -51.2803
    EqAscendNode    -38.6936
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.711 0.707 0.705)

    Surface
    {
        SurfStyle       0.829033
        OceanStyle      0.630285
        Randomize      (0.257, -0.397, 0.210)
        colorDistMagn   0.569843
        colorDistFreq   0.400089
        detailScale     638.774
        colorConversion true
        snowLevel       2
        tropicLatitude  0.996478
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.755064
        terraceProb     0.490241
        erosion         0
        montesMagn      0.47696
        montesFreq      2.65892
        montesSpiky     0.89459
        montesFraction  0.502365
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.89959
        hillsFraction   0.632756
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.207138
        craterFreq      0.208431
        craterDensity   0.957014
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.514275
        volcanoTemp     1311.98
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.277, 0.240, 0.197, 0.000)
        colorShelf     (0.284, 0.247, 0.226, 0.000)
        colorBeach     (0.334, 0.290, 0.268, 0.000)
        colorDesert    (0.363, 0.311, 0.261, 0.000)
        colorLowland   (0.398, 0.332, 0.296, 0.000)
        colorUpland    (0.441, 0.403, 0.359, 0.000)
        colorRock      (0.476, 0.438, 0.388, 0.000)
        colorSnow      (0.519, 0.466, 0.409, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0288219
        Period          0.593339
        Eccentricity    0.031792
        Inclination     -51.2803
        AscendingNode   -38.6936
        ArgOfPericenter -18.4209
        MeanAnomaly     160.862
    }
}

DwarfMoon "Aylsa VI.D20"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            5.98371e-009
    Radius          25.0073
    InertiaMoment   0.399727

    RotationPeriod  10635.2
    Obliquity       -4.49423
    EqAscendNode    30.0363

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.679 0.677 0.674)

    Surface
    {
        SurfStyle       0.721774
        OceanStyle      0.737026
        Randomize      (0.669, 0.741, -0.606)
        colorDistMagn   0.695019
        colorDistFreq   0.55153
        detailScale     682.867
        colorConversion true
        snowLevel       2
        tropicLatitude  0.15093
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.512552
        terraceProb     0.392847
        erosion         0
        montesMagn      0.546862
        montesFreq      2.36145
        montesSpiky     0.985588
        montesFraction  0.766232
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.39466
        hillsFraction   0.432261
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.257735
        craterFreq      0.176685
        craterDensity   1.02815
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.495423
        volcanoTemp     1708.74
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.265, 0.230, 0.189, 0.000)
        colorShelf     (0.272, 0.237, 0.216, 0.000)
        colorBeach     (0.319, 0.277, 0.256, 0.000)
        colorDesert    (0.346, 0.298, 0.249, 0.000)
        colorLowland   (0.380, 0.318, 0.283, 0.000)
        colorUpland    (0.421, 0.386, 0.344, 0.000)
        colorRock      (0.455, 0.419, 0.371, 0.000)
        colorSnow      (0.496, 0.447, 0.391, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0292506
        Period          0.606627
        Eccentricity    0.491309
        Inclination     -4.49423
        AscendingNode   30.0363
        ArgOfPericenter -50.441
        MeanAnomaly     118.616
    }
}

DwarfMoon "Aylsa VI.D21"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            8.20632e-009
    Radius          26.364
    InertiaMoment   0.397658

    RotationPeriod  16258.7
    Obliquity       -31.1126
    EqAscendNode    -52.9461

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.511 0.507 0.502)

    Surface
    {
        SurfStyle       0.0879847
        OceanStyle      0.921535
        Randomize      (0.266, -0.063, 0.059)
        colorDistMagn   0.415003
        colorDistFreq   0.379407
        detailScale     719.912
        colorConversion true
        snowLevel       2
        tropicLatitude  0.820176
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.317094
        terraceProb     0.176122
        erosion         0
        montesMagn      0.618252
        montesFreq      2.33998
        montesSpiky     0.944844
        montesFraction  0.258137
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.19616
        hillsFraction   0.729255
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.227092
        craterFreq      0.271585
        craterDensity   0.906251
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.511298
        volcanoTemp     1515.9
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.204, 0.203, 0.201, 0.000)
        colorShelf     (0.217, 0.216, 0.213, 0.000)
        colorBeach     (0.230, 0.228, 0.226, 0.000)
        colorDesert    (0.243, 0.241, 0.238, 0.000)
        colorLowland   (0.255, 0.254, 0.251, 0.000)
        colorUpland    (0.268, 0.266, 0.263, 0.000)
        colorRock      (0.281, 0.279, 0.276, 0.000)
        colorSnow      (0.294, 0.292, 0.288, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0296234
        Period          0.618261
        Eccentricity    0.454818
        Inclination     -31.1126
        AscendingNode   -52.9461
        ArgOfPericenter -30.9953
        MeanAnomaly     127.228
    }
}

DwarfMoon "Aylsa VI.D22"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            1.12094e-008
    Radius          34.1775
    InertiaMoment   0.398927

    RotationPeriod  3671.12
    Obliquity       -8.58196
    EqAscendNode    15.8933

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.760 0.735 0.698)

    Surface
    {
        SurfStyle       0.990551
        OceanStyle      0.745467
        Randomize      (-0.022, -0.568, -0.084)
        colorDistMagn   0.353823
        colorDistFreq   0.616603
        detailScale     933.272
        colorConversion true
        snowLevel       2
        tropicLatitude  0.292336
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.382924
        terraceProb     0.242846
        erosion         0
        montesMagn      0.338276
        montesFreq      2.67329
        montesSpiky     0.880803
        montesFraction  0.746799
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.90257
        hillsFraction   0.536472
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.240938
        craterFreq      0.211944
        craterDensity   0.934762
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.449464
        volcanoTemp     1638.17
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.258, 0.257, 0.279, 0.050)
        colorShelf     (0.304, 0.301, 0.321, 0.040)
        colorBeach     (0.349, 0.345, 0.363, 0.030)
        colorDesert    (0.395, 0.389, 0.412, 0.020)
        colorLowland   (0.441, 0.433, 0.453, 0.030)
        colorUpland    (0.486, 0.478, 0.495, 0.050)
        colorRock      (0.532, 0.522, 0.551, 0.020)
        colorSnow      (0.532, 0.522, 0.551, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.02994
        Period          0.6282
        Eccentricity    0.134178
        Inclination     -8.58196
        AscendingNode   15.8933
        ArgOfPericenter -66.1896
        MeanAnomaly     -75.8976
    }
}

DwarfMoon "Aylsa VI.D23"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            1.52654e-008
    Radius          35.7905
    InertiaMoment   0.399853

    Obliquity       29.1938
    EqAscendNode    11.37
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.851 0.811 0.733)

    Surface
    {
        SurfStyle       0.606435
        OceanStyle      0.830038
        Randomize      (0.514, 0.347, -0.806)
        colorDistMagn   0.762273
        colorDistFreq   0.723317
        detailScale     977.32
        colorConversion true
        snowLevel       2
        tropicLatitude  0.848722
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.482625
        terraceProb     0.221871
        erosion         0
        montesMagn      0.461631
        montesFreq      3.55819
        montesSpiky     0.919874
        montesFraction  0.660828
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.38252
        hillsFraction   0.610278
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.209671
        craterFreq      0.231425
        craterDensity   0.916057
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.484913
        volcanoTemp     1786.94
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.332, 0.276, 0.205, 0.000)
        colorShelf     (0.340, 0.284, 0.234, 0.000)
        colorBeach     (0.400, 0.333, 0.278, 0.000)
        colorDesert    (0.434, 0.357, 0.271, 0.000)
        colorLowland   (0.476, 0.381, 0.308, 0.000)
        colorUpland    (0.528, 0.462, 0.374, 0.000)
        colorRock      (0.570, 0.503, 0.403, 0.000)
        colorSnow      (0.621, 0.535, 0.425, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0302068
        Period          0.636614
        Eccentricity    0.0123204
        Inclination     29.1938
        AscendingNode   11.37
        ArgOfPericenter 64.2372
        MeanAnomaly     92.7882
    }
}

DwarfMoon "Aylsa VI.D24"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            2.07456e-008
    Radius          38.0671
    InertiaMoment   0.39789

    Obliquity       88.3374
    EqAscendNode    -171.859
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.481 0.474 0.471)

    Surface
    {
        SurfStyle       0.622048
        OceanStyle      0.669106
        Randomize      (-0.715, 0.904, -0.033)
        colorDistMagn   0.354474
        colorDistFreq   1.13446
        detailScale     1039.49
        colorConversion true
        snowLevel       2
        tropicLatitude  0.141546
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.408467
        terraceProb     0.221778
        erosion         0
        montesMagn      0.531847
        montesFreq      3.16725
        montesSpiky     0.984844
        montesFraction  0.291803
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.37616
        hillsFraction   0.731113
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.26571
        craterFreq      0.203974
        craterDensity   0.954502
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.541993
        volcanoTemp     1521.62
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.188, 0.161, 0.132, 0.000)
        colorShelf     (0.192, 0.166, 0.151, 0.000)
        colorBeach     (0.226, 0.195, 0.179, 0.000)
        colorDesert    (0.245, 0.209, 0.174, 0.000)
        colorLowland   (0.269, 0.223, 0.198, 0.000)
        colorUpland    (0.298, 0.270, 0.240, 0.000)
        colorRock      (0.322, 0.294, 0.259, 0.000)
        colorSnow      (0.351, 0.313, 0.273, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0306344
        Period          0.65018
        Eccentricity    0.49452
        Inclination     88.3374
        AscendingNode   -171.859
        ArgOfPericenter -74.3009
        MeanAnomaly     -36.9233
    }
}

DwarfMoon "Aylsa VI.D25"
{
    ParentBody     "Aylsa VI"
    Class	       "Asteroid"

    Mass            2.81597e-008
    Radius          40.1818
    InertiaMoment   0.399068

    RotationPeriod  7678.75
    Obliquity       38.7422
    EqAscendNode    -65.2093

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.775 0.774 0.771)

    Surface
    {
        SurfStyle       0.373532
        OceanStyle      0.395751
        Randomize      (0.319, 0.529, -0.168)
        colorDistMagn   0.801933
        colorDistFreq   1.18571
        detailScale     1097.23
        colorConversion true
        snowLevel       2
        tropicLatitude  0.895961
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.370664
        terraceProb     0.486148
        erosion         0
        montesMagn      0.471329
        montesFreq      3.36401
        montesSpiky     0.917927
        montesFraction  0.643988
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.89967
        hillsFraction   0.583543
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.23132
        craterFreq      0.216563
        craterDensity   0.769831
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.563859
        volcanoTemp     1238.79
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.310, 0.309, 0.308, 0.000)
        colorShelf     (0.329, 0.329, 0.328, 0.000)
        colorBeach     (0.349, 0.348, 0.347, 0.000)
        colorDesert    (0.368, 0.367, 0.366, 0.000)
        colorLowland   (0.388, 0.387, 0.386, 0.000)
        colorUpland    (0.407, 0.406, 0.405, 0.000)
        colorRock      (0.426, 0.425, 0.424, 0.000)
        colorSnow      (0.446, 0.445, 0.443, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.030848
        Period          0.656991
        Eccentricity    0.2904
        Inclination     38.7422
        AscendingNode   -65.2093
        ArgOfPericenter -163.144
        MeanAnomaly     119.944
    }
}

//------------------------------------------------------------------------------
Planet "Aylsa VII"
{
    ParentBody     "JDV 00041"
    Class	       "IceWorld"

    Mass            0.0498156
    Radius          2982.14
    InertiaMoment   0.344399

    Oblateness      0.00384711

    RotationPeriod  32.7789
    Obliquity       37.6893
    EqAscendNode    75.7669

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.750 0.749 0.747)

    Surface
    {
        SurfStyle       0.830266
        OceanStyle      0.143479
        Randomize      (-0.771, -0.414, -0.078)
        colorDistMagn   0.0462633
        colorDistFreq   405.642
        detailScale     7670.23
        colorConversion true
        drivenDarkening 0
        seaLevel        0.101509
        snowLevel       2
        tropicLatitude  0.609207
        icecapLatitude  1
        icecapHeight    0.101509
        climatePole     0.4375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.98043
        venusFreq       1.16413
        venusMagn       0.242543
        mareFreq        1.93588
        mareDensity     0.00867779
        terraceProb     0.382378
        erosion         0
        montesMagn      0.189565
        montesFreq      109.138
        montesSpiky     0.718704
        montesFraction  0.909771
        dunesMagn       0.0205408
        dunesFreq       3932.06
        dunesFraction   0.272754
        hillsMagn       0.121363
        hillsFreq       297.81
        hillsFraction   0.66438
        hills2Fraction  0.141072
        riversMagn      60.256
        riversFreq      2.49207
        riversSin       5.74131
        riversOctaves   0
        canyonsMagn     0.54697
        canyonsFreq     0.937084
        canyonFraction  0
        cracksMagn      0.0334076
        cracksFreq      0.605466
        cracksOctaves   3
        craterMagn      0.553932
        craterFreq      9.83084
        craterDensity   0.783464
        craterOctaves   12
        craterRayedFactor 0.143821
        volcanoMagn     0.64315
        volcanoFreq     0.626509
        volcanoDensity  0.23108
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.293372
        volcanoRadius   0.403941
        volcanoTemp     1681.09
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.750, 0.562, 0.429, 0.000)
        colorShelf     (0.713, 0.533, 0.407, 0.000)
        colorBeach     (0.375, 0.281, 0.214, 0.000)
        colorDesert    (0.638, 0.478, 0.364, 0.000)
        colorLowland   (0.608, 0.494, 0.407, 0.000)
        colorUpland    (0.698, 0.522, 0.399, 0.000)
        colorRock      (1.000, 1.000, 1.000, 0.500)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.608, 0.494, 0.407, 0.000)
        colorUpPlants  (0.698, 0.522, 0.399, 0.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           0.999999
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    Atmosphere
    {
        Model          "Pluto"
        Height          113.747
        Density         7.14821e-008
        Pressure        9.06878e-009
        Greenhouse      0.000301452
        Bright          0.589983
        Opacity         0
        SkyLight        0.196661
        Hue             0.0453841
        Saturation      1

        Composition
        {
            Kr    	81.643
            SO2   	17.3631
            Xe    	0.961997
            Cl2   	0.0318665
        }
    }

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   5.67413
        Period          14.9986
        Eccentricity    0.0680353
        Inclination     -0.893943
        AscendingNode   79.3031
        ArgOfPericenter 222.084
        MeanAnomaly     114.135
    }
}

//------------------------------------------------------------------------------
Planet "Aylsa VIII"
{
    ParentBody     "JDV 00041"
    Class	       "GasGiant"

    Mass            156.383
    Radius          64701.2
    InertiaMoment   0.251748

    Oblateness      0.0820907

    RotationPeriod  10.8546
    Obliquity       26.8527
    EqAscendNode    -155.319

    AlbedoBond      0.458794
    AlbedoGeom      0.550553
    Brightness      2

    Surface
    {
        SurfStyle       0.564018
        Randomize      (-0.290, -0.078, -0.570)
        detailScale     166415
        colorConversion true
        tropicLatitude  0.438109
        icecapLatitude  1
        craterOctaves   0
        volcanoActivity 0
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     6.36248
        stripeFluct     0.352777
        stripeTwist     10.5575
        cycloneMagn     11.4075
        cycloneFreq     1.06468
        cycloneDensity  0.481964
        cycloneOctaves  5
        colorLayer0    (0.570, 0.550, 0.480, 1.100)
        colorLayer1    (0.850, 0.860, 0.870, 0.700)
        colorLayer2    (0.450, 0.390, 0.260, 0.200)
        colorLayer3    (0.430, 0.330, 0.170, 0.020)
        colorLayer4    (0.830, 0.830, 0.830, 0.000)
        colorLayer5    (0.510, 0.400, 0.140, 0.000)
        colorLayer6    (0.370, 0.350, 0.280, 0.000)
        colorLayer7    (0.420, 0.390, 0.310, 1.000)
        colorLowPlants (0.830, 0.830, 0.830, 0.000)
        colorUpPlants  (0.510, 0.400, 0.140, 0.000)
        BumpHeight      16.2238
        SpecularPower   55
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      1
        ModulateColor  (0.000 0.000 0.000 0.000)
    }

    Clouds
    {
        Height          70.7656
        Velocity        106.817
        BumpHeight      54.1856
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      1
        mainFreq        1.18225
        mainOctaves     12
        Coverage        0.0879382
        stripeZones     6.36248
        stripeFluct     0.352777
        stripeTwist     10.5575
    }

    Clouds
    {
        Height          125.305
        Velocity        556.88
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      1
        ModulateColor  (1.000 1.000 1.000 0.547)
        mainFreq        1.18225
        mainOctaves     12
        Coverage        0.0879382
        stripeZones     6.36248
        stripeFluct     0.352777
        stripeTwist     10.5575
    }

    NoOcean         true

    NoLava          true

    Atmosphere
    {
        Model          "Neptune"
        Height          561.624
        Density         6525.51
        Pressure        1e+006
        Bright          10
        Opacity         1
        SkyLight        3.33333
        Hue             0.03434
        Saturation      0.53543

        Composition
        {
            H2    	92.503
            He    	7.41208
            CH4   	0.0385753
            N2    	0.0375613
            O2    	0.00699271
            Ne    	0.000969863
            Ar    	0.000815535
        }
    }

    Aurora
    {
        Height      2894.53
        NorthLat    89.9944
        NorthLon    163.465
        NorthRadius 14448.7
        NorthWidth  6169.94
        NorthRings  3
        NorthBright 1
        NorthParticles 10000
        SouthLat    -89.1963
        SouthLon    338.281
        SouthRadius 17867.1
        SouthWidth  10937.2
        SouthRings  2
        SouthBright 1
        SouthParticles 10000
        TopColor    (1.000 1.000 1.000)
        BottomColor (1.000 0.000 0.500)
    }

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   12.083
        Period          46.595
        Eccentricity    0.0414123
        Inclination     0.970131
        AscendingNode   -154.08
        ArgOfPericenter 145.507
        MeanAnomaly     145.657
    }
}

DwarfMoon "Aylsa VIII.D1"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            5.47217e-011
    Radius          5.06406
    InertiaMoment   0.399666

    Oblateness      0.249

    Obliquity       0.0134475
    EqAscendNode    -98.8439
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.489 0.381 0.323)

    Surface
    {
        SurfStyle       0.53059
        OceanStyle      0.963684
        Randomize      (-0.210, -0.335, -0.462)
        colorDistMagn   0.656429
        colorDistFreq   0.0203432
        detailScale     138.283
        colorConversion true
        snowLevel       2
        tropicLatitude  0.000345267
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.732192
        terraceProb     0.240042
        erosion         0
        montesMagn      0.493135
        montesFreq      3.68742
        montesSpiky     0.820627
        montesFraction  0.659057
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0617911
        hillsFraction   0.567253
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.238922
        craterFreq      0.212124
        craterDensity   0.867451
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.503717
        volcanoTemp     1311.72
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.191, 0.130, 0.090, 0.000)
        colorShelf     (0.195, 0.133, 0.103, 0.000)
        colorBeach     (0.230, 0.156, 0.123, 0.000)
        colorDesert    (0.249, 0.168, 0.119, 0.000)
        colorLowland   (0.274, 0.179, 0.136, 0.000)
        colorUpland    (0.303, 0.217, 0.165, 0.000)
        colorRock      (0.327, 0.236, 0.178, 0.000)
        colorSnow      (0.357, 0.252, 0.187, 1.000)
        BumpHeight      4.55766
        BumpOffset      0.911532
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000788588
        Period          0.00102414
        Eccentricity    5.42835e-005
        Inclination     0.0134475
        AscendingNode   -98.8439
        ArgOfPericenter 23.7127
        MeanAnomaly     151.442
    }
}

DwarfMoon "Aylsa VIII.D2"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            9.33667e-011
    Radius          7.15522
    InertiaMoment   0.397533

    Oblateness      0.249

    Obliquity       0.00342196
    EqAscendNode    145.273
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.471 0.464 0.459)

    Surface
    {
        SurfStyle       0.985388
        OceanStyle      0.818065
        Randomize      (0.899, -0.483, -0.362)
        colorDistMagn   0.796932
        colorDistFreq   0.0445098
        detailScale     195.385
        colorConversion true
        snowLevel       2
        tropicLatitude  0
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.519591
        terraceProb     0.242646
        erosion         0
        montesMagn      0.514901
        montesFreq      3.34289
        montesSpiky     0.919615
        montesFraction  0.810414
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0981651
        hillsFraction   0.58097
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.285653
        craterFreq      0.233135
        craterDensity   1.00605
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.479508
        volcanoTemp     1693.19
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.160, 0.163, 0.184, 0.050)
        colorShelf     (0.188, 0.190, 0.211, 0.040)
        colorBeach     (0.217, 0.218, 0.239, 0.030)
        colorDesert    (0.245, 0.246, 0.271, 0.020)
        colorLowland   (0.273, 0.274, 0.298, 0.030)
        colorUpland    (0.301, 0.302, 0.326, 0.050)
        colorRock      (0.330, 0.330, 0.362, 0.020)
        colorSnow      (0.330, 0.330, 0.362, 1.000)
        BumpHeight      6.4397
        BumpOffset      1.28794
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000887372
        Period          0.00122248
        Eccentricity    3.4733e-005
        Inclination     0.00342196
        AscendingNode   145.273
        ArgOfPericenter 4.82675
        MeanAnomaly     13.0344
    }
}

Moon "Aylsa VIII.1"
{
    ParentBody     "Aylsa VIII"
    Class	       "Selena"

    Mass            0.000620021
    Radius          750.459
    InertiaMoment   0.39602

    Oblateness      0.0135528

    Obliquity       1.11939
    EqAscendNode    106.005
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      3.5
    Color          (0.697 0.629 0.598)

    Surface
    {
        SurfStyle       0.0949065
        OceanStyle      0.55174
        Randomize      (-0.505, 0.000, 0.712)
        colorDistMagn   0.0874267
        colorDistFreq   95.7346
        detailScale     1930.22
        colorConversion true
        drivenDarkening 0
        seaLevel        0.24748
        snowLevel       2
        tropicLatitude  0.023512
        icecapLatitude  0.489424
        icecapHeight    0.266267
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.97015
        venusFreq       0.535346
        venusMagn       0
        mareFreq        0.111985
        mareDensity     0.000265958
        terraceProb     0.239987
        erosion         0
        montesMagn      0.0617127
        montesFreq      44.2074
        montesSpiky     0.925437
        montesFraction  0.749087
        dunesMagn       0.0352036
        dunesFreq       1001.46
        dunesFraction   0.883643
        hillsMagn       0.105393
        hillsFreq       78.3711
        hillsFraction   0.396329
        hills2Fraction  0
        riversMagn      61.2883
        riversFreq      4.19646
        riversSin       7.03365
        riversOctaves   0
        canyonsMagn     0.554099
        canyonsFreq     0.209939
        canyonFraction  0.274362
        cracksMagn      0.0305003
        cracksFreq      0.406278
        cracksOctaves   0
        craterMagn      0.602912
        craterFreq      1.95121
        craterDensity   0.923797
        craterOctaves   9.84897
        craterRayedFactor 0.224402
        volcanoMagn     0.16445
        volcanoFreq     0.761253
        volcanoDensity  0.4
        volcanoOctaves  3
        volcanoActivity 2
        volcanoFlows    0.286786
        volcanoRadius   0.154312
        volcanoTemp     1297.06
        lavaCoverTidal  0.0167813
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.320, 0.320, 0.320, 0.000)
        colorShelf     (0.370, 0.370, 0.370, 0.000)
        colorBeach     (0.348, 0.315, 0.299, 0.000)
        colorDesert    (0.432, 0.378, 0.341, 0.200)
        colorLowland   (0.467, 0.403, 0.383, 0.500)
        colorUpland    (0.488, 0.422, 0.395, 0.800)
        colorRock      (0.650, 0.610, 0.620, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 1.000)
        BumpHeight      20
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   55
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00142277
        Period          0.00248192
        Eccentricity    0.00817127
        Inclination     1.11939
        AscendingNode   106.005
        ArgOfPericenter -55.586
        MeanAnomaly     -20.0884
    }
}

Moon "Aylsa VIII.2"
{
    ParentBody     "Aylsa VIII"
    Class	       "Selena"

    Mass            0.000819523
    Radius          774.773
    InertiaMoment   0.399658

    Oblateness      0.00390911

    Obliquity       0.740243
    EqAscendNode    8.45611
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      3.5
    Color          (0.637 0.634 0.629)

    Surface
    {
        SurfStyle       0.942164
        OceanStyle      0.156816
        Randomize      (-0.494, 0.037, 0.392)
        colorDistMagn   0.0799624
        colorDistFreq   96.4954
        detailScale     1992.76
        colorConversion true
        drivenDarkening 0
        seaLevel        0.257379
        snowLevel       2
        tropicLatitude  0.025766
        icecapLatitude  0.955973
        icecapHeight    0.259005
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.78389
        venusFreq       1.46296
        venusMagn       0
        mareFreq        0.140838
        mareDensity     0.000460225
        terraceProb     0.379263
        erosion         0
        montesMagn      0.0537177
        montesFreq      24.6947
        montesSpiky     0.978915
        montesFraction  0.737851
        dunesMagn       0.045029
        dunesFreq       1032.42
        dunesFraction   0.90824
        hillsMagn       0.128214
        hillsFreq       79.4619
        hillsFraction   0.966998
        hills2Fraction  0
        riversMagn      57.4436
        riversFreq      2.76982
        riversSin       8.00229
        riversOctaves   0
        canyonsMagn     0.604366
        canyonsFreq     0.250305
        canyonFraction  0.684604
        cracksMagn      0.0599189
        cracksFreq      0.136304
        cracksOctaves   0
        craterMagn      0.690471
        craterFreq      2.23585
        craterDensity   0.689935
        craterOctaves   9.755
        craterRayedFactor 0.142183
        volcanoMagn     0.191845
        volcanoFreq     0.625777
        volcanoDensity  0.4
        volcanoOctaves  3
        volcanoActivity 2
        volcanoFlows    0.151058
        volcanoRadius   0.154227
        volcanoTemp     1476.46
        lavaCoverTidal  0.027222
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.440, 0.450, 0.370, 0.000)
        colorShelf     (0.580, 0.550, 0.430, 0.000)
        colorBeach     (0.453, 0.418, 0.365, 0.000)
        colorDesert    (0.529, 0.488, 0.403, 0.000)
        colorLowland   (0.421, 0.367, 0.302, 0.000)
        colorUpland    (0.376, 0.329, 0.283, 0.000)
        colorRock      (0.330, 0.250, 0.230, 0.000)
        colorSnow      (0.940, 0.910, 0.870, 1.000)
        BumpHeight      20
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   55
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00203497
        Period          0.00424541
        Eccentricity    0.0347827
        Inclination     0.740243
        AscendingNode   8.45611
        ArgOfPericenter -93.3458
        MeanAnomaly     -147.115
    }
}

Moon "Aylsa VIII.3"
{
    ParentBody     "Aylsa VIII"
    Class	       "IceWorld"

    Mass            0.00104872
    Radius          893.221
    InertiaMoment   0.399179

    Oblateness      0.00159695

    Obliquity       0.0963767
    EqAscendNode    161.788
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.458 0.449 0.442)

    Surface
    {
        SurfStyle       0.0767607
        OceanStyle      0.332439
        Randomize      (-0.441, -0.686, 0.847)
        colorDistMagn   0.0827408
        colorDistFreq   126.105
        detailScale     2297.41
        colorConversion true
        drivenDarkening 0.7
        seaLevel        0.0953704
        snowLevel       2
        tropicLatitude  0.000488281
        icecapLatitude  0.408021
        icecapHeight    0.111597
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.8681
        venusFreq       0.814794
        venusMagn       0.259489
        mareFreq        0.260433
        mareDensity     0.000467138
        terraceProb     0.118465
        erosion         0
        montesMagn      0.064277
        montesFreq      47.2149
        montesSpiky     0.839992
        montesFraction  0.740393
        dunesMagn       0.0446501
        dunesFreq       1167.01
        dunesFraction   0.269586
        hillsMagn       0.134565
        hillsFreq       98.2377
        hillsFraction   0.641171
        hills2Fraction  0.173662
        riversMagn      62.3211
        riversFreq      3.76844
        riversSin       7.56279
        riversOctaves   0
        canyonsMagn     0.598258
        canyonsFreq     0.27442
        canyonFraction  0
        cracksMagn      0.0231601
        cracksFreq      0.472303
        cracksOctaves   0
        craterMagn      0.581794
        craterFreq      2.22305
        craterDensity   0.845981
        craterOctaves   10
        craterRayedFactor 0.172659
        volcanoMagn     0.190154
        volcanoFreq     0.707688
        volcanoDensity  0.208182
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.37367
        volcanoRadius   0.138733
        volcanoTemp     1505.62
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.458, 0.449, 0.442, 0.500)
        colorShelf     (0.435, 0.426, 0.420, 0.500)
        colorBeach     (0.320, 0.314, 0.309, 0.750)
        colorDesert    (0.389, 0.381, 0.376, 1.000)
        colorLowland   (0.403, 0.395, 0.389, 1.000)
        colorUpland    (0.426, 0.417, 0.411, 1.000)
        colorRock      (1.000, 1.000, 1.000, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.403, 0.395, 0.389, 1.000)
        colorUpPlants  (0.426, 0.417, 0.411, 1.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00291057
        Period          0.00726191
        Eccentricity    0.00939147
        Inclination     0.0963767
        AscendingNode   161.788
        ArgOfPericenter -131.102
        MeanAnomaly     126.899
    }
}

Moon "Aylsa VIII.4"
{
    ParentBody     "Aylsa VIII"
    Class	       "IceWorld"

    Mass            0.0013111
    Radius          905.178
    InertiaMoment   0.398648

    Obliquity       1.40091
    EqAscendNode    -90.4629
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.591 0.446 0.340)

    Surface
    {
        SurfStyle       0.508637
        OceanStyle      0.562279
        Randomize      (-0.423, -0.167, -0.320)
        colorDistMagn   0.0700292
        colorDistFreq   109.302
        detailScale     2328.17
        colorConversion true
        drivenDarkening 0.7
        seaLevel        0.249518
        snowLevel       2
        tropicLatitude  0.03443
        icecapLatitude  0.536428
        icecapHeight    0.26898
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.90756
        venusFreq       0.611565
        venusMagn       0.171659
        mareFreq        0.212816
        mareDensity     0.00049653
        terraceProb     0.203297
        erosion         0
        montesMagn      0.0701597
        montesFreq      35.0925
        montesSpiky     0.985441
        montesFraction  0.833722
        dunesMagn       0.0580767
        dunesFreq       1169.35
        dunesFraction   0.601322
        hillsMagn       0.1108
        hillsFreq       112.306
        hillsFraction   0.0884385
        hills2Fraction  0.112779
        riversMagn      61.6467
        riversFreq      2.21177
        riversSin       7.09646
        riversOctaves   0
        canyonsMagn     0.344939
        canyonsFreq     0.323345
        canyonFraction  0
        cracksMagn      0.0536136
        cracksFreq      0.605126
        cracksOctaves   0
        craterMagn      0.661477
        craterFreq      2.63605
        craterDensity   0.884495
        craterOctaves   10
        craterRayedFactor 0.183431
        volcanoMagn     0.201155
        volcanoFreq     0.667619
        volcanoDensity  0.195269
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.160771
        volcanoRadius   0.135392
        volcanoTemp     1730.59
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.177, 0.112, 0.075, 0.000)
        colorShelf     (0.219, 0.138, 0.095, 0.000)
        colorBeach     (0.331, 0.210, 0.143, 0.200)
        colorDesert    (0.302, 0.196, 0.126, 0.500)
        colorLowland   (0.231, 0.152, 0.095, 0.800)
        colorUpland    (0.390, 0.268, 0.177, 1.000)
        colorRock      (0.670, 0.620, 0.550, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.231, 0.152, 0.095, 0.800)
        colorUpPlants  (0.390, 0.268, 0.177, 1.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00416294
        Period          0.0124217
        Eccentricity    0.0202654
        Inclination     1.40091
        AscendingNode   -90.4629
        ArgOfPericenter -15.3356
        MeanAnomaly     -48.0481
    }
}

Moon "Aylsa VIII.5"
{
    ParentBody     "Aylsa VIII"
    Class	       "IceWorld"

    Mass            0.0161069
    Radius          2196.5
    InertiaMoment   0.366052

    Obliquity       -0.633035
    EqAscendNode    141.922
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.521 0.517 0.512)

    Surface
    {
        SurfStyle       0.586305
        OceanStyle      0.542753
        Randomize      (0.523, -0.269, 0.728)
        colorDistMagn   0.0741435
        colorDistFreq   251.162
        detailScale     5649.52
        colorConversion true
        drivenDarkening 0.7
        seaLevel        0.255345
        snowLevel       2
        tropicLatitude  0.00720934
        icecapLatitude  0.912216
        icecapHeight    0.257189
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.59491
        venusFreq       1.43059
        venusMagn       0.239703
        mareFreq        0.997243
        mareDensity     0.00353561
        terraceProb     0.356895
        erosion         0
        montesMagn      0.128684
        montesFreq      79.5762
        montesSpiky     0.947114
        montesFraction  0.578786
        dunesMagn       0.0422751
        dunesFreq       2912.59
        dunesFraction   0.0397747
        hillsMagn       0.106742
        hillsFreq       253.1
        hillsFraction   0.22955
        hills2Fraction  0.297061
        riversMagn      64.1903
        riversFreq      2.7509
        riversSin       5.56533
        riversOctaves   0
        canyonsMagn     0.654837
        canyonsFreq     0.842184
        canyonFraction  0
        cracksMagn      0.069145
        cracksFreq      1.21501
        cracksOctaves   2
        craterMagn      0.55088
        craterFreq      6.498
        craterDensity   0.837495
        craterOctaves   11
        craterRayedFactor 0.247922
        volcanoMagn     0.408746
        volcanoFreq     0.664848
        volcanoDensity  0.186334
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.32101
        volcanoRadius   0.284686
        volcanoTemp     1558.48
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.156, 0.129, 0.113, 0.000)
        colorShelf     (0.193, 0.160, 0.143, 0.000)
        colorBeach     (0.292, 0.243, 0.215, 0.200)
        colorDesert    (0.266, 0.227, 0.189, 0.500)
        colorLowland   (0.203, 0.176, 0.143, 0.800)
        colorUpland    (0.344, 0.310, 0.266, 1.000)
        colorRock      (0.670, 0.620, 0.550, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.203, 0.176, 0.143, 0.800)
        colorUpPlants  (0.344, 0.310, 0.266, 1.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00595417
        Period          0.0212468
        Eccentricity    0.0144407
        Inclination     -0.633035
        AscendingNode   141.922
        ArgOfPericenter 19.2631
        MeanAnomaly     -129.118
    }
}

Moon "Aylsa VIII.6"
{
    ParentBody     "Aylsa VIII"
    Class	       "IceWorld"

    Mass            0.00195217
    Radius          1032.51
    InertiaMoment   0.397004

    Obliquity       0.26256
    EqAscendNode    -156.676
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.483 0.475 0.470)

    Surface
    {
        SurfStyle       0.33694
        OceanStyle      0.244335
        Randomize      (-0.956, 0.720, -0.865)
        colorDistMagn   0.0434493
        colorDistFreq   121.267
        detailScale     2655.67
        colorConversion true
        drivenDarkening 0.7
        seaLevel        0.109791
        snowLevel       2
        tropicLatitude  0.00185932
        icecapLatitude  0.956499
        icecapHeight    0.110313
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.99136
        venusFreq       1.65176
        venusMagn       0.181508
        mareFreq        0.319689
        mareDensity     0.00109674
        terraceProb     0.321479
        erosion         0
        montesMagn      0.0653454
        montesFreq      63.9085
        montesSpiky     0.974793
        montesFraction  0.595108
        dunesMagn       0.0448989
        dunesFreq       1380.71
        dunesFraction   0.59967
        hillsMagn       0.140321
        hillsFreq       120.692
        hillsFraction   0.748115
        hills2Fraction  0.212113
        riversMagn      59.787
        riversFreq      3.89609
        riversSin       6.37767
        riversOctaves   0
        canyonsMagn     0.507227
        canyonsFreq     0.343691
        canyonFraction  0
        cracksMagn      0.0456823
        cracksFreq      0.413438
        cracksOctaves   0
        craterMagn      0.689956
        craterFreq      2.78148
        craterDensity   0.89842
        craterOctaves   10
        craterRayedFactor 0
        volcanoMagn     0.169513
        volcanoFreq     0.634004
        volcanoDensity  0.229162
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.234733
        volcanoRadius   0.145692
        volcanoTemp     1071.97
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.483, 0.475, 0.470, 0.500)
        colorShelf     (0.459, 0.451, 0.446, 0.500)
        colorBeach     (0.338, 0.332, 0.329, 0.750)
        colorDesert    (0.411, 0.403, 0.399, 1.000)
        colorLowland   (0.425, 0.418, 0.413, 1.000)
        colorUpland    (0.449, 0.441, 0.437, 1.000)
        colorRock      (1.000, 1.000, 1.000, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.425, 0.418, 0.413, 1.000)
        colorUpPlants  (0.449, 0.441, 0.437, 1.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00851613
        Period          0.0363451
        Eccentricity    0.0197253
        Inclination     0.26256
        AscendingNode   -156.676
        ArgOfPericenter 90.32
        MeanAnomaly     147.777
    }
}

Moon "Aylsa VIII.7"
{
    ParentBody     "Aylsa VIII"
    Class	       "IceWorld"

    Mass            0.00234095
    Radius          1164.94
    InertiaMoment   0.399879

    Obliquity       -0.651459
    EqAscendNode    -67.5911
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.664 0.495 0.383)

    Surface
    {
        SurfStyle       0.355101
        OceanStyle      0.513475
        Randomize      (0.258, -0.364, -0.405)
        colorDistMagn   0.050532
        colorDistFreq   146.659
        detailScale     2996.29
        colorConversion true
        drivenDarkening 0.497108
        seaLevel        0.151225
        snowLevel       2
        tropicLatitude  0.0188976
        icecapLatitude  0.442058
        icecapHeight    0.189545
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.68675
        venusFreq       1.35958
        venusMagn       0
        mareFreq        0.392201
        mareDensity     0.000867479
        terraceProb     0.253694
        erosion         0
        montesMagn      0.0688381
        montesFreq      61.0657
        montesSpiky     0.972628
        montesFraction  0.542249
        dunesMagn       0.0460901
        dunesFreq       1541.95
        dunesFraction   0.31624
        hillsMagn       0.109935
        hillsFreq       108.539
        hillsFraction   0.0943429
        hills2Fraction  0.0832876
        riversMagn      53.5117
        riversFreq      2.64375
        riversSin       6.95507
        riversOctaves   0
        canyonsMagn     0.453763
        canyonsFreq     0.366165
        canyonFraction  0
        cracksMagn      0.0622575
        cracksFreq      0.62905
        cracksOctaves   0
        craterMagn      0.552627
        craterFreq      3.2691
        craterDensity   0.764621
        craterOctaves   10
        craterRayedFactor 0.208275
        volcanoMagn     0.186977
        volcanoFreq     0.714832
        volcanoDensity  0.166036
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.33386
        volcanoRadius   0.151295
        volcanoTemp     1407.22
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.664, 0.495, 0.383, 0.500)
        colorShelf     (0.631, 0.470, 0.364, 0.500)
        colorBeach     (0.465, 0.347, 0.268, 0.750)
        colorDesert    (0.564, 0.421, 0.325, 1.000)
        colorLowland   (0.584, 0.436, 0.337, 1.000)
        colorUpland    (0.617, 0.460, 0.356, 1.000)
        colorRock      (1.000, 1.000, 1.000, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.584, 0.436, 0.337, 1.000)
        colorUpPlants  (0.617, 0.460, 0.356, 1.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0121805
        Period          0.0621695
        Eccentricity    0.039621
        Inclination     -0.651459
        AscendingNode   -67.5911
        ArgOfPericenter 18.6672
        MeanAnomaly     -168.834
    }
}

Moon "Aylsa VIII.8"
{
    ParentBody     "Aylsa VIII"
    Class	       "IceWorld"

    Mass            0.00278337
    Radius          1160.81
    InertiaMoment   0.399413

    Obliquity       -0.372886
    EqAscendNode    110.637
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.712 0.600 0.414)

    Surface
    {
        SurfStyle       0.115229
        OceanStyle      0.135102
        Randomize      (-0.121, 0.054, -0.525)
        colorDistMagn   0.0872381
        colorDistFreq   133.548
        detailScale     2985.68
        colorConversion true
        drivenDarkening 0.34756
        seaLevel        0.225643
        snowLevel       2
        tropicLatitude  0.0074051
        icecapLatitude  0.911918
        icecapHeight    0.228702
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.66752
        venusFreq       0.561795
        venusMagn       0.262721
        mareFreq        0.430434
        mareDensity     0.0012352
        terraceProb     0.211469
        erosion         0
        montesMagn      0.0494182
        montesFreq      45.9404
        montesSpiky     0.795673
        montesFraction  0.682309
        dunesMagn       0.0533105
        dunesFreq       1482.81
        dunesFraction   0.557724
        hillsMagn       0.110218
        hillsFreq       131.433
        hillsFraction   0.547547
        hills2Fraction  0.219434
        riversMagn      69.9174
        riversFreq      3.23146
        riversSin       6.80548
        riversOctaves   0
        canyonsMagn     0.600553
        canyonsFreq     0.369231
        canyonFraction  0
        cracksMagn      0.0563751
        cracksFreq      0.281564
        cracksOctaves   0
        craterMagn      0.596678
        craterFreq      3.3812
        craterDensity   0.777847
        craterOctaves   10
        craterRayedFactor 0
        volcanoMagn     0.1898
        volcanoFreq     0.666898
        volcanoDensity  0.154435
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.263669
        volcanoRadius   0.15558
        volcanoTemp     1377.97
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.712, 0.600, 0.414, 0.500)
        colorShelf     (0.676, 0.570, 0.394, 0.500)
        colorBeach     (0.498, 0.420, 0.290, 0.750)
        colorDesert    (0.605, 0.510, 0.352, 1.000)
        colorLowland   (0.627, 0.528, 0.365, 1.000)
        colorUpland    (0.662, 0.558, 0.385, 1.000)
        colorRock      (1.000, 1.000, 1.000, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.627, 0.528, 0.365, 1.000)
        colorUpPlants  (0.662, 0.558, 0.385, 1.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0174215
        Period          0.106343
        Eccentricity    0.0230169
        Inclination     -0.372886
        AscendingNode   110.637
        ArgOfPericenter 94.9792
        MeanAnomaly     -85.0175
    }
}

Moon "Aylsa VIII.9"
{
    ParentBody     "Aylsa VIII"
    Class	       "IceWorld"

    Mass            0.00328679
    Radius          1303.03
    InertiaMoment   0.39862

    Obliquity       1.04431
    EqAscendNode    72.3216
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.580 0.452 0.331)

    Surface
    {
        SurfStyle       0.284149
        OceanStyle      0.895118
        Randomize      (0.342, -0.077, -0.059)
        colorDistMagn   0.0708982
        colorDistFreq   162.051
        detailScale     3351.47
        colorConversion true
        drivenDarkening 0.243001
        seaLevel        0.190075
        snowLevel       2
        tropicLatitude  0.0294256
        icecapLatitude  0.631242
        icecapHeight    0.218489
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.79366
        venusFreq       0.964763
        venusMagn       0
        mareFreq        0.416254
        mareDensity     0.00121633
        terraceProb     0.367799
        erosion         0
        montesMagn      0.0527148
        montesFreq      74.442
        montesSpiky     0.916385
        montesFraction  0.442427
        dunesMagn       0.0412514
        dunesFreq       1723.46
        dunesFraction   0.337872
        hillsMagn       0.130008
        hillsFreq       126.216
        hillsFraction   0.27864
        hills2Fraction  0.0566475
        riversMagn      59.7382
        riversFreq      2.65241
        riversSin       5.92819
        riversOctaves   0
        canyonsMagn     0.487753
        canyonsFreq     0.481971
        canyonFraction  0
        cracksMagn      0.0372427
        cracksFreq      0.312494
        cracksOctaves   0
        craterMagn      0.544029
        craterFreq      3.65243
        craterDensity   0.91476
        craterOctaves   11
        craterRayedFactor 0.0577676
        volcanoMagn     0.169248
        volcanoFreq     0.79986
        volcanoDensity  0.236453
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.0796451
        volcanoRadius   0.14893
        volcanoTemp     1426.3
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.580, 0.452, 0.331, 0.500)
        colorShelf     (0.551, 0.430, 0.315, 0.500)
        colorBeach     (0.406, 0.317, 0.232, 0.750)
        colorDesert    (0.493, 0.384, 0.282, 1.000)
        colorLowland   (0.511, 0.398, 0.292, 1.000)
        colorUpland    (0.540, 0.421, 0.308, 1.000)
        colorRock      (1.000, 1.000, 1.000, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.511, 0.398, 0.292, 1.000)
        colorUpPlants  (0.540, 0.421, 0.308, 1.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.0249176
        Period          0.181903
        Eccentricity    0.0197584
        Inclination     1.04431
        AscendingNode   72.3216
        ArgOfPericenter 53.6259
        MeanAnomaly     39.7192
    }
}

DwarfMoon "Aylsa VIII.D3"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            4.49179e-009
    Radius          23.4001
    InertiaMoment   0.399275

    RotationPeriod  907.343
    Obliquity       -17.3563
    EqAscendNode    -100.987

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.704 0.634 0.575)

    Surface
    {
        SurfStyle       0.0335684
        OceanStyle      0.642904
        Randomize      (0.927, -0.817, -0.916)
        colorDistMagn   0.410991
        colorDistFreq   0.0439878
        detailScale     638.98
        colorConversion true
        snowLevel       2
        tropicLatitude  0.382831
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.456575
        terraceProb     0.26754
        erosion         0
        montesMagn      0.40453
        montesFreq      3.17932
        montesSpiky     0.861674
        montesFraction  0.659207
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.18459
        hillsFraction   0.510323
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.254808
        craterFreq      0.270154
        craterDensity   0.986937
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.44146
        volcanoTemp     1429.58
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.282, 0.254, 0.230, 0.000)
        colorShelf     (0.299, 0.270, 0.244, 0.000)
        colorBeach     (0.317, 0.285, 0.259, 0.000)
        colorDesert    (0.334, 0.301, 0.273, 0.000)
        colorLowland   (0.352, 0.317, 0.287, 0.000)
        colorUpland    (0.370, 0.333, 0.302, 0.000)
        colorRock      (0.387, 0.349, 0.316, 0.000)
        colorSnow      (0.405, 0.365, 0.330, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.133621
        Period          2.2589
        Eccentricity    0.369934
        Inclination     -17.9738
        AscendingNode   -99.9655
        ArgOfPericenter 101.483
        MeanAnomaly     -44.0158
    }
}

DwarfMoon "Aylsa VIII.D4"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            6.18803e-009
    Radius          25.0027
    InertiaMoment   0.396334

    RotationPeriod  823.455
    Obliquity       -92.7525
    EqAscendNode    63.7612

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.657 0.653 0.646)

    Surface
    {
        SurfStyle       0.669755
        OceanStyle      0.424573
        Randomize      (0.347, -0.744, -0.617)
        colorDistMagn   0.395637
        colorDistFreq   0.413372
        detailScale     682.74
        colorConversion true
        snowLevel       2
        tropicLatitude  0.888384
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.413453
        terraceProb     0.36682
        erosion         0
        montesMagn      0.623608
        montesFreq      2.39393
        montesSpiky     0.923439
        montesFraction  0.426012
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.60157
        hillsFraction   0.602055
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.194998
        craterFreq      0.27772
        craterDensity   0.834526
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.453708
        volcanoTemp     1325.99
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.256, 0.222, 0.181, 0.000)
        colorShelf     (0.263, 0.229, 0.207, 0.000)
        colorBeach     (0.309, 0.268, 0.246, 0.000)
        colorDesert    (0.335, 0.287, 0.239, 0.000)
        colorLowland   (0.368, 0.307, 0.271, 0.000)
        colorUpland    (0.407, 0.372, 0.330, 0.000)
        colorRock      (0.440, 0.405, 0.355, 0.000)
        colorSnow      (0.479, 0.431, 0.375, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.134051
        Period          2.26981
        Eccentricity    0.0210772
        Inclination     -72.2415
        AscendingNode   62.1453
        ArgOfPericenter -122.715
        MeanAnomaly     18.8085
    }
}

DwarfMoon "Aylsa VIII.D5"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            8.4825e-009
    Radius          25.7323
    InertiaMoment   0.398376

    RotationPeriod  726.615
    Obliquity       -128.295
    EqAscendNode    22.259

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.646 0.594 0.508)

    Surface
    {
        SurfStyle       0.627951
        OceanStyle      0.731591
        Randomize      (-0.958, -0.295, -0.292)
        colorDistMagn   0.845592
        colorDistFreq   0.333529
        detailScale     702.664
        colorConversion true
        snowLevel       2
        tropicLatitude  0.632972
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.503408
        terraceProb     0.160193
        erosion         0
        montesMagn      0.670063
        montesFreq      3.01124
        montesSpiky     0.982174
        montesFraction  0.566733
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.5796
        hillsFraction   0.689852
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.217512
        craterFreq      0.183156
        craterDensity   0.991127
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.46689
        volcanoTemp     1669.67
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.252, 0.202, 0.142, 0.000)
        colorShelf     (0.258, 0.208, 0.163, 0.000)
        colorBeach     (0.304, 0.243, 0.193, 0.000)
        colorDesert    (0.329, 0.261, 0.188, 0.000)
        colorLowland   (0.362, 0.279, 0.213, 0.000)
        colorUpland    (0.400, 0.338, 0.259, 0.000)
        colorRock      (0.433, 0.368, 0.279, 0.000)
        colorSnow      (0.471, 0.392, 0.295, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.134401
        Period          2.27871
        Eccentricity    0.169016
        Inclination     -85.4682
        AscendingNode   22.0382
        ArgOfPericenter -75.8203
        MeanAnomaly     -47.3801
    }
}

DwarfMoon "Aylsa VIII.D6"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.15824e-008
    Radius          33.892
    InertiaMoment   0.399407

    RotationPeriod  818.174
    Obliquity       34.1833
    EqAscendNode    119.299

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.771 0.770 0.768)

    Surface
    {
        SurfStyle       0.688375
        OceanStyle      0.901368
        Randomize      (-0.908, -0.478, -0.285)
        colorDistMagn   0.880377
        colorDistFreq   0.78298
        detailScale     925.476
        colorConversion true
        snowLevel       2
        tropicLatitude  0.567211
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.569584
        terraceProb     0.61504
        erosion         0
        montesMagn      0.429586
        montesFreq      2.69699
        montesSpiky     0.942755
        montesFraction  0.649837
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.536
        hillsFraction   0.432138
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.243913
        craterFreq      0.241341
        craterDensity   0.794577
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.484626
        volcanoTemp     1498.02
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.301, 0.262, 0.215, 0.000)
        colorShelf     (0.308, 0.269, 0.246, 0.000)
        colorBeach     (0.362, 0.316, 0.292, 0.000)
        colorDesert    (0.393, 0.339, 0.284, 0.000)
        colorLowland   (0.432, 0.362, 0.323, 0.000)
        colorUpland    (0.478, 0.439, 0.392, 0.000)
        colorRock      (0.517, 0.477, 0.423, 0.000)
        colorSnow      (0.563, 0.508, 0.446, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.134614
        Period          2.28413
        Eccentricity    0.338157
        Inclination     -0.822511
        AscendingNode   116.401
        ArgOfPericenter -148.939
        MeanAnomaly     -111.462
    }
}

DwarfMoon "Aylsa VIII.D7"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.57692e-008
    Radius          35.7704
    InertiaMoment   0.396862

    RotationPeriod  738.647
    Obliquity       57.1063
    EqAscendNode    -13.3699

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.429 0.426 0.423)

    Surface
    {
        SurfStyle       0.292894
        OceanStyle      0.534918
        Randomize      (-0.617, -0.927, -0.995)
        colorDistMagn   0.79737
        colorDistFreq   0.539111
        detailScale     976.77
        colorConversion true
        snowLevel       2
        tropicLatitude  0.915321
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.53647
        terraceProb     0.367098
        erosion         0
        montesMagn      0.506451
        montesFreq      2.89973
        montesSpiky     0.788802
        montesFraction  0.299569
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.8761
        hillsFraction   0.742555
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.222386
        craterFreq      0.197509
        craterDensity   0.997768
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.462562
        volcanoTemp     1304.88
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.171, 0.170, 0.169, 0.000)
        colorShelf     (0.182, 0.181, 0.180, 0.000)
        colorBeach     (0.193, 0.192, 0.190, 0.000)
        colorDesert    (0.204, 0.202, 0.201, 0.000)
        colorLowland   (0.214, 0.213, 0.211, 0.000)
        colorUpland    (0.225, 0.224, 0.222, 0.000)
        colorRock      (0.236, 0.234, 0.233, 0.000)
        colorSnow      (0.246, 0.245, 0.243, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.134826
        Period          2.28952
        Eccentricity    0.396445
        Inclination     9.62664
        AscendingNode   -19.0721
        ArgOfPericenter 116.394
        MeanAnomaly     58.5157
    }
}

DwarfMoon "Aylsa VIII.D8"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            2.14268e-008
    Radius          38.0573
    InertiaMoment   0.398544

    RotationPeriod  676.046
    Obliquity       -47.759
    EqAscendNode    -117.137

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.734 0.729 0.727)

    Surface
    {
        SurfStyle       0.263029
        OceanStyle      0.876097
        Randomize      (-0.489, 0.608, -0.973)
        colorDistMagn   0.713062
        colorDistFreq   0.22342
        detailScale     1039.22
        colorConversion true
        snowLevel       2
        tropicLatitude  0.645564
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.620371
        terraceProb     0.311696
        erosion         0
        montesMagn      0.44339
        montesFreq      3.75286
        montesSpiky     0.959187
        montesFraction  0.286302
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.77724
        hillsFraction   0.803997
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.228769
        craterFreq      0.187902
        craterDensity   0.827451
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.465309
        volcanoTemp     1395.44
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.294, 0.292, 0.291, 0.000)
        colorShelf     (0.312, 0.310, 0.309, 0.000)
        colorBeach     (0.330, 0.328, 0.327, 0.000)
        colorDesert    (0.349, 0.346, 0.345, 0.000)
        colorLowland   (0.367, 0.365, 0.363, 0.000)
        colorUpland    (0.385, 0.383, 0.382, 0.000)
        colorRock      (0.404, 0.401, 0.400, 0.000)
        colorSnow      (0.422, 0.419, 0.418, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.135259
        Period          2.30056
        Eccentricity    0.0485238
        Inclination     -39.8945
        AscendingNode   -121.478
        ArgOfPericenter 54.5461
        MeanAnomaly     61.9779
    }
}

DwarfMoon "Aylsa VIII.D9"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            2.90821e-008
    Radius          39.7076
    InertiaMoment   0.399536

    RotationPeriod  606.88
    Obliquity       76.7195
    EqAscendNode    -98.3918

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.712 0.655 0.546)

    Surface
    {
        SurfStyle       0.138901
        OceanStyle      0.0391534
        Randomize      (0.005, -0.574, -0.788)
        colorDistMagn   0.514037
        colorDistFreq   0.400889
        detailScale     1084.28
        colorConversion true
        snowLevel       2
        tropicLatitude  0.922343
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.541294
        terraceProb     0.244143
        erosion         0
        montesMagn      0.437744
        montesFreq      3.09197
        montesSpiky     0.985453
        montesFraction  0.336248
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.32709
        hillsFraction   0.556066
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.238207
        craterFreq      0.179588
        craterDensity   0.707913
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.457156
        volcanoTemp     1401.45
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.285, 0.262, 0.218, 0.000)
        colorShelf     (0.302, 0.278, 0.232, 0.000)
        colorBeach     (0.320, 0.295, 0.245, 0.000)
        colorDesert    (0.338, 0.311, 0.259, 0.000)
        colorLowland   (0.356, 0.327, 0.273, 0.000)
        colorUpland    (0.374, 0.344, 0.286, 0.000)
        colorRock      (0.391, 0.360, 0.300, 0.000)
        colorSnow      (0.409, 0.376, 0.314, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.135567
        Period          2.30842
        Eccentricity    0.110152
        Inclination     72.5809
        AscendingNode   -110
        ArgOfPericenter 64.6117
        MeanAnomaly     -135.036
    }
}

DwarfMoon "Aylsa VIII.D10"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            3.94632e-008
    Radius          51.4877
    InertiaMoment   0.397233

    RotationPeriod  672.012
    Obliquity       26.2393
    EqAscendNode    -142.713

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.543 0.536 0.533)

    Surface
    {
        SurfStyle       0.278427
        OceanStyle      0.441275
        Randomize      (-0.125, 0.691, -0.259)
        colorDistMagn   0.700827
        colorDistFreq   0.717707
        detailScale     1405.96
        colorConversion true
        snowLevel       2
        tropicLatitude  0.402517
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.640152
        terraceProb     0.189385
        erosion         0
        montesMagn      0.461975
        montesFreq      2.9849
        montesSpiky     0.805556
        montesFraction  0.446297
        dunesFraction   0
        hillsMagn       0
        hillsFreq       3.30974
        hillsFraction   0.553913
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.236382
        craterFreq      0.22169
        craterDensity   0.852475
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.543636
        volcanoTemp     1669.74
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.217, 0.214, 0.213, 0.000)
        colorShelf     (0.231, 0.228, 0.226, 0.000)
        colorBeach     (0.244, 0.241, 0.240, 0.000)
        colorDesert    (0.258, 0.254, 0.253, 0.000)
        colorLowland   (0.272, 0.268, 0.266, 0.000)
        colorUpland    (0.285, 0.281, 0.280, 0.000)
        colorRock      (0.299, 0.295, 0.293, 0.000)
        colorSnow      (0.312, 0.308, 0.306, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.136114
        Period          2.32242
        Eccentricity    0.063867
        Inclination     44.4552
        AscendingNode   -152.706
        ArgOfPericenter 41.744
        MeanAnomaly     11.7672
    }
}

DwarfMoon "Aylsa VIII.D11"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            5.35833e-008
    Radius          54.0963
    InertiaMoment   0.398702

    RotationPeriod  607.57
    Obliquity       146.082
    EqAscendNode    17.8251

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.771 0.768 0.767)

    Surface
    {
        SurfStyle       0.17411
        OceanStyle      0.116477
        Randomize      (-0.257, -0.055, -0.979)
        colorDistMagn   0.545043
        colorDistFreq   2.23385
        detailScale     1477.19
        colorConversion true
        snowLevel       2
        tropicLatitude  0.7562
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.600915
        terraceProb     0.326067
        erosion         0
        montesMagn      0.515326
        montesFreq      2.84382
        montesSpiky     0.989654
        montesFraction  0.604563
        dunesFraction   0
        hillsMagn       0
        hillsFreq       9.11769
        hillsFraction   0.80125
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.224537
        craterFreq      0.193829
        craterDensity   0.634236
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.450596
        volcanoTemp     1339.21
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.308, 0.307, 0.307, 0.000)
        colorShelf     (0.327, 0.326, 0.326, 0.000)
        colorBeach     (0.347, 0.346, 0.345, 0.000)
        colorDesert    (0.366, 0.365, 0.364, 0.000)
        colorLowland   (0.385, 0.384, 0.383, 0.000)
        colorUpland    (0.405, 0.403, 0.403, 0.000)
        colorRock      (0.424, 0.422, 0.422, 0.000)
        colorSnow      (0.443, 0.442, 0.441, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.136656
        Period          2.33629
        Eccentricity    0.395899
        Inclination     82.5122
        AscendingNode   9.15324
        ArgOfPericenter 170.981
        MeanAnomaly     -30.9234
    }
}

DwarfMoon "Aylsa VIII.D12"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            7.28647e-008
    Radius          57.5679
    InertiaMoment   0.399663

    RotationPeriod  555.482
    Obliquity       -70.892
    EqAscendNode    -42.242

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.771 0.737 0.687)

    Surface
    {
        SurfStyle       0.245067
        OceanStyle      0.590681
        Randomize      (0.613, 0.518, -0.571)
        colorDistMagn   0.707429
        colorDistFreq   1.88357
        detailScale     1571.99
        colorConversion true
        snowLevel       2
        tropicLatitude  0.78145
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.602573
        terraceProb     0.409498
        erosion         0
        montesMagn      0.454018
        montesFreq      3.11898
        montesSpiky     0.995373
        montesFraction  0.598488
        dunesFraction   0
        hillsMagn       0
        hillsFreq       7.08435
        hillsFraction   0.514355
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.249979
        craterFreq      0.243923
        craterDensity   0.845346
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.45395
        volcanoTemp     1879.29
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.308, 0.295, 0.275, 0.000)
        colorShelf     (0.327, 0.313, 0.292, 0.000)
        colorBeach     (0.347, 0.332, 0.309, 0.000)
        colorDesert    (0.366, 0.350, 0.326, 0.000)
        colorLowland   (0.385, 0.369, 0.344, 0.000)
        colorUpland    (0.405, 0.387, 0.361, 0.000)
        colorRock      (0.424, 0.405, 0.378, 0.000)
        colorSnow      (0.443, 0.424, 0.395, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.137244
        Period          2.35138
        Eccentricity    0.214334
        Inclination     -76.8881
        AscendingNode   -40.6484
        ArgOfPericenter 123.573
        MeanAnomaly     2.61634
    }
}

DwarfMoon "Aylsa VIII.D13"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            9.93224e-008
    Radius          60.6041
    InertiaMoment   0.397527

    RotationPeriod  500.011
    Obliquity       -2.68306
    EqAscendNode    48.7183

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.469 0.465 0.462)

    Surface
    {
        SurfStyle       0.726349
        OceanStyle      0.967821
        Randomize      (0.860, 0.674, 0.206)
        colorDistMagn   0.782963
        colorDistFreq   0.898975
        detailScale     1654.9
        colorConversion true
        snowLevel       2
        tropicLatitude  0.394913
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.386276
        terraceProb     0.407066
        erosion         0
        montesMagn      0.595156
        montesFreq      2.08045
        montesSpiky     0.774012
        montesFraction  0.653163
        dunesFraction   0
        hillsMagn       0
        hillsFreq       11.1853
        hillsFraction   0.826781
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.241335
        craterFreq      0.187392
        craterDensity   0.768944
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.428295
        volcanoTemp     1832.7
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.183, 0.158, 0.129, 0.000)
        colorShelf     (0.187, 0.163, 0.148, 0.000)
        colorBeach     (0.220, 0.191, 0.176, 0.000)
        colorDesert    (0.239, 0.205, 0.171, 0.000)
        colorLowland   (0.262, 0.219, 0.194, 0.000)
        colorUpland    (0.291, 0.265, 0.236, 0.000)
        colorRock      (0.314, 0.288, 0.254, 0.000)
        colorSnow      (0.342, 0.307, 0.268, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.137766
        Period          2.36483
        Eccentricity    0.148529
        Inclination     -21.364
        AscendingNode   47.3865
        ArgOfPericenter -104.185
        MeanAnomaly     106.287
    }
}

DwarfMoon "Aylsa VIII.D14"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.35842e-007
    Radius          78.6008
    InertiaMoment   0.398853

    RotationPeriod  554.374
    Obliquity       -74.4876
    EqAscendNode    -28.5326

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.611 0.523 0.347)

    Surface
    {
        SurfStyle       0.53779
        OceanStyle      0.967963
        Randomize      (0.403, -0.628, 0.920)
        colorDistMagn   0.317822
        colorDistFreq   3.85164
        detailScale     2146.33
        colorConversion true
        snowLevel       2
        tropicLatitude  0.71029
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.372981
        terraceProb     0.265631
        erosion         0
        montesMagn      0.567177
        montesFreq      2.65415
        montesSpiky     0.930136
        montesFraction  0.823317
        dunesFraction   0
        hillsMagn       0
        hillsFreq       11.9793
        hillsFraction   0.807142
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.233476
        craterFreq      0.240403
        craterDensity   0.923743
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.486907
        volcanoTemp     1178.93
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.238, 0.178, 0.097, 0.000)
        colorShelf     (0.244, 0.183, 0.111, 0.000)
        colorBeach     (0.287, 0.214, 0.132, 0.000)
        colorDesert    (0.312, 0.230, 0.129, 0.000)
        colorLowland   (0.342, 0.246, 0.146, 0.000)
        colorUpland    (0.379, 0.298, 0.177, 0.000)
        colorRock      (0.409, 0.324, 0.191, 0.000)
        colorSnow      (0.446, 0.345, 0.202, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.138134
        Period          2.3743
        Eccentricity    0.0297775
        Inclination     -69.8165
        AscendingNode   -28.3161
        ArgOfPericenter 130.367
        MeanAnomaly     -56.1944
    }
}

DwarfMoon "Aylsa VIII.D15"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.86604e-007
    Radius          82.5003
    InertiaMoment   0.39979

    RotationPeriod  497.549
    Obliquity       -41.7429
    EqAscendNode    -82.9105

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.664 0.624 0.582)

    Surface
    {
        SurfStyle       0.272386
        OceanStyle      0.163735
        Randomize      (0.986, 0.260, 0.620)
        colorDistMagn   0.636649
        colorDistFreq   5.10949
        detailScale     2252.81
        colorConversion true
        snowLevel       2
        tropicLatitude  0.674485
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.536035
        terraceProb     0.413665
        erosion         0
        montesMagn      0.450328
        montesFreq      2.66127
        montesSpiky     0.922636
        montesFraction  0.53365
        dunesFraction   0
        hillsMagn       0
        hillsFreq       16.9037
        hillsFraction   0.507613
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.193498
        craterFreq      0.291633
        craterDensity   0.929187
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.489971
        volcanoTemp     1373.1
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.265, 0.250, 0.233, 0.000)
        colorShelf     (0.282, 0.265, 0.247, 0.000)
        colorBeach     (0.299, 0.281, 0.262, 0.000)
        colorDesert    (0.315, 0.296, 0.276, 0.000)
        colorLowland   (0.332, 0.312, 0.291, 0.000)
        colorUpland    (0.348, 0.328, 0.305, 0.000)
        colorRock      (0.365, 0.343, 0.320, 0.000)
        colorSnow      (0.382, 0.359, 0.334, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.13879
        Period          2.39122
        Eccentricity    0.35322
        Inclination     -13.4846
        AscendingNode   -94.6988
        ArgOfPericenter 120.091
        MeanAnomaly     162.848
    }
}

DwarfMoon "Aylsa VIII.D16"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            2.57747e-007
    Radius          88.2194
    InertiaMoment   0.397776

    RotationPeriod  451.96
    Obliquity       6.66602
    EqAscendNode    -154.67

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.605 0.525 0.481)

    Surface
    {
        SurfStyle       0.369569
        OceanStyle      0.884376
        Randomize      (0.065, -0.870, -0.723)
        colorDistMagn   0.845072
        colorDistFreq   5.06612
        detailScale     2408.98
        colorConversion true
        snowLevel       2
        tropicLatitude  0.837525
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.406371
        terraceProb     0.176246
        erosion         0
        montesMagn      0.46763
        montesFreq      2.82539
        montesSpiky     0.951229
        montesFraction  0.631212
        dunesFraction   0
        hillsMagn       0
        hillsFreq       22.7982
        hillsFraction   0.593488
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.214241
        craterFreq      0.251898
        craterDensity   0.757569
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.511423
        volcanoTemp     1427.1
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.242, 0.210, 0.192, 0.000)
        colorShelf     (0.257, 0.223, 0.204, 0.000)
        colorBeach     (0.272, 0.236, 0.217, 0.000)
        colorDesert    (0.287, 0.249, 0.229, 0.000)
        colorLowland   (0.302, 0.262, 0.241, 0.000)
        colorUpland    (0.317, 0.275, 0.253, 0.000)
        colorRock      (0.333, 0.289, 0.265, 0.000)
        colorSnow      (0.348, 0.302, 0.277, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.139355
        Period          2.40585
        Eccentricity    0.0210094
        Inclination     -50.7494
        AscendingNode   -155.87
        ArgOfPericenter -25.6286
        MeanAnomaly     41.6858
    }
}

DwarfMoon "Aylsa VIII.D17"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            3.58426e-007
    Radius          93.9094
    InertiaMoment   0.398997

    RotationPeriod  409.03
    Obliquity       -32.6194
    EqAscendNode    66.4605

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.695 0.692 0.689)

    Surface
    {
        SurfStyle       0.148095
        OceanStyle      0.129617
        Randomize      (0.421, 0.543, -0.287)
        colorDistMagn   0.658808
        colorDistFreq   5.17634
        detailScale     2564.35
        colorConversion true
        snowLevel       2
        tropicLatitude  0.594003
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.494771
        terraceProb     0.464935
        erosion         0
        montesMagn      0.441586
        montesFreq      3.21277
        montesSpiky     0.975869
        montesFraction  0.36615
        dunesFraction   0
        hillsMagn       0
        hillsFreq       18.925
        hillsFraction   0.845833
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.224753
        craterFreq      0.19462
        craterDensity   0.862159
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.475398
        volcanoTemp     1379.76
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.278, 0.277, 0.276, 0.000)
        colorShelf     (0.295, 0.294, 0.293, 0.000)
        colorBeach     (0.313, 0.312, 0.310, 0.000)
        colorDesert    (0.330, 0.329, 0.327, 0.000)
        colorLowland   (0.347, 0.346, 0.344, 0.000)
        colorUpland    (0.365, 0.363, 0.362, 0.000)
        colorRock      (0.382, 0.381, 0.379, 0.000)
        colorSnow      (0.399, 0.398, 0.396, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.139765
        Period          2.41648
        Eccentricity    0.366728
        Inclination     44.311
        AscendingNode   57.6002
        ArgOfPericenter 107.95
        MeanAnomaly     108.332
    }
}

DwarfMoon "Aylsa VIII.D18"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            5.0252e-007
    Radius          123.178
    InertiaMoment   0.399915

    RotationPeriod  452.819
    Obliquity       163.69
    EqAscendNode    119.921

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.594 0.494 0.386)

    Surface
    {
        SurfStyle       0.4289
        OceanStyle      0.611616
        Randomize      (0.163, -0.311, 0.922)
        colorDistMagn   0.653546
        colorDistFreq   11.302
        detailScale     3363.59
        colorConversion true
        snowLevel       2
        tropicLatitude  0.999901
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.662602
        terraceProb     0.145351
        erosion         0
        montesMagn      0.510265
        montesFreq      2.91348
        montesSpiky     0.893505
        montesFraction  0.443162
        dunesFraction   0
        hillsMagn       0
        hillsFreq       42.1194
        hillsFraction   0.730014
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.23328
        craterFreq      0.462769
        craterDensity   0.995417
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.500485
        volcanoTemp     1369.22
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.238, 0.198, 0.155, 0.000)
        colorShelf     (0.252, 0.210, 0.164, 0.000)
        colorBeach     (0.267, 0.222, 0.174, 0.000)
        colorDesert    (0.282, 0.235, 0.184, 0.000)
        colorLowland   (0.297, 0.247, 0.193, 0.000)
        colorUpland    (0.312, 0.259, 0.203, 0.000)
        colorRock      (0.327, 0.272, 0.213, 0.000)
        colorSnow      (0.341, 0.284, 0.222, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.140297
        Period          2.43028
        Eccentricity    0.461047
        Inclination     80.3833
        AscendingNode   121.881
        ArgOfPericenter -147.753
        MeanAnomaly     12.1778
    }
}

DwarfMoon "Aylsa VIII.D19"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            7.11494e-007
    Radius          129.711
    InertiaMoment   0.397994

    RotationPeriod  400.365
    Obliquity       -102.259
    EqAscendNode    132.006

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.444 0.439 0.432)

    Surface
    {
        SurfStyle       0.336964
        OceanStyle      0.828825
        Randomize      (0.425, -0.181, -0.147)
        colorDistMagn   0.849565
        colorDistFreq   8.20278
        detailScale     3541.98
        colorConversion true
        snowLevel       2
        tropicLatitude  0.912747
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.511432
        terraceProb     0.547857
        erosion         0
        montesMagn      0.354092
        montesFreq      3.08087
        montesSpiky     0.950631
        montesFraction  0.480555
        dunesFraction   0
        hillsMagn       0
        hillsFreq       33.4748
        hillsFraction   0.624064
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.212671
        craterFreq      0.555615
        craterDensity   0.99396
        craterOctaves   16
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.45705
        volcanoTemp     1401.21
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.177, 0.176, 0.173, 0.000)
        colorShelf     (0.189, 0.187, 0.184, 0.000)
        colorBeach     (0.200, 0.198, 0.194, 0.000)
        colorDesert    (0.211, 0.209, 0.205, 0.000)
        colorLowland   (0.222, 0.220, 0.216, 0.000)
        colorUpland    (0.233, 0.230, 0.227, 0.000)
        colorRock      (0.244, 0.241, 0.238, 0.000)
        colorSnow      (0.255, 0.252, 0.248, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.140637
        Period          2.43912
        Eccentricity    0.198644
        Inclination     -50.9687
        AscendingNode   135.588
        ArgOfPericenter -130.803
        MeanAnomaly     -71.8658
    }
}

DwarfMoon "Aylsa VIII.D20"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.01928e-006
    Radius          140.298
    InertiaMoment   0.399136

    RotationPeriod  362.704
    Obliquity       -18.6162
    EqAscendNode    148.079

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.814 0.781 0.749)

    Surface
    {
        SurfStyle       0.0475892
        OceanStyle      0.655925
        Randomize      (0.978, -0.310, -0.075)
        colorDistMagn   0.648199
        colorDistFreq   5.89929
        detailScale     3831.07
        colorConversion true
        snowLevel       2
        tropicLatitude  0.119699
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.441302
        terraceProb     0.226987
        erosion         0
        montesMagn      0.331232
        montesFreq      3.29776
        montesSpiky     0.794742
        montesFraction  0.354018
        dunesFraction   0
        hillsMagn       0
        hillsFreq       42.0873
        hillsFraction   0.632726
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.232406
        craterFreq      0.637119
        craterDensity   1.00318
        craterOctaves   16
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.479906
        volcanoTemp     1497.77
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.326, 0.312, 0.300, 0.000)
        colorShelf     (0.346, 0.332, 0.318, 0.000)
        colorBeach     (0.366, 0.352, 0.337, 0.000)
        colorDesert    (0.387, 0.371, 0.356, 0.000)
        colorLowland   (0.407, 0.391, 0.374, 0.000)
        colorUpland    (0.427, 0.410, 0.393, 0.000)
        colorRock      (0.448, 0.430, 0.412, 0.000)
        colorSnow      (0.468, 0.449, 0.431, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.140943
        Period          2.4471
        Eccentricity    0.166366
        Inclination     -17.4425
        AscendingNode   157.98
        ArgOfPericenter 87.57
        MeanAnomaly     93.2731
    }
}

DwarfMoon "Aylsa VIII.D21"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.48094e-006
    Radius          151.983
    InertiaMoment   0.395175

    RotationPeriod  324.7
    Obliquity       -68.4898
    EqAscendNode    27.4965

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.620 0.615 0.610)

    Surface
    {
        SurfStyle       0.640748
        OceanStyle      0.281012
        Randomize      (0.335, 0.694, 0.645)
        colorDistMagn   0.390558
        colorDistFreq   16.491
        detailScale     4150.16
        colorConversion true
        snowLevel       2
        tropicLatitude  0.960015
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.374698
        terraceProb     0.327742
        erosion         0
        montesMagn      0.522881
        montesFreq      3.03312
        montesSpiky     0.799313
        montesFraction  0.710091
        dunesFraction   0
        hillsMagn       0
        hillsFreq       54.3405
        hillsFraction   0.618765
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.23998
        craterFreq      0.915792
        craterDensity   0.828011
        craterOctaves   16
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.562431
        volcanoTemp     1449.85
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.242, 0.209, 0.171, 0.000)
        colorShelf     (0.248, 0.215, 0.195, 0.000)
        colorBeach     (0.291, 0.252, 0.232, 0.000)
        colorDesert    (0.316, 0.270, 0.226, 0.000)
        colorLowland   (0.347, 0.289, 0.256, 0.000)
        colorUpland    (0.384, 0.350, 0.311, 0.000)
        colorRock      (0.415, 0.381, 0.336, 0.000)
        colorSnow      (0.453, 0.406, 0.354, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.141302
        Period          2.45645
        Eccentricity    0.292641
        Inclination     -42.7821
        AscendingNode   29.6698
        ArgOfPericenter 1.80285
        MeanAnomaly     -84.0322
    }
}

Moon "Aylsa VIII.10"
{
    ParentBody     "Aylsa VIII"
    Class	       "IceWorld"

    Mass            2.1885e-006
    Radius          204.582
    InertiaMoment   0.398191

    RotationPeriod  360.415
    Obliquity       12.5314
    EqAscendNode    -63.267

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.785 0.725 0.586)

    Surface
    {
        SurfStyle       0.930827
        OceanStyle      0.36517
        Randomize      (-0.102, 0.477, -0.481)
        colorDistMagn   0.0598498
        colorDistFreq   30.1658
        detailScale     526.198
        colorConversion true
        drivenDarkening 0.0427615
        seaLevel        0.208178
        snowLevel       2
        tropicLatitude  0.990739
        icecapLatitude  1
        icecapHeight    0.208178
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.91391
        venusFreq       0.794465
        venusMagn       0.205724
        mareFreq        0
        mareDensity     7.70887e-007
        terraceProb     0.252573
        erosion         0
        montesMagn      0.0591546
        montesFreq      10.1626
        montesSpiky     0.877345
        montesFraction  0.46062
        dunesMagn       0.037839
        dunesFreq       268.932
        dunesFraction   0.103587
        hillsMagn       0.126639
        hillsFreq       20.7997
        hillsFraction   0.523549
        hills2Fraction  0.0635265
        riversMagn      57.7689
        riversFreq      1.54446
        riversSin       7.1134
        riversOctaves   0
        canyonsMagn     0.427098
        canyonsFreq     0.0821342
        canyonFraction  0
        cracksMagn      0.0454891
        cracksFreq      0.0949372
        cracksOctaves   0
        craterMagn      1.10825
        craterFreq      0.651886
        craterDensity   0.801117
        craterOctaves   7
        craterRayedFactor 0
        volcanoMagn     0.176083
        volcanoFreq     0.814413
        volcanoDensity  0.18746
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.123255
        volcanoRadius   0.159776
        volcanoTemp     1455.28
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.597, 0.515, 0.340, 1.000)
        colorShelf     (0.597, 0.515, 0.340, 1.000)
        colorBeach     (0.550, 0.449, 0.293, 1.000)
        colorDesert    (0.550, 0.449, 0.293, 1.000)
        colorLowland   (0.667, 0.587, 0.445, 1.000)
        colorUpland    (0.699, 0.645, 0.504, 1.000)
        colorRock      (0.930, 0.910, 0.860, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.667, 0.587, 0.445, 1.000)
        colorUpPlants  (0.699, 0.645, 0.504, 1.000)
        BumpHeight      10.2291
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.1416
        Period          2.46421
        Eccentricity    0.278147
        Inclination     -87.5717
        AscendingNode   -64.1793
        ArgOfPericenter -106.672
        MeanAnomaly     -102.467
    }
}

Moon "Aylsa VIII.11"
{
    ParentBody     "Aylsa VIII"
    Class	       "IceWorld"

    Mass            3.30128e-006
    Radius          217.804
    InertiaMoment   0.399272

    RotationPeriod  313.296
    Obliquity       -80.2824
    EqAscendNode    -88.8565

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.694 0.689 0.682)

    Surface
    {
        SurfStyle       0.83879
        OceanStyle      0.901463
        Randomize      (-0.732, -0.763, -0.094)
        colorDistMagn   0.0509728
        colorDistFreq   25.6131
        detailScale     560.205
        colorConversion true
        drivenDarkening 0.0426553
        seaLevel        0.168969
        snowLevel       2
        tropicLatitude  0.999987
        icecapLatitude  1
        icecapHeight    0.168969
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.88123
        venusFreq       0.96613
        venusMagn       0.218474
        mareFreq        0
        mareDensity     1.54257e-006
        terraceProb     0.304595
        erosion         0
        montesMagn      0.0625703
        montesFreq      11.8375
        montesSpiky     0.880494
        montesFraction  0.123881
        dunesMagn       0.021631
        dunesFreq       286.107
        dunesFraction   0.198067
        hillsMagn       0.127631
        hillsFreq       24.4709
        hillsFraction   0.971957
        hills2Fraction  0.14473
        riversMagn      58.9922
        riversFreq      3.8637
        riversSin       6.4348
        riversOctaves   0
        canyonsMagn     0.455179
        canyonsFreq     0.0819388
        canyonFraction  0
        cracksMagn      0.0677907
        cracksFreq      0.0864243
        cracksOctaves   0
        craterMagn      1.11181
        craterFreq      0.666476
        craterDensity   0.965599
        craterOctaves   8
        craterRayedFactor 0.167063
        volcanoMagn     0.189663
        volcanoFreq     0.554045
        volcanoDensity  0.171473
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.220444
        volcanoRadius   0.121126
        volcanoTemp     1467.01
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.694, 0.517, 0.391, 0.000)
        colorShelf     (0.659, 0.491, 0.371, 0.000)
        colorBeach     (0.347, 0.258, 0.196, 0.000)
        colorDesert    (0.590, 0.440, 0.333, 0.000)
        colorLowland   (0.562, 0.455, 0.371, 0.000)
        colorUpland    (0.645, 0.480, 0.364, 0.000)
        colorRock      (1.000, 1.000, 1.000, 0.500)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.562, 0.455, 0.371, 0.000)
        colorUpPlants  (0.645, 0.480, 0.364, 0.000)
        BumpHeight      10.8902
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.141952
        Period          2.47342
        Eccentricity    0.307722
        Inclination     -80.9827
        AscendingNode   -88.1463
        ArgOfPericenter 94.3997
        MeanAnomaly     -113.633
    }
}

Moon "Aylsa VIII.12"
{
    ParentBody     "Aylsa VIII"
    Class	       "IceWorld"

    Mass            5.10697e-006
    Radius          241.423
    InertiaMoment   0.396319

    RotationPeriod  278.456
    Obliquity       -65.4545
    EqAscendNode    94.0577

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.593 0.472 0.403)

    Surface
    {
        SurfStyle       0.266858
        OceanStyle      0.212191
        Randomize      (-0.014, -0.543, 0.093)
        colorDistMagn   0.0838963
        colorDistFreq   29.6865
        detailScale     620.953
        colorConversion true
        drivenDarkening 0.0425085
        seaLevel        0.216293
        snowLevel       2
        tropicLatitude  0.944312
        icecapLatitude  1
        icecapHeight    0.216293
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.97851
        venusFreq       0.786059
        venusMagn       0
        mareFreq        0
        mareDensity     1.82819e-006
        terraceProb     0.318917
        erosion         0
        montesMagn      0.049168
        montesFreq      9.18108
        montesSpiky     0.82106
        montesFraction  0.518838
        dunesMagn       0.0518526
        dunesFreq       312.702
        dunesFraction   0.188266
        hillsMagn       0.130217
        hillsFreq       22.7814
        hillsFraction   0.364893
        hills2Fraction  0.299008
        riversMagn      65.8034
        riversFreq      3.41116
        riversSin       4.68972
        riversOctaves   0
        canyonsMagn     0.586441
        canyonsFreq     0.0867096
        canyonFraction  0
        cracksMagn      0.0517297
        cracksFreq      0.109478
        cracksOctaves   0
        craterMagn      1.07394
        craterFreq      0.704982
        craterDensity   0.909121
        craterOctaves   8
        craterRayedFactor 0.125489
        volcanoMagn     0.163982
        volcanoFreq     0.711575
        volcanoDensity  0.254997
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.316218
        volcanoRadius   0.154234
        volcanoTemp     1545.72
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.593, 0.472, 0.403, 0.500)
        colorShelf     (0.563, 0.448, 0.383, 0.500)
        colorBeach     (0.415, 0.330, 0.282, 0.750)
        colorDesert    (0.504, 0.401, 0.343, 1.000)
        colorLowland   (0.522, 0.415, 0.355, 1.000)
        colorUpland    (0.551, 0.439, 0.375, 1.000)
        colorRock      (1.000, 1.000, 1.000, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.522, 0.415, 0.355, 1.000)
        colorUpPlants  (0.551, 0.439, 0.375, 1.000)
        BumpHeight      12.0711
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.142442
        Period          2.48624
        Eccentricity    0.0435304
        Inclination     -41.3695
        AscendingNode   91.6487
        ArgOfPericenter 94.424
        MeanAnomaly     144.59
    }
}

DwarfMoon "Aylsa VIII.D22"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.51662e-011
    Radius          3.32545
    InertiaMoment   0.398372

    RotationPeriod  2085.62
    Obliquity       -26.2273
    EqAscendNode    -101.203

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.855 0.785 0.740)

    Surface
    {
        SurfStyle       0.621175
        OceanStyle      0.788151
        Randomize      (-0.550, -0.964, -0.713)
        colorDistMagn   0.492202
        colorDistFreq   0.00313425
        detailScale     90.807
        colorConversion true
        snowLevel       2
        tropicLatitude  0.48814
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.576102
        terraceProb     0.644435
        erosion         0
        montesMagn      0.629639
        montesFreq      2.70936
        montesSpiky     0.992474
        montesFraction  0.442899
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0250485
        hillsFraction   0.772192
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.273385
        craterFreq      0.175489
        craterDensity   0.781476
        craterOctaves   9
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.525551
        volcanoTemp     1447.31
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.333, 0.267, 0.207, 0.000)
        colorShelf     (0.342, 0.275, 0.237, 0.000)
        colorBeach     (0.402, 0.322, 0.281, 0.000)
        colorDesert    (0.436, 0.345, 0.274, 0.000)
        colorLowland   (0.479, 0.369, 0.311, 0.000)
        colorUpland    (0.530, 0.447, 0.378, 0.000)
        colorRock      (0.573, 0.487, 0.407, 0.000)
        colorSnow      (0.624, 0.518, 0.429, 1.000)
        BumpHeight      2.99291
        BumpOffset      0.598581
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.142769
        Period          2.4948
        Eccentricity    0.399475
        Inclination     8.78814
        AscendingNode   -101.752
        ArgOfPericenter 8.78533
        MeanAnomaly     -172.813
    }
}

DwarfMoon "Aylsa VIII.D23"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            2.99957e-011
    Radius          5.01662
    InertiaMoment   0.399404

    RotationPeriod  2223.8
    Obliquity       -37.7381
    EqAscendNode    139.799

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.664 0.660 0.655)

    Surface
    {
        SurfStyle       0.0323303
        OceanStyle      0.863877
        Randomize      (-0.890, 0.965, -0.049)
        colorDistMagn   0.433277
        colorDistFreq   0.0129702
        detailScale     136.987
        colorConversion true
        snowLevel       2
        tropicLatitude  0.446016
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.681398
        terraceProb     0.161
        erosion         0
        montesMagn      0.550451
        montesFreq      2.94196
        montesSpiky     0.975653
        montesFraction  0.76748
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0431786
        hillsFraction   0.569242
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.246575
        craterFreq      0.229775
        craterDensity   0.884824
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.481581
        volcanoTemp     1282.4
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.266, 0.264, 0.262, 0.000)
        colorShelf     (0.282, 0.281, 0.278, 0.000)
        colorBeach     (0.299, 0.297, 0.295, 0.000)
        colorDesert    (0.315, 0.314, 0.311, 0.000)
        colorLowland   (0.332, 0.330, 0.327, 0.000)
        colorUpland    (0.349, 0.347, 0.344, 0.000)
        colorRock      (0.365, 0.363, 0.360, 0.000)
        colorSnow      (0.382, 0.380, 0.376, 1.000)
        BumpHeight      4.51496
        BumpOffset      0.902992
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.143365
        Period          2.51043
        Eccentricity    0.0968614
        Inclination     -39.5721
        AscendingNode   137.061
        ArgOfPericenter 90.1754
        MeanAnomaly     73.6463
    }
}

DwarfMoon "Aylsa VIII.D24"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            5.44476e-011
    Radius          5.58393
    InertiaMoment   0.396852

    RotationPeriod  1855.54
    Obliquity       -60.8594
    EqAscendNode    62.3866

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.430 0.427 0.421)

    Surface
    {
        SurfStyle       0.645029
        OceanStyle      0.656002
        Randomize      (0.909, -0.617, -0.781)
        colorDistMagn   0.578198
        colorDistFreq   0.00874144
        detailScale     152.479
        colorConversion true
        snowLevel       2
        tropicLatitude  0.992551
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.62702
        terraceProb     0.293075
        erosion         0
        montesMagn      0.586119
        montesFreq      3.0155
        montesSpiky     0.970284
        montesFraction  0.36554
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.0594043
        hillsFraction   0.535849
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.246275
        craterFreq      0.225223
        craterDensity   0.975356
        craterOctaves   10
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.513581
        volcanoTemp     2007.38
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.168, 0.145, 0.118, 0.000)
        colorShelf     (0.172, 0.149, 0.135, 0.000)
        colorBeach     (0.202, 0.175, 0.160, 0.000)
        colorDesert    (0.219, 0.188, 0.156, 0.000)
        colorLowland   (0.241, 0.201, 0.177, 0.000)
        colorUpland    (0.267, 0.243, 0.215, 0.000)
        colorRock      (0.288, 0.265, 0.232, 0.000)
        colorSnow      (0.314, 0.282, 0.244, 1.000)
        BumpHeight      5.02554
        BumpOffset      1.00511
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.143916
        Period          2.52493
        Eccentricity    0.00131562
        Inclination     -73.0064
        AscendingNode   71.5647
        ArgOfPericenter 82.4213
        MeanAnomaly     -167.898
    }
}

DwarfMoon "Aylsa VIII.D25"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            9.2943e-011
    Radius          6.38612
    InertiaMoment   0.39854

    RotationPeriod  1639.41
    Obliquity       -22.4272
    EqAscendNode    -81.8158

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.822 0.766 0.745)

    Surface
    {
        SurfStyle       0.187304
        OceanStyle      0.0668604
        Randomize      (-0.661, -0.430, -0.835)
        colorDistMagn   0.509406
        colorDistFreq   0.0140332
        detailScale     174.384
        colorConversion true
        snowLevel       2
        tropicLatitude  0.491047
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.696139
        terraceProb     0.150966
        erosion         0
        montesMagn      0.506722
        montesFreq      3.41029
        montesSpiky     0.946193
        montesFraction  0.684813
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.087049
        hillsFraction   0.632462
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.243877
        craterFreq      0.177344
        craterDensity   0.847225
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.568182
        volcanoTemp     1568.85
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.329, 0.306, 0.298, 0.000)
        colorShelf     (0.349, 0.326, 0.317, 0.000)
        colorBeach     (0.370, 0.345, 0.335, 0.000)
        colorDesert    (0.390, 0.364, 0.354, 0.000)
        colorLowland   (0.411, 0.383, 0.373, 0.000)
        colorUpland    (0.432, 0.402, 0.391, 0.000)
        colorRock      (0.452, 0.421, 0.410, 0.000)
        colorSnow      (0.473, 0.441, 0.429, 1.000)
        BumpHeight      5.74751
        BumpOffset      1.1495
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.144579
        Period          2.5424
        Eccentricity    0.240943
        Inclination     -15.3696
        AscendingNode   -78.4923
        ArgOfPericenter -143.187
        MeanAnomaly     -104.026
    }
}

DwarfMoon "Aylsa VIII.D26"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.51509e-010
    Radius          7.21152
    InertiaMoment   0.399533

    RotationPeriod  1461.47
    Obliquity       93.8795
    EqAscendNode    138.816

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.647 0.642 0.641)

    Surface
    {
        SurfStyle       0.336313
        OceanStyle      0.0109466
        Randomize      (0.916, -0.459, -0.504)
        colorDistMagn   0.763169
        colorDistFreq   0.0356716
        detailScale     196.923
        colorConversion true
        snowLevel       2
        tropicLatitude  0.759444
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.596542
        terraceProb     0.353809
        erosion         0
        montesMagn      0.537796
        montesFreq      3.53588
        montesSpiky     0.965338
        montesFraction  0.718759
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.114025
        hillsFraction   0.407939
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.287258
        craterFreq      0.262588
        craterDensity   0.946588
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.431299
        volcanoTemp     1405.75
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.259, 0.257, 0.256, 0.000)
        colorShelf     (0.275, 0.273, 0.272, 0.000)
        colorBeach     (0.291, 0.289, 0.288, 0.000)
        colorDesert    (0.307, 0.305, 0.304, 0.000)
        colorLowland   (0.323, 0.321, 0.320, 0.000)
        colorUpland    (0.339, 0.337, 0.336, 0.000)
        colorRock      (0.356, 0.353, 0.352, 0.000)
        colorSnow      (0.372, 0.369, 0.368, 1.000)
        BumpHeight      6.49037
        BumpOffset      1.29807
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.144886
        Period          2.5505
        Eccentricity    0.105746
        Inclination     58.6303
        AscendingNode   143.615
        ArgOfPericenter -109.067
        MeanAnomaly     33.1079
    }
}

DwarfMoon "Aylsa VIII.D27"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            2.38304e-010
    Radius          10.5045
    InertiaMoment   0.397225

    RotationPeriod  1676.65
    Obliquity       -29.6156
    EqAscendNode    12.6475

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.429 0.421 0.417)

    Surface
    {
        SurfStyle       0.0582182
        OceanStyle      0.86487
        Randomize      (-0.076, 0.362, 0.316)
        colorDistMagn   0.781298
        colorDistFreq   0.0596012
        detailScale     286.843
        colorConversion true
        snowLevel       2
        tropicLatitude  0.955326
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.618295
        terraceProb     0.285155
        erosion         0
        montesMagn      0.423463
        montesFreq      3.46192
        montesSpiky     0.964475
        montesFraction  0.575012
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.200568
        hillsFraction   0.554468
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.228622
        craterFreq      0.164398
        craterDensity   0.920414
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.522449
        volcanoTemp     1503.18
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.172, 0.168, 0.167, 0.000)
        colorShelf     (0.182, 0.179, 0.177, 0.000)
        colorBeach     (0.193, 0.189, 0.188, 0.000)
        colorDesert    (0.204, 0.200, 0.198, 0.000)
        colorLowland   (0.215, 0.210, 0.209, 0.000)
        colorUpland    (0.225, 0.221, 0.219, 0.000)
        colorRock      (0.236, 0.231, 0.229, 0.000)
        colorSnow      (0.247, 0.242, 0.240, 1.000)
        BumpHeight      9.45406
        BumpOffset      1.89081
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.145176
        Period          2.55815
        Eccentricity    0.228286
        Inclination     -43.8728
        AscendingNode   14.788
        ArgOfPericenter 149.983
        MeanAnomaly     7.41643
    }
}

DwarfMoon "Aylsa VIII.D28"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            3.64324e-010
    Radius          10.6039
    InertiaMoment   0.398699

    RotationPeriod  1387.01
    Obliquity       111.322
    EqAscendNode    -161.814

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.780 0.682 0.603)

    Surface
    {
        SurfStyle       0.890274
        OceanStyle      0.330488
        Randomize      (0.794, -0.081, -0.612)
        colorDistMagn   0.861545
        colorDistFreq   0.054542
        detailScale     289.556
        colorConversion true
        snowLevel       2
        tropicLatitude  0.523276
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.601672
        terraceProb     0.233496
        erosion         0
        montesMagn      0.469372
        montesFreq      4.10561
        montesSpiky     0.780884
        montesFraction  0.538117
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.180597
        hillsFraction   0.603638
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.247076
        craterFreq      0.172363
        craterDensity   0.904481
        craterOctaves   11
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.564313
        volcanoTemp     1097.03
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.265, 0.239, 0.241, 0.050)
        colorShelf     (0.312, 0.280, 0.277, 0.040)
        colorBeach     (0.359, 0.321, 0.314, 0.030)
        colorDesert    (0.406, 0.361, 0.356, 0.020)
        colorLowland   (0.453, 0.402, 0.392, 0.030)
        colorUpland    (0.499, 0.443, 0.428, 0.050)
        colorRock      (0.546, 0.484, 0.477, 0.020)
        colorSnow      (0.546, 0.484, 0.477, 1.000)
        BumpHeight      9.54346
        BumpOffset      1.90869
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.145541
        Period          2.5678
        Eccentricity    0.0455982
        Inclination     85.0426
        AscendingNode   -162.188
        ArgOfPericenter -109.389
        MeanAnomaly     173.02
    }
}

DwarfMoon "Aylsa VIII.D29"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            5.44323e-010
    Radius          11.5766
    InertiaMoment   0.399661

    RotationPeriod  1246.4
    Obliquity       -6.77741
    EqAscendNode    -75.6161

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.830 0.771 0.697)

    Surface
    {
        SurfStyle       0.435879
        OceanStyle      0.168912
        Randomize      (0.945, 0.352, -0.627)
        colorDistMagn   0.466348
        colorDistFreq   0.0391533
        detailScale     316.118
        colorConversion true
        snowLevel       2
        tropicLatitude  0.333469
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.519979
        terraceProb     0.297338
        erosion         0
        montesMagn      0.485954
        montesFreq      2.17222
        montesSpiky     0.988205
        montesFraction  0.778114
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.286938
        hillsFraction   0.766883
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.254233
        craterFreq      0.27289
        craterDensity   0.860873
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.620318
        volcanoTemp     1773
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.332, 0.308, 0.279, 0.000)
        colorShelf     (0.353, 0.328, 0.296, 0.000)
        colorBeach     (0.374, 0.347, 0.314, 0.000)
        colorDesert    (0.394, 0.366, 0.331, 0.000)
        colorLowland   (0.415, 0.385, 0.349, 0.000)
        colorUpland    (0.436, 0.405, 0.366, 0.000)
        colorRock      (0.457, 0.424, 0.384, 0.000)
        colorSnow      (0.477, 0.443, 0.401, 1.000)
        BumpHeight      10.4189
        BumpOffset      2.08379
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.146182
        Period          2.58478
        Eccentricity    0.0423565
        Inclination     20.7197
        AscendingNode   -70.4458
        ArgOfPericenter -172.757
        MeanAnomaly     -159.113
    }
}

DwarfMoon "Aylsa VIII.D30"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            7.98062e-010
    Radius          12.6285
    InertiaMoment   0.397521

    RotationPeriod  1125.13
    Obliquity       13.8908
    EqAscendNode    -6.62301

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.586 0.583 0.581)

    Surface
    {
        SurfStyle       0.614238
        OceanStyle      0.993894
        Randomize      (0.266, -0.824, -0.722)
        colorDistMagn   0.84926
        colorDistFreq   0.078419
        detailScale     344.843
        colorConversion true
        snowLevel       2
        tropicLatitude  0.694134
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.607732
        terraceProb     0.134177
        erosion         0
        montesMagn      0.577416
        montesFreq      2.79951
        montesSpiky     0.899156
        montesFraction  0.611823
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.347728
        hillsFraction   0.940254
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.221195
        craterFreq      0.141784
        craterDensity   0.843173
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.523124
        volcanoTemp     947.596
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.228, 0.198, 0.163, 0.000)
        colorShelf     (0.234, 0.204, 0.186, 0.000)
        colorBeach     (0.275, 0.239, 0.221, 0.000)
        colorDesert    (0.299, 0.257, 0.215, 0.000)
        colorLowland   (0.328, 0.274, 0.244, 0.000)
        colorUpland    (0.363, 0.333, 0.296, 0.000)
        colorRock      (0.392, 0.362, 0.319, 0.000)
        colorSnow      (0.427, 0.385, 0.337, 1.000)
        BumpHeight      11.3657
        BumpOffset      2.27314
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.146512
        Period          2.59355
        Eccentricity    0.275286
        Inclination     30.1724
        AscendingNode   -8.32854
        ArgOfPericenter -179.092
        MeanAnomaly     -102.026
    }
}

DwarfMoon "Aylsa VIII.D31"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.15196e-009
    Radius          13.2029
    InertiaMoment   0.39885

    RotationPeriod  986.068
    Obliquity       155.064
    EqAscendNode    -55.9334

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.430 0.424 0.420)

    Surface
    {
        SurfStyle       0.572464
        OceanStyle      0.72757
        Randomize      (0.452, 0.548, 0.733)
        colorDistMagn   0.177271
        colorDistFreq   0.125493
        detailScale     360.529
        colorConversion true
        snowLevel       2
        tropicLatitude  0.710756
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.515221
        terraceProb     0.135893
        erosion         0
        montesMagn      0.524266
        montesFreq      3.21819
        montesSpiky     0.884189
        montesFraction  0.35357
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.387244
        hillsFraction   0.599662
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.215616
        craterFreq      0.232563
        craterDensity   0.962455
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.465513
        volcanoTemp     1253.87
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.168, 0.144, 0.117, 0.000)
        colorShelf     (0.172, 0.148, 0.134, 0.000)
        colorBeach     (0.202, 0.174, 0.159, 0.000)
        colorDesert    (0.219, 0.187, 0.155, 0.000)
        colorLowland   (0.241, 0.199, 0.176, 0.000)
        colorUpland    (0.267, 0.242, 0.214, 0.000)
        colorRock      (0.288, 0.263, 0.231, 0.000)
        colorSnow      (0.314, 0.280, 0.243, 1.000)
        BumpHeight      11.8827
        BumpOffset      2.37653
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.146896
        Period          2.60374
        Eccentricity    0.178829
        Inclination     55.8259
        AscendingNode   -56.1899
        ArgOfPericenter 10.5669
        MeanAnomaly     -41.132
    }
}

DwarfMoon "Aylsa VIII.D32"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.6413e-009
    Radius          17.6621
    InertiaMoment   0.399787

    RotationPeriod  1100.21
    Obliquity       20.1051
    EqAscendNode    53.8249

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.592 0.586 0.583)

    Surface
    {
        SurfStyle       0.0962322
        OceanStyle      0.0826468
        Randomize      (0.984, 0.145, 0.408)
        colorDistMagn   0.578554
        colorDistFreq   0.191483
        detailScale     482.293
        colorConversion true
        snowLevel       2
        tropicLatitude  0.857303
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.650465
        terraceProb     0.105479
        erosion         0
        montesMagn      0.395007
        montesFreq      3.81552
        montesSpiky     0.760384
        montesFraction  0.681425
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.903999
        hillsFraction   0.611433
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.234481
        craterFreq      0.26907
        craterDensity   0.823483
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.497652
        volcanoTemp     1303.43
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.237, 0.234, 0.233, 0.000)
        colorShelf     (0.251, 0.249, 0.248, 0.000)
        colorBeach     (0.266, 0.264, 0.262, 0.000)
        colorDesert    (0.281, 0.278, 0.277, 0.000)
        colorLowland   (0.296, 0.293, 0.291, 0.000)
        colorUpland    (0.311, 0.308, 0.306, 0.000)
        colorRock      (0.325, 0.322, 0.321, 0.000)
        colorSnow      (0.340, 0.337, 0.335, 1.000)
        BumpHeight      15.8959
        BumpOffset      3.17918
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.147555
        Period          2.62129
        Eccentricity    0.152057
        Inclination     46.8093
        AscendingNode   59.3106
        ArgOfPericenter -13.0582
        MeanAnomaly     129.926
    }
}

DwarfMoon "Aylsa VIII.D33"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            2.31326e-009
    Radius          18.86
    InertiaMoment   0.397771

    RotationPeriod  991.253
    Obliquity       56.5172
    EqAscendNode    45.0209

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.479 0.476 0.470)

    Surface
    {
        SurfStyle       0.721292
        OceanStyle      0.646896
        Randomize      (-0.651, -0.360, -0.399)
        colorDistMagn   0.269244
        colorDistFreq   0.239242
        detailScale     515.004
        colorConversion true
        snowLevel       2
        tropicLatitude  0.610276
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.322869
        terraceProb     0.45541
        erosion         0
        montesMagn      0.419967
        montesFreq      3.73112
        montesSpiky     0.991203
        montesFraction  0.27594
        dunesFraction   0
        hillsMagn       0
        hillsFreq       0.808936
        hillsFraction   0.639296
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.246249
        craterFreq      0.163481
        craterDensity   0.903804
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.484793
        volcanoTemp     1282.16
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.187, 0.162, 0.132, 0.000)
        colorShelf     (0.192, 0.167, 0.150, 0.000)
        colorBeach     (0.225, 0.195, 0.179, 0.000)
        colorDesert    (0.244, 0.209, 0.174, 0.000)
        colorLowland   (0.268, 0.224, 0.197, 0.000)
        colorUpland    (0.297, 0.271, 0.240, 0.000)
        colorRock      (0.321, 0.295, 0.258, 0.000)
        colorSnow      (0.350, 0.314, 0.273, 1.000)
        BumpHeight      16.974
        BumpOffset      3.3948
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.148067
        Period          2.63494
        Eccentricity    0.426835
        Inclination     -32.8658
        AscendingNode   43.4105
        ArgOfPericenter -31.1576
        MeanAnomaly     -174.085
    }
}

DwarfMoon "Aylsa VIII.D34"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            3.23093e-009
    Radius          20.2506
    InertiaMoment   0.398994

    RotationPeriod  905.011
    Obliquity       -61.0767
    EqAscendNode    -70.3564

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.439 0.434 0.429)

    Surface
    {
        SurfStyle       0.986414
        OceanStyle      0.79583
        Randomize      (0.582, -0.409, 0.751)
        colorDistMagn   0.570417
        colorDistFreq   0.291005
        detailScale     552.977
        colorConversion true
        snowLevel       2
        tropicLatitude  0.951448
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.40546
        terraceProb     0.290316
        erosion         0
        montesMagn      0.559069
        montesFreq      3.82685
        montesSpiky     0.991059
        montesFraction  0.478887
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.1515
        hillsFraction   0.709199
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.225231
        craterFreq      0.223204
        craterDensity   0.920951
        craterOctaves   12
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.533991
        volcanoTemp     1459.5
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.149, 0.152, 0.171, 0.050)
        colorShelf     (0.175, 0.178, 0.197, 0.040)
        colorBeach     (0.202, 0.204, 0.223, 0.030)
        colorDesert    (0.228, 0.230, 0.253, 0.020)
        colorLowland   (0.254, 0.256, 0.279, 0.030)
        colorUpland    (0.281, 0.282, 0.304, 0.050)
        colorRock      (0.307, 0.308, 0.339, 0.020)
        colorSnow      (0.307, 0.308, 0.339, 1.000)
        BumpHeight      18.2256
        BumpOffset      3.64511
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.148531
        Period          2.64733
        Eccentricity    0.217239
        Inclination     -22.8406
        AscendingNode   -66.0526
        ArgOfPericenter 21.995
        MeanAnomaly     119.153
    }
}

DwarfMoon "Aylsa VIII.D35"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            4.47883e-009
    Radius          21.2676
    InertiaMoment   0.399912

    RotationPeriod  811.343
    Obliquity       -96.4653
    EqAscendNode    -56.8677

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.602 0.599 0.596)

    Surface
    {
        SurfStyle       0.969756
        OceanStyle      0.901167
        Randomize      (0.487, 0.114, 0.811)
        colorDistMagn   0.507916
        colorDistFreq   0.343525
        detailScale     580.746
        colorConversion true
        snowLevel       2
        tropicLatitude  0.911577
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.38911
        terraceProb     0.147904
        erosion         0
        montesMagn      0.484927
        montesFreq      3.27508
        montesSpiky     0.979639
        montesFraction  0.676287
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.13136
        hillsFraction   0.738847
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.22481
        craterFreq      0.27806
        craterDensity   0.906457
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.496642
        volcanoTemp     1886.6
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.205, 0.210, 0.238, 0.050)
        colorShelf     (0.241, 0.246, 0.274, 0.040)
        colorBeach     (0.277, 0.282, 0.310, 0.030)
        colorDesert    (0.313, 0.318, 0.352, 0.020)
        colorLowland   (0.349, 0.354, 0.388, 0.030)
        colorUpland    (0.385, 0.390, 0.423, 0.050)
        colorRock      (0.422, 0.425, 0.471, 0.020)
        colorSnow      (0.422, 0.425, 0.471, 1.000)
        BumpHeight      19.1408
        BumpOffset      3.82816
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.148812
        Period          2.65486
        Eccentricity    0.150213
        Inclination     -34.3647
        AscendingNode   -55.4378
        ArgOfPericenter -159.629
        MeanAnomaly     -98.8495
    }
}

DwarfMoon "Aylsa VIII.D36"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            6.1705e-009
    Radius          27.725
    InertiaMoment   0.39799

    RotationPeriod  895.287
    Obliquity       109.436
    EqAscendNode    -28.1052

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.617 0.615 0.609)

    Surface
    {
        SurfStyle       0.476874
        OceanStyle      0.0303978
        Randomize      (0.592, 0.655, 0.234)
        colorDistMagn   0.791141
        colorDistFreq   0.664958
        detailScale     757.078
        colorConversion true
        snowLevel       2
        tropicLatitude  0.552231
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.411404
        terraceProb     0.533562
        erosion         0
        montesMagn      0.55416
        montesFreq      2.99118
        montesSpiky     0.998291
        montesFraction  0.805569
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.77942
        hillsFraction   0.618412
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.264901
        craterFreq      0.211286
        craterDensity   0.760302
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.5781
        volcanoTemp     1641.23
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.247, 0.246, 0.244, 0.000)
        colorShelf     (0.262, 0.261, 0.259, 0.000)
        colorBeach     (0.278, 0.277, 0.274, 0.000)
        colorDesert    (0.293, 0.292, 0.289, 0.000)
        colorLowland   (0.309, 0.307, 0.305, 0.000)
        colorUpland    (0.324, 0.323, 0.320, 0.000)
        colorRock      (0.340, 0.338, 0.335, 0.000)
        colorSnow      (0.355, 0.353, 0.350, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.14928
        Period          2.66739
        Eccentricity    0.477491
        Inclination     87.5013
        AscendingNode   -29.598
        ArgOfPericenter 170.013
        MeanAnomaly     -103.249
    }
}

DwarfMoon "Aylsa VIII.D37"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            8.45881e-009
    Radius          29.2283
    InertiaMoment   0.399133

    RotationPeriod  809.993
    Obliquity       10.0441
    EqAscendNode    -163.714

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.789 0.696 0.661)

    Surface
    {
        SurfStyle       0.513004
        OceanStyle      0.44057
        Randomize      (0.716, 0.880, -0.251)
        colorDistMagn   0.664273
        colorDistFreq   0.492426
        detailScale     798.129
        colorConversion true
        snowLevel       2
        tropicLatitude  0.611217
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.344122
        terraceProb     0.153026
        erosion         0
        montesMagn      0.416114
        montesFreq      3.43926
        montesSpiky     0.988793
        montesFraction  0.728496
        dunesFraction   0
        hillsMagn       0
        hillsFreq       1.5835
        hillsFraction   0.810002
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.273162
        craterFreq      0.172805
        craterDensity   0.841262
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.570868
        volcanoTemp     1951.15
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.308, 0.237, 0.185, 0.000)
        colorShelf     (0.316, 0.244, 0.211, 0.000)
        colorBeach     (0.371, 0.285, 0.251, 0.000)
        colorDesert    (0.403, 0.306, 0.244, 0.000)
        colorLowland   (0.442, 0.327, 0.277, 0.000)
        colorUpland    (0.489, 0.397, 0.337, 0.000)
        colorRock      (0.529, 0.432, 0.363, 0.000)
        colorSnow      (0.576, 0.459, 0.383, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.149912
        Period          2.68436
        Eccentricity    0.0687572
        Inclination     47.2351
        AscendingNode   -163.676
        ArgOfPericenter 115.367
        MeanAnomaly     130.77
    }
}

DwarfMoon "Aylsa VIII.D38"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.15504e-008
    Radius          31.1474
    InertiaMoment   0.395124

    RotationPeriod  737.209
    Obliquity       12.768
    EqAscendNode    -64.9049

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.529 0.518 0.515)

    Surface
    {
        SurfStyle       0.480436
        OceanStyle      0.0717387
        Randomize      (-0.552, 0.377, -0.945)
        colorDistMagn   0.927696
        colorDistFreq   0.602948
        detailScale     850.531
        colorConversion true
        snowLevel       2
        tropicLatitude  0.681665
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.732048
        terraceProb     0.171728
        erosion         0
        montesMagn      0.427035
        montesFreq      3.88827
        montesSpiky     0.973305
        montesFraction  0.678249
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.05671
        hillsFraction   0.731262
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.253231
        craterFreq      0.267137
        craterDensity   0.915607
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.543439
        volcanoTemp     1537.46
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.211, 0.207, 0.206, 0.000)
        colorShelf     (0.225, 0.220, 0.219, 0.000)
        colorBeach     (0.238, 0.233, 0.232, 0.000)
        colorDesert    (0.251, 0.246, 0.244, 0.000)
        colorLowland   (0.264, 0.259, 0.257, 0.000)
        colorUpland    (0.278, 0.272, 0.270, 0.000)
        colorRock      (0.291, 0.285, 0.283, 0.000)
        colorSnow      (0.304, 0.298, 0.296, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.150256
        Period          2.69359
        Eccentricity    0.186058
        Inclination     37.6239
        AscendingNode   -72.4042
        ArgOfPericenter 48.106
        MeanAnomaly     -152.862
    }
}

DwarfMoon "Aylsa VIII.D39"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.5726e-008
    Radius          32.7685
    InertiaMoment   0.398187

    RotationPeriod  669.099
    Obliquity       77.7215
    EqAscendNode    35.2907

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.575 0.567 0.564)

    Surface
    {
        SurfStyle       0.567716
        OceanStyle      0.674764
        Randomize      (0.283, -0.146, -0.599)
        colorDistMagn   0.325086
        colorDistFreq   0.546508
        detailScale     894.799
        colorConversion true
        snowLevel       2
        tropicLatitude  0.896403
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.564586
        terraceProb     0.293815
        erosion         0
        montesMagn      0.472559
        montesFreq      2.42618
        montesSpiky     0.905688
        montesFraction  0.366638
        dunesFraction   0
        hillsMagn       0
        hillsFreq       2.47265
        hillsFraction   0.734664
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.233995
        craterFreq      0.181637
        craterDensity   0.845589
        craterOctaves   13
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.54829
        volcanoTemp     1563.63
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.224, 0.193, 0.158, 0.000)
        colorShelf     (0.230, 0.198, 0.180, 0.000)
        colorBeach     (0.270, 0.232, 0.214, 0.000)
        colorDesert    (0.293, 0.249, 0.209, 0.000)
        colorLowland   (0.322, 0.267, 0.237, 0.000)
        colorUpland    (0.356, 0.323, 0.287, 0.000)
        colorRock      (0.385, 0.352, 0.310, 0.000)
        colorSnow      (0.420, 0.374, 0.327, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.150848
        Period          2.70953
        Eccentricity    0.0394704
        Inclination     53.1404
        AscendingNode   43.1041
        ArgOfPericenter 38.461
        MeanAnomaly     -119.462
    }
}

DwarfMoon "Aylsa VIII.D40"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            2.13684e-008
    Radius          42.4062
    InertiaMoment   0.399269

    RotationPeriod  741.277
    Obliquity       61.0472
    EqAscendNode    70.8597

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.699 0.695 0.692)

    Surface
    {
        SurfStyle       0.213154
        OceanStyle      0.993309
        Randomize      (-0.030, -0.388, 0.236)
        colorDistMagn   0.701803
        colorDistFreq   1.58057
        detailScale     1157.97
        colorConversion true
        snowLevel       2
        tropicLatitude  0.944831
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.315199
        terraceProb     0.472535
        erosion         0
        montesMagn      0.464857
        montesFreq      3.05789
        montesSpiky     0.938006
        montesFraction  0.617386
        dunesFraction   0
        hillsMagn       0
        hillsFreq       5.08852
        hillsFraction   0.757247
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.234365
        craterFreq      0.193684
        craterDensity   0.920099
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.493375
        volcanoTemp     1621.77
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.280, 0.278, 0.277, 0.000)
        colorShelf     (0.297, 0.295, 0.294, 0.000)
        colorBeach     (0.314, 0.313, 0.312, 0.000)
        colorDesert    (0.332, 0.330, 0.329, 0.000)
        colorLowland   (0.349, 0.348, 0.346, 0.000)
        colorUpland    (0.367, 0.365, 0.363, 0.000)
        colorRock      (0.384, 0.382, 0.381, 0.000)
        colorSnow      (0.402, 0.400, 0.398, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.151111
        Period          2.71662
        Eccentricity    0.124013
        Inclination     23.8886
        AscendingNode   71.052
        ArgOfPericenter -70.952
        MeanAnomaly     -79.4494
    }
}

DwarfMoon "Aylsa VIII.D41"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            2.9003e-008
    Radius          44.344
    InertiaMoment   0.396304

    RotationPeriod  665.116
    Obliquity       -144.442
    EqAscendNode    -43.8433

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.733 0.729 0.726)

    Surface
    {
        SurfStyle       0.68488
        OceanStyle      0.885659
        Randomize      (-0.582, 0.661, 0.044)
        colorDistMagn   0.525227
        colorDistFreq   0.791867
        detailScale     1210.89
        colorConversion true
        snowLevel       2
        tropicLatitude  0.822808
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.368147
        terraceProb     0.227051
        erosion         0
        montesMagn      0.469968
        montesFreq      2.73829
        montesSpiky     0.994388
        montesFraction  0.769903
        dunesFraction   0
        hillsMagn       0
        hillsFreq       4.87942
        hillsFraction   0.45891
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.22966
        craterFreq      0.207634
        craterDensity   0.867984
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.518163
        volcanoTemp     1530.66
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.286, 0.248, 0.203, 0.000)
        colorShelf     (0.293, 0.255, 0.232, 0.000)
        colorBeach     (0.345, 0.299, 0.276, 0.000)
        colorDesert    (0.374, 0.321, 0.269, 0.000)
        colorLowland   (0.411, 0.343, 0.305, 0.000)
        colorUpland    (0.454, 0.416, 0.370, 0.000)
        colorRock      (0.491, 0.452, 0.399, 0.000)
        colorSnow      (0.535, 0.481, 0.421, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.151339
        Period          2.72277
        Eccentricity    0.337812
        Inclination     -84.2011
        AscendingNode   -32.8347
        ArgOfPericenter -28.8037
        MeanAnomaly     28.2899
    }
}

DwarfMoon "Aylsa VIII.D42"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            3.93557e-008
    Radius          47.1395
    InertiaMoment   0.398368

    RotationPeriod  609.93
    Obliquity       -70.66
    EqAscendNode    116.645

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.749 0.746 0.743)

    Surface
    {
        SurfStyle       0.440888
        OceanStyle      0.0877076
        Randomize      (0.739, 0.215, 0.522)
        colorDistMagn   0.662235
        colorDistFreq   1.31638
        detailScale     1287.22
        colorConversion true
        snowLevel       2
        tropicLatitude  0.886543
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.513889
        terraceProb     0.283896
        erosion         0
        montesMagn      0.665865
        montesFreq      2.74099
        montesSpiky     0.960515
        montesFraction  0.525222
        dunesFraction   0
        hillsMagn       0
        hillsFreq       6.55156
        hillsFraction   0.711201
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.264091
        craterFreq      0.191387
        craterDensity   0.856051
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.53862
        volcanoTemp     1615.68
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.300, 0.298, 0.297, 0.000)
        colorShelf     (0.318, 0.317, 0.316, 0.000)
        colorBeach     (0.337, 0.336, 0.334, 0.000)
        colorDesert    (0.356, 0.354, 0.353, 0.000)
        colorLowland   (0.374, 0.373, 0.372, 0.000)
        colorUpland    (0.393, 0.391, 0.390, 0.000)
        colorRock      (0.412, 0.410, 0.409, 0.000)
        colorSnow      (0.431, 0.429, 0.427, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.151916
        Period          2.73835
        Eccentricity    0.381513
        Inclination     -22.9266
        AscendingNode   115.395
        ArgOfPericenter -136.223
        MeanAnomaly     -74.4527
    }
}

DwarfMoon "Aylsa VIII.D43"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            5.34369e-008
    Radius          49.7737
    InertiaMoment   0.399401

    RotationPeriod  554.742
    Obliquity       15.9095
    EqAscendNode    -93.9229

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.724 0.653 0.574)

    Surface
    {
        SurfStyle       0.100364
        OceanStyle      0.0612201
        Randomize      (0.587, 0.361, 0.777)
        colorDistMagn   0.887113
        colorDistFreq   1.47505
        detailScale     1359.15
        colorConversion true
        snowLevel       2
        tropicLatitude  0.798038
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.568749
        terraceProb     0.294198
        erosion         0
        montesMagn      0.401497
        montesFreq      2.33219
        montesSpiky     0.813524
        montesFraction  0.492612
        dunesFraction   0
        hillsMagn       0
        hillsFreq       7.54253
        hillsFraction   0.72091
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.268864
        craterFreq      0.279503
        craterDensity   0.884369
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.488623
        volcanoTemp     1058.68
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.289, 0.261, 0.230, 0.000)
        colorShelf     (0.308, 0.278, 0.244, 0.000)
        colorBeach     (0.326, 0.294, 0.258, 0.000)
        colorDesert    (0.344, 0.310, 0.273, 0.000)
        colorLowland   (0.362, 0.327, 0.287, 0.000)
        colorUpland    (0.380, 0.343, 0.301, 0.000)
        colorRock      (0.398, 0.359, 0.316, 0.000)
        colorSnow      (0.416, 0.376, 0.330, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.152241
        Period          2.74716
        Eccentricity    0.438948
        Inclination     50.8811
        AscendingNode   -88.8799
        ArgOfPericenter 154.531
        MeanAnomaly     16.4307
    }
}

DwarfMoon "Aylsa VIII.D44"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            7.26644e-008
    Radius          64.6086
    InertiaMoment   0.396843

    RotationPeriod  613.703
    Obliquity       -87.4256
    EqAscendNode    -25.7863

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.728 0.725 0.722)

    Surface
    {
        SurfStyle       0.620062
        OceanStyle      0.758038
        Randomize      (-0.646, 0.582, -0.234)
        colorDistMagn   0.33215
        colorDistFreq   1.97143
        detailScale     1764.24
        colorConversion true
        snowLevel       2
        tropicLatitude  0.668407
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.474437
        terraceProb     0.343089
        erosion         0
        montesMagn      0.360459
        montesFreq      3.14599
        montesSpiky     0.858565
        montesFraction  0.426206
        dunesFraction   0
        hillsMagn       0
        hillsFreq       11.6655
        hillsFraction   0.630383
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.259082
        craterFreq      0.216635
        craterDensity   0.767607
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.628901
        volcanoTemp     1532.35
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.284, 0.247, 0.202, 0.000)
        colorShelf     (0.291, 0.254, 0.231, 0.000)
        colorBeach     (0.342, 0.297, 0.275, 0.000)
        colorDesert    (0.371, 0.319, 0.267, 0.000)
        colorLowland   (0.408, 0.341, 0.303, 0.000)
        colorUpland    (0.451, 0.413, 0.368, 0.000)
        colorRock      (0.488, 0.450, 0.397, 0.000)
        colorSnow      (0.531, 0.479, 0.419, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.152796
        Period          2.76218
        Eccentricity    0.139047
        Inclination     -65.6963
        AscendingNode   -33.1489
        ArgOfPericenter -116.105
        MeanAnomaly     -178.494
    }
}

DwarfMoon "Aylsa VIII.D45"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            9.90467e-008
    Radius          67.2047
    InertiaMoment   0.398537

    RotationPeriod  549.46
    Obliquity       54.7713
    EqAscendNode    21.5379

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.642 0.572 0.444)

    Surface
    {
        SurfStyle       0.274776
        OceanStyle      0.807181
        Randomize      (0.663, -0.505, 0.056)
        colorDistMagn   0.338512
        colorDistFreq   2.25975
        detailScale     1835.14
        colorConversion true
        snowLevel       2
        tropicLatitude  0.903729
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.490046
        terraceProb     0.220649
        erosion         0
        montesMagn      0.642053
        montesFreq      3.10603
        montesSpiky     0.993745
        montesFraction  0.278811
        dunesFraction   0
        hillsMagn       0
        hillsFreq       8.87693
        hillsFraction   0.531766
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.220561
        craterFreq      0.188135
        craterDensity   0.945821
        craterOctaves   14
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.480572
        volcanoTemp     1764.26
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.257, 0.229, 0.178, 0.000)
        colorShelf     (0.273, 0.243, 0.189, 0.000)
        colorBeach     (0.289, 0.257, 0.200, 0.000)
        colorDesert    (0.305, 0.272, 0.211, 0.000)
        colorLowland   (0.321, 0.286, 0.222, 0.000)
        colorUpland    (0.337, 0.300, 0.233, 0.000)
        colorRock      (0.353, 0.314, 0.244, 0.000)
        colorSnow      (0.369, 0.329, 0.255, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.15346
        Period          2.78022
        Eccentricity    0.299002
        Inclination     63.5302
        AscendingNode   20.433
        ArgOfPericenter -168.665
        MeanAnomaly     -55.5639
    }
}

DwarfMoon "Aylsa VIII.D46"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.3546e-007
    Radius          71.5772
    InertiaMoment   0.39953

    RotationPeriod  502.089
    Obliquity       -28.1276
    EqAscendNode    109.962

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.509 0.501 0.497)

    Surface
    {
        SurfStyle       0.608994
        OceanStyle      0.600139
        Randomize      (0.231, 0.719, 0.808)
        colorDistMagn   0.476754
        colorDistFreq   3.70295
        detailScale     1954.54
        colorConversion true
        snowLevel       2
        tropicLatitude  0.499523
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.58062
        terraceProb     0.278471
        erosion         0
        montesMagn      0.374469
        montesFreq      2.59705
        montesSpiky     0.949576
        montesFraction  0.659104
        dunesFraction   0
        hillsMagn       0
        hillsFreq       9.88846
        hillsFraction   0.646551
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.198939
        craterFreq      0.211226
        craterDensity   0.656732
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.488287
        volcanoTemp     1243.06
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.198, 0.170, 0.139, 0.000)
        colorShelf     (0.204, 0.175, 0.159, 0.000)
        colorBeach     (0.239, 0.205, 0.189, 0.000)
        colorDesert    (0.259, 0.220, 0.184, 0.000)
        colorLowland   (0.285, 0.235, 0.209, 0.000)
        colorUpland    (0.315, 0.285, 0.253, 0.000)
        colorRock      (0.341, 0.310, 0.273, 0.000)
        colorSnow      (0.371, 0.330, 0.288, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.153865
        Period          2.79122
        Eccentricity    0.448684
        Inclination     5.30283
        AscendingNode   105.748
        ArgOfPericenter -155.831
        MeanAnomaly     11.1243
    }
}

DwarfMoon "Aylsa VIII.D47"
{
    ParentBody     "Aylsa VIII"
    Class	       "Asteroid"

    Mass            1.86071e-007
    Radius          76.0932
    InertiaMoment   0.397218

    RotationPeriod  455.04
    Obliquity       -7.58321
    EqAscendNode    -56.2445

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (0.561 0.557 0.552)

    Surface
    {
        SurfStyle       0.732101
        OceanStyle      0.947605
        Randomize      (-0.578, 0.398, -0.108)
        colorDistMagn   0.901803
        colorDistFreq   4.1897
        detailScale     2077.85
        colorConversion true
        snowLevel       2
        tropicLatitude  0.506345
        icecapLatitude  1
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.703379
        terraceProb     0.580156
        erosion         0
        montesMagn      0.484155
        montesFreq      2.65086
        montesSpiky     0.7826
        montesFraction  0.629211
        dunesFraction   0
        hillsMagn       0
        hillsFreq       14.7189
        hillsFraction   0.525341
        hills2Fraction  0
        canyonFraction  0
        craterMagn      0.237145
        craterFreq      0.259733
        craterDensity   0.809136
        craterOctaves   15
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0.465649
        volcanoTemp     1334.02
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.219, 0.189, 0.155, 0.000)
        colorShelf     (0.225, 0.195, 0.177, 0.000)
        colorBeach     (0.264, 0.228, 0.210, 0.000)
        colorDesert    (0.286, 0.245, 0.204, 0.000)
        colorLowland   (0.314, 0.262, 0.232, 0.000)
        colorUpland    (0.348, 0.318, 0.281, 0.000)
        colorRock      (0.376, 0.345, 0.304, 0.000)
        colorSnow      (0.410, 0.368, 0.320, 1.000)
        BumpHeight      20
        BumpOffset      4
        SpecBrightWater 0
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    NoAtmosphere    true

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.154497
        Period          2.80843
        Eccentricity    0.136304
        Inclination     -25.3881
        AscendingNode   -54.08
        ArgOfPericenter -31.1033
        MeanAnomaly     141.352
    }
}

//------------------------------------------------------------------------------
Barycenter "Aylsa IX BC"
{
    ParentBody     "JDV 00041"
    Mass            1.3518
    Radius          8314.13
    RotationPeriod  24
    Obliquity       0
    EqAscendNode    0


    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   20.37
        Period          102.02
        Eccentricity    0.0361542
        Inclination     0.956235
        AscendingNode   -81.7309
        ArgOfPericenter 25.9348
        MeanAnomaly     106.157
    }
}

Planet "Aylsa IX"
{
    ParentBody     "Aylsa IX BC"
    Class	       "IceWorld"

    Mass            1.16234
    Radius          8510.63
    InertiaMoment   0.334051

    Obliquity       -0.256186
    EqAscendNode    -22.152
    TidalLocked     true

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (0.837 0.796 0.738)

    Surface
    {
        SurfStyle       0.111533
        OceanStyle      0.215848
        Randomize      (-0.900, 0.014, -0.921)
        colorDistMagn   0.0522062
        colorDistFreq   1105.73
        detailScale     21889.8
        colorConversion true
        drivenDarkening 0
        seaLevel        0.206749
        snowLevel       2
        tropicLatitude  0.0087754
        icecapLatitude  0.824096
        icecapHeight    0.20905
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.52258
        venusFreq       1.37649
        venusMagn       0.181077
        mareFreq        1.97821
        mareDensity     0.0645532
        terraceProb     0.459671
        erosion         0
        montesMagn      0.216263
        montesFreq      391.248
        montesSpiky     0.95719
        montesFraction  0.995965
        dunesMagn       0.0256739
        dunesFreq       11106.8
        dunesFraction   0.167985
        hillsMagn       0.141631
        hillsFreq       1118.46
        hillsFraction   0.459582
        hills2Fraction  0.0473055
        riversMagn      52.6709
        riversFreq      2.22214
        riversSin       5.0237
        riversOctaves   0
        canyonsMagn     0.556314
        canyonsFreq     2.67725
        canyonFraction  0
        cracksMagn      0.0542308
        cracksFreq      3.5716
        cracksOctaves   5
        craterMagn      0.606425
        craterFreq      28.9242
        craterDensity   0.998551
        craterOctaves   14
        craterRayedFactor 0.2244
        volcanoMagn     0.580577
        volcanoFreq     0.838788
        volcanoDensity  0.4
        volcanoOctaves  3
        volcanoActivity 2
        volcanoFlows    0.384739
        volcanoRadius   0.496907
        volcanoTemp     1482.56
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.837, 0.796, 0.738, 0.500)
        colorShelf     (0.795, 0.756, 0.701, 0.500)
        colorBeach     (0.586, 0.557, 0.516, 0.750)
        colorDesert    (0.712, 0.676, 0.627, 1.000)
        colorLowland   (0.737, 0.700, 0.649, 1.000)
        colorUpland    (0.778, 0.740, 0.686, 1.000)
        colorRock      (1.000, 1.000, 1.000, 1.000)
        colorSnow      (1.000, 1.000, 1.000, 0.154)
        colorLowPlants (0.737, 0.700, 0.649, 1.000)
        colorUpPlants  (0.778, 0.740, 0.686, 1.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.03
        SpecBrightIce   0.03
        SpecularPower   30
        Hapke           0.989534
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.2
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    Atmosphere
    {
        Model          "Sun"
        Height          55.9866
        Density         0.00104662
        Pressure        0.000207352
        Greenhouse      0.142127
        Bright          4.01752
        Opacity         0
        SkyLight        1.33917
        Hue             -0.0312119
        Saturation      1

        Composition
        {
            N2    	91.7759
            CH4   	7.61856
            Ar    	0.58675
            Ne    	0.00951621
            CO    	0.00925735
        }
    }

    Aurora
    {
        Height      223.772
        NorthLat    89.1409
        NorthLon    87.6447
        NorthRadius 1659.93
        NorthWidth  299.556
        NorthRings  5
        NorthBright 0.3
        NorthParticles 50000
        SouthLat    -90
        SouthLon    282.561
        SouthRadius 2164.23
        SouthWidth  549.27
        SouthRings  4
        SouthBright 0.3
        SouthParticles 50000
        TopColor    (1.000 1.000 1.000)
        BottomColor (0.000 1.000 0.000)
    }

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000187883
        Period          0.0244151
        Eccentricity    0.0357056
        Inclination     -0.256186
        AscendingNode   -22.152
        ArgOfPericenter 179.478
        MeanAnomaly     -149.386
    }
}

Moon "Aylsa IX.1"
{
    ParentBody     "Aylsa IX BC"
    Class	       "Desert"

    Mass            0.189457
    Radius          4863.14
    InertiaMoment   0.32814

    Obliquity       -0.256186
    EqAscendNode    -22.152
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      2
    Color          (0.547 0.444 0.408)

    Surface
    {
        SurfStyle       0.49793
        OceanStyle      0.695344
        Randomize      (-0.740, 0.165, 0.183)
        colorDistMagn   0.0431257
        colorDistFreq   562.794
        detailScale     12508.3
        colorConversion true
        seaLevel        0.00923845
        snowLevel       2
        tropicLatitude  0.0087754
        icecapLatitude  0.982979
        icecapHeight    0.00991351
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        0.924211
        venusFreq       1.06791
        venusMagn       0.331221
        mareFreq        1.10093
        mareDensity     0.0218452
        terraceProb     0.295636
        erosion         0
        montesMagn      0.178283
        montesFreq      300.982
        montesSpiky     0.906868
        montesFraction  0.427344
        dunesMagn       0.0543152
        dunesFreq       31.997
        dunesFraction   0.362611
        hillsMagn       0.16323
        hillsFreq       423.876
        hillsFraction   0
        hills2Fraction  0
        riversMagn      58.4644
        riversFreq      3.03355
        riversSin       6.44872
        riversOctaves   0
        canyonsMagn     0.0399573
        canyonsFreq     128.792
        canyonFraction  0
        cracksMagn      0.123686
        cracksFreq      0.350693
        cracksOctaves   0
        craterMagn      0.532552
        craterFreq      11.7158
        craterDensity   0.678115
        craterOctaves   10.0964
        volcanoMagn     0.692361
        volcanoFreq     0.688622
        volcanoDensity  0.4
        volcanoOctaves  3
        volcanoActivity 2
        volcanoFlows    0.690441
        volcanoRadius   0.478598
        volcanoTemp     1464.13
        lavaCoverTidal  0.0796176
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.640, 0.620, 0.420, 0.000)
        colorShelf     (0.680, 0.620, 0.470, 0.000)
        colorBeach     (0.740, 0.730, 0.610, 0.000)
        colorDesert    (0.450, 0.420, 0.380, 0.000)
        colorLowland   (0.530, 0.480, 0.400, 0.000)
        colorUpland    (0.600, 0.540, 0.420, 0.000)
        colorRock      (0.170, 0.160, 0.160, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 0.769)
        colorLowPlants (0.530, 0.480, 0.400, 0.000)
        colorUpPlants  (0.600, 0.540, 0.420, 0.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.5
        SpecBrightIce   0.5
        SpecularPower   30
        Hapke           0.820343
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    NoClouds        true

    NoOcean         true

    NoLava          true

    Atmosphere
    {
        Model          "Earth"
        Height          24.3157
        Density         0.0179657
        Pressure        0.0030919
        Greenhouse      0.0775483
        Bright          7.09396
        Opacity         1
        SkyLight        2.36465
        Hue             -0.00349659
        Saturation      1

        Composition
        {
            N2    	60.2778
            Ar    	35.3446
            CO    	3.45763
            Ne    	0.919978
        }
    }

    NoAurora        true

    NoRings         true

    NoAccretionDisk true

    NoCometTail     true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.00115269
        Period          0.0244151
        Eccentricity    0.0357056
        Inclination     -0.256186
        AscendingNode   -22.152
        ArgOfPericenter -0.522011
        MeanAnomaly     -149.386
    }
}
//------------------------------------------------------------------------------
